/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern0 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DImode))
        return -1;
      return 1;

    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode))
        return -1;
      return 2;

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode))
        return -1;
      return 3;

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x3) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode))
        return -1;
      return 4;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x3) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode))
        return -1;
      return 5;

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode))
        return -1;
      return 6;

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern25 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[1] = x5;
  x6 = XEXP (x4, 1);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode)
        return -1;
      switch (GET_MODE (x4))
        {
        case E_SImode:
          if (!register_operand (operands[1], E_SImode)
              || !aarch64_reg_or_shift_imm_si (operands[2], E_QImode))
            return -1;
          return 0;

        case E_QImode:
          if (!register_operand (operands[1], E_QImode)
              || !const_int_operand (operands[2], E_VOIDmode))
            return -1;
          return 1;

        case E_HImode:
          if (!register_operand (operands[1], E_HImode)
              || !const_int_operand (operands[2], E_VOIDmode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !const_int_operand (operands[2], E_VOIDmode))
        return -1;
      switch (GET_MODE (x4))
        {
        case E_QImode:
          if (!register_operand (operands[1], E_QImode))
            return -1;
          return 3;

        case E_HImode:
          if (!register_operand (operands[1], E_HImode))
            return -1;
          return 4;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern40 (rtx x1, int i1, int i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != UNSPEC_VOLATILE
      || XVECLEN (x3, 0) != i2
      || XINT (x3, 1) != i1)
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x4) != CLOBBER)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 66
      || GET_MODE (x5) != E_CCmode)
    return -1;
  x6 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x6) != CLOBBER)
    return -1;
  return 0;
}

int
pattern46 (rtx x1, machine_mode i1, machine_mode i2, unsigned int i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != i3
      || GET_MODE (x3) != i2)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != i3
      || GET_MODE (x5) != i2)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], i1))
    return -1;
  return 0;
}

int
pattern55 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode))
        return -1;
      return 0;

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode))
        return -1;
      return 1;

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode))
        return -1;
      return 2;

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode))
        return -1;
      return 3;

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode))
        return -1;
      return 4;

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode))
        return -1;
      return 5;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      return 6;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode))
        return -1;
      return 7;

    case E_VNx8SFmode:
      if (!aligned_register_operand (operands[0], E_VNx8SFmode)
          || GET_MODE (x3) != E_VNx8SFmode
          || !aligned_register_operand (operands[1], E_VNx8SFmode))
        return -1;
      return 8;

    case E_VNx16SFmode:
      if (!aligned_register_operand (operands[0], E_VNx16SFmode)
          || GET_MODE (x3) != E_VNx16SFmode
          || !aligned_register_operand (operands[1], E_VNx16SFmode))
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern76 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DImode))
        return -1;
      return 1;

    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 2;

        case E_DImode:
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 3;

        case E_HImode:
          if (!register_operand (operands[1], E_HImode))
            return -1;
          return 4;

        default:
          return -1;
        }

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HImode))
        return -1;
      return 5;

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HImode))
        return -1;
      return 6;

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SImode))
        return -1;
      return 7;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SImode))
        return -1;
      return 8;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DImode))
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern99 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          return pattern77 (x3, 
E_V8QImode); /* [-1, 0] */

        case E_V16QImode:
          if (pattern77 (x3, 
E_V16QImode) != 0)
            return -1;
          return 1;

        case E_V4HImode:
          if (pattern77 (x3, 
E_V4HImode) != 0)
            return -1;
          return 2;

        case E_V8HImode:
          if (pattern77 (x3, 
E_V8HImode) != 0)
            return -1;
          return 3;

        case E_V2SImode:
          if (pattern77 (x3, 
E_V2SImode) != 0)
            return -1;
          return 4;

        case E_V4SImode:
          if (pattern77 (x3, 
E_V4SImode) != 0)
            return -1;
          return 5;

        case E_V2DImode:
          if (pattern77 (x3, 
E_V2DImode) != 0)
            return -1;
          return 6;

        case E_DImode:
          if (pattern77 (x3, 
E_DImode) != 0)
            return -1;
          return 7;

        case E_VNx32QImode:
          if (pattern78 (x3, 
E_VNx32QImode) != 0)
            return -1;
          return 8;

        case E_VNx16HImode:
          if (pattern78 (x3, 
E_VNx16HImode) != 0)
            return -1;
          return 9;

        case E_VNx8SImode:
          if (pattern78 (x3, 
E_VNx8SImode) != 0)
            return -1;
          return 10;

        case E_VNx4DImode:
          if (pattern78 (x3, 
E_VNx4DImode) != 0)
            return -1;
          return 11;

        case E_VNx64QImode:
          if (pattern78 (x3, 
E_VNx64QImode) != 0)
            return -1;
          return 12;

        case E_VNx32HImode:
          if (pattern78 (x3, 
E_VNx32HImode) != 0)
            return -1;
          return 13;

        case E_VNx16SImode:
          if (pattern78 (x3, 
E_VNx16SImode) != 0)
            return -1;
          return 14;

        case E_VNx8DImode:
          if (pattern78 (x3, 
E_VNx8DImode) != 0)
            return -1;
          return 15;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx32QImode:
          if (pattern79 (x3, 
E_VNx16QImode, 
E_VNx32QImode) != 0)
            return -1;
          return 16;

        case E_VNx16HImode:
          if (pattern79 (x3, 
E_VNx8HImode, 
E_VNx16HImode) != 0)
            return -1;
          return 17;

        case E_VNx8SImode:
          if (pattern79 (x3, 
E_VNx4SImode, 
E_VNx8SImode) != 0)
            return -1;
          return 18;

        case E_VNx4DImode:
          if (pattern79 (x3, 
E_VNx2DImode, 
E_VNx4DImode) != 0)
            return -1;
          return 19;

        case E_VNx64QImode:
          if (pattern79 (x3, 
E_VNx16QImode, 
E_VNx64QImode) != 0)
            return -1;
          return 20;

        case E_VNx32HImode:
          if (pattern79 (x3, 
E_VNx8HImode, 
E_VNx32HImode) != 0)
            return -1;
          return 21;

        case E_VNx16SImode:
          if (pattern79 (x3, 
E_VNx4SImode, 
E_VNx16SImode) != 0)
            return -1;
          return 22;

        case E_VNx8DImode:
          if (pattern79 (x3, 
E_VNx2DImode, 
E_VNx8DImode) != 0)
            return -1;
          return 23;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern136 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 84
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  if (!register_operand (operands[1], E_VNx16QImode))
    return -1;
  return pattern135 (x2); /* [-1, 1] */
}

int
pattern142 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aligned_register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2))
    return -1;
  return 0;
}

int
pattern146 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  if (!register_operand (operands[1], i1))
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  operands[2] = x3;
  if (!register_operand (operands[2], i1))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  operands[3] = x4;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern155 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_si (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern162 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern158 (x3, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern158 (x3, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern159 (x3, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern159 (x3, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern160 (x3, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern160 (x3, 
E_V4SImode) != 0)
        return -1;
      return 5;

    case E_V2DImode:
      if (pattern161 (x3, 
E_V2DImode) != 0)
        return -1;
      return 6;

    case E_DImode:
      if (pattern161 (x3, 
E_DImode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern177 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!register_operand (operands[0], E_QImode)
          || GET_MODE (x3) != E_QImode
          || !register_operand (operands[1], E_QImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx16BImode:
          if (!register_operand (operands[2], E_VNx16BImode)
              || !register_operand (operands[3], E_VNx16QImode))
            return -1;
          return 0;

        case E_VNx8BImode:
          if (!register_operand (operands[2], E_VNx8BImode)
              || !register_operand (operands[3], E_VNx8QImode))
            return -1;
          return 1;

        case E_VNx4BImode:
          if (!register_operand (operands[2], E_VNx4BImode)
              || !register_operand (operands[3], E_VNx4QImode))
            return -1;
          return 2;

        case E_VNx2BImode:
          if (!register_operand (operands[2], E_VNx2BImode)
              || !register_operand (operands[3], E_VNx2QImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_HImode:
      res = pattern173 (x3, 
E_VNx8HImode, 
E_VNx4HImode, 
E_VNx2HImode, 
E_HImode);
      if (res >= 0)
        return res + 4; /* [4, 6] */
      return -1;

    case E_SImode:
      res = pattern174 (x3, 
E_VNx4SImode, 
E_VNx2SImode, 
E_SImode);
      if (res >= 0)
        return res + 7; /* [7, 8] */
      return -1;

    case E_DImode:
      if (pattern175 (x3, 
E_VNx2DImode, 
E_VNx2BImode, 
E_DImode) != 0)
        return -1;
      return 9;

    case E_HFmode:
      res = pattern173 (x3, 
E_VNx8HFmode, 
E_VNx4HFmode, 
E_VNx2HFmode, 
E_HFmode);
      if (res >= 0)
        return res + 10; /* [10, 12] */
      return -1;

    case E_BFmode:
      res = pattern173 (x3, 
E_VNx8BFmode, 
E_VNx4BFmode, 
E_VNx2BFmode, 
E_BFmode);
      if (res >= 0)
        return res + 13; /* [13, 15] */
      return -1;

    case E_SFmode:
      res = pattern174 (x3, 
E_VNx4SFmode, 
E_VNx2SFmode, 
E_SFmode);
      if (res >= 0)
        return res + 16; /* [16, 17] */
      return -1;

    case E_DFmode:
      if (pattern175 (x3, 
E_VNx2DFmode, 
E_VNx2BImode, 
E_DFmode) != 0)
        return -1;
      return 18;

    case E_VNx16QImode:
      if (pattern176 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
        return -1;
      return 19;

    case E_VNx8QImode:
      if (pattern176 (x3, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 20;

    case E_VNx4QImode:
      if (pattern176 (x3, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 21;

    case E_VNx2QImode:
      if (pattern176 (x3, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 22;

    case E_VNx8HImode:
      if (pattern176 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 23;

    case E_VNx4HImode:
      if (pattern176 (x3, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 24;

    case E_VNx2HImode:
      if (pattern176 (x3, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 25;

    case E_VNx4SImode:
      if (pattern176 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 26;

    case E_VNx2SImode:
      if (pattern176 (x3, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 27;

    case E_VNx2DImode:
      if (pattern176 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 28;

    case E_VNx8HFmode:
      if (pattern176 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 29;

    case E_VNx4HFmode:
      if (pattern176 (x3, 
E_VNx4HFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 30;

    case E_VNx2HFmode:
      if (pattern176 (x3, 
E_VNx2HFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 31;

    case E_VNx8BFmode:
      if (pattern176 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 32;

    case E_VNx4BFmode:
      if (pattern176 (x3, 
E_VNx4BFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 33;

    case E_VNx2BFmode:
      if (pattern176 (x3, 
E_VNx2BFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 34;

    case E_VNx4SFmode:
      if (pattern176 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 35;

    case E_VNx2SFmode:
      if (pattern176 (x3, 
E_VNx2SFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 36;

    case E_VNx2DFmode:
      if (pattern176 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 37;

    default:
      return -1;
    }
}

int
pattern230 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[0] = x6;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[1] = x7;
      switch (GET_MODE (x5))
        {
        case E_VNx8SFmode:
          if (GET_MODE (x2) != E_VNx8SFmode
              || GET_MODE (x3) != E_VNx8SFmode
              || !aligned_register_operand (operands[1], E_VNx8SFmode))
            return -1;
          return 0;

        case E_VNx16SFmode:
          if (GET_MODE (x2) != E_VNx16SFmode
              || GET_MODE (x3) != E_VNx16SFmode
              || !aligned_register_operand (operands[1], E_VNx16SFmode))
            return -1;
          return 1;

        case E_VNx4DFmode:
          if (GET_MODE (x2) != E_VNx4DFmode
              || GET_MODE (x3) != E_VNx4DFmode
              || !aligned_register_operand (operands[1], E_VNx4DFmode))
            return -1;
          return 2;

        case E_VNx8DFmode:
          if (GET_MODE (x2) != E_VNx8DFmode
              || GET_MODE (x3) != E_VNx8DFmode
              || !aligned_register_operand (operands[1], E_VNx8DFmode))
            return -1;
          return 3;

        case E_VNx16HFmode:
          if (GET_MODE (x2) != E_VNx16HFmode
              || GET_MODE (x3) != E_VNx16HFmode
              || !aligned_register_operand (operands[1], E_VNx16HFmode))
            return -1;
          return 4;

        case E_VNx32HFmode:
          if (GET_MODE (x2) != E_VNx32HFmode
              || GET_MODE (x3) != E_VNx32HFmode
              || !aligned_register_operand (operands[1], E_VNx32HFmode))
            return -1;
          return 5;

        case E_VNx16BFmode:
          if (GET_MODE (x2) != E_VNx16BFmode
              || GET_MODE (x3) != E_VNx16BFmode
              || !aligned_register_operand (operands[1], E_VNx16BFmode))
            return -1;
          return 6;

        case E_VNx32BFmode:
          if (GET_MODE (x2) != E_VNx32BFmode
              || GET_MODE (x3) != E_VNx32BFmode
              || !aligned_register_operand (operands[1], E_VNx32BFmode))
            return -1;
          return 7;

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x6) != E_SImode)
        return -1;
      x8 = XEXP (x6, 0);
      operands[0] = x8;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x9 = XEXP (x6, 1);
      operands[1] = x9;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[2] = x7;
      switch (GET_MODE (x5))
        {
        case E_VNx8SFmode:
          if (GET_MODE (x2) != E_VNx8SFmode
              || GET_MODE (x3) != E_VNx8SFmode
              || !aligned_register_operand (operands[2], E_VNx8SFmode))
            return -1;
          return 8;

        case E_VNx16SFmode:
          if (GET_MODE (x2) != E_VNx16SFmode
              || GET_MODE (x3) != E_VNx16SFmode
              || !aligned_register_operand (operands[2], E_VNx16SFmode))
            return -1;
          return 9;

        case E_VNx4DFmode:
          if (GET_MODE (x2) != E_VNx4DFmode
              || GET_MODE (x3) != E_VNx4DFmode
              || !aligned_register_operand (operands[2], E_VNx4DFmode))
            return -1;
          return 10;

        case E_VNx8DFmode:
          if (GET_MODE (x2) != E_VNx8DFmode
              || GET_MODE (x3) != E_VNx8DFmode
              || !aligned_register_operand (operands[2], E_VNx8DFmode))
            return -1;
          return 11;

        case E_VNx16HFmode:
          if (GET_MODE (x2) != E_VNx16HFmode
              || GET_MODE (x3) != E_VNx16HFmode
              || !aligned_register_operand (operands[2], E_VNx16HFmode))
            return -1;
          return 12;

        case E_VNx32HFmode:
          if (GET_MODE (x2) != E_VNx32HFmode
              || GET_MODE (x3) != E_VNx32HFmode
              || !aligned_register_operand (operands[2], E_VNx32HFmode))
            return -1;
          return 13;

        case E_VNx16BFmode:
          if (GET_MODE (x2) != E_VNx16BFmode
              || GET_MODE (x3) != E_VNx16BFmode
              || !aligned_register_operand (operands[2], E_VNx16BFmode))
            return -1;
          return 14;

        case E_VNx32BFmode:
          if (GET_MODE (x2) != E_VNx32BFmode
              || GET_MODE (x3) != E_VNx32BFmode
              || !aligned_register_operand (operands[2], E_VNx32BFmode))
            return -1;
          return 15;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern263 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 5);
  if (GET_CODE (x2) != MEM
      || GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != SCRATCH)
    return -1;
  x4 = XVECEXP (x1, 0, 6);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 86
      || GET_MODE (x4) != E_VNx16BImode)
    return -1;
  return 0;
}

int
pattern268 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx4SImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93
      || GET_MODE (x3) != E_VNx4SImode)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93
      || GET_MODE (x5) != E_VNx4SImode)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  if (!register_operand (operands[1], E_VNx4BImode))
    return -1;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  if (!register_operand (operands[2], E_VNx4BImode))
    return -1;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  if (!register_operand (operands[3], E_VNx4SImode))
    return -1;
  x10 = XVECEXP (x2, 0, 6);
  operands[4] = x10;
  if (!register_operand (operands[4], E_VNx4SImode))
    return -1;
  return 0;
}

int
pattern278 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  operands[0] = x5;
  x6 = XVECEXP (x2, 0, 3);
  operands[1] = x6;
  if (!const_int_operand (operands[1], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 2);
  if (!rtx_equal_p (x7, operands[0]))
    return -1;
  x8 = XVECEXP (x2, 0, 4);
  switch (GET_CODE (x8))
    {
    case REG:
    case SUBREG:
      operands[2] = x8;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 5);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern276 (x2, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern276 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern276 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern276 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        case E_VNx1TImode:
          if (pattern276 (x2, 
E_VNx1TImode, 
E_VNx2BImode) != 0)
            return -1;
          return 4;

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x8) != E_SImode)
        return -1;
      x10 = XEXP (x8, 0);
      operands[2] = x10;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x11 = XEXP (x8, 1);
      operands[3] = x11;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 5);
      operands[4] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern277 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 5;

        case E_VNx8HImode:
          if (pattern277 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 6;

        case E_VNx4SImode:
          if (pattern277 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 7;

        case E_VNx2DImode:
          if (pattern277 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 8;

        case E_VNx1TImode:
          if (pattern277 (x2, 
E_VNx1TImode, 
E_VNx2BImode) != 0)
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern295 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || pattern294 (x1, 
i1, 
i2) != 0)
    return -1;
  return 0;
}

int
pattern299 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x1) != E_SFmode
          || GET_MODE (x2) != E_SFmode
          || !aarch64_fp_pow2_recip (operands[2], E_SFmode))
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 0;

        case E_DImode:
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x1) != E_DFmode
          || GET_MODE (x2) != E_DFmode
          || !aarch64_fp_pow2_recip (operands[2], E_DFmode))
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DImode:
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 2;

        case E_SImode:
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern312 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern316 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[2] = x4;
      x5 = XEXP (x1, 1);
      operands[3] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern314 (x1, 
E_VNx16QImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern314 (x1, 
E_VNx8HImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern314 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern314 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x5 = XEXP (x1, 1);
      if (GET_CODE (x5) != VEC_DUPLICATE)
        return -1;
      x6 = XEXP (x4, 0);
      operands[2] = x6;
      x7 = XEXP (x5, 0);
      operands[3] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx32QImode:
          if (pattern315 (x1, 
E_VNx16QImode, 
E_VNx32QImode) != 0)
            return -1;
          return 4;

        case E_VNx16HImode:
          if (pattern315 (x1, 
E_VNx8HImode, 
E_VNx16HImode) != 0)
            return -1;
          return 5;

        case E_VNx8SImode:
          if (pattern315 (x1, 
E_VNx4SImode, 
E_VNx8SImode) != 0)
            return -1;
          return 6;

        case E_VNx4DImode:
          if (pattern315 (x1, 
E_VNx2DImode, 
E_VNx4DImode) != 0)
            return -1;
          return 7;

        case E_VNx64QImode:
          if (pattern315 (x1, 
E_VNx16QImode, 
E_VNx64QImode) != 0)
            return -1;
          return 8;

        case E_VNx32HImode:
          if (pattern315 (x1, 
E_VNx8HImode, 
E_VNx32HImode) != 0)
            return -1;
          return 9;

        case E_VNx16SImode:
          if (pattern315 (x1, 
E_VNx4SImode, 
E_VNx16SImode) != 0)
            return -1;
          return 10;

        case E_VNx8DImode:
          if (pattern315 (x1, 
E_VNx2DImode, 
E_VNx8DImode) != 0)
            return -1;
          return 11;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern337 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_SImode
      || !register_operand (operands[1], E_SImode)
      || !aarch64_simd_shift_imm_offset_si (operands[2], i1))
    return -1;
  return 0;
}

int
pattern339 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_qi (operands[2], i1))
    return -1;
  return 0;
}

int
pattern343 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  return pattern338 (x1); /* [-1, 2] */
}

int
pattern346 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_plus_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern353 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != CLOBBER)
    return -1;
  x3 = XVECEXP (x1, 0, 0);
  x4 = XEXP (x3, 0);
  operands[0] = x4;
  x5 = XEXP (x3, 1);
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  x7 = XEXP (x2, 0);
  operands[2] = x7;
  if (!scratch_operand (operands[2], E_VNx16BImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x5) != E_VNx16QImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_QImode:
          if (!aarch64_sve_dup_operand (operands[1], E_QImode))
            return -1;
          return 0;

        case E_V16QImode:
          if (!nonimmediate_operand (operands[1], E_V16QImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_VNx8QImode:
      if (!register_operand (operands[0], E_VNx8QImode)
          || GET_MODE (x5) != E_VNx8QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode))
        return -1;
      return 2;

    case E_VNx4QImode:
      if (!register_operand (operands[0], E_VNx4QImode)
          || GET_MODE (x5) != E_VNx4QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode))
        return -1;
      return 3;

    case E_VNx2QImode:
      if (!register_operand (operands[0], E_VNx2QImode)
          || GET_MODE (x5) != E_VNx2QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode))
        return -1;
      return 4;

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x5) != E_VNx8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_HImode:
          if (!aarch64_sve_dup_operand (operands[1], E_HImode))
            return -1;
          return 5;

        case E_V8HImode:
          if (!nonimmediate_operand (operands[1], E_V8HImode))
            return -1;
          return 6;

        default:
          return -1;
        }

    case E_VNx4HImode:
      if (!register_operand (operands[0], E_VNx4HImode)
          || GET_MODE (x5) != E_VNx4HImode
          || !aarch64_sve_dup_operand (operands[1], E_HImode))
        return -1;
      return 7;

    case E_VNx2HImode:
      if (!register_operand (operands[0], E_VNx2HImode)
          || GET_MODE (x5) != E_VNx2HImode
          || !aarch64_sve_dup_operand (operands[1], E_HImode))
        return -1;
      return 8;

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x5) != E_VNx4SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!aarch64_sve_dup_operand (operands[1], E_SImode))
            return -1;
          return 9;

        case E_V4SImode:
          if (!nonimmediate_operand (operands[1], E_V4SImode))
            return -1;
          return 10;

        default:
          return -1;
        }

    case E_VNx2SImode:
      if (!register_operand (operands[0], E_VNx2SImode)
          || GET_MODE (x5) != E_VNx2SImode
          || !aarch64_sve_dup_operand (operands[1], E_SImode))
        return -1;
      return 11;

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x5) != E_VNx2DImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DImode:
          if (!aarch64_sve_dup_operand (operands[1], E_DImode))
            return -1;
          return 12;

        case E_V2DImode:
          if (!nonimmediate_operand (operands[1], E_V2DImode))
            return -1;
          return 13;

        default:
          return -1;
        }

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x5) != E_VNx8HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_HFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_HFmode))
            return -1;
          return 14;

        case E_V8HFmode:
          if (!nonimmediate_operand (operands[1], E_V8HFmode))
            return -1;
          return 15;

        default:
          return -1;
        }

    case E_VNx4HFmode:
      if (!register_operand (operands[0], E_VNx4HFmode)
          || GET_MODE (x5) != E_VNx4HFmode
          || !aarch64_sve_dup_operand (operands[1], E_HFmode))
        return -1;
      return 16;

    case E_VNx2HFmode:
      if (!register_operand (operands[0], E_VNx2HFmode)
          || GET_MODE (x5) != E_VNx2HFmode
          || !aarch64_sve_dup_operand (operands[1], E_HFmode))
        return -1;
      return 17;

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x5) != E_VNx8BFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_BFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_BFmode))
            return -1;
          return 18;

        case E_V8BFmode:
          if (!nonimmediate_operand (operands[1], E_V8BFmode))
            return -1;
          return 19;

        default:
          return -1;
        }

    case E_VNx4BFmode:
      if (!register_operand (operands[0], E_VNx4BFmode)
          || GET_MODE (x5) != E_VNx4BFmode
          || !aarch64_sve_dup_operand (operands[1], E_BFmode))
        return -1;
      return 20;

    case E_VNx2BFmode:
      if (!register_operand (operands[0], E_VNx2BFmode)
          || GET_MODE (x5) != E_VNx2BFmode
          || !aarch64_sve_dup_operand (operands[1], E_BFmode))
        return -1;
      return 21;

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x5) != E_VNx4SFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_SFmode))
            return -1;
          return 22;

        case E_V4SFmode:
          if (!nonimmediate_operand (operands[1], E_V4SFmode))
            return -1;
          return 23;

        default:
          return -1;
        }

    case E_VNx2SFmode:
      if (!register_operand (operands[0], E_VNx2SFmode)
          || GET_MODE (x5) != E_VNx2SFmode
          || !aarch64_sve_dup_operand (operands[1], E_SFmode))
        return -1;
      return 24;

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x5) != E_VNx2DFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_DFmode))
            return -1;
          return 25;

        case E_V2DFmode:
          if (!nonimmediate_operand (operands[1], E_V2DFmode))
            return -1;
          return 26;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern406 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (XVECLEN (x3, 0) != 2
      || XINT (x3, 1) != 125)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != NOT)
    return -1;
  x5 = XVECEXP (x3, 0, 0);
  operands[4] = x5;
  x6 = XEXP (x4, 0);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[3] = x6;
      x7 = XEXP (x2, 1);
      operands[2] = x7;
      x8 = XEXP (x1, 1);
      operands[1] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern404 (x1, 
E_VNx16QImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern404 (x1, 
E_VNx8HImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern404 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern404 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case XOR:
      x9 = XEXP (x6, 0);
      operands[1] = x9;
      x10 = XEXP (x6, 1);
      operands[2] = x10;
      x7 = XEXP (x2, 1);
      operands[3] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern405 (x1, 
E_VNx16QImode) != 0)
            return -1;
          return 4;

        case E_VNx8HImode:
          if (pattern405 (x1, 
E_VNx8HImode) != 0)
            return -1;
          return 5;

        case E_VNx4SImode:
          if (pattern405 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 6;

        case E_VNx2DImode:
          if (pattern405 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern419 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern423 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern429 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x1) != E_V16QImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V8QImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode)
          || !aarch64_simd_reg_or_zero (operands[2], E_V8QImode)
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V8QImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4HImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V4HImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V4HImode))
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4HImode:
          if (!register_operand (operands[1], E_V4HImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HImode))
            return -1;
          return 1;

        case E_V4HFmode:
          if (!register_operand (operands[1], E_V4HFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HFmode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2SImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V2SImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V2SImode))
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V2SImode:
          if (!register_operand (operands[1], E_V2SImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SImode))
            return -1;
          return 3;

        case E_V2SFmode:
          if (!register_operand (operands[1], E_V2SFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SFmode))
            return -1;
          return 4;

        default:
          return -1;
        }

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x1) != E_V2DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DFmode)
          || !aarch64_simd_reg_or_zero (operands[2], E_DFmode)
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_DImode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern456 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x2, 1);
  operands[3] = x6;
  x7 = XEXP (x1, 1);
  operands[4] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode
          || GET_MODE (x2) != E_SImode
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[1], E_SImode)
          || !aarch64_shift_imm_si (operands[2], E_QImode)
          || !aarch64_logical_immediate (operands[3], E_SImode)
          || !register_operand (operands[4], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode
          || GET_MODE (x2) != E_DImode
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DImode)
          || !aarch64_shift_imm_di (operands[2], E_QImode)
          || !aarch64_logical_immediate (operands[3], E_DImode)
          || !register_operand (operands[4], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern468 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_nonimmediate_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_simd_imm_one (operands[1], i2)
      || !aarch64_sve_nonimmediate_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern472 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !general_operand (operands[3], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  switch (GET_MODE (x3))
    {
    case E_VNx8QImode:
      if (!register_operand (operands[2], E_VNx8BImode)
          || !memory_operand (operands[1], E_VNx8QImode)
          || !aarch64_maskload_else_operand (operands[4], E_VNx8QImode))
        return -1;
      return 0;

    case E_VNx4QImode:
      if (!register_operand (operands[2], E_VNx4BImode)
          || !memory_operand (operands[1], E_VNx4QImode)
          || !aarch64_maskload_else_operand (operands[4], E_VNx4QImode))
        return -1;
      return 1;

    case E_VNx2QImode:
      if (!register_operand (operands[2], E_VNx2BImode)
          || !memory_operand (operands[1], E_VNx2QImode)
          || !aarch64_maskload_else_operand (operands[4], E_VNx2QImode))
        return -1;
      return 2;

    case E_VNx4HImode:
      if (!register_operand (operands[2], E_VNx4BImode)
          || !memory_operand (operands[1], E_VNx4HImode)
          || !aarch64_maskload_else_operand (operands[4], E_VNx4HImode))
        return -1;
      return 3;

    case E_VNx2HImode:
      if (!register_operand (operands[2], E_VNx2BImode)
          || !memory_operand (operands[1], E_VNx2HImode)
          || !aarch64_maskload_else_operand (operands[4], E_VNx2HImode))
        return -1;
      return 4;

    case E_VNx2SImode:
      if (!register_operand (operands[2], E_VNx2BImode)
          || !memory_operand (operands[1], E_VNx2SImode)
          || !aarch64_maskload_else_operand (operands[4], E_VNx2SImode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern482 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern489 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_SImode:
      if (!nonimmediate_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_QImode:
      if (!nonimmediate_operand (operands[1], E_QImode))
        return -1;
      return 1;

    case E_HImode:
      if (!nonimmediate_operand (operands[1], E_HImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern497 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      return pattern496 (x1, 
E_V4HFmode); /* [-1, 0] */

    case E_V8HFmode:
      if (pattern496 (x1, 
E_V8HFmode) != 0)
        return -1;
      return 1;

    case E_V2SFmode:
      if (pattern496 (x1, 
E_V2SFmode) != 0)
        return -1;
      return 2;

    case E_V4SFmode:
      if (pattern496 (x1, 
E_V4SFmode) != 0)
        return -1;
      return 3;

    case E_V2DFmode:
      if (pattern496 (x1, 
E_V2DFmode) != 0)
        return -1;
      return 4;

    default:
      return -1;
    }
}

int
pattern508 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XEXP (x1, 1);
  operands[1] = x4;
  return pattern507 (x1); /* [-1, 4] */
}

int
pattern511 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != PLUS)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  x7 = XEXP (x4, 1);
  operands[4] = x7;
  x8 = XEXP (x3, 1);
  operands[3] = x8;
  switch (GET_CODE (operands[3]))
    {
    case CONST_VECTOR:
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (!register_operand (operands[0], E_V8QImode)
              || GET_MODE (x1) != E_V8QImode
              || pattern439 (x2, 
E_V8QImode, 
E_V8HImode) != 0)
            return -1;
          return 0;

        case E_V16QImode:
          if (!register_operand (operands[0], E_V16QImode)
              || GET_MODE (x1) != E_V16QImode
              || GET_MODE (x2) != E_V16QImode
              || GET_MODE (x3) != E_V16HImode
              || GET_MODE (x4) != E_V16HImode
              || GET_MODE (x5) != E_V16HImode
              || !register_operand (operands[2], E_V16QImode)
              || !aarch64_int_rnd_operand (operands[4], E_V16HImode)
              || !aarch64_simd_shift_imm_vec_qi (operands[3], E_V16QImode)
              || !register_operand (operands[1], E_V16QImode))
            return -1;
          return 1;

        case E_V4HImode:
          if (!register_operand (operands[0], E_V4HImode)
              || GET_MODE (x1) != E_V4HImode
              || pattern440 (x2, 
E_V4HImode, 
E_V4SImode) != 0)
            return -1;
          return 2;

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x1) != E_V8HImode
              || GET_MODE (x2) != E_V8HImode
              || GET_MODE (x3) != E_V8SImode
              || GET_MODE (x4) != E_V8SImode
              || GET_MODE (x5) != E_V8SImode
              || !register_operand (operands[2], E_V8HImode)
              || !aarch64_int_rnd_operand (operands[4], E_V8SImode)
              || !aarch64_simd_shift_imm_vec_hi (operands[3], E_V8HImode)
              || !register_operand (operands[1], E_V8HImode))
            return -1;
          return 3;

        case E_V2SImode:
          if (!register_operand (operands[0], E_V2SImode)
              || GET_MODE (x1) != E_V2SImode
              || pattern441 (x2, 
E_V2SImode, 
E_V2DImode) != 0)
            return -1;
          return 4;

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x1) != E_V4SImode
              || GET_MODE (x2) != E_V4SImode
              || GET_MODE (x3) != E_V4DImode
              || GET_MODE (x4) != E_V4DImode
              || GET_MODE (x5) != E_V4DImode
              || !register_operand (operands[2], E_V4SImode)
              || !aarch64_int_rnd_operand (operands[4], E_V4DImode)
              || !aarch64_simd_shift_imm_vec_si (operands[3], E_V4SImode)
              || !register_operand (operands[1], E_V4SImode))
            return -1;
          return 5;

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x1) != E_V2DImode
              || GET_MODE (x2) != E_V2DImode
              || GET_MODE (x3) != E_V2TImode
              || GET_MODE (x4) != E_V2TImode
              || GET_MODE (x5) != E_V2TImode
              || !register_operand (operands[2], E_V2DImode)
              || !aarch64_int_rnd_operand (operands[4], E_V2TImode)
              || !aarch64_simd_shift_imm_vec_di (operands[3], E_V2DImode)
              || !register_operand (operands[1], E_V2DImode))
            return -1;
          return 6;

        default:
          return -1;
        }

    case CONST_INT:
      if (!aarch64_simd_shift_imm_offset_di (operands[3], E_DImode)
          || !register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode
          || GET_MODE (x2) != E_DImode
          || GET_MODE (x3) != E_TImode
          || GET_MODE (x4) != E_TImode
          || GET_MODE (x5) != E_TImode
          || !register_operand (operands[2], E_DImode)
          || !aarch64_int_rnd_operand (operands[4], E_TImode)
          || !register_operand (operands[1], E_DImode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern556 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i1))
    return -1;
  return 0;
}

int
pattern561 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_CC_NZCmode)
    return -1;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_CC_NZCmode)
    return -1;
  return 0;
}

int
pattern567 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != CLOBBER)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != MEM
      || GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != SCRATCH)
    return -1;
  return 0;
}

int
pattern572 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sync_memory_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_logical_operand (operands[1], i1)
      || !scratch_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern578 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx8HImode:
      if (!register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 0;

    case E_VNx4HImode:
      if (!register_operand (operands[1], E_VNx4HImode))
        return -1;
      return 1;

    case E_VNx2HImode:
      if (!register_operand (operands[1], E_VNx2HImode))
        return -1;
      return 2;

    case E_VNx4SImode:
      if (!register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 3;

    case E_VNx2SImode:
      if (!register_operand (operands[1], E_VNx2SImode))
        return -1;
      return 4;

    case E_VNx2DImode:
      if (!register_operand (operands[1], E_VNx2DImode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern587 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_logical_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern594 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  x3 = XVECEXP (x1, 0, 1);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern593 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern593 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern593 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern593 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern593 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern593 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern593 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern593 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern593 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern593 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern608 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != VEC_SELECT)
    return -1;
  x4 = XEXP (x1, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  return pattern293 (x1); /* [-1, 2] */
}

int
pattern611 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i2))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern619 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V8QImode:
      if (!register_operand (operands[3], E_V8QImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[3], E_V16QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern623 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern621 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern621 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_V8HImode:
      if (pattern622 (x1, 
E_V8QImode, 
E_V8HImode) != 0)
        return -1;
      return 6;

    case E_V4SImode:
      if (pattern622 (x1, 
E_V4HImode, 
E_V4SImode) != 0)
        return -1;
      return 7;

    case E_V2DImode:
      if (pattern622 (x1, 
E_V2SImode, 
E_V2DImode) != 0)
        return -1;
      return 8;

    default:
      return -1;
    }
}

int
pattern632 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  return pattern631 (x1); /* [-1, 4] */
}

int
pattern635 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (!rtx_equal_p (x3, operands[1]))
    return -1;
  x4 = XEXP (x2, 1);
  if (!rtx_equal_p (x4, operands[2]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern634 (x1, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern634 (x1, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern634 (x1, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern634 (x1, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern634 (x1, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern634 (x1, 
E_V4SImode) != 0)
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern646 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x5 = XEXP (x2, 1);
  operands[3] = x5;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern657 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[2] = x3;
  x4 = XEXP (x1, 1);
  operands[3] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern654 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern654 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern654 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern654 (x1, 
E_DImode, 
E_V2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern665 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  return pattern663 (x1); /* [-1, 2] */
}

int
pattern668 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[3], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern673 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (GET_CODE (x2))
    {
    case CONST_INT:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case CONST:
      operands[5] = x2;
      x3 = XEXP (x1, 0);
      x4 = XEXP (x3, 0);
      x5 = XEXP (x4, 0);
      x6 = XEXP (x5, 0);
      x7 = XEXP (x6, 0);
      operands[1] = x7;
      x8 = XEXP (x6, 1);
      operands[2] = x8;
      x9 = XEXP (x5, 1);
      operands[3] = x9;
      x10 = XEXP (x4, 1);
      operands[4] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          return pattern671 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V16QImode); /* [-1, 0] */

        case E_V8HImode:
          if (pattern671 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V8HImode) != 0)
            return -1;
          return 1;

        case E_V4SImode:
          if (pattern671 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V4SImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x2;
      x3 = XEXP (x1, 0);
      x4 = XEXP (x3, 0);
      x5 = XEXP (x4, 0);
      x6 = XEXP (x5, 0);
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      x8 = XEXP (x6, 1);
      operands[3] = x8;
      x9 = XEXP (x5, 1);
      operands[4] = x9;
      x10 = XEXP (x4, 1);
      operands[5] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern672 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V16QImode) != 0)
            return -1;
          return 3;

        case E_V8HImode:
          if (pattern672 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V8HImode) != 0)
            return -1;
          return 4;

        case E_V4SImode:
          if (pattern672 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V4SImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern694 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x5, 0, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern701 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  operands[4] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx4SImode:
      return pattern697 (x1, 
E_VNx4SImode, 
E_VNx4BImode); /* [-1, 0] */

    case E_VNx2DImode:
      if (pattern697 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern705 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!register_operand (operands[0], E_QImode)
          || !aarch64_simd_shift_imm_qi (operands[1], E_VOIDmode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[0], E_HImode)
          || !aarch64_simd_shift_imm_hi (operands[1], E_VOIDmode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !aarch64_simd_shift_imm_si (operands[1], E_VOIDmode))
        return -1;
      return 2;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !aarch64_simd_shift_imm_di (operands[1], E_VOIDmode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern713 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_struct_nonimmediate_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !aarch64_sve_struct_nonimmediate_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern718 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_vsm_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern721 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern720 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern720 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern720 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern720 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern720 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern720 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern720 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern720 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern720 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern720 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    case E_V2DImode:
      if (pattern720 (x1, 
E_V2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 10;

    default:
      return -1;
    }
}

int
pattern734 (rtx x1, unsigned int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i1
      || GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[0] = x4;
  if (!pmode_register_operand (operands[0], E_VOIDmode))
    return -1;
  return 0;
}

int
pattern742 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sve_add_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern747 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_sve_arith_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern750 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      x2 = XEXP (x1, 0);
      operands[3] = x2;
      if (!register_operand (operands[3], E_DImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x3, 0);
      if (GET_MODE (x4) != E_DImode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x3, 1);
      if (GET_MODE (x6) != E_DImode)
        return -1;
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (pattern749 (x1, 
E_V8QImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern749 (x1, 
E_V4HImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern749 (x1, 
E_V2SImode, 
E_V2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern766 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern770 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern779 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[4], i1))
    return -1;
  return 0;
}

int
pattern787 (rtx x1, machine_mode i1, int i2, int i3, rtx_code i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != i4
      || XVECLEN (x2, 0) != i3
      || XINT (x2, 1) != i2
      || GET_MODE (x2) != i1)
    return -1;
  return 0;
}

int
pattern793 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[1] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern792 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern792 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern792 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern792 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern806 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_lshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern813 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[0] = x3;
  x4 = XEXP (x2, 1);
  operands[1] = x4;
  x5 = XEXP (x1, 1);
  operands[2] = x5;
  switch (GET_MODE (x1))
    {
    case E_SImode:
      if (GET_MODE (x2) != E_SImode
          || !register_operand (operands[0], E_SImode)
          || !aarch64_shift_imm_si (operands[1], E_QImode)
          || !register_operand (operands[2], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (GET_MODE (x2) != E_DImode
          || !register_operand (operands[0], E_DImode)
          || !aarch64_shift_imm_di (operands[1], E_QImode)
          || !register_operand (operands[2], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern824 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !immediate_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern831 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern844 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern851 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !aarch64_simd_reg_or_zero (operands[3], i1))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx8BImode:
      if (!register_operand (operands[1], E_VNx8BImode)
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 0;

    case E_VNx4BImode:
      if (!register_operand (operands[1], E_VNx4BImode)
          || !register_operand (operands[2], E_VNx4SImode))
        return -1;
      return 1;

    case E_VNx2BImode:
      if (!register_operand (operands[1], E_VNx2BImode)
          || !register_operand (operands[2], E_VNx2DImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern862 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != UNSPEC)
    return -1;
  switch (XVECLEN (x3, 0))
    {
    case 2:
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      x5 = XVECEXP (x3, 0, 1);
      operands[3] = x5;
      switch (XINT (x3, 1))
        {
        case 415:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              return pattern856 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

            case E_VNx8QImode:
              if (pattern856 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 1;

            case E_VNx4QImode:
              if (pattern856 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 2;

            case E_VNx2QImode:
              if (pattern856 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 3;

            case E_VNx8HImode:
              if (pattern856 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 4;

            case E_VNx4HImode:
              if (pattern856 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 5;

            case E_VNx2HImode:
              if (pattern856 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 6;

            case E_VNx4SImode:
              if (pattern856 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 7;

            case E_VNx2SImode:
              if (pattern856 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 8;

            case E_VNx2DImode:
              if (pattern856 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 9;

            default:
              return -1;
            }

        case 226:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern857 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 10;

            case E_VNx8QImode:
              if (pattern857 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 11;

            case E_VNx4QImode:
              if (pattern857 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 12;

            case E_VNx2QImode:
              if (pattern857 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 13;

            case E_VNx8HImode:
              if (pattern857 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 14;

            case E_VNx4HImode:
              if (pattern857 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 15;

            case E_VNx2HImode:
              if (pattern857 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 16;

            case E_VNx4SImode:
              if (pattern857 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 17;

            case E_VNx2SImode:
              if (pattern857 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 18;

            case E_VNx2DImode:
              if (pattern857 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 19;

            default:
              return -1;
            }

        case 224:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern856 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 20;

            case E_VNx8QImode:
              if (pattern856 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 21;

            case E_VNx4QImode:
              if (pattern856 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 22;

            case E_VNx2QImode:
              if (pattern856 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 23;

            case E_VNx8HImode:
              if (pattern856 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 24;

            case E_VNx4HImode:
              if (pattern856 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 25;

            case E_VNx2HImode:
              if (pattern856 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 26;

            case E_VNx4SImode:
              if (pattern856 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 27;

            case E_VNx2SImode:
              if (pattern856 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 28;

            case E_VNx2DImode:
              if (pattern856 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 29;

            default:
              return -1;
            }

        case 225:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern856 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 30;

            case E_VNx8QImode:
              if (pattern856 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 31;

            case E_VNx4QImode:
              if (pattern856 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 32;

            case E_VNx2QImode:
              if (pattern856 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 33;

            case E_VNx8HImode:
              if (pattern856 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 34;

            case E_VNx4HImode:
              if (pattern856 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 35;

            case E_VNx2HImode:
              if (pattern856 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 36;

            case E_VNx4SImode:
              if (pattern856 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 37;

            case E_VNx2SImode:
              if (pattern856 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 38;

            case E_VNx2DImode:
              if (pattern856 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 39;

            default:
              return -1;
            }

        case 210:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 40;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 41;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 42;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 43;

            default:
              return -1;
            }

        case 214:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 44;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 45;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 46;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 47;

            default:
              return -1;
            }

        case 233:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 48;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 49;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 50;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 51;

            default:
              return -1;
            }

        case 212:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 52;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 53;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 54;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 55;

            default:
              return -1;
            }

        case 231:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 56;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 57;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 58;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 59;

            default:
              return -1;
            }

        case 221:
          res = pattern860 (x1);
          if (res >= 0)
            return res + 60; /* [60, 67] */
          return -1;

        case 211:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 68;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 69;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 70;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 71;

            default:
              return -1;
            }

        case 215:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 72;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 73;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 74;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 75;

            default:
              return -1;
            }

        case 234:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 76;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 77;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 78;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 79;

            default:
              return -1;
            }

        case 213:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 80;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 81;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 82;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 83;

            default:
              return -1;
            }

        case 232:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern858 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 84;

            case E_VNx8HImode:
              if (pattern858 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 85;

            case E_VNx4SImode:
              if (pattern858 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 86;

            case E_VNx2DImode:
              if (pattern858 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 87;

            default:
              return -1;
            }

        case 220:
          res = pattern860 (x1);
          if (res >= 0)
            return res + 88; /* [88, 95] */
          return -1;

        case 227:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern861 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 96;

            case E_VNx8HImode:
              if (pattern861 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 97;

            case E_VNx4SImode:
              if (pattern861 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 98;

            case E_VNx2DImode:
              if (pattern861 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 99;

            default:
              return -1;
            }

        case 228:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern861 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 100;

            case E_VNx8HImode:
              if (pattern861 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 101;

            case E_VNx4SImode:
              if (pattern861 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 102;

            case E_VNx2DImode:
              if (pattern861 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 103;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 1:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4BImode)
          || GET_MODE (x2) != E_VNx4SImode)
        return -1;
      x6 = XVECEXP (x2, 0, 0);
      operands[4] = x6;
      if (GET_MODE (x3) != E_VNx4SImode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      if (!register_operand (operands[2], E_VNx4SImode))
        return -1;
      x7 = XVECEXP (x1, 0, 2);
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode))
        return -1;
      switch (XINT (x3, 1))
        {
        case 26:
          return 104;

        case 111:
          return 105;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1050 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[3] = x2;
  x3 = XVECEXP (x1, 0, 2);
  operands[2] = x3;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[2], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[2], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1061 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          return pattern1040 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx4SFmode:
          if (pattern1040 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 1;

        case E_VNx2DFmode:
          if (pattern1040 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x4, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1040 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 3;

        case E_VNx4SFmode:
          if (pattern1040 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 4;

        case E_VNx2DFmode:
          if (pattern1040 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1081 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[2], i3)
      || !vect_par_cnst_even_or_odd_half (operands[3], i2))
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i2
      || !vect_par_cnst_even_or_odd_half (operands[4], i2)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1097 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XVECEXP (x4, 0, 0);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x6 = XVECEXP (x3, 0, 0);
  operands[3] = x6;
  x7 = XVECEXP (x3, 0, 1);
  operands[4] = x7;
  x8 = XVECEXP (x4, 0, 1);
  operands[1] = x8;
  x9 = XVECEXP (x4, 0, 2);
  operands[2] = x9;
  x10 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x10))
    {
    case SET:
      x11 = XEXP (x10, 1);
      if (GET_CODE (x11) != UNSPEC
          || XVECLEN (x11, 0) != 3
          || XINT (x11, 1) != i1)
        return -1;
      x12 = XVECEXP (x11, 0, 0);
      if (x12 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x13 = XEXP (x10, 0);
      operands[0] = x13;
      x14 = XVECEXP (x11, 0, 1);
      if (!rtx_equal_p (x14, operands[1]))
        return -1;
      x15 = XVECEXP (x11, 0, 2);
      if (!rtx_equal_p (x15, operands[2]))
        return -1;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (!register_operand (operands[0], E_VNx16BImode)
              || GET_MODE (x11) != E_VNx16BImode)
            return -1;
          return 0;

        case E_VNx8BImode:
          if (!register_operand (operands[0], E_VNx8BImode)
              || GET_MODE (x11) != E_VNx8BImode)
            return -1;
          return 1;

        case E_VNx4BImode:
          if (!register_operand (operands[0], E_VNx4BImode)
              || GET_MODE (x11) != E_VNx4BImode)
            return -1;
          return 2;

        case E_VNx2BImode:
          if (!register_operand (operands[0], E_VNx2BImode)
              || GET_MODE (x11) != E_VNx2BImode)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CLOBBER:
      x13 = XEXP (x10, 0);
      operands[0] = x13;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (!scratch_operand (operands[0], E_VNx16BImode))
            return -1;
          return 4;

        case E_VNx8BImode:
          if (!scratch_operand (operands[0], E_VNx8BImode))
            return -1;
          return 5;

        case E_VNx4BImode:
          if (!scratch_operand (operands[0], E_VNx4BImode))
            return -1;
          return 6;

        case E_VNx2BImode:
          if (!scratch_operand (operands[0], E_VNx2BImode))
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1121 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[4] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern849 (x1, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 2] */

    case E_VNx4SImode:
      res = pattern849 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DImode:
      res = pattern849 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
      if (res >= 0)
        return res + 6; /* [6, 8] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1130 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], E_VNx16BImode)
      || !register_operand (operands[4], E_VNx2DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      return pattern1129 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8BImode:
      if (pattern1129 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (pattern1129 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1139 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1147 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1154 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 1
      || XINT (x2, 1) != 691
      || GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  return 0;
}

int
pattern1164 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i1))
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[5], i1))
    return -1;
  return 0;
}

int
pattern1175 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  switch (GET_MODE (x1))
    {
    case E_VNx8QImode:
      return 0;

    case E_VNx4QImode:
      return 1;

    case E_VNx2QImode:
      return 2;

    case E_VNx4HImode:
      return 3;

    case E_VNx2HImode:
      return 4;

    case E_VNx2SImode:
      return 5;

    default:
      return -1;
    }
}

int
pattern1182 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !register_operand (operands[3], i2)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1190 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != MINUS)
    return -1;
  x4 = XEXP (x3, 1);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XVECEXP (x1, 0, 0);
  x6 = XEXP (x5, 1);
  x7 = XEXP (x6, 0);
  x8 = XEXP (x7, 1);
  x9 = XEXP (x8, 0);
  operands[2] = x9;
  x10 = XEXP (x3, 0);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  x11 = XEXP (x4, 0);
  if (!rtx_equal_p (x11, operands[2]))
    return -1;
  switch (GET_MODE (x7))
    {
    case E_SImode:
      return pattern1189 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern1189 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1196 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !aarch64_sync_memory_operand (operands[1], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_logical_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1203 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_simd_imm_zero (operands[3], i1)
      || !aarch64_simd_imm_one (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1210 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  return 0;
}

int
pattern1218 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x2))
    {
    case SET:
      x3 = XEXP (x2, 1);
      if (GET_CODE (x3) != AND)
        return -1;
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != i1)
        return -1;
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      x6 = XEXP (x4, 0);
      if (!rtx_equal_p (x6, operands[2]))
        return -1;
      x7 = XEXP (x4, 1);
      if (!rtx_equal_p (x7, operands[3]))
        return -1;
      x8 = XEXP (x3, 1);
      if (!rtx_equal_p (x8, operands[4]))
        return -1;
      x9 = XVECEXP (x1, 0, 0);
      x10 = XEXP (x9, 1);
      x11 = XVECEXP (x10, 0, 3);
      switch (GET_MODE (x11))
        {
        case E_VNx16BImode:
          return pattern1217 (x1, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8BImode:
          if (pattern1217 (x1, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4BImode:
          if (pattern1217 (x1, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2BImode:
          if (pattern1217 (x1, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CLOBBER:
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      if (!scratch_operand (operands[0], E_VNx16BImode))
        return -1;
      x9 = XVECEXP (x1, 0, 0);
      x10 = XEXP (x9, 1);
      x11 = XVECEXP (x10, 0, 3);
      switch (GET_MODE (x11))
        {
        case E_VNx16BImode:
          x12 = XEXP (x11, 0);
          if (GET_MODE (x12) != E_VNx16BImode
              || !register_operand (operands[2], E_VNx16BImode)
              || !register_operand (operands[3], E_VNx16BImode))
            return -1;
          return 4;

        case E_VNx8BImode:
          x12 = XEXP (x11, 0);
          if (GET_MODE (x12) != E_VNx8BImode
              || !register_operand (operands[2], E_VNx8BImode)
              || !register_operand (operands[3], E_VNx8BImode))
            return -1;
          return 5;

        case E_VNx4BImode:
          x12 = XEXP (x11, 0);
          if (GET_MODE (x12) != E_VNx4BImode
              || !register_operand (operands[2], E_VNx4BImode)
              || !register_operand (operands[3], E_VNx4BImode))
            return -1;
          return 6;

        case E_VNx2BImode:
          x12 = XEXP (x11, 0);
          if (GET_MODE (x12) != E_VNx2BImode
              || !register_operand (operands[2], E_VNx2BImode)
              || !register_operand (operands[3], E_VNx2BImode))
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1253 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  x5 = XEXP (x3, 1);
  if (!rtx_equal_p (x5, operands[2]))
    return -1;
  x6 = XVECEXP (x1, 0, 0);
  x7 = XEXP (x6, 1);
  x8 = XEXP (x7, 0);
  switch (GET_MODE (x8))
    {
    case E_SImode:
      return pattern1252 (x3, 
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern1252 (x3, 
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1260 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !aarch64_sve_float_arith_immediate (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1267 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i2))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1274 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1282 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!const_int_operand (operands[3], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[4], i1)
      || !const_int_operand (operands[5], i1))
    return -1;
  return 0;
}

int
pattern1288 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_si (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1295 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1)
      || !aarch64_logical_operand (operands[2], i1)
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  return 0;
}

int
pattern1300 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1307 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_gather_scale_operand_h (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[7], i1))
    return -1;
  return 0;
}

int
pattern1312 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 5);
  operands[7] = x2;
  x3 = XVECEXP (x1, 0, 2);
  x4 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x4))
    {
    case SIGN_EXTEND:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          return pattern1311 (x1); /* [-1, 7] */

        case TRUNCATE:
          if (GET_MODE (x5) != E_VNx2SImode)
            return -1;
          x6 = XEXP (x5, 0);
          operands[2] = x6;
          if (!register_operand (operands[2], E_VNx2DImode))
            return -1;
          res = pattern1310 (x1);
          if (res >= 0)
            return res + 8; /* [8, 15] */
          return -1;

        default:
          return -1;
        }

    case ZERO_EXTEND:
      res = pattern1311 (x1);
      if (res >= 0)
        return res + 16; /* [16, 23] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1325 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx32QImode:
      if (!aligned_register_operand (operands[2], E_VNx32QImode)
          || !aligned_register_operand (operands[3], E_VNx32QImode))
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!aligned_register_operand (operands[2], E_VNx64QImode)
          || !aligned_register_operand (operands[3], E_VNx64QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1331 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx4QImode:
      if (!register_operand (operands[2], E_VNx4QImode)
          || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx4QImode))
        return -1;
      return 0;

    case E_VNx4HImode:
      if (!register_operand (operands[2], E_VNx4HImode)
          || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx4HImode))
        return -1;
      return 1;

    case E_VNx4SImode:
      if (!register_operand (operands[2], E_VNx4SImode)
          || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1340 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[2], i1)
      || pattern1338 (x1, 
i1, 
i2) != 0)
    return -1;
  return 0;
}

int
pattern1345 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_gather_scale_operand_d (operands[4], E_DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode)
        return -1;
      return 0;

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x1) != E_VNx2DFmode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1352 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[3]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[3], E_V4HFmode)
          || !aarch64_imm2 (operands[5], E_SImode))
        return -1;
      return 0;

    case E_V8HFmode:
      if (!register_operand (operands[3], E_V8HFmode)
          || !aarch64_lane_imm3 (operands[5], E_SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1357 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BFmode:
      if (!aligned_register_operand (operands[2], E_VNx16BFmode)
          || GET_MODE (x1) != E_VNx16BFmode
          || !register_operand (operands[3], E_VNx8BFmode))
        return -1;
      return 0;

    case E_VNx32BFmode:
      if (!aligned_register_operand (operands[2], E_VNx32BFmode)
          || GET_MODE (x1) != E_VNx32BFmode
          || !register_operand (operands[3], E_VNx8BFmode))
        return -1;
      return 1;

    case E_VNx16HFmode:
      if (!aligned_register_operand (operands[2], E_VNx16HFmode)
          || GET_MODE (x1) != E_VNx16HFmode
          || !register_operand (operands[3], E_VNx8HFmode))
        return -1;
      return 2;

    case E_VNx32HFmode:
      if (!aligned_register_operand (operands[2], E_VNx32HFmode)
          || GET_MODE (x1) != E_VNx32HFmode
          || !register_operand (operands[3], E_VNx8HFmode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1370 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_simd_register (operands[0], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1
      || !memory_operand (operands[4], i2)
      || !aarch64_simd_register (operands[1], i1))
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  x5 = XEXP (x4, 1);
  if (GET_MODE (x5) != i1
      || !aarch64_simd_register (operands[2], i1))
    return -1;
  x6 = XVECEXP (x1, 0, 2);
  x7 = XEXP (x6, 1);
  if (GET_MODE (x7) != i1
      || !aarch64_simd_register (operands[3], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 3);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  return 0;
}

 int
recog_6 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  operands[6] = x3;
  if (!subreg_lowpart_operator (operands[6], E_SImode))
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != ZERO_EXTRACT
      || GET_MODE (x4) != E_DImode
      || !register_operand (operands[0], E_SImode)
      || GET_MODE (x2) != E_SImode)
    return -1;
  x5 = XEXP (x2, 0);
  if (GET_MODE (x5) != E_SImode)
    return -1;
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x7 = XEXP (x5, 1);
  operands[2] = x7;
  if (!const_int_operand (operands[2], E_SImode))
    return -1;
  x8 = XEXP (x4, 0);
  operands[3] = x8;
  if (!register_operand (operands[3], E_DImode))
    return -1;
  x9 = XEXP (x4, 1);
  operands[4] = x9;
  if (!aarch64_simd_shift_imm_si (operands[4], E_SImode))
    return -1;
  x10 = XEXP (x4, 2);
  operands[5] = x10;
  if (!aarch64_simd_shift_imm_si (operands[5], E_SImode)
      || !
#line 6617 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == HOST_WIDE_INT_M1U << INTVAL (operands[4])
   && INTVAL (operands[4])
   && UINTVAL (operands[4]) + UINTVAL (operands[5]) <= 32))
    return -1;
  return 866; /* *aarch64_bfxilsi_extrdi */
}

 int
recog_13 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V3x16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x16QImode)
          || GET_MODE (x3) != E_V3x16QImode
          || !register_operand (operands[1], E_V3x16QImode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4499; /* aarch64_simd_st3v16qi */

    case E_V3x8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8HImode)
          || GET_MODE (x3) != E_V3x8HImode
          || !register_operand (operands[1], E_V3x8HImode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4500; /* aarch64_simd_st3v8hi */

    case E_V3x4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4SImode)
          || GET_MODE (x3) != E_V3x4SImode
          || !register_operand (operands[1], E_V3x4SImode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4501; /* aarch64_simd_st3v4si */

    case E_V3x2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2DImode)
          || GET_MODE (x3) != E_V3x2DImode
          || !register_operand (operands[1], E_V3x2DImode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4502; /* aarch64_simd_st3v2di */

    case E_V3x8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8HFmode)
          || GET_MODE (x3) != E_V3x8HFmode
          || !register_operand (operands[1], E_V3x8HFmode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4503; /* aarch64_simd_st3v8hf */

    case E_V3x4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4SFmode)
          || GET_MODE (x3) != E_V3x4SFmode
          || !register_operand (operands[1], E_V3x4SFmode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4504; /* aarch64_simd_st3v4sf */

    case E_V3x2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2DFmode)
          || GET_MODE (x3) != E_V3x2DFmode
          || !register_operand (operands[1], E_V3x2DFmode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4505; /* aarch64_simd_st3v2df */

    case E_V3x8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8BFmode)
          || GET_MODE (x3) != E_V3x8BFmode
          || !register_operand (operands[1], E_V3x8BFmode)
          || !
#line 7719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4506; /* aarch64_simd_st3v8bf */

    case E_V3x8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8QImode)
          || GET_MODE (x3) != E_V3x8QImode
          || !register_operand (operands[1], E_V3x8QImode)
          || !
#line 8709 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5110; /* aarch64_st3v8qi_dreg */

    case E_V3x4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4HImode)
          || GET_MODE (x3) != E_V3x4HImode
          || !register_operand (operands[1], E_V3x4HImode)
          || !
#line 8709 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5111; /* aarch64_st3v4hi_dreg */

    case E_V3x2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2SImode)
          || GET_MODE (x3) != E_V3x2SImode
          || !register_operand (operands[1], E_V3x2SImode)
          || !
#line 8709 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5112; /* aarch64_st3v2si_dreg */

    case E_V3x4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4HFmode)
          || GET_MODE (x3) != E_V3x4HFmode
          || !register_operand (operands[1], E_V3x4HFmode)
          || !
#line 8709 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5113; /* aarch64_st3v4hf_dreg */

    case E_V3x2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2SFmode)
          || GET_MODE (x3) != E_V3x2SFmode
          || !register_operand (operands[1], E_V3x2SFmode)
          || !
#line 8709 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5114; /* aarch64_st3v2sf_dreg */

    case E_V3x4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4BFmode)
          || GET_MODE (x3) != E_V3x4BFmode
          || !register_operand (operands[1], E_V3x4BFmode)
          || !
#line 8709 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5115; /* aarch64_st3v4bf_dreg */

    case E_V3x1DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x1DImode)
          || GET_MODE (x3) != E_V3x1DImode
          || !register_operand (operands[1], E_V3x1DImode)
          || !
#line 8719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5116; /* aarch64_st3di_dreg */

    case E_V3x1DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x1DFmode)
          || GET_MODE (x3) != E_V3x1DFmode
          || !register_operand (operands[1], E_V3x1DFmode)
          || !
#line 8719 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5117; /* aarch64_st3df_dreg */

    default:
      return -1;
    }
}

 int
recog_17 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  if (!aarch64_simd_struct_operand (operands[1], E_BLKmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V4x8QImode:
      if (!register_operand (operands[0], E_V4x8QImode)
          || GET_MODE (x3) != E_V4x8QImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4531; /* aarch64_simd_ld4rv8qi */

    case E_V4x4HImode:
      if (!register_operand (operands[0], E_V4x4HImode)
          || GET_MODE (x3) != E_V4x4HImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4532; /* aarch64_simd_ld4rv4hi */

    case E_V4x2SImode:
      if (!register_operand (operands[0], E_V4x2SImode)
          || GET_MODE (x3) != E_V4x2SImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4533; /* aarch64_simd_ld4rv2si */

    case E_V4x1DImode:
      if (!register_operand (operands[0], E_V4x1DImode)
          || GET_MODE (x3) != E_V4x1DImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4534; /* aarch64_simd_ld4rdi */

    case E_V4x4HFmode:
      if (!register_operand (operands[0], E_V4x4HFmode)
          || GET_MODE (x3) != E_V4x4HFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4535; /* aarch64_simd_ld4rv4hf */

    case E_V4x2SFmode:
      if (!register_operand (operands[0], E_V4x2SFmode)
          || GET_MODE (x3) != E_V4x2SFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4536; /* aarch64_simd_ld4rv2sf */

    case E_V4x1DFmode:
      if (!register_operand (operands[0], E_V4x1DFmode)
          || GET_MODE (x3) != E_V4x1DFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4537; /* aarch64_simd_ld4rdf */

    case E_V4x4BFmode:
      if (!register_operand (operands[0], E_V4x4BFmode)
          || GET_MODE (x3) != E_V4x4BFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4538; /* aarch64_simd_ld4rv4bf */

    case E_V4x16QImode:
      if (!register_operand (operands[0], E_V4x16QImode)
          || GET_MODE (x3) != E_V4x16QImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4539; /* aarch64_simd_ld4rv16qi */

    case E_V4x8HImode:
      if (!register_operand (operands[0], E_V4x8HImode)
          || GET_MODE (x3) != E_V4x8HImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4540; /* aarch64_simd_ld4rv8hi */

    case E_V4x4SImode:
      if (!register_operand (operands[0], E_V4x4SImode)
          || GET_MODE (x3) != E_V4x4SImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4541; /* aarch64_simd_ld4rv4si */

    case E_V4x2DImode:
      if (!register_operand (operands[0], E_V4x2DImode)
          || GET_MODE (x3) != E_V4x2DImode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4542; /* aarch64_simd_ld4rv2di */

    case E_V4x8HFmode:
      if (!register_operand (operands[0], E_V4x8HFmode)
          || GET_MODE (x3) != E_V4x8HFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4543; /* aarch64_simd_ld4rv8hf */

    case E_V4x4SFmode:
      if (!register_operand (operands[0], E_V4x4SFmode)
          || GET_MODE (x3) != E_V4x4SFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4544; /* aarch64_simd_ld4rv4sf */

    case E_V4x2DFmode:
      if (!register_operand (operands[0], E_V4x2DFmode)
          || GET_MODE (x3) != E_V4x2DFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4545; /* aarch64_simd_ld4rv2df */

    case E_V4x8BFmode:
      if (!register_operand (operands[0], E_V4x8BFmode)
          || GET_MODE (x3) != E_V4x8BFmode
          || !
#line 7774 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4546; /* aarch64_simd_ld4rv8bf */

    default:
      return -1;
    }
}

 int
recog_23 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V3x8QImode:
      if (!register_operand (operands[0], E_V3x8QImode)
          || GET_MODE (x3) != E_V3x8QImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8QImode)
          || !
#line 8405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4813; /* aarch64_ld3v8qi_dreg */

    case E_V3x4HImode:
      if (!register_operand (operands[0], E_V3x4HImode)
          || GET_MODE (x3) != E_V3x4HImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4HImode)
          || !
#line 8405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4814; /* aarch64_ld3v4hi_dreg */

    case E_V3x2SImode:
      if (!register_operand (operands[0], E_V3x2SImode)
          || GET_MODE (x3) != E_V3x2SImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2SImode)
          || !
#line 8405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4815; /* aarch64_ld3v2si_dreg */

    case E_V3x4HFmode:
      if (!register_operand (operands[0], E_V3x4HFmode)
          || GET_MODE (x3) != E_V3x4HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4HFmode)
          || !
#line 8405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4816; /* aarch64_ld3v4hf_dreg */

    case E_V3x2SFmode:
      if (!register_operand (operands[0], E_V3x2SFmode)
          || GET_MODE (x3) != E_V3x2SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2SFmode)
          || !
#line 8405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4817; /* aarch64_ld3v2sf_dreg */

    case E_V3x4BFmode:
      if (!register_operand (operands[0], E_V3x4BFmode)
          || GET_MODE (x3) != E_V3x4BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4BFmode)
          || !
#line 8405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4818; /* aarch64_ld3v4bf_dreg */

    case E_V3x1DImode:
      if (!register_operand (operands[0], E_V3x1DImode)
          || GET_MODE (x3) != E_V3x1DImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x1DImode)
          || !
#line 8415 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4819; /* aarch64_ld3di_dreg */

    case E_V3x1DFmode:
      if (!register_operand (operands[0], E_V3x1DFmode)
          || GET_MODE (x3) != E_V3x1DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x1DFmode)
          || !
#line 8415 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4820; /* aarch64_ld3df_dreg */

    default:
      return -1;
    }
}

 int
recog_28 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1627; /* aarch64_absv8qi */

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1630; /* aarch64_absv16qi */

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x3) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1631; /* aarch64_absv4hi */

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x3) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1634; /* aarch64_absv8hi */

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1635; /* aarch64_absv2si */

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1638; /* aarch64_absv4si */

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x3) != E_V2DImode
          || !register_operand (operands[1], E_V2DImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1639; /* aarch64_absv2di */

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1640; /* aarch64_absdi */

    default:
      return -1;
    }
}

 int
recog_37 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern55 (x1))
    {
    case 0:
      if (!(
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 904; /* roundhf2 */

    case 1:
      if (!
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 911; /* roundsf2 */

    case 2:
      if (!
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 918; /* rounddf2 */

    case 3:
      if (!(
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2507; /* roundv4hf2 */

    case 4:
      if (!(
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2516; /* roundv8hf2 */

    case 5:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2535; /* roundv2sf2 */

    case 6:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2544; /* roundv4sf2 */

    case 7:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2551; /* roundv2df2 */

    case 8:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11459; /* roundvnx8sf2 */

    case 9:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11463; /* roundvnx16sf2 */

    default:
      return -1;
    }
}

 int
recog_44 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern72 (x1))
    {
    case 0:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12917; /* aarch64_sve_zipvnx64qi */

    case 1:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12919; /* aarch64_sve_zipvnx32hi */

    case 2:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12921; /* aarch64_sve_zipvnx16si */

    case 3:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12923; /* aarch64_sve_zipvnx8di */

    case 4:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12925; /* aarch64_sve_zipvnx32bf */

    case 5:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12927; /* aarch64_sve_zipvnx32hf */

    case 6:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12929; /* aarch64_sve_zipvnx16sf */

    case 7:
      if (!
#line 3878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12931; /* aarch64_sve_zipvnx8df */

    default:
      return -1;
    }
}

 int
recog_52 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern54 (x1))
    {
    case 0:
      if (!(
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 898; /* btrunchf2 */

    case 1:
      if (!
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 905; /* btruncsf2 */

    case 2:
      if (!
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 912; /* btruncdf2 */

    case 3:
      if (!(
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2489; /* btruncv4hf2 */

    case 4:
      if (!(
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2510; /* btruncv8hf2 */

    case 5:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2517; /* btruncv2sf2 */

    case 6:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2538; /* btruncv4sf2 */

    case 7:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2545; /* btruncv2df2 */

    default:
      return -1;
    }
}

 int
recog_62 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern717 (x2))
    {
    case 0:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0))
        return -1;
      return 7004; /* *zero_extendvnx8qivnx8hi2 */

    case 1:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0))
        return -1;
      return 7006; /* *zero_extendvnx4qivnx8hi2 */

    case 2:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0))
        return -1;
      return 7008; /* *zero_extendvnx2qivnx8hi2 */

    case 3:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0))
        return -1;
      return 7010; /* *zero_extendvnx4hivnx8hi2 */

    case 4:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0))
        return -1;
      return 7012; /* *zero_extendvnx2hivnx8hi2 */

    case 5:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0))
        return -1;
      return 7014; /* *zero_extendvnx2sivnx8hi2 */

    case 6:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0))
        return -1;
      return 7016; /* *zero_extendvnx8qivnx4hi2 */

    case 7:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0))
        return -1;
      return 7018; /* *zero_extendvnx4qivnx4hi2 */

    case 8:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0))
        return -1;
      return 7020; /* *zero_extendvnx2qivnx4hi2 */

    case 9:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0))
        return -1;
      return 7022; /* *zero_extendvnx4hivnx4hi2 */

    case 10:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0))
        return -1;
      return 7024; /* *zero_extendvnx2hivnx4hi2 */

    case 11:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0))
        return -1;
      return 7026; /* *zero_extendvnx2sivnx4hi2 */

    case 12:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0))
        return -1;
      return 7028; /* *zero_extendvnx8qivnx2hi2 */

    case 13:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0))
        return -1;
      return 7030; /* *zero_extendvnx4qivnx2hi2 */

    case 14:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0))
        return -1;
      return 7032; /* *zero_extendvnx2qivnx2hi2 */

    case 15:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0))
        return -1;
      return 7034; /* *zero_extendvnx4hivnx2hi2 */

    case 16:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0))
        return -1;
      return 7036; /* *zero_extendvnx2hivnx2hi2 */

    case 17:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0))
        return -1;
      return 7038; /* *zero_extendvnx2sivnx2hi2 */

    case 18:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0))
        return -1;
      return 7040; /* *zero_extendvnx8qivnx4si2 */

    case 19:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0))
        return -1;
      return 7042; /* *zero_extendvnx4qivnx4si2 */

    case 20:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0))
        return -1;
      return 7044; /* *zero_extendvnx2qivnx4si2 */

    case 21:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0))
        return -1;
      return 7046; /* *zero_extendvnx4hivnx4si2 */

    case 22:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0))
        return -1;
      return 7048; /* *zero_extendvnx2hivnx4si2 */

    case 23:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0))
        return -1;
      return 7050; /* *zero_extendvnx2sivnx4si2 */

    case 24:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0))
        return -1;
      return 7052; /* *zero_extendvnx8qivnx2si2 */

    case 25:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0))
        return -1;
      return 7054; /* *zero_extendvnx4qivnx2si2 */

    case 26:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0))
        return -1;
      return 7056; /* *zero_extendvnx2qivnx2si2 */

    case 27:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0))
        return -1;
      return 7058; /* *zero_extendvnx4hivnx2si2 */

    case 28:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0))
        return -1;
      return 7060; /* *zero_extendvnx2hivnx2si2 */

    case 29:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0))
        return -1;
      return 7062; /* *zero_extendvnx2sivnx2si2 */

    case 30:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0))
        return -1;
      return 7064; /* *zero_extendvnx8qivnx2di2 */

    case 31:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0))
        return -1;
      return 7066; /* *zero_extendvnx4qivnx2di2 */

    case 32:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0))
        return -1;
      return 7068; /* *zero_extendvnx2qivnx2di2 */

    case 33:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0))
        return -1;
      return 7070; /* *zero_extendvnx4hivnx2di2 */

    case 34:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0))
        return -1;
      return 7072; /* *zero_extendvnx2hivnx2di2 */

    case 35:
      if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0))
        return -1;
      return 7074; /* *zero_extendvnx2sivnx2di2 */

    default:
      return -1;
    }
}

 int
recog_72 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (pattern97 (x1))
    {
    case 0:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V4HImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3442; /* aarch64_sqdmulhv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V8HImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3448; /* aarch64_sqdmulhv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V2SImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3450; /* aarch64_sqdmulhv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V4SImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3456; /* aarch64_sqdmulhv4si */

        case E_HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_HImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3458; /* aarch64_sqdmulhhi */

        case E_SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_SImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3460; /* aarch64_sqdmulhsi */

        case E_VNx32QImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx32QImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11539; /* aarch64_sve_sqdmulhvnx32qi */

        case E_VNx16HImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx16HImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11542; /* aarch64_sve_sqdmulhvnx16hi */

        case E_VNx8SImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx8SImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11545; /* aarch64_sve_sqdmulhvnx8si */

        case E_VNx4DImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx4DImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11548; /* aarch64_sve_sqdmulhvnx4di */

        case E_VNx64QImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx64QImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11551; /* aarch64_sve_sqdmulhvnx64qi */

        case E_VNx32HImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx32HImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11554; /* aarch64_sve_sqdmulhvnx32hi */

        case E_VNx16SImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx16SImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11557; /* aarch64_sve_sqdmulhvnx16si */

        case E_VNx8DImode:
          x2 = XEXP (x1, 1);
          if (pattern78 (x2, 
E_VNx8DImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11560; /* aarch64_sve_sqdmulhvnx8di */

        case E_VNx16QImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx16QImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11814; /* aarch64_sve_sqdmulhvnx16qi */

        case E_VNx8HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx8HImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11816; /* aarch64_sve_sqdmulhvnx8hi */

        case E_VNx4SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx4SImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11818; /* aarch64_sve_sqdmulhvnx4si */

        case E_VNx2DImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx2DImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11820; /* aarch64_sve_sqdmulhvnx2di */

        default:
          return -1;
        }

    case 1:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_HImode, 
E_V4HImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3462; /* aarch64_sqdmulh_nv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_HImode, 
E_V8HImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3468; /* aarch64_sqdmulh_nv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_SImode, 
E_V2SImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3470; /* aarch64_sqdmulh_nv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_SImode, 
E_V4SImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3476; /* aarch64_sqdmulh_nv4si */

        case E_VNx32QImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx16QImode, 
E_VNx32QImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11563; /* aarch64_sve_single_sqdmulhvnx32qi */

        case E_VNx16HImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx8HImode, 
E_VNx16HImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11566; /* aarch64_sve_single_sqdmulhvnx16hi */

        case E_VNx8SImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx4SImode, 
E_VNx8SImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11569; /* aarch64_sve_single_sqdmulhvnx8si */

        case E_VNx4DImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx2DImode, 
E_VNx4DImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11572; /* aarch64_sve_single_sqdmulhvnx4di */

        case E_VNx64QImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx16QImode, 
E_VNx64QImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11575; /* aarch64_sve_single_sqdmulhvnx64qi */

        case E_VNx32HImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx8HImode, 
E_VNx32HImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11578; /* aarch64_sve_single_sqdmulhvnx32hi */

        case E_VNx16SImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx4SImode, 
E_VNx16SImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11581; /* aarch64_sve_single_sqdmulhvnx16si */

        case E_VNx8DImode:
          x2 = XEXP (x1, 1);
          if (pattern79 (x2, 
E_VNx2DImode, 
E_VNx8DImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11584; /* aarch64_sve_single_sqdmulhvnx8di */

        default:
          return -1;
        }

    case 2:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3478; /* aarch64_sqdmulh_lanev4hi */

    case 3:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3494; /* aarch64_sqdmulh_laneqv4hi */

    case 4:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3484; /* aarch64_sqdmulh_lanev8hi */

    case 5:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3500; /* aarch64_sqdmulh_laneqv8hi */

    case 6:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3486; /* aarch64_sqdmulh_lanev2si */

    case 7:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3502; /* aarch64_sqdmulh_laneqv2si */

    case 8:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3492; /* aarch64_sqdmulh_lanev4si */

    case 9:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3508; /* aarch64_sqdmulh_laneqv4si */

    case 10:
      if (!
#line 5614 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3510; /* aarch64_sqdmulh_lanehi */

    case 11:
      if (!
#line 5629 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3514; /* aarch64_sqdmulh_laneqhi */

    case 12:
      if (!
#line 5614 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3512; /* aarch64_sqdmulh_lanesi */

    case 13:
      if (!
#line 5629 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3516; /* aarch64_sqdmulh_laneqsi */

    case 14:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11822; /* aarch64_sve_sqdmulh_lane_vnx8hi */

    case 15:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11824; /* aarch64_sve_sqdmulh_lane_vnx4si */

    case 16:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11826; /* aarch64_sve_sqdmulh_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_76 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  switch (pattern377 (x3))
    {
    case 0:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4595; /* aarch64_rev_reglistv2x8qi */

    case 1:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4596; /* aarch64_rev_reglistv2x4hi */

    case 2:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4597; /* aarch64_rev_reglistv2x2si */

    case 3:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4598; /* aarch64_rev_reglistv2x1di */

    case 4:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4599; /* aarch64_rev_reglistv2x4hf */

    case 5:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4600; /* aarch64_rev_reglistv2x2sf */

    case 6:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4601; /* aarch64_rev_reglistv2x1df */

    case 7:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4602; /* aarch64_rev_reglistv2x4bf */

    case 8:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4603; /* aarch64_rev_reglistv3x8qi */

    case 9:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4604; /* aarch64_rev_reglistv3x4hi */

    case 10:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4605; /* aarch64_rev_reglistv3x2si */

    case 11:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4606; /* aarch64_rev_reglistv3x1di */

    case 12:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4607; /* aarch64_rev_reglistv3x4hf */

    case 13:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4608; /* aarch64_rev_reglistv3x2sf */

    case 14:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4609; /* aarch64_rev_reglistv3x1df */

    case 15:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4610; /* aarch64_rev_reglistv3x4bf */

    case 16:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4611; /* aarch64_rev_reglistv4x8qi */

    case 17:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4612; /* aarch64_rev_reglistv4x4hi */

    case 18:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4613; /* aarch64_rev_reglistv4x2si */

    case 19:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4614; /* aarch64_rev_reglistv4x1di */

    case 20:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4615; /* aarch64_rev_reglistv4x4hf */

    case 21:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4616; /* aarch64_rev_reglistv4x2sf */

    case 22:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4617; /* aarch64_rev_reglistv4x1df */

    case 23:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4618; /* aarch64_rev_reglistv4x4bf */

    case 24:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4619; /* aarch64_rev_reglistv2x16qi */

    case 25:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4620; /* aarch64_rev_reglistv2x8hi */

    case 26:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4621; /* aarch64_rev_reglistv2x4si */

    case 27:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4622; /* aarch64_rev_reglistv2x2di */

    case 28:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4623; /* aarch64_rev_reglistv2x8hf */

    case 29:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4624; /* aarch64_rev_reglistv2x4sf */

    case 30:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4625; /* aarch64_rev_reglistv2x2df */

    case 31:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4626; /* aarch64_rev_reglistv2x8bf */

    case 32:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4627; /* aarch64_rev_reglistv3x16qi */

    case 33:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4628; /* aarch64_rev_reglistv3x8hi */

    case 34:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4629; /* aarch64_rev_reglistv3x4si */

    case 35:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4630; /* aarch64_rev_reglistv3x2di */

    case 36:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4631; /* aarch64_rev_reglistv3x8hf */

    case 37:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4632; /* aarch64_rev_reglistv3x4sf */

    case 38:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4633; /* aarch64_rev_reglistv3x2df */

    case 39:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4634; /* aarch64_rev_reglistv3x8bf */

    case 40:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4635; /* aarch64_rev_reglistv4x16qi */

    case 41:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4636; /* aarch64_rev_reglistv4x8hi */

    case 42:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4637; /* aarch64_rev_reglistv4x4si */

    case 43:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4638; /* aarch64_rev_reglistv4x2di */

    case 44:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4639; /* aarch64_rev_reglistv4x8hf */

    case 45:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4640; /* aarch64_rev_reglistv4x4sf */

    case 46:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4641; /* aarch64_rev_reglistv4x2df */

    case 47:
      if (!
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4642; /* aarch64_rev_reglistv4x8bf */

    default:
      return -1;
    }
}

 int
recog_83 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!aarch64_simd_struct_operand (operands[0], E_BLKmode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V4x8QImode:
      if (!register_operand (operands[1], E_V4x8QImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4571; /* aarch64_vec_store_lanesv4x8qi_lanev8qi */

    case E_V4x4HImode:
      if (!register_operand (operands[1], E_V4x4HImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4572; /* aarch64_vec_store_lanesv4x4hi_lanev4hi */

    case E_V4x2SImode:
      if (!register_operand (operands[1], E_V4x2SImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4573; /* aarch64_vec_store_lanesv4x2si_lanev2si */

    case E_V4x1DImode:
      if (!register_operand (operands[1], E_V4x1DImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4574; /* aarch64_vec_store_lanesv4x1di_lanedi */

    case E_V4x4HFmode:
      if (!register_operand (operands[1], E_V4x4HFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4575; /* aarch64_vec_store_lanesv4x4hf_lanev4hf */

    case E_V4x2SFmode:
      if (!register_operand (operands[1], E_V4x2SFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4576; /* aarch64_vec_store_lanesv4x2sf_lanev2sf */

    case E_V4x1DFmode:
      if (!register_operand (operands[1], E_V4x1DFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4577; /* aarch64_vec_store_lanesv4x1df_lanedf */

    case E_V4x4BFmode:
      if (!register_operand (operands[1], E_V4x4BFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4578; /* aarch64_vec_store_lanesv4x4bf_lanev4bf */

    case E_V4x16QImode:
      if (!register_operand (operands[1], E_V4x16QImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4579; /* aarch64_vec_store_lanesv4x16qi_lanev16qi */

    case E_V4x8HImode:
      if (!register_operand (operands[1], E_V4x8HImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4580; /* aarch64_vec_store_lanesv4x8hi_lanev8hi */

    case E_V4x4SImode:
      if (!register_operand (operands[1], E_V4x4SImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4581; /* aarch64_vec_store_lanesv4x4si_lanev4si */

    case E_V4x2DImode:
      if (!register_operand (operands[1], E_V4x2DImode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4582; /* aarch64_vec_store_lanesv4x2di_lanev2di */

    case E_V4x8HFmode:
      if (!register_operand (operands[1], E_V4x8HFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4583; /* aarch64_vec_store_lanesv4x8hf_lanev8hf */

    case E_V4x4SFmode:
      if (!register_operand (operands[1], E_V4x4SFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4584; /* aarch64_vec_store_lanesv4x4sf_lanev4sf */

    case E_V4x2DFmode:
      if (!register_operand (operands[1], E_V4x2DFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4585; /* aarch64_vec_store_lanesv4x2df_lanev2df */

    case E_V4x8BFmode:
      if (!register_operand (operands[1], E_V4x8BFmode)
          || !
#line 7831 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4586; /* aarch64_vec_store_lanesv4x8bf_lanev8bf */

    default:
      return -1;
    }
}

 int
recog_89 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode)
          || !
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1984; /* vec_shr_v8qi */

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x3) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode)
          || !
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1987; /* vec_shr_v4hi */

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1990; /* vec_shr_v4hf */

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1993; /* vec_shr_v2si */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1996; /* vec_shr_v2sf */

    case E_V4BFmode:
      if (!register_operand (operands[0], E_V4BFmode)
          || GET_MODE (x3) != E_V4BFmode
          || !register_operand (operands[1], E_V4BFmode)
          || !
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1999; /* vec_shr_v4bf */

    default:
      return -1;
    }
}

 int
recog_96 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern104 (x1))
    {
    case 0:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3711; /* aarch64_uqshlv8qi */

    case 1:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3721; /* aarch64_uqshlv16qi */

    case 2:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3727; /* aarch64_uqshlv4hi */

    case 3:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3737; /* aarch64_uqshlv8hi */

    case 4:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3743; /* aarch64_uqshlv2si */

    case 5:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3753; /* aarch64_uqshlv4si */

    case 6:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3757; /* aarch64_uqshlv2di */

    case 7:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3761; /* aarch64_uqshlqi */

    case 8:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3765; /* aarch64_uqshlhi */

    case 9:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3769; /* aarch64_uqshlsi */

    case 10:
      if (!
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3775; /* aarch64_uqshldi */

    case 11:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3864; /* aarch64_uqshl_nv8qi */

    case 12:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3867; /* aarch64_uqshl_nv16qi */

    case 13:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3870; /* aarch64_uqshl_nv4hi */

    case 14:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3873; /* aarch64_uqshl_nv8hi */

    case 15:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3876; /* aarch64_uqshl_nv2si */

    case 16:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3879; /* aarch64_uqshl_nv4si */

    case 17:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3882; /* aarch64_uqshl_nv2di */

    case 18:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3885; /* aarch64_uqshl_nqi */

    case 19:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3888; /* aarch64_uqshl_nhi */

    case 20:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3891; /* aarch64_uqshl_nsi */

    case 21:
      if (!
#line 6670 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3894; /* aarch64_uqshl_ndi */

    default:
      return -1;
    }
}

 int
recog_101 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern121 (x1))
    {
    case 0:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10548; /* aarch64_sve_uzpq1vnx16qi */

    case 1:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10558; /* aarch64_sve_uzpq1vnx8qi */

    case 2:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10568; /* aarch64_sve_uzpq1vnx4qi */

    case 3:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10578; /* aarch64_sve_uzpq1vnx2qi */

    case 4:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10588; /* aarch64_sve_uzpq1vnx8hi */

    case 5:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10598; /* aarch64_sve_uzpq1vnx4hi */

    case 6:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10608; /* aarch64_sve_uzpq1vnx2hi */

    case 7:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10618; /* aarch64_sve_uzpq1vnx4si */

    case 8:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10628; /* aarch64_sve_uzpq1vnx2si */

    case 9:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10638; /* aarch64_sve_uzpq1vnx2di */

    case 10:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10648; /* aarch64_sve_uzpq1vnx8hf */

    case 11:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10658; /* aarch64_sve_uzpq1vnx4hf */

    case 12:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10668; /* aarch64_sve_uzpq1vnx2hf */

    case 13:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10678; /* aarch64_sve_uzpq1vnx8bf */

    case 14:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10688; /* aarch64_sve_uzpq1vnx4bf */

    case 15:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10698; /* aarch64_sve_uzpq1vnx2bf */

    case 16:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10708; /* aarch64_sve_uzpq1vnx4sf */

    case 17:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10718; /* aarch64_sve_uzpq1vnx2sf */

    case 18:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3183 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10728; /* aarch64_sve_uzpq1vnx2df */

    default:
      return -1;
    }
}

 int
recog_112 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern124 (x3, 
E_VNx16QImode, 
E_VNx8HImode) != 0
          || !
#line 9429 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10831; /* vec_pack_trunc_vnx8hi */

    case E_VNx8HImode:
      if (pattern124 (x3, 
E_VNx8HImode, 
E_VNx4SImode) != 0
          || !
#line 9429 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10832; /* vec_pack_trunc_vnx4si */

    case E_VNx4SImode:
      if (pattern124 (x3, 
E_VNx4SImode, 
E_VNx2DImode) != 0
          || !
#line 9429 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10833; /* vec_pack_trunc_vnx2di */

    case E_VNx16BImode:
      if (pattern124 (x3, 
E_VNx16BImode, 
E_VNx8BImode) != 0
          || !
#line 10111 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10992; /* vec_pack_trunc_vnx8bi */

    case E_VNx8BImode:
      if (pattern124 (x3, 
E_VNx8BImode, 
E_VNx4BImode) != 0
          || !
#line 10111 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10993; /* vec_pack_trunc_vnx4bi */

    case E_VNx4BImode:
      if (pattern124 (x3, 
E_VNx4BImode, 
E_VNx2BImode) != 0
          || !
#line 10111 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10994; /* vec_pack_trunc_vnx2bi */

    default:
      return -1;
    }
}

 int
recog_120 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern91 (x1))
    {
    case 0:
      if (!
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2131; /* aarch64_sminpv8qi */

    case 1:
      if (!
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2137; /* aarch64_sminpv16qi */

    case 2:
      if (!
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2147; /* aarch64_sminpv4hi */

    case 3:
      if (!
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2153; /* aarch64_sminpv8hi */

    case 4:
      if (!
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2163; /* aarch64_sminpv2si */

    case 5:
      if (!
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2169; /* aarch64_sminpv4si */

    case 6:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10425; /* aarch64_pred_reduc_smin_vnx16qi */

    case 7:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10432; /* aarch64_pred_reduc_smin_vnx8hi */

    case 8:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10439; /* aarch64_pred_reduc_smin_vnx4si */

    case 9:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10446; /* aarch64_pred_reduc_smin_vnx2di */

    default:
      return -1;
    }
}

 int
recog_128 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern143 (x1))
    {
    case 0:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12902; /* aarch64_sve_uzpqvnx32qi */

    case 1:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12904; /* aarch64_sve_uzpqvnx16hi */

    case 2:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12906; /* aarch64_sve_uzpqvnx8si */

    case 3:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12908; /* aarch64_sve_uzpqvnx4di */

    case 4:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12910; /* aarch64_sve_uzpqvnx16bf */

    case 5:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12912; /* aarch64_sve_uzpqvnx16hf */

    case 6:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12914; /* aarch64_sve_uzpqvnx8sf */

    case 7:
      if (!
#line 3869 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12916; /* aarch64_sve_uzpqvnx4df */

    default:
      return -1;
    }
}

 int
recog_138 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern122 (x1))
    {
    case 0:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10732; /* aarch64_sve_zip1qvnx16qi */

    case 1:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10738; /* aarch64_sve_zip1qvnx8hi */

    case 2:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10744; /* aarch64_sve_zip1qvnx4si */

    case 3:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10750; /* aarch64_sve_zip1qvnx2di */

    case 4:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10756; /* aarch64_sve_zip1qvnx8bf */

    case 5:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10762; /* aarch64_sve_zip1qvnx8hf */

    case 6:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10768; /* aarch64_sve_zip1qvnx4sf */

    case 7:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10774; /* aarch64_sve_zip1qvnx2df */

    default:
      return -1;
    }
}

 int
recog_148 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern76 (x1))
    {
    case 0:
      return 1044; /* ucvtfsi3 */

    case 1:
      return 1046; /* ucvtfdi3 */

    case 2:
      if (!
#line 7240 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1052; /* ucvtfsihf3 */

    case 3:
      if (!
#line 7240 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1054; /* ucvtfdihf3 */

    case 4:
      if (!
#line 7260 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 1058; /* ucvtfhi3 */

    case 5:
      if (!(
#line 3138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 291 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2645; /* ucvtfv4hi3 */

    case 6:
      if (!(
#line 3138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 292 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2647; /* ucvtfv8hi3 */

    case 7:
      if (!
#line 3138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2649; /* ucvtfv2si3 */

    case 8:
      if (!
#line 3138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2651; /* ucvtfv4si3 */

    case 9:
      if (!
#line 3138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2653; /* ucvtfv2di3 */

    default:
      return -1;
    }
}

 int
recog_159 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_V8DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || pattern85 (x1, 
E_V8DImode, 
94) != 0
      || !aarch64_sync_memory_operand (operands[0], E_V8DImode)
      || !
#line 560 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME2))
    return -1;
  return 13043; /* aarch64_restore_zt0 */
}

 int
recog_161 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern128 (x1))
    {
    case 0:
      if (!
#line 2257 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12154; /* aarch64_sve_umullbvnx8hi */

    case 1:
      if (!
#line 2257 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12175; /* aarch64_sve_umullbvnx4si */

    case 2:
      if (!
#line 2257 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12196; /* aarch64_sve_umullbvnx2di */

    case 3:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12204; /* aarch64_sve_umullb_lane_vnx4si */

    case 4:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12210; /* aarch64_sve_umullb_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_171 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern134 (x1))
    {
    case 0:
      if (!
#line 3906 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12950; /* aarch64_sve_bextvnx16qi */

    case 1:
      if (!
#line 3906 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12953; /* aarch64_sve_bextvnx8hi */

    case 2:
      if (!
#line 3906 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12956; /* aarch64_sve_bextvnx4si */

    case 3:
      if (!
#line 3906 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12959; /* aarch64_sve_bextvnx2di */

    default:
      return -1;
    }
}

 int
recog_181 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern134 (x1))
    {
    case 0:
      if (!
#line 2968 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12563; /* aarch64_sve_sqcadd270vnx16qi */

    case 1:
      if (!
#line 2968 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12567; /* aarch64_sve_sqcadd270vnx8hi */

    case 2:
      if (!
#line 2968 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12571; /* aarch64_sve_sqcadd270vnx4si */

    case 3:
      if (!
#line 2968 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12575; /* aarch64_sve_sqcadd270vnx2di */

    default:
      return -1;
    }
}

 int
recog_191 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern109 (x1))
    {
    case 0:
      if (!
#line 10081 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5319; /* aarch64_f1cvtlv8hf */

    case 1:
      if (!
#line 10081 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5321; /* aarch64_f1cvtlv8bf */

    case 2:
      if (!
#line 10094 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5323; /* aarch64_f1cvtlv8hf_high */

    case 3:
      if (!
#line 10094 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5325; /* aarch64_f1cvtlv8bf_high */

    default:
      return -1;
    }
}

 int
recog_201 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  switch (XWINT (x4, 0))
    {
    case 0L:
      switch (pattern1121 (x2))
        {
        case 0:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10877; /* *cond_fix_trunc_nontruncvnx8hfvnx8hi_relaxed */
          break;

        case 1:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10879; /* *cond_fix_trunc_nontruncvnx4sfvnx8hi_relaxed */
          break;

        case 2:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10881; /* *cond_fix_trunc_nontruncvnx2dfvnx8hi_relaxed */
          break;

        case 3:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10883; /* *cond_fix_trunc_nontruncvnx8hfvnx4si_relaxed */
          break;

        case 4:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10885; /* *cond_fix_trunc_nontruncvnx4sfvnx4si_relaxed */
          break;

        case 5:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10887; /* *cond_fix_trunc_nontruncvnx2dfvnx4si_relaxed */
          break;

        case 6:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10889; /* *cond_fix_trunc_nontruncvnx8hfvnx2di_relaxed */
          break;

        case 7:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10891; /* *cond_fix_trunc_nontruncvnx4sfvnx2di_relaxed */
          break;

        case 8:
          if (
#line 9567 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10893; /* *cond_fix_trunc_nontruncvnx2dfvnx2di_relaxed */
          break;

        default:
          break;
        }
      break;

    case 1L:
      switch (pattern1122 (x2))
        {
        case 0:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10895; /* *cond_fix_trunc_nontruncvnx8hfvnx8hi_strict */
          break;

        case 1:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10897; /* *cond_fix_trunc_nontruncvnx4sfvnx8hi_strict */
          break;

        case 2:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10899; /* *cond_fix_trunc_nontruncvnx2dfvnx8hi_strict */
          break;

        case 3:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10901; /* *cond_fix_trunc_nontruncvnx8hfvnx4si_strict */
          break;

        case 4:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10903; /* *cond_fix_trunc_nontruncvnx4sfvnx4si_strict */
          break;

        case 5:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10905; /* *cond_fix_trunc_nontruncvnx2dfvnx4si_strict */
          break;

        case 6:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10907; /* *cond_fix_trunc_nontruncvnx8hfvnx2di_strict */
          break;

        case 7:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10909; /* *cond_fix_trunc_nontruncvnx4sfvnx2di_strict */
          break;

        case 8:
          if (
#line 9590 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10911; /* *cond_fix_trunc_nontruncvnx2dfvnx2di_strict */
          break;

        default:
          break;
        }
      break;

    default:
      break;
    }
  if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
      || pattern1123 (x2, 
E_VNx2DFmode, 
E_VNx4SImode) != 0
      || !
#line 9624 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
    return -1;
  return 10913; /* *cond_fix_trunc_truncvnx2dfvnx4si */
}

 int
recog_211 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx2DImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11842; /* *cond_sqshlvnx2di_2 */
    }
  if (register_operand (operands[3], E_VNx2DImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11850; /* *cond_sqshlvnx2di_3 */
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx2DImode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))))
    return -1;
  return 11858; /* *cond_sqshlvnx2di_any */
}

 int
recog_219 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11723; /* *cond_urhaddvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11764; /* *cond_urhaddvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11804; /* *cond_urhaddvnx2di_any */
}

 int
recog_225 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11698; /* *cond_uqrshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11743; /* *cond_uqrshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11783; /* *cond_uqrshlvnx8hi_any */
}

 int
recog_235 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11718; /* *cond_srshlvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11760; /* *cond_srshlvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11800; /* *cond_srshlvnx2di_any */
}

 int
recog_245 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11692; /* *cond_sqrshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11738; /* *cond_sqrshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11778; /* *cond_sqrshlvnx8hi_any */
}

 int
recog_255 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  switch (XWINT (x4, 0))
    {
    case 0L:
      switch (pattern1103 (x2))
        {
        case 0:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8540; /* *cond_addvnx8bf_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8686; /* *cond_addvnx8bf_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
              || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 8790; /* *cond_addvnx8bf_any_relaxed */

        case 1:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8553; /* *cond_addvnx8hf_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8699; /* *cond_addvnx8hf_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8803; /* *cond_addvnx8hf_any_relaxed */

        case 2:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8566; /* *cond_addvnx4sf_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8712; /* *cond_addvnx4sf_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8816; /* *cond_addvnx4sf_any_relaxed */

        case 3:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8579; /* *cond_addvnx2df_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8725; /* *cond_addvnx2df_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8829; /* *cond_addvnx2df_any_relaxed */

        case 4:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5889 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8939; /* *cond_addvnx8hf_2_const_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8945; /* *cond_addvnx8hf_any_const_relaxed */

        case 5:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5889 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8940; /* *cond_addvnx4sf_2_const_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8946; /* *cond_addvnx4sf_any_const_relaxed */

        case 6:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5889 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8941; /* *cond_addvnx2df_2_const_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8947; /* *cond_addvnx2df_any_const_relaxed */

        default:
          return -1;
        }

    case 1L:
      x5 = XVECEXP (x3, 0, 0);
      if (!rtx_equal_p (x5, operands[1]))
        return -1;
      switch (pattern1103 (x2))
        {
        case 0:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && (
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8592; /* *cond_addvnx8bf_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && (
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8738; /* *cond_addvnx8bf_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
              || !(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 8842; /* *cond_addvnx8bf_any_strict */

        case 1:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8605; /* *cond_addvnx8hf_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8751; /* *cond_addvnx8hf_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8855; /* *cond_addvnx8hf_any_strict */

        case 2:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8618; /* *cond_addvnx4sf_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8764; /* *cond_addvnx4sf_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8868; /* *cond_addvnx4sf_any_strict */

        case 3:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8631; /* *cond_addvnx2df_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8777; /* *cond_addvnx2df_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8881; /* *cond_addvnx2df_any_strict */

        case 4:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5914 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8942; /* *cond_addvnx8hf_2_const_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5976 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8948; /* *cond_addvnx8hf_any_const_strict */

        case 5:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5914 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8943; /* *cond_addvnx4sf_2_const_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5976 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8949; /* *cond_addvnx4sf_any_const_strict */

        case 6:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5914 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8944; /* *cond_addvnx2df_2_const_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5976 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8950; /* *cond_addvnx2df_any_const_strict */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_269 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9210; /* *cond_fnmavnx16qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9220; /* *cond_fnmavnx16qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx16QImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9230; /* *cond_fnmavnx16qi_any */

    case E_VNx8QImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9211; /* *cond_fnmavnx8qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9221; /* *cond_fnmavnx8qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8QImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9231; /* *cond_fnmavnx8qi_any */

    case E_VNx4QImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9212; /* *cond_fnmavnx4qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9222; /* *cond_fnmavnx4qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4QImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9232; /* *cond_fnmavnx4qi_any */

    case E_VNx2QImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9213; /* *cond_fnmavnx2qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9223; /* *cond_fnmavnx2qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2QImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9233; /* *cond_fnmavnx2qi_any */

    case E_VNx8HImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9214; /* *cond_fnmavnx8hi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9224; /* *cond_fnmavnx8hi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8HImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9234; /* *cond_fnmavnx8hi_any */

    case E_VNx4HImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9215; /* *cond_fnmavnx4hi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9225; /* *cond_fnmavnx4hi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4HImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9235; /* *cond_fnmavnx4hi_any */

    case E_VNx2HImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9216; /* *cond_fnmavnx2hi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9226; /* *cond_fnmavnx2hi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2HImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9236; /* *cond_fnmavnx2hi_any */

    case E_VNx4SImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9217; /* *cond_fnmavnx4si_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9227; /* *cond_fnmavnx4si_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4SImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9237; /* *cond_fnmavnx4si_any */

    case E_VNx2SImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9218; /* *cond_fnmavnx2si_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9228; /* *cond_fnmavnx2si_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2SImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9238; /* *cond_fnmavnx2si_any */

    case E_VNx2DImode:
      x2 = XEXP (x1, 1);
      if (pattern1128 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7330 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9219; /* *cond_fnmavnx2di_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9229; /* *cond_fnmavnx2di_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2DImode)
          || !
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9239; /* *cond_fnmavnx2di_any */

    default:
      return -1;
    }
}

 int
recog_275 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern597 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7493; /* *cond_ashrvnx16qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7663; /* *cond_ashrvnx16qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7833; /* *cond_ashrvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7510; /* *cond_ashrvnx8qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7680; /* *cond_ashrvnx8qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7850; /* *cond_ashrvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7527; /* *cond_ashrvnx4qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7697; /* *cond_ashrvnx4qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7867; /* *cond_ashrvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7544; /* *cond_ashrvnx2qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7714; /* *cond_ashrvnx2qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7884; /* *cond_ashrvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7561; /* *cond_ashrvnx8hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7731; /* *cond_ashrvnx8hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7901; /* *cond_ashrvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7578; /* *cond_ashrvnx4hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7748; /* *cond_ashrvnx4hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7918; /* *cond_ashrvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7595; /* *cond_ashrvnx2hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7765; /* *cond_ashrvnx2hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7935; /* *cond_ashrvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7612; /* *cond_ashrvnx4si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7782; /* *cond_ashrvnx4si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7952; /* *cond_ashrvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7629; /* *cond_ashrvnx2si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7799; /* *cond_ashrvnx2si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7969; /* *cond_ashrvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7646; /* *cond_ashrvnx2di_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7816; /* *cond_ashrvnx2di_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7986; /* *cond_ashrvnx2di_any */

    case 10:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8302; /* *cond_ashrvnx16qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8332; /* *cond_ashrvnx16qi_any_const */

    case 11:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8305; /* *cond_ashrvnx8qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8335; /* *cond_ashrvnx8qi_any_const */

    case 12:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8308; /* *cond_ashrvnx4qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8338; /* *cond_ashrvnx4qi_any_const */

    case 13:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8311; /* *cond_ashrvnx2qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8341; /* *cond_ashrvnx2qi_any_const */

    case 14:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8314; /* *cond_ashrvnx8hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8344; /* *cond_ashrvnx8hi_any_const */

    case 15:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8317; /* *cond_ashrvnx4hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8347; /* *cond_ashrvnx4hi_any_const */

    case 16:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8320; /* *cond_ashrvnx2hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8350; /* *cond_ashrvnx2hi_any_const */

    case 17:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8323; /* *cond_ashrvnx4si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8353; /* *cond_ashrvnx4si_any_const */

    case 18:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8326; /* *cond_ashrvnx2si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8356; /* *cond_ashrvnx2si_any_const */

    case 19:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8329; /* *cond_ashrvnx2di_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8359; /* *cond_ashrvnx2di_any_const */

    default:
      return -1;
    }
}

 int
recog_276 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern597 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7494; /* *cond_lshrvnx16qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7664; /* *cond_lshrvnx16qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7834; /* *cond_lshrvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7511; /* *cond_lshrvnx8qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7681; /* *cond_lshrvnx8qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7851; /* *cond_lshrvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7528; /* *cond_lshrvnx4qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7698; /* *cond_lshrvnx4qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7868; /* *cond_lshrvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7545; /* *cond_lshrvnx2qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7715; /* *cond_lshrvnx2qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7885; /* *cond_lshrvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7562; /* *cond_lshrvnx8hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7732; /* *cond_lshrvnx8hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7902; /* *cond_lshrvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7579; /* *cond_lshrvnx4hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7749; /* *cond_lshrvnx4hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7919; /* *cond_lshrvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7596; /* *cond_lshrvnx2hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7766; /* *cond_lshrvnx2hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7936; /* *cond_lshrvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7613; /* *cond_lshrvnx4si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7783; /* *cond_lshrvnx4si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7953; /* *cond_lshrvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7630; /* *cond_lshrvnx2si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7800; /* *cond_lshrvnx2si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7970; /* *cond_lshrvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7647; /* *cond_lshrvnx2di_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7817; /* *cond_lshrvnx2di_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7987; /* *cond_lshrvnx2di_any */

    case 10:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8303; /* *cond_lshrvnx16qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8333; /* *cond_lshrvnx16qi_any_const */

    case 11:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8306; /* *cond_lshrvnx8qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8336; /* *cond_lshrvnx8qi_any_const */

    case 12:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8309; /* *cond_lshrvnx4qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8339; /* *cond_lshrvnx4qi_any_const */

    case 13:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8312; /* *cond_lshrvnx2qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8342; /* *cond_lshrvnx2qi_any_const */

    case 14:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8315; /* *cond_lshrvnx8hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8345; /* *cond_lshrvnx8hi_any_const */

    case 15:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8318; /* *cond_lshrvnx4hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8348; /* *cond_lshrvnx4hi_any_const */

    case 16:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8321; /* *cond_lshrvnx2hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8351; /* *cond_lshrvnx2hi_any_const */

    case 17:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8324; /* *cond_lshrvnx4si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8354; /* *cond_lshrvnx4si_any_const */

    case 18:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8327; /* *cond_lshrvnx2si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8357; /* *cond_lshrvnx2si_any_const */

    case 19:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 5045 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8330; /* *cond_lshrvnx2di_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8360; /* *cond_lshrvnx2di_any_const */

    default:
      return -1;
    }
}

 int
recog_285 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern736 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7491; /* *cond_uminvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7661; /* *cond_uminvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7831; /* *cond_uminvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7508; /* *cond_uminvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7678; /* *cond_uminvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7848; /* *cond_uminvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7525; /* *cond_uminvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7695; /* *cond_uminvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7865; /* *cond_uminvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7542; /* *cond_uminvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7712; /* *cond_uminvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7882; /* *cond_uminvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7559; /* *cond_uminvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7729; /* *cond_uminvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7899; /* *cond_uminvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7576; /* *cond_uminvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7746; /* *cond_uminvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7916; /* *cond_uminvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7593; /* *cond_uminvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7763; /* *cond_uminvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7933; /* *cond_uminvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7610; /* *cond_uminvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7780; /* *cond_uminvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7950; /* *cond_uminvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7627; /* *cond_uminvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7797; /* *cond_uminvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7967; /* *cond_uminvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7644; /* *cond_uminvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7814; /* *cond_uminvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7984; /* *cond_uminvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_295 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern594 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6744; /* *cond_clrsbvnx16qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16QImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6834; /* *cond_clrsbvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6753; /* *cond_clrsbvnx8qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8QImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6843; /* *cond_clrsbvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6762; /* *cond_clrsbvnx4qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4QImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6852; /* *cond_clrsbvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6771; /* *cond_clrsbvnx2qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2QImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6861; /* *cond_clrsbvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6780; /* *cond_clrsbvnx8hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6870; /* *cond_clrsbvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6789; /* *cond_clrsbvnx4hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4HImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6879; /* *cond_clrsbvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6798; /* *cond_clrsbvnx2hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2HImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6888; /* *cond_clrsbvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6807; /* *cond_clrsbvnx4si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6897; /* *cond_clrsbvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6816; /* *cond_clrsbvnx2si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2SImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6906; /* *cond_clrsbvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3280 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6825; /* *cond_clrsbvnx2di_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DImode)
          || !
#line 3302 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6915; /* *cond_clrsbvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_305 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!aarch64_maskload_else_operand (operands[3], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      if (pattern866 (x3, 
E_VNx32QImode, 
E_VNx16BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5767; /* vec_mask_load_lanesvnx32qivnx16qi */

    case E_VNx16HImode:
      if (pattern866 (x3, 
E_VNx16HImode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5768; /* vec_mask_load_lanesvnx16hivnx8hi */

    case E_VNx8SImode:
      if (pattern866 (x3, 
E_VNx8SImode, 
E_VNx4BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5769; /* vec_mask_load_lanesvnx8sivnx4si */

    case E_VNx4DImode:
      if (pattern866 (x3, 
E_VNx4DImode, 
E_VNx2BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5770; /* vec_mask_load_lanesvnx4divnx2di */

    case E_VNx16BFmode:
      if (pattern866 (x3, 
E_VNx16BFmode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5771; /* vec_mask_load_lanesvnx16bfvnx8bf */

    case E_VNx16HFmode:
      if (pattern866 (x3, 
E_VNx16HFmode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5772; /* vec_mask_load_lanesvnx16hfvnx8hf */

    case E_VNx8SFmode:
      if (pattern866 (x3, 
E_VNx8SFmode, 
E_VNx4BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5773; /* vec_mask_load_lanesvnx8sfvnx4sf */

    case E_VNx4DFmode:
      if (pattern866 (x3, 
E_VNx4DFmode, 
E_VNx2BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5774; /* vec_mask_load_lanesvnx4dfvnx2df */

    case E_VNx48QImode:
      if (pattern866 (x3, 
E_VNx48QImode, 
E_VNx16BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5775; /* vec_mask_load_lanesvnx48qivnx16qi */

    case E_VNx24HImode:
      if (pattern866 (x3, 
E_VNx24HImode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5776; /* vec_mask_load_lanesvnx24hivnx8hi */

    case E_VNx12SImode:
      if (pattern866 (x3, 
E_VNx12SImode, 
E_VNx4BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5777; /* vec_mask_load_lanesvnx12sivnx4si */

    case E_VNx6DImode:
      if (pattern866 (x3, 
E_VNx6DImode, 
E_VNx2BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5778; /* vec_mask_load_lanesvnx6divnx2di */

    case E_VNx24BFmode:
      if (pattern866 (x3, 
E_VNx24BFmode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5779; /* vec_mask_load_lanesvnx24bfvnx8bf */

    case E_VNx24HFmode:
      if (pattern866 (x3, 
E_VNx24HFmode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5780; /* vec_mask_load_lanesvnx24hfvnx8hf */

    case E_VNx12SFmode:
      if (pattern866 (x3, 
E_VNx12SFmode, 
E_VNx4BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5781; /* vec_mask_load_lanesvnx12sfvnx4sf */

    case E_VNx6DFmode:
      if (pattern866 (x3, 
E_VNx6DFmode, 
E_VNx2BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5782; /* vec_mask_load_lanesvnx6dfvnx2df */

    case E_VNx64QImode:
      if (pattern866 (x3, 
E_VNx64QImode, 
E_VNx16BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5783; /* vec_mask_load_lanesvnx64qivnx16qi */

    case E_VNx32HImode:
      if (pattern866 (x3, 
E_VNx32HImode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5784; /* vec_mask_load_lanesvnx32hivnx8hi */

    case E_VNx16SImode:
      if (pattern866 (x3, 
E_VNx16SImode, 
E_VNx4BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5785; /* vec_mask_load_lanesvnx16sivnx4si */

    case E_VNx8DImode:
      if (pattern866 (x3, 
E_VNx8DImode, 
E_VNx2BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5786; /* vec_mask_load_lanesvnx8divnx2di */

    case E_VNx32BFmode:
      if (pattern866 (x3, 
E_VNx32BFmode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5787; /* vec_mask_load_lanesvnx32bfvnx8bf */

    case E_VNx32HFmode:
      if (pattern866 (x3, 
E_VNx32HFmode, 
E_VNx8BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5788; /* vec_mask_load_lanesvnx32hfvnx8hf */

    case E_VNx16SFmode:
      if (pattern866 (x3, 
E_VNx16SFmode, 
E_VNx4BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5789; /* vec_mask_load_lanesvnx16sfvnx4sf */

    case E_VNx8DFmode:
      if (pattern866 (x3, 
E_VNx8DFmode, 
E_VNx2BImode) != 0
          || !
#line 1357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5790; /* vec_mask_load_lanesvnx8dfvnx2df */

    default:
      return -1;
    }
}

 int
recog_313 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern151 (x1))
    {
    case 0:
      if (!
#line 5645 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3518; /* aarch64_sqrdmlahv4hi */

    case 1:
      if (!
#line 5645 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3524; /* aarch64_sqrdmlahv8hi */

    case 2:
      if (!
#line 5645 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3526; /* aarch64_sqrdmlahv2si */

    case 3:
      if (!
#line 5645 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3532; /* aarch64_sqrdmlahv4si */

    case 4:
      if (!
#line 5645 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3534; /* aarch64_sqrdmlahhi */

    case 5:
      if (!
#line 5645 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3536; /* aarch64_sqrdmlahsi */

    case 6:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11892; /* aarch64_sve_sqrdmlahvnx16qi */

    case 7:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11900; /* aarch64_sve_sqrdmlahvnx8hi */

    case 8:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11908; /* aarch64_sve_sqrdmlahvnx4si */

    case 9:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11916; /* aarch64_sve_sqrdmlahvnx2di */

    case 10:
      if (!
#line 5661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3538; /* aarch64_sqrdmlah_lanev4hi */

    case 11:
      if (!
#line 5699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3558; /* aarch64_sqrdmlah_laneqv4hi */

    case 12:
      if (!
#line 5661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3544; /* aarch64_sqrdmlah_lanev8hi */

    case 13:
      if (!
#line 5699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3564; /* aarch64_sqrdmlah_laneqv8hi */

    case 14:
      if (!
#line 5661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3546; /* aarch64_sqrdmlah_lanev2si */

    case 15:
      if (!
#line 5699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3566; /* aarch64_sqrdmlah_laneqv2si */

    case 16:
      if (!
#line 5661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3552; /* aarch64_sqrdmlah_lanev4si */

    case 17:
      if (!
#line 5699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3572; /* aarch64_sqrdmlah_laneqv4si */

    case 18:
      if (!
#line 5679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3554; /* aarch64_sqrdmlah_lanehi */

    case 19:
      if (!
#line 5717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3574; /* aarch64_sqrdmlah_laneqhi */

    case 20:
      if (!
#line 5679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3556; /* aarch64_sqrdmlah_lanesi */

    case 21:
      if (!
#line 5717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3576; /* aarch64_sqrdmlah_laneqsi */

    case 22:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11918; /* aarch64_sve_sqrdmlah_lane_vnx8hi */

    case 23:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11920; /* aarch64_sve_sqrdmlah_lane_vnx4si */

    case 24:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11922; /* aarch64_sve_sqrdmlah_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_321 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern172 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9984; /* while_ulesivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9994; /* while_uledivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 10004; /* while_ulesivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10014; /* while_uledivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 10024; /* while_ulesivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10034; /* while_uledivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 10044; /* while_ulesivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10054; /* while_uledivnx2bi */

    default:
      return -1;
    }
}

 int
recog_329 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern188 (x1))
    {
    case 0:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11323; /* aarch64_stnt1vnx32qi */

    case 1:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11325; /* aarch64_stnt1vnx16hi */

    case 2:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11327; /* aarch64_stnt1vnx8si */

    case 3:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11329; /* aarch64_stnt1vnx4di */

    case 4:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11331; /* aarch64_stnt1vnx16bf */

    case 5:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11333; /* aarch64_stnt1vnx16hf */

    case 6:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11335; /* aarch64_stnt1vnx8sf */

    case 7:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11337; /* aarch64_stnt1vnx4df */

    case 8:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11339; /* aarch64_stnt1vnx64qi */

    case 9:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11341; /* aarch64_stnt1vnx32hi */

    case 10:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11343; /* aarch64_stnt1vnx16si */

    case 11:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11345; /* aarch64_stnt1vnx8di */

    case 12:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11347; /* aarch64_stnt1vnx32bf */

    case 13:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11349; /* aarch64_stnt1vnx32hf */

    case 14:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11351; /* aarch64_stnt1vnx16sf */

    case 15:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11353; /* aarch64_stnt1vnx8df */

    default:
      return -1;
    }
}

 int
recog_337 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (pattern165 (x1))
    {
    case 0:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5935; /* aarch64_ldff1vnx16qi */

    case 1:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5937; /* aarch64_ldff1vnx8hi */

    case 2:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5939; /* aarch64_ldff1vnx4si */

    case 3:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5941; /* aarch64_ldff1vnx2di */

    case 4:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5943; /* aarch64_ldff1vnx8bf */

    case 5:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5945; /* aarch64_ldff1vnx8hf */

    case 6:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5947; /* aarch64_ldff1vnx4sf */

    case 7:
      x2 = XEXP (x1, 1);
      if (pattern943 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5949; /* aarch64_ldff1vnx2df */

    default:
      return -1;
    }
}

 int
recog_348 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern162 (x1))
    {
    case 0:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3833; /* aarch64_usri_nv8qi */

    case 1:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3837; /* aarch64_usri_nv16qi */

    case 2:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3841; /* aarch64_usri_nv4hi */

    case 3:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3845; /* aarch64_usri_nv8hi */

    case 4:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3849; /* aarch64_usri_nv2si */

    case 5:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3853; /* aarch64_usri_nv4si */

    case 6:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3857; /* aarch64_usri_nv2di */

    case 7:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3861; /* aarch64_usri_ndi */

    default:
      return -1;
    }
}

 int
recog_355 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern201 (x1))
    {
    case 0:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12583; /* aarch64_sve_sqrdcmlah270vnx16qi */

    case 1:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12591; /* aarch64_sve_sqrdcmlah270vnx8hi */

    case 2:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12599; /* aarch64_sve_sqrdcmlah270vnx4si */

    case 3:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12607; /* aarch64_sve_sqrdcmlah270vnx2di */

    case 4:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12615; /* aarch64_sqrdcmlah270_lane_vnx8hi */

    case 5:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12623; /* aarch64_sqrdcmlah270_lane_vnx4si */

    default:
      return -1;
    }
}

 int
recog_363 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[3] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_HFmode:
      if (pattern804 (x3, 
E_VNx8HFmode, 
E_HFmode, 
E_VNx8BImode) != 0
          || !
#line 9166 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10465; /* mask_fold_left_plus_vnx8hf */

    case E_SFmode:
      if (pattern804 (x3, 
E_VNx4SFmode, 
E_SFmode, 
E_VNx4BImode) != 0
          || !
#line 9166 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10466; /* mask_fold_left_plus_vnx4sf */

    case E_DFmode:
      if (pattern804 (x3, 
E_VNx2DFmode, 
E_DFmode, 
E_VNx2BImode) != 0
          || !
#line 9166 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10467; /* mask_fold_left_plus_vnx2df */

    default:
      return -1;
    }
}

 int
recog_372 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern197 (x1))
    {
    case 0:
      if (!
#line 2805 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12511; /* aarch64_pred_uminpvnx16qi */

    case 1:
      if (!
#line 2805 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12516; /* aarch64_pred_uminpvnx8hi */

    case 2:
      if (!
#line 2805 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12521; /* aarch64_pred_uminpvnx4si */

    case 3:
      if (!
#line 2805 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12526; /* aarch64_pred_uminpvnx2di */

    default:
      return -1;
    }
}

 int
recog_380 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern191 (x1))
    {
    case 0:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11888; /* aarch64_sve_eorbtvnx16qi */

    case 1:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11896; /* aarch64_sve_eorbtvnx8hi */

    case 2:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11904; /* aarch64_sve_eorbtvnx4si */

    case 3:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11912; /* aarch64_sve_eorbtvnx2di */

    default:
      return -1;
    }
}

 int
recog_388 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[3] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[1] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx4SFmode:
      if (pattern190 (x3, 
E_VNx4SFmode) != 0
          || !(
#line 8107 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 553 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE_F32MM)))
        return -1;
      return 9452; /* aarch64_sve_fmmlavnx4sf */

    case E_VNx2DFmode:
      if (pattern190 (x3, 
E_VNx2DFmode) != 0
          || !(
#line 8107 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 554 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE_F64MM)))
        return -1;
      return 9453; /* aarch64_sve_fmmlavnx2df */

    default:
      return -1;
    }
}

 int
recog_397 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern225 (x2, 
SCRATCH) != 0)
    return -1;
  x3 = XEXP (x1, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93
      || GET_MODE (x3) != E_VNx16QImode)
    return -1;
  x4 = XVECEXP (x2, 0, 3);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[0] = x4;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x5 = XVECEXP (x2, 0, 2);
      switch (GET_MODE (x5))
        {
        case E_VNx8SImode:
          if (!
#line 1060 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13417; /* aarch64_sme_zero_za_slicesvnx8si */

        case E_VNx4DImode:
          if (!(
#line 1060 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13418; /* aarch64_sme_zero_za_slicesvnx4di */

        case E_VNx16SImode:
          if (!
#line 1060 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13419; /* aarch64_sme_zero_za_slicesvnx16si */

        case E_VNx8DImode:
          if (!(
#line 1060 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13420; /* aarch64_sme_zero_za_slicesvnx8di */

        case E_VNx16QImode:
          if (!
#line 1085 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13425; /* aarch64_sme_zero_za_slicesvnx16qi */

        case E_VNx32QImode:
          if (!
#line 1085 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13426; /* aarch64_sme_zero_za_slicesvnx32qi */

        case E_VNx64QImode:
          if (!
#line 1085 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13427; /* aarch64_sme_zero_za_slicesvnx64qi */

        case E_VNx8HImode:
          if (!
#line 1085 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13428; /* aarch64_sme_zero_za_slicesvnx8hi */

        case E_VNx16HImode:
          if (!
#line 1085 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13429; /* aarch64_sme_zero_za_slicesvnx16hi */

        case E_VNx32HImode:
          if (!
#line 1085 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13430; /* aarch64_sme_zero_za_slicesvnx32hi */

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x6 = XEXP (x4, 0);
      operands[0] = x6;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x7 = XEXP (x4, 1);
      operands[1] = x7;
      x5 = XVECEXP (x2, 0, 2);
      switch (GET_MODE (x5))
        {
        case E_VNx8SImode:
          if (!const_0_to_7_operand (operands[1], E_SImode)
              || !
#line 1073 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13421; /* *aarch64_sme_zero_za_slicesvnx8si_plus */

        case E_VNx4DImode:
          if (!const_0_to_7_operand (operands[1], E_SImode)
              || !(
#line 1073 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13422; /* *aarch64_sme_zero_za_slicesvnx4di_plus */

        case E_VNx16SImode:
          if (!const_0_to_7_operand (operands[1], E_SImode)
              || !
#line 1073 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13423; /* *aarch64_sme_zero_za_slicesvnx16si_plus */

        case E_VNx8DImode:
          if (!const_0_to_7_operand (operands[1], E_SImode)
              || !(
#line 1073 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13424; /* *aarch64_sme_zero_za_slicesvnx8di_plus */

        case E_VNx16QImode:
          if (!const_0_to_12_step_4_operand (operands[1], E_SImode)
              || !
#line 1098 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13431; /* *aarch64_sme_zero_za_slicesvnx16qi_plus */

        case E_VNx32QImode:
          if (!const_0_to_4_step_4_operand (operands[1], E_SImode)
              || !
#line 1098 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13432; /* *aarch64_sme_zero_za_slicesvnx32qi_plus */

        case E_VNx64QImode:
          if (!const_0_to_4_step_4_operand (operands[1], E_SImode)
              || !
#line 1098 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13433; /* *aarch64_sme_zero_za_slicesvnx64qi_plus */

        case E_VNx8HImode:
          if (!const_0_to_14_step_2_operand (operands[1], E_SImode)
              || !
#line 1098 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13434; /* *aarch64_sme_zero_za_slicesvnx8hi_plus */

        case E_VNx16HImode:
          if (!const_0_to_6_step_2_operand (operands[1], E_SImode)
              || !
#line 1098 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13435; /* *aarch64_sme_zero_za_slicesvnx16hi_plus */

        case E_VNx32HImode:
          if (!const_0_to_6_step_2_operand (operands[1], E_SImode)
              || !
#line 1098 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
            return -1;
          return 13436; /* *aarch64_sme_zero_za_slicesvnx32hi_plus */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_406 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  switch (pattern228 (x1))
    {
    case 0:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 3);
      operands[1] = x3;
      x4 = XEXP (x1, 0);
      switch (GET_MODE (x4))
        {
        case E_VNx4DImode:
          if (GET_MODE (x2) != E_VNx4DImode)
            return -1;
          x5 = XVECEXP (x2, 0, 0);
          if (GET_MODE (x5) != E_VNx4DImode
              || !aligned_register_operand (operands[1], E_VNx4DImode)
              || !
#line 1014 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13412; /* aarch64_sme_writevnx4di */

        case E_VNx8DImode:
          if (GET_MODE (x2) != E_VNx8DImode)
            return -1;
          x5 = XVECEXP (x2, 0, 0);
          if (GET_MODE (x5) != E_VNx8DImode
              || !aligned_register_operand (operands[1], E_VNx8DImode)
              || !
#line 1014 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13413; /* aarch64_sme_writevnx8di */

        default:
          return -1;
        }

    case 1:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 3);
      operands[2] = x3;
      x4 = XEXP (x1, 0);
      switch (GET_MODE (x4))
        {
        case E_VNx4DImode:
          if (GET_MODE (x2) != E_VNx4DImode)
            return -1;
          x5 = XVECEXP (x2, 0, 0);
          if (GET_MODE (x5) != E_VNx4DImode
              || !aligned_register_operand (operands[2], E_VNx4DImode)
              || !
#line 1027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13414; /* *aarch64_sme_writevnx4di_plus */

        case E_VNx8DImode:
          if (GET_MODE (x2) != E_VNx8DImode)
            return -1;
          x5 = XVECEXP (x2, 0, 0);
          if (GET_MODE (x5) != E_VNx8DImode
              || !aligned_register_operand (operands[2], E_VNx8DImode)
              || !
#line 1027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13415; /* *aarch64_sme_writevnx8di_plus */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_408 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern230 (x1))
    {
    case 0:
      if (!
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13458; /* aarch64_sme_faddvnx8sf */

    case 1:
      if (!
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13460; /* aarch64_sme_faddvnx16sf */

    case 2:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13462; /* aarch64_sme_faddvnx4df */

    case 3:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13464; /* aarch64_sme_faddvnx8df */

    case 4:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13466; /* aarch64_sme_faddvnx16hf */

    case 5:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13468; /* aarch64_sme_faddvnx32hf */

    case 6:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13470; /* aarch64_sme_faddvnx16bf */

    case 7:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13472; /* aarch64_sme_faddvnx32bf */

    case 8:
      if (!
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13474; /* *aarch64_sme_faddvnx8sf_plus */

    case 9:
      if (!
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13476; /* *aarch64_sme_faddvnx16sf_plus */

    case 10:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13478; /* *aarch64_sme_faddvnx4df_plus */

    case 11:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13480; /* *aarch64_sme_faddvnx8df_plus */

    case 12:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13482; /* *aarch64_sme_faddvnx16hf_plus */

    case 13:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13484; /* *aarch64_sme_faddvnx32hf_plus */

    case 14:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13486; /* *aarch64_sme_faddvnx16bf_plus */

    case 15:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13488; /* *aarch64_sme_faddvnx32bf_plus */

    default:
      return -1;
    }
}

 int
recog_421 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern948 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 5863 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8936; /* aarch64_pred_addvnx8hf */

    case E_VNx4SFmode:
      if (pattern948 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 5863 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8937; /* aarch64_pred_addvnx4sf */

    case E_VNx2DFmode:
      if (pattern948 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 5863 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8938; /* aarch64_pred_addvnx2df */

    case E_VNx8BFmode:
      if (pattern208 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 1347 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_B16B16 && true))
        return -1;
      return 11860; /* aarch64_pred_addvnx8bf */

    default:
      return -1;
    }
}

 int
recog_429 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (pattern254 (x1))
    {
    case 0:
      if (!
#line 1429 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13752; /* aarch64_sme_umlavnx4sivnx16qi */

    case 1:
      if (!
#line 1429 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13756; /* aarch64_sme_umlavnx4sivnx8hi */

    case 2:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13768; /* aarch64_sme_umlavnx4sivnx32qi */

    case 3:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13772; /* aarch64_sme_umlavnx4sivnx64qi */

    case 4:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13776; /* aarch64_sme_umlavnx4sivnx16hi */

    case 5:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13780; /* aarch64_sme_umlavnx4sivnx32hi */

    case 6:
      if (!
#line 1557 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13880; /* aarch64_sme_umlavnx2divnx8hi */

    case 7:
      if (!
#line 1587 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13888; /* aarch64_sme_umlavnx2divnx16hi */

    case 8:
      if (!
#line 1587 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13892; /* aarch64_sme_umlavnx2divnx32hi */

    case 9:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13800; /* aarch64_sme_single_umlavnx4sivnx32qi */

    case 10:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13804; /* aarch64_sme_single_umlavnx4sivnx64qi */

    case 11:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13808; /* aarch64_sme_single_umlavnx4sivnx16hi */

    case 12:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13812; /* aarch64_sme_single_umlavnx4sivnx32hi */

    case 13:
      if (!
#line 1618 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13904; /* aarch64_sme_single_umlavnx2divnx16hi */

    case 14:
      if (!
#line 1618 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13908; /* aarch64_sme_single_umlavnx2divnx32hi */

    case 15:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13832; /* aarch64_sme_lane_umlavnx4sivnx16qi */

    case 16:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13836; /* aarch64_sme_lane_umlavnx4sivnx32qi */

    case 17:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13840; /* aarch64_sme_lane_umlavnx4sivnx64qi */

    case 18:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13844; /* aarch64_sme_lane_umlavnx4sivnx8hi */

    case 19:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13848; /* aarch64_sme_lane_umlavnx4sivnx16hi */

    case 20:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13852; /* aarch64_sme_lane_umlavnx4sivnx32hi */

    case 21:
      if (!
#line 1652 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13920; /* aarch64_sme_lane_umlavnx2divnx8hi */

    case 22:
      if (!
#line 1652 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13924; /* aarch64_sme_lane_umlavnx2divnx16hi */

    case 23:
      if (!
#line 1652 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13928; /* aarch64_sme_lane_umlavnx2divnx32hi */

    case 24:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx16QImode)
          && register_operand (operands[3], E_VNx16QImode)
          && 
#line 1443 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return 13760; /* *aarch64_sme_umlavnx4sivnx16qi_plus */
      if (const_0_to_14_step_2_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode)
          && register_operand (operands[3], E_VNx8HImode)
          && 
#line 1443 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return 13764; /* *aarch64_sme_umlavnx4sivnx8hi_plus */
      if (const_0_to_4_step_4_operand (operands[1], E_SImode))
        {
          switch (pattern1325 ())
            {
            case 0:
              if (
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13784; /* *aarch64_sme_umlavnx4sivnx32qi_plus */
              break;

            case 1:
              if (
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13788; /* *aarch64_sme_umlavnx4sivnx64qi_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1326 ())
        {
        case 0:
          if (!
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13792; /* *aarch64_sme_umlavnx4sivnx16hi_plus */

        case 1:
          if (!
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13796; /* *aarch64_sme_umlavnx4sivnx32hi_plus */

        default:
          return -1;
        }

    case 25:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode)
          && register_operand (operands[3], E_VNx8HImode)
          && 
#line 1571 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return 13884; /* *aarch64_sme_umlavnx2divnx8hi_plus */
      if (!const_0_to_4_step_4_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1326 ())
        {
        case 0:
          if (!
#line 1601 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13896; /* *aarch64_sme_umlavnx2divnx16hi_plus */

        case 1:
          if (!
#line 1601 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13900; /* *aarch64_sme_umlavnx2divnx32hi_plus */

        default:
          return -1;
        }

    case 26:
      if (const_0_to_4_step_4_operand (operands[1], E_SImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          switch (pattern1327 (x3))
            {
            case 0:
              if (
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13816; /* *aarch64_sme_single_umlavnx4sivnx32qi_plus */
              break;

            case 1:
              if (
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13820; /* *aarch64_sme_single_umlavnx4sivnx64qi_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern253 (x3))
        {
        case 0:
          if (!
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13824; /* *aarch64_sme_single_umlavnx4sivnx16hi_plus */

        case 1:
          if (!
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13828; /* *aarch64_sme_single_umlavnx4sivnx32hi_plus */

        default:
          return -1;
        }

    case 27:
      if (!
#line 1633 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13912; /* *aarch64_sme_single_umlavnx2divnx16hi_plus */

    case 28:
      if (!
#line 1633 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13916; /* *aarch64_sme_single_umlavnx2divnx32hi_plus */

    case 29:
      if (register_operand (operands[3], E_VNx16QImode))
        {
          if (const_0_to_12_step_4_operand (operands[1], E_SImode)
              && register_operand (operands[2], E_VNx16QImode))
            {
              x2 = XEXP (x1, 1);
              x3 = XVECEXP (x2, 0, 4);
              if (GET_MODE (x3) == E_VNx16QImode
                  && 
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13856; /* *aarch64_sme_lane_umlavnx4sivnx16qi */
            }
          if (const_0_to_4_step_4_operand (operands[1], E_SImode))
            {
              x2 = XEXP (x1, 1);
              x3 = XVECEXP (x2, 0, 4);
              switch (pattern1365 (x3))
                {
                case 0:
                  if (
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                    return 13860; /* *aarch64_sme_lane_umlavnx4sivnx32qi */
                  break;

                case 1:
                  if (
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                    return 13864; /* *aarch64_sme_lane_umlavnx4sivnx64qi */
                  break;

                default:
                  break;
                }
            }
        }
      if (!register_operand (operands[3], E_VNx8HImode))
        return -1;
      if (const_0_to_14_step_2_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          if (GET_MODE (x3) == E_VNx8HImode
              && 
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return 13868; /* *aarch64_sme_lane_umlavnx4sivnx8hi */
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1366 (x3))
        {
        case 0:
          if (!
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13872; /* *aarch64_sme_lane_umlavnx4sivnx16hi */

        case 1:
          if (!
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13876; /* *aarch64_sme_lane_umlavnx4sivnx32hi */

        default:
          return -1;
        }

    case 30:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          if (GET_MODE (x3) == E_VNx8HImode
              && 
#line 1669 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return 13932; /* *aarch64_sme_lane_umlavnx2divnx8hi */
        }
      if (!const_0_to_4_step_4_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1366 (x3))
        {
        case 0:
          if (!
#line 1669 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13936; /* *aarch64_sme_lane_umlavnx2divnx16hi */

        case 1:
          if (!
#line 1669 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13940; /* *aarch64_sme_lane_umlavnx2divnx32hi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_437 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern237 (x1))
    {
    case 0:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13349; /* aarch64_sme_write_vervnx32qivnx32qi */

    case 1:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13351; /* aarch64_sme_write_vervnx16hivnx16hi */

    case 2:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13353; /* aarch64_sme_write_vervnx8sivnx8si */

    case 3:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13355; /* aarch64_sme_write_vervnx4divnx4di */

    case 4:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13357; /* aarch64_sme_write_vervnx16bfvnx16bf */

    case 5:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13359; /* aarch64_sme_write_vervnx16hfvnx16hf */

    case 6:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13361; /* aarch64_sme_write_vervnx8sfvnx8sf */

    case 7:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13363; /* aarch64_sme_write_vervnx4dfvnx4df */

    case 8:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13365; /* aarch64_sme_write_vervnx64qivnx64qi */

    case 9:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13367; /* aarch64_sme_write_vervnx32hivnx32hi */

    case 10:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13369; /* aarch64_sme_write_vervnx16sivnx16si */

    case 11:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13371; /* aarch64_sme_write_vervnx8divnx8di */

    case 12:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13373; /* aarch64_sme_write_vervnx32bfvnx32bf */

    case 13:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13375; /* aarch64_sme_write_vervnx32hfvnx32hf */

    case 14:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13377; /* aarch64_sme_write_vervnx16sfvnx16sf */

    case 15:
      if (!
#line 979 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13379; /* aarch64_sme_write_vervnx8dfvnx8df */

    case 16:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 8))
        return -1;
      return 13381; /* *aarch64_sme_write_vervnx32qivnx32qi_plus */

    case 17:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 16))
        return -1;
      return 13383; /* *aarch64_sme_write_vervnx16hivnx16hi_plus */

    case 18:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 32))
        return -1;
      return 13385; /* *aarch64_sme_write_vervnx8sivnx8si_plus */

    case 19:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 64))
        return -1;
      return 13387; /* *aarch64_sme_write_vervnx4divnx4di_plus */

    case 20:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 16))
        return -1;
      return 13389; /* *aarch64_sme_write_vervnx16bfvnx16bf_plus */

    case 21:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 16))
        return -1;
      return 13391; /* *aarch64_sme_write_vervnx16hfvnx16hf_plus */

    case 22:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 32))
        return -1;
      return 13393; /* *aarch64_sme_write_vervnx8sfvnx8sf_plus */

    case 23:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 2 == 0
   && UINTVAL (operands[2]) < 128 / 64))
        return -1;
      return 13395; /* *aarch64_sme_write_vervnx4dfvnx4df_plus */

    case 24:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 8))
        return -1;
      return 13397; /* *aarch64_sme_write_vervnx64qivnx64qi_plus */

    case 25:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 16))
        return -1;
      return 13399; /* *aarch64_sme_write_vervnx32hivnx32hi_plus */

    case 26:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 32))
        return -1;
      return 13401; /* *aarch64_sme_write_vervnx16sivnx16si_plus */

    case 27:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 64))
        return -1;
      return 13403; /* *aarch64_sme_write_vervnx8divnx8di_plus */

    case 28:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 16))
        return -1;
      return 13405; /* *aarch64_sme_write_vervnx32bfvnx32bf_plus */

    case 29:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 16))
        return -1;
      return 13407; /* *aarch64_sme_write_vervnx32hfvnx32hf_plus */

    case 30:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 32))
        return -1;
      return 13409; /* *aarch64_sme_write_vervnx16sfvnx16sf_plus */

    case 31:
      if (!
#line 997 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[2]) % 4 == 0
   && UINTVAL (operands[2]) < 128 / 64))
        return -1;
      return 13411; /* *aarch64_sme_write_vervnx8dfvnx8df_plus */

    default:
      return -1;
    }
}

 int
recog_444 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XINT (x2, 1))
    {
    case 195:
      x3 = XVECEXP (x2, 0, 4);
      if (GET_CODE (x3) != REG
          || REGNO (x3) != 84
          || GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      x6 = XVECEXP (x2, 0, 1);
      operands[2] = x6;
      x7 = XVECEXP (x2, 0, 2);
      operands[3] = x7;
      x8 = XVECEXP (x2, 0, 3);
      operands[4] = x8;
      if (!const_int_operand (operands[4], E_VOIDmode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_V4HFmode:
          switch (pattern1131 (x2, 
E_V8QImode, 
E_V4HFmode))
            {
            case 0:
              if (!
#line 203 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT2))
                return -1;
              return 5341; /* aarch64_fdot_lanev4hfv8qi */

            case 1:
              if (!
#line 203 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT2))
                return -1;
              return 5345; /* aarch64_fdot_lanev4hfv16qi */

            default:
              return -1;
            }

        case E_V8HFmode:
          switch (pattern1131 (x2, 
E_V16QImode, 
E_V8HFmode))
            {
            case 0:
              if (!
#line 204 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT2))
                return -1;
              return 5342; /* aarch64_fdot_lanev8hfv8qi */

            case 1:
              if (!
#line 204 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT2))
                return -1;
              return 5346; /* aarch64_fdot_lanev8hfv16qi */

            default:
              return -1;
            }

        case E_V2SFmode:
          switch (pattern1131 (x2, 
E_V8QImode, 
E_V2SFmode))
            {
            case 0:
              if (!
#line 205 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT4))
                return -1;
              return 5343; /* aarch64_fdot_lanev2sfv8qi */

            case 1:
              if (!
#line 205 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT4))
                return -1;
              return 5347; /* aarch64_fdot_lanev2sfv16qi */

            default:
              return -1;
            }

        case E_V4SFmode:
          switch (pattern1131 (x2, 
E_V16QImode, 
E_V4SFmode))
            {
            case 0:
              if (!
#line 206 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT4))
                return -1;
              return 5344; /* aarch64_fdot_lanev4sfv8qi */

            case 1:
              if (!
#line 206 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT4))
                return -1;
              return 5348; /* aarch64_fdot_lanev4sfv16qi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 376:
      switch (pattern232 (x1))
        {
        case 0:
          if (!(
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 9258; /* aarch64_pred_fmavnx8bf */

        case 1:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return -1;
          return 9262; /* aarch64_pred_fmavnx8hf */

        case 2:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return -1;
          return 9266; /* aarch64_pred_fmavnx4sf */

        case 3:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return -1;
          return 9270; /* aarch64_pred_fmavnx2df */

        default:
          return -1;
        }

    case 377:
      switch (pattern232 (x1))
        {
        case 0:
          if (!(
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 9259; /* aarch64_pred_fnmavnx8bf */

        case 1:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return -1;
          return 9263; /* aarch64_pred_fnmavnx8hf */

        case 2:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return -1;
          return 9267; /* aarch64_pred_fnmavnx4sf */

        case 3:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return -1;
          return 9271; /* aarch64_pred_fnmavnx2df */

        default:
          return -1;
        }

    case 381:
      switch (pattern232 (x1))
        {
        case 0:
          if (!(
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 9260; /* aarch64_pred_fnmsvnx8bf */

        case 1:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
            return -1;
          return 9264; /* aarch64_pred_fnmsvnx8hf */

        case 2:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
            return -1;
          return 9268; /* aarch64_pred_fnmsvnx4sf */

        case 3:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
            return -1;
          return 9272; /* aarch64_pred_fnmsvnx2df */

        default:
          return -1;
        }

    case 382:
      switch (pattern232 (x1))
        {
        case 0:
          if (!(
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 9261; /* aarch64_pred_fmsvnx8bf */

        case 1:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
            return -1;
          return 9265; /* aarch64_pred_fmsvnx8hf */

        case 2:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
            return -1;
          return 9269; /* aarch64_pred_fmsvnx4sf */

        case 3:
          if (!
#line 7569 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
            return -1;
          return 9273; /* aarch64_pred_fmsvnx2df */

        default:
          return -1;
        }

    case 360:
      switch (pattern233 (x1))
        {
        case 0:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9370; /* aarch64_pred_fcmlavnx8hf */

        case 1:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9374; /* aarch64_pred_fcmlavnx4sf */

        case 2:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9378; /* aarch64_pred_fcmlavnx2df */

        default:
          return -1;
        }

    case 361:
      switch (pattern233 (x1))
        {
        case 0:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9371; /* aarch64_pred_fcmla90vnx8hf */

        case 1:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9375; /* aarch64_pred_fcmla90vnx4sf */

        case 2:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9379; /* aarch64_pred_fcmla90vnx2df */

        default:
          return -1;
        }

    case 362:
      switch (pattern233 (x1))
        {
        case 0:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9372; /* aarch64_pred_fcmla180vnx8hf */

        case 1:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9376; /* aarch64_pred_fcmla180vnx4sf */

        case 2:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9380; /* aarch64_pred_fcmla180vnx2df */

        default:
          return -1;
        }

    case 363:
      switch (pattern233 (x1))
        {
        case 0:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9373; /* aarch64_pred_fcmla270vnx8hf */

        case 1:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9377; /* aarch64_pred_fcmla270vnx4sf */

        case 2:
          if (!
#line 7816 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9381; /* aarch64_pred_fcmla270vnx2df */

        default:
          return -1;
        }

    case 459:
      if (pattern235 (x1, 
E_VNx8HFmode) != 0
          || !
#line 2109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8FMA))
        return -1;
      return 12091; /* aarch64_sve_add_lane_fmlalbvnx8hf */

    case 465:
      if (pattern235 (x1, 
E_VNx8HFmode) != 0
          || !
#line 2109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8FMA))
        return -1;
      return 12092; /* aarch64_sve_add_lane_fmlaltvnx8hf */

    case 460:
      if (pattern235 (x1, 
E_VNx4SFmode) != 0
          || !
#line 2125 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8FMA))
        return -1;
      return 12093; /* aarch64_sve_add_lane_fmlallbbvnx4sf */

    case 461:
      if (pattern235 (x1, 
E_VNx4SFmode) != 0
          || !
#line 2125 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8FMA))
        return -1;
      return 12094; /* aarch64_sve_add_lane_fmlallbtvnx4sf */

    case 462:
      if (pattern235 (x1, 
E_VNx4SFmode) != 0
          || !
#line 2125 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8FMA))
        return -1;
      return 12095; /* aarch64_sve_add_lane_fmlalltbvnx4sf */

    case 463:
      if (pattern235 (x1, 
E_VNx4SFmode) != 0
          || !
#line 2125 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8FMA))
        return -1;
      return 12096; /* aarch64_sve_add_lane_fmlallttvnx4sf */

    case 444:
      x3 = XVECEXP (x2, 0, 4);
      if (GET_CODE (x3) != REG
          || REGNO (x3) != 84
          || GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      x6 = XVECEXP (x2, 0, 1);
      operands[2] = x6;
      if (!register_operand (operands[2], E_VNx16QImode))
        return -1;
      x7 = XVECEXP (x2, 0, 2);
      operands[3] = x7;
      if (!register_operand (operands[3], E_VNx16QImode))
        return -1;
      x8 = XVECEXP (x2, 0, 3);
      operands[4] = x8;
      if (!const_int_operand (operands[4], E_SImode))
        return -1;
      switch (pattern1067 (x2))
        {
        case 0:
          if (!
#line 2165 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8DOT4 && !(VNx8HFmode == VNx8HFmode && !TARGET_SSVE_FP8DOT2)))
            return -1;
          return 12099; /* aarch64_sve_dot_lanevnx8hf */

        case 1:
          if (!
#line 2165 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8DOT4 && !(VNx4SFmode == VNx8HFmode && !TARGET_SSVE_FP8DOT2)))
            return -1;
          return 12100; /* aarch64_sve_dot_lanevnx4sf */

        default:
          return -1;
        }

    case 136:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12750; /* aarch64_sve_whilege_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12758; /* aarch64_sve_whilege_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12766; /* aarch64_sve_whilege_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12774; /* aarch64_sve_whilege_c64 */

        default:
          return -1;
        }

    case 137:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12751; /* aarch64_sve_whilegt_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12759; /* aarch64_sve_whilegt_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12767; /* aarch64_sve_whilegt_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12775; /* aarch64_sve_whilegt_c64 */

        default:
          return -1;
        }

    case 138:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12752; /* aarch64_sve_whileugt_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12760; /* aarch64_sve_whileugt_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12768; /* aarch64_sve_whileugt_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12776; /* aarch64_sve_whileugt_c64 */

        default:
          return -1;
        }

    case 139:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12753; /* aarch64_sve_whileuge_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12761; /* aarch64_sve_whileuge_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12769; /* aarch64_sve_whileuge_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12777; /* aarch64_sve_whileuge_c64 */

        default:
          return -1;
        }

    case 140:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12754; /* aarch64_sve_whilele_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12762; /* aarch64_sve_whilele_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12770; /* aarch64_sve_whilele_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12778; /* aarch64_sve_whilele_c64 */

        default:
          return -1;
        }

    case 141:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12755; /* aarch64_sve_whileult_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12763; /* aarch64_sve_whileult_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12771; /* aarch64_sve_whileult_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12779; /* aarch64_sve_whileult_c64 */

        default:
          return -1;
        }

    case 142:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12756; /* aarch64_sve_whileule_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12764; /* aarch64_sve_whileule_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12772; /* aarch64_sve_whileule_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12780; /* aarch64_sve_whileule_c64 */

        default:
          return -1;
        }

    case 143:
      switch (pattern236 (x1, pnum_clobbers))
        {
        case 0:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12757; /* aarch64_sve_whilelt_c8 */

        case 1:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12765; /* aarch64_sve_whilelt_c16 */

        case 2:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12773; /* aarch64_sve_whilelt_c32 */

        case 3:
          if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          *pnum_clobbers = 1;
          return 12781; /* aarch64_sve_whilelt_c64 */

        default:
          return -1;
        }

    case 680:
      return recog_438 (x1, insn, pnum_clobbers);

    case 681:
      return recog_437 (x1, insn, pnum_clobbers);

    case 634:
      switch (pattern242 (x1))
        {
        case 0:
          if (!
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13490; /* aarch64_sme_add_writevnx8si */

        case 1:
          if (!(
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13492; /* aarch64_sme_add_writevnx4di */

        case 2:
          if (!
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13494; /* aarch64_sme_add_writevnx16si */

        case 3:
          if (!(
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13496; /* aarch64_sme_add_writevnx8di */

        case 4:
          if (!
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13506; /* aarch64_sme_single_add_writevnx8si */

        case 5:
          if (!(
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13508; /* aarch64_sme_single_add_writevnx4di */

        case 6:
          if (!
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13510; /* aarch64_sme_single_add_writevnx16si */

        case 7:
          if (!(
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13512; /* aarch64_sme_single_add_writevnx8di */

        case 8:
          if (!
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13498; /* *aarch64_sme_add_writevnx8si_plus */

        case 9:
          if (!(
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13500; /* *aarch64_sme_add_writevnx4di_plus */

        case 10:
          if (!
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13502; /* *aarch64_sme_add_writevnx16si_plus */

        case 11:
          if (!(
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13504; /* *aarch64_sme_add_writevnx8di_plus */

        case 12:
          if (!
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13514; /* *aarch64_sme_single_add_writevnx8si_plus */

        case 13:
          if (!(
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13516; /* *aarch64_sme_single_add_writevnx4di_plus */

        case 14:
          if (!
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13518; /* *aarch64_sme_single_add_writevnx16si_plus */

        case 15:
          if (!(
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13520; /* *aarch64_sme_single_add_writevnx8di_plus */

        default:
          return -1;
        }

    case 664:
      switch (pattern242 (x1))
        {
        case 0:
          if (!
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13491; /* aarch64_sme_sub_writevnx8si */

        case 1:
          if (!(
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13493; /* aarch64_sme_sub_writevnx4di */

        case 2:
          if (!
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13495; /* aarch64_sme_sub_writevnx16si */

        case 3:
          if (!(
#line 1218 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13497; /* aarch64_sme_sub_writevnx8di */

        case 4:
          if (!
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13507; /* aarch64_sme_single_sub_writevnx8si */

        case 5:
          if (!(
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13509; /* aarch64_sme_single_sub_writevnx4di */

        case 6:
          if (!
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13511; /* aarch64_sme_single_sub_writevnx16si */

        case 7:
          if (!(
#line 1246 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13513; /* aarch64_sme_single_sub_writevnx8di */

        case 8:
          if (!
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13499; /* *aarch64_sme_sub_writevnx8si_plus */

        case 9:
          if (!(
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13501; /* *aarch64_sme_sub_writevnx4di_plus */

        case 10:
          if (!
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13503; /* *aarch64_sme_sub_writevnx16si_plus */

        case 11:
          if (!(
#line 1232 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13505; /* *aarch64_sme_sub_writevnx8di_plus */

        case 12:
          if (!
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13515; /* *aarch64_sme_single_sub_writevnx8si_plus */

        case 13:
          if (!(
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13517; /* *aarch64_sme_single_sub_writevnx4di_plus */

        case 14:
          if (!
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13519; /* *aarch64_sme_single_sub_writevnx16si_plus */

        case 15:
          if (!(
#line 1261 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13521; /* *aarch64_sme_single_sub_writevnx8di_plus */

        default:
          return -1;
        }

    case 655:
      return recog_435 (x1, insn, pnum_clobbers);

    case 669:
      return recog_434 (x1, insn, pnum_clobbers);

    case 675:
      return recog_432 (x1, insn, pnum_clobbers);

    case 656:
      switch (pattern252 (x1))
        {
        case 0:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13623; /* aarch64_sme_lane_svdotvnx4sivnx32qi */

        case 1:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13631; /* aarch64_sme_lane_svdotvnx4sivnx64qi */

        case 2:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13639; /* aarch64_sme_lane_svdotvnx4sivnx16hi */

        case 3:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13647; /* aarch64_sme_lane_svdotvnx4sivnx32hi */

        case 4:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13655; /* aarch64_sme_lane_svdotvnx2divnx32qi */

        case 5:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13663; /* aarch64_sme_lane_svdotvnx2divnx64qi */

        case 6:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13671; /* aarch64_sme_lane_svdotvnx2divnx16hi */

        case 7:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13679; /* aarch64_sme_lane_svdotvnx2divnx32hi */

        case 8:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13687; /* *aarch64_sme_lane_svdotvnx4sivnx32qi_plus */

        case 9:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13695; /* *aarch64_sme_lane_svdotvnx4sivnx64qi_plus */

        case 10:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13703; /* *aarch64_sme_lane_svdotvnx4sivnx16hi_plus */

        case 11:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13711; /* *aarch64_sme_lane_svdotvnx4sivnx32hi_plus */

        case 12:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13719; /* *aarch64_sme_lane_svdotvnx2divnx32qi_plus */

        case 13:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13727; /* *aarch64_sme_lane_svdotvnx2divnx64qi_plus */

        case 14:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13735; /* *aarch64_sme_lane_svdotvnx2divnx16hi_plus */

        case 15:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13743; /* *aarch64_sme_lane_svdotvnx2divnx32hi_plus */

        default:
          return -1;
        }

    case 670:
      switch (pattern252 (x1))
        {
        case 0:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13625; /* aarch64_sme_lane_uvdotvnx4sivnx32qi */

        case 1:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13633; /* aarch64_sme_lane_uvdotvnx4sivnx64qi */

        case 2:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13641; /* aarch64_sme_lane_uvdotvnx4sivnx16hi */

        case 3:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13649; /* aarch64_sme_lane_uvdotvnx4sivnx32hi */

        case 4:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13657; /* aarch64_sme_lane_uvdotvnx2divnx32qi */

        case 5:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13665; /* aarch64_sme_lane_uvdotvnx2divnx64qi */

        case 6:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13673; /* aarch64_sme_lane_uvdotvnx2divnx16hi */

        case 7:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13681; /* aarch64_sme_lane_uvdotvnx2divnx32hi */

        case 8:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13689; /* *aarch64_sme_lane_uvdotvnx4sivnx32qi_plus */

        case 9:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
            return -1;
          return 13697; /* *aarch64_sme_lane_uvdotvnx4sivnx64qi_plus */

        case 10:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13705; /* *aarch64_sme_lane_uvdotvnx4sivnx16hi_plus */

        case 11:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
            return -1;
          return 13713; /* *aarch64_sme_lane_uvdotvnx4sivnx32hi_plus */

        case 12:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13721; /* *aarch64_sme_lane_uvdotvnx2divnx32qi_plus */

        case 13:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13729; /* *aarch64_sme_lane_uvdotvnx2divnx64qi_plus */

        case 14:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13737; /* *aarch64_sme_lane_uvdotvnx2divnx16hi_plus */

        case 15:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13745; /* *aarch64_sme_lane_uvdotvnx2divnx32hi_plus */

        default:
          return -1;
        }

    case 665:
      switch (pattern252 (x1))
        {
        case 0:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
            return -1;
          return 13626; /* aarch64_sme_lane_sudotvnx4sivnx32qi */

        case 1:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
            return -1;
          return 13634; /* aarch64_sme_lane_sudotvnx4sivnx64qi */

        case 2:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
            return -1;
          return 13642; /* aarch64_sme_lane_sudotvnx4sivnx16hi */

        case 3:
          if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
            return -1;
          return 13650; /* aarch64_sme_lane_sudotvnx4sivnx32hi */

        case 4:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13658; /* aarch64_sme_lane_sudotvnx2divnx32qi */

        case 5:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13666; /* aarch64_sme_lane_sudotvnx2divnx64qi */

        case 6:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13674; /* aarch64_sme_lane_sudotvnx2divnx16hi */

        case 7:
          if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13682; /* aarch64_sme_lane_sudotvnx2divnx32hi */

        case 8:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
            return -1;
          return 13690; /* *aarch64_sme_lane_sudotvnx4sivnx32qi_plus */

        case 9:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
            return -1;
          return 13698; /* *aarch64_sme_lane_sudotvnx4sivnx64qi_plus */

        case 10:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
            return -1;
          return 13706; /* *aarch64_sme_lane_sudotvnx4sivnx16hi_plus */

        case 11:
          if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
            return -1;
          return 13714; /* *aarch64_sme_lane_sudotvnx4sivnx32hi_plus */

        case 12:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13722; /* *aarch64_sme_lane_sudotvnx2divnx32qi_plus */

        case 13:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13730; /* *aarch64_sme_lane_sudotvnx2divnx64qi_plus */

        case 14:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13738; /* *aarch64_sme_lane_sudotvnx2divnx16hi_plus */

        case 15:
          if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
            return -1;
          return 13746; /* *aarch64_sme_lane_sudotvnx2divnx32hi_plus */

        default:
          return -1;
        }

    case 666:
      return recog_441 (x1, insn, pnum_clobbers);

    case 676:
      return recog_440 (x1, insn, pnum_clobbers);

    case 657:
      return recog_431 (x1, insn, pnum_clobbers);

    case 658:
      return recog_430 (x1, insn, pnum_clobbers);

    case 671:
      return recog_429 (x1, insn, pnum_clobbers);

    case 672:
      return recog_428 (x1, insn, pnum_clobbers);

    case 640:
      return recog_433 (x1, insn, pnum_clobbers);

    case 641:
      return recog_439 (x1, insn, pnum_clobbers);

    case 642:
      return recog_427 (x1, insn, pnum_clobbers);

    case 643:
      return recog_426 (x1, insn, pnum_clobbers);

    case 704:
      return recog_436 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_471 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case XOR:
      x5 = XEXP (x4, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern645 (x2, 
E_V8QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2892; /* aarch64_simd_bslv8qi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2905; /* *aarch64_simd_bslv8qi_alt */

        case E_V16QImode:
          if (pattern645 (x2, 
E_V16QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2895; /* aarch64_simd_bslv16qi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2908; /* *aarch64_simd_bslv16qi_alt */

        case E_V4HImode:
          if (pattern645 (x2, 
E_V4HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2896; /* aarch64_simd_bslv4hi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2909; /* *aarch64_simd_bslv4hi_alt */

        case E_V8HImode:
          if (pattern645 (x2, 
E_V8HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2899; /* aarch64_simd_bslv8hi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2912; /* *aarch64_simd_bslv8hi_alt */

        case E_V2SImode:
          if (pattern645 (x2, 
E_V2SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2900; /* aarch64_simd_bslv2si_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2913; /* *aarch64_simd_bslv2si_alt */

        case E_V4SImode:
          if (pattern645 (x2, 
E_V4SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2903; /* aarch64_simd_bslv4si_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2916; /* *aarch64_simd_bslv4si_alt */

        case E_V2DImode:
          if (pattern645 (x2, 
E_V2DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2904; /* aarch64_simd_bslv2di_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2917; /* *aarch64_simd_bslv2di_alt */

        case E_DImode:
          if (pattern645 (x2, 
E_DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3786 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2918; /* aarch64_simd_bsldi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3827 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2919; /* aarch64_simd_bsldi_alt */

        case E_VNx16QImode:
          if (pattern646 (x2, 
E_VNx16QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11957; /* *aarch64_sve2_bslvnx16qi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11958; /* *aarch64_sve2_bslvnx16qi */

        case E_VNx8HImode:
          if (pattern646 (x2, 
E_VNx8HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11959; /* *aarch64_sve2_bslvnx8hi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11960; /* *aarch64_sve2_bslvnx8hi */

        case E_VNx4SImode:
          if (pattern646 (x2, 
E_VNx4SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11961; /* *aarch64_sve2_bslvnx4si */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11962; /* *aarch64_sve2_bslvnx4si */

        case E_VNx2DImode:
          if (pattern646 (x2, 
E_VNx2DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11963; /* *aarch64_sve2_bslvnx2di */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11964; /* *aarch64_sve2_bslvnx2di */

        default:
          return -1;
        }

    case NOT:
      x7 = XEXP (x4, 0);
      switch (GET_CODE (x7))
        {
        case REG:
        case SUBREG:
          operands[3] = x7;
          x8 = XEXP (x3, 1);
          operands[2] = x8;
          x6 = XEXP (x2, 1);
          operands[1] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern520 (x2, 
E_V16QImode) != 0
                  || !
#line 9182 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5205; /* bcaxqv16qi4 */

            case E_V8HImode:
              if (pattern520 (x2, 
E_V8HImode) != 0
                  || !
#line 9182 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5206; /* bcaxqv8hi4 */

            case E_V4SImode:
              if (pattern520 (x2, 
E_V4SImode) != 0
                  || !
#line 9182 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5207; /* bcaxqv4si4 */

            case E_V2DImode:
              if (pattern520 (x2, 
E_V2DImode) != 0
                  || !
#line 9182 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5208; /* bcaxqv2di4 */

            default:
              return -1;
            }

        case XOR:
          x9 = XEXP (x7, 0);
          operands[1] = x9;
          x10 = XEXP (x7, 1);
          operands[2] = x10;
          x8 = XEXP (x3, 1);
          operands[3] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern898 (x2, 
E_V8QImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11995; /* *aarch64_sve2_bsl1n_unpredv8qi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11996; /* *aarch64_sve2_bsl1n_unpredv8qi */

            case E_V16QImode:
              if (pattern898 (x2, 
E_V16QImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11997; /* *aarch64_sve2_bsl1n_unpredv16qi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11998; /* *aarch64_sve2_bsl1n_unpredv16qi */

            case E_V4HImode:
              if (pattern898 (x2, 
E_V4HImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11999; /* *aarch64_sve2_bsl1n_unpredv4hi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 12000; /* *aarch64_sve2_bsl1n_unpredv4hi */

            case E_V8HImode:
              if (pattern898 (x2, 
E_V8HImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 12001; /* *aarch64_sve2_bsl1n_unpredv8hi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 12002; /* *aarch64_sve2_bsl1n_unpredv8hi */

            case E_V2SImode:
              if (pattern898 (x2, 
E_V2SImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 12003; /* *aarch64_sve2_bsl1n_unpredv2si */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 12004; /* *aarch64_sve2_bsl1n_unpredv2si */

            case E_V4SImode:
              if (pattern898 (x2, 
E_V4SImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 12005; /* *aarch64_sve2_bsl1n_unpredv4si */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 12006; /* *aarch64_sve2_bsl1n_unpredv4si */

            case E_V2DImode:
              if (pattern898 (x2, 
E_V2DImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 12007; /* *aarch64_sve2_bsl1n_unpredv2di */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 12008; /* *aarch64_sve2_bsl1n_unpredv2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case UNSPEC:
      switch (pattern406 (x2))
        {
        case 0:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11941; /* *aarch64_sve2_bcaxvnx16qi */

        case 1:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11942; /* *aarch64_sve2_bcaxvnx8hi */

        case 2:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11943; /* *aarch64_sve2_bcaxvnx4si */

        case 3:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11944; /* *aarch64_sve2_bcaxvnx2di */

        case 4:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11987; /* *aarch64_sve2_bsl1nvnx16qi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11988; /* *aarch64_sve2_bsl1nvnx16qi */

        case 5:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11989; /* *aarch64_sve2_bsl1nvnx8hi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11990; /* *aarch64_sve2_bsl1nvnx8hi */

        case 6:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11991; /* *aarch64_sve2_bsl1nvnx4si */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11992; /* *aarch64_sve2_bsl1nvnx4si */

        case 7:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11993; /* *aarch64_sve2_bsl1nvnx2di */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11994; /* *aarch64_sve2_bsl1nvnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_481 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != FLOAT_EXTEND)
    return -1;
  x4 = XEXP (x2, 2);
  operands[1] = x4;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  switch (GET_CODE (x6))
    {
    case VEC_SELECT:
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      x8 = XEXP (x6, 1);
      operands[4] = x8;
      x9 = XEXP (x3, 0);
      switch (pattern822 (x9))
        {
        case 0:
          if (pattern1076 (x2, 
E_V2SFmode, 
E_V4HFmode, 
E_V2HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V4HFmode)
              && 
#line 9303 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5218; /* aarch64_simd_fmlal_lowv2sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V4HFmode)
              || !
#line 9338 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5222; /* aarch64_simd_fmlal_highv2sf */

        case 1:
          if (pattern1076 (x2, 
E_V4SFmode, 
E_V8HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V8HFmode)
              && 
#line 9303 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5219; /* aarch64_simd_fmlalq_lowv4sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V8HFmode)
              || !
#line 9338 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5223; /* aarch64_simd_fmlalq_highv4sf */

        case 2:
          if (pattern1237 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode))
            {
              switch (pattern1352 ())
                {
                case 0:
                  if (
#line 9415 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5226; /* aarch64_simd_fmlal_lane_lowv2sf */
                  break;

                case 1:
                  if (
#line 9645 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5234; /* aarch64_simd_fmlal_laneq_lowv2sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode))
            return -1;
          switch (pattern1352 ())
            {
            case 0:
              if (!
#line 9452 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5228; /* aarch64_simd_fmlal_lane_highv2sf */

            case 1:
              if (!
#line 9682 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5236; /* aarch64_simd_fmlal_laneq_highv2sf */

            default:
              return -1;
            }

        case 3:
          if (pattern1237 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode))
            {
              switch (pattern1353 ())
                {
                case 0:
                  if (
#line 9529 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5230; /* aarch64_simd_fmlalq_laneq_lowv4sf */
                  break;

                case 1:
                  if (
#line 9759 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5238; /* aarch64_simd_fmlalq_lane_lowv4sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode))
            return -1;
          switch (pattern1353 ())
            {
            case 0:
              if (!
#line 9566 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5232; /* aarch64_simd_fmlalq_laneq_highv4sf */

            case 1:
              if (!
#line 9796 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5240; /* aarch64_simd_fmlalq_lane_highv4sf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      x7 = XEXP (x6, 0);
      if (GET_CODE (x7) != VEC_SELECT)
        return -1;
      x10 = XEXP (x7, 0);
      operands[2] = x10;
      x11 = XEXP (x7, 1);
      operands[4] = x11;
      x9 = XEXP (x3, 0);
      switch (pattern822 (x9))
        {
        case 0:
          if (pattern1144 (x2, 
E_V2SFmode, 
E_V4HFmode, 
E_V2HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V4HFmode)
              && 
#line 9321 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5220; /* aarch64_simd_fmlsl_lowv2sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V4HFmode)
              || !
#line 9356 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5224; /* aarch64_simd_fmlsl_highv2sf */

        case 1:
          if (pattern1144 (x2, 
E_V4SFmode, 
E_V8HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V8HFmode)
              && 
#line 9321 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5221; /* aarch64_simd_fmlslq_lowv4sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V8HFmode)
              || !
#line 9356 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5225; /* aarch64_simd_fmlslq_highv4sf */

        case 2:
          if (pattern1265 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode))
            {
              switch (pattern1352 ())
                {
                case 0:
                  if (
#line 9434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5227; /* aarch64_simd_fmlsl_lane_lowv2sf */
                  break;

                case 1:
                  if (
#line 9664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5235; /* aarch64_simd_fmlsl_laneq_lowv2sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode))
            return -1;
          switch (pattern1352 ())
            {
            case 0:
              if (!
#line 9471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5229; /* aarch64_simd_fmlsl_lane_highv2sf */

            case 1:
              if (!
#line 9701 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5237; /* aarch64_simd_fmlsl_laneq_highv2sf */

            default:
              return -1;
            }

        case 3:
          if (pattern1265 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode))
            {
              switch (pattern1353 ())
                {
                case 0:
                  if (
#line 9548 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5231; /* aarch64_simd_fmlslq_laneq_lowv4sf */
                  break;

                case 1:
                  if (
#line 9778 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5239; /* aarch64_simd_fmlslq_lane_lowv4sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode))
            return -1;
          switch (pattern1353 ())
            {
            case 0:
              if (!
#line 9585 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5233; /* aarch64_simd_fmlslq_laneq_highv4sf */

            case 1:
              if (!
#line 9815 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5241; /* aarch64_simd_fmlslq_lane_highv4sf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_485 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (XINT (x3, 1))
    {
    case 405:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 1404; /* aarch64_fcadd90v4hf_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
            return -1;
          return 1412; /* aarch64_fcadd90v2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 406:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 1407; /* aarch64_fcadd270v4hf_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
            return -1;
          return 1415; /* aarch64_fcadd270v2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 186:
      switch (pattern768 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1416 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1960; /* aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1416 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1964; /* aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1416 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1968; /* aarch64_simd_reg_shlv2si_unsigned_vec_concatz_be */

        default:
          return -1;
        }

    case 185:
      switch (pattern768 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1426 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1973; /* aarch64_simd_reg_shlv8qi_signed_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1426 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1977; /* aarch64_simd_reg_shlv4hi_signed_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1426 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1981; /* aarch64_simd_reg_shlv2si_signed_vec_concatz_be */

        default:
          return -1;
        }

    case 274:
      x5 = XEXP (x2, 0);
      operands[3] = x5;
      x6 = XVECEXP (x3, 0, 1);
      operands[2] = x6;
      if (!immediate_operand (operands[2], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern1017 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1986; /* vec_shr_v8qi_vec_concatz_be */

        case E_V8HImode:
          if (pattern1017 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1989; /* vec_shr_v4hi_vec_concatz_be */

        case E_V8HFmode:
          if (pattern1017 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1992; /* vec_shr_v4hf_vec_concatz_be */

        case E_V4SImode:
          if (pattern1017 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1995; /* vec_shr_v2si_vec_concatz_be */

        case E_V4SFmode:
          if (pattern1017 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1998; /* vec_shr_v2sf_vec_concatz_be */

        case E_V8BFmode:
          if (pattern1017 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1608 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2001; /* vec_shr_v4bf_vec_concatz_be */

        default:
          return -1;
        }

    case 208:
      switch (pattern768 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2124; /* aarch64_umaxpv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2140; /* aarch64_umaxpv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2156; /* aarch64_umaxpv2si_vec_concatz_be */

        default:
          return -1;
        }

    case 209:
      switch (pattern768 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2127; /* aarch64_uminpv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2143; /* aarch64_uminpv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2159; /* aarch64_uminpv2si_vec_concatz_be */

        default:
          return -1;
        }

    case 206:
      switch (pattern768 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2130; /* aarch64_smaxpv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2146; /* aarch64_smaxpv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2162; /* aarch64_smaxpv2si_vec_concatz_be */

        default:
          return -1;
        }

    case 207:
      switch (pattern768 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2133; /* aarch64_sminpv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2149; /* aarch64_sminpv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1802 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2165; /* aarch64_sminpv2si_vec_concatz_be */

        default:
          return -1;
        }

    case 198:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2172; /* aarch64_smax_nanpv4hf_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2188; /* aarch64_smax_nanpv2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 201:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2175; /* aarch64_smin_nanpv4hf_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2191; /* aarch64_smin_nanpv2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 197:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2178; /* aarch64_smaxpv4hf_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2194; /* aarch64_smaxpv2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 200:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2181; /* aarch64_sminpv4hf_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2197; /* aarch64_sminpv2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 196:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2684; /* fmax_nanv4hf3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2700; /* fmax_nanv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case 199:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2687; /* fmin_nanv4hf3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2703; /* fmin_nanv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case 277:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2690; /* fmaxv4hf3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2706; /* fmaxv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case 278:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2693; /* fminv4hf3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3363 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2709; /* fminv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case 202:
      switch (pattern767 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3375 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2720; /* aarch64_faddpv4hf_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3375 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2724; /* aarch64_faddpv2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 221:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3314; /* aarch64_suqaddv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3322; /* aarch64_suqaddv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3330; /* aarch64_suqaddv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3346; /* aarch64_suqadddi_vec_concatz_be */

        default:
          return -1;
        }

    case 220:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3317; /* aarch64_usqaddv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3325; /* aarch64_usqaddv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3333; /* aarch64_usqaddv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5382 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3349; /* aarch64_usqadddi_vec_concatz_be */

        default:
          return -1;
        }

    case 216:
      switch (pattern771 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3444; /* aarch64_sqdmulhv4hi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3452; /* aarch64_sqdmulhv2si_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3464; /* aarch64_sqdmulh_nv4hi_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3472; /* aarch64_sqdmulh_nv2si_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3480; /* aarch64_sqdmulh_lanev4hi_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3496; /* aarch64_sqdmulh_laneqv4hi_vec_concatz_be */

        case 6:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3488; /* aarch64_sqdmulh_lanev2si_vec_concatz_be */

        case 7:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3504; /* aarch64_sqdmulh_laneqv2si_vec_concatz_be */

        default:
          return -1;
        }

    case 217:
      switch (pattern771 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3447; /* aarch64_sqrdmulhv4hi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3455; /* aarch64_sqrdmulhv2si_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3467; /* aarch64_sqrdmulh_nv4hi_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3475; /* aarch64_sqrdmulh_nv2si_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3483; /* aarch64_sqrdmulh_lanev4hi_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3499; /* aarch64_sqrdmulh_laneqv4hi_vec_concatz_be */

        case 6:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3491; /* aarch64_sqrdmulh_lanev2si_vec_concatz_be */

        case 7:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3507; /* aarch64_sqrdmulh_laneqv2si_vec_concatz_be */

        default:
          return -1;
        }

    case 229:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3646; /* aarch64_sshlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3662; /* aarch64_sshlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3678; /* aarch64_sshlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3698; /* aarch64_sshldi_vec_concatz_be */

        default:
          return -1;
        }

    case 230:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3649; /* aarch64_ushlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3665; /* aarch64_ushlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3681; /* aarch64_ushlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3701; /* aarch64_ushldi_vec_concatz_be */

        default:
          return -1;
        }

    case 231:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3652; /* aarch64_srshlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3668; /* aarch64_srshlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3684; /* aarch64_srshlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3704; /* aarch64_srshldi_vec_concatz_be */

        default:
          return -1;
        }

    case 232:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3655; /* aarch64_urshlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3671; /* aarch64_urshlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3687; /* aarch64_urshlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3707; /* aarch64_urshldi_vec_concatz_be */

        default:
          return -1;
        }

    case 227:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3710; /* aarch64_sqshlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3726; /* aarch64_sqshlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3742; /* aarch64_sqshlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3774; /* aarch64_sqshldi_vec_concatz_be */

        default:
          return -1;
        }

    case 228:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3713; /* aarch64_uqshlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3729; /* aarch64_uqshlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3745; /* aarch64_uqshlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3777; /* aarch64_uqshldi_vec_concatz_be */

        default:
          return -1;
        }

    case 233:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3716; /* aarch64_sqrshlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3732; /* aarch64_sqrshlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3748; /* aarch64_sqrshlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3780; /* aarch64_sqrshldi_vec_concatz_be */

        default:
          return -1;
        }

    case 234:
      switch (pattern769 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3719; /* aarch64_uqrshlv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3735; /* aarch64_uqrshlv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3751; /* aarch64_uqrshlv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6523 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3783; /* aarch64_uqrshldi_vec_concatz_be */

        default:
          return -1;
        }

    case 247:
      switch (pattern772 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4848; /* aarch64_zip1v8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4872; /* aarch64_zip1v4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4896; /* aarch64_zip1v2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4926; /* aarch64_zip1v4hf_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4950; /* aarch64_zip1v4bf_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4974; /* aarch64_zip1v2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 248:
      switch (pattern772 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4851; /* aarch64_zip2v8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4875; /* aarch64_zip2v4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4899; /* aarch64_zip2v2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4929; /* aarch64_zip2v4hf_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4953; /* aarch64_zip2v4bf_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4977; /* aarch64_zip2v2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 251:
      switch (pattern772 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4854; /* aarch64_trn1v8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4878; /* aarch64_trn1v4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4902; /* aarch64_trn1v2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4932; /* aarch64_trn1v4hf_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4956; /* aarch64_trn1v4bf_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4980; /* aarch64_trn1v2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 252:
      switch (pattern772 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4857; /* aarch64_trn2v8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4881; /* aarch64_trn2v4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4905; /* aarch64_trn2v2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4935; /* aarch64_trn2v4hf_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4959; /* aarch64_trn2v4bf_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4983; /* aarch64_trn2v2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 249:
      switch (pattern772 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4860; /* aarch64_uzp1v8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4884; /* aarch64_uzp1v4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4908; /* aarch64_uzp1v2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4938; /* aarch64_uzp1v4hf_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4962; /* aarch64_uzp1v4bf_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4986; /* aarch64_uzp1v2sf_vec_concatz_be */

        default:
          return -1;
        }

    case 250:
      switch (pattern772 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4863; /* aarch64_uzp2v8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4887; /* aarch64_uzp2v4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4911; /* aarch64_uzp2v2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4941; /* aarch64_uzp2v4hf_vec_concatz_be */

        case 4:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4965; /* aarch64_uzp2v4bf_vec_concatz_be */

        case 5:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4989; /* aarch64_uzp2v2sf_vec_concatz_be */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_504 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      x5 = XEXP (x2, 1);
      switch (GET_CODE (x5))
        {
        case CONST_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case CONST:
          switch (pattern557 (x2))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5402 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3360; /* aarch64_uqmovnv8hi_vec_concatz_le */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5402 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3366; /* aarch64_uqmovnv4si_vec_concatz_le */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5402 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3372; /* aarch64_uqmovnv2di_vec_concatz_le */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          switch (pattern555 (x2))
            {
            case 0:
              if (!
#line 5424 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                return -1;
              return 3381; /* aarch64_uqxtn2v8hi_be */

            case 1:
              if (!
#line 5424 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                return -1;
              return 3383; /* aarch64_uqxtn2v4si_be */

            case 2:
              if (!
#line 5424 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                return -1;
              return 3385; /* aarch64_uqxtn2v2di_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case ASHIFTRT:
      x5 = XEXP (x2, 1);
      switch (GET_CODE (x5))
        {
        case CONST_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case CONST:
          switch (pattern434 (x2))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6695 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3908; /* *aarch64_uqsshrn_nv8hi_insn_vec_concatz_le */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6695 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3926; /* *aarch64_uqsshrn_nv4si_insn_vec_concatz_le */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6695 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3944; /* *aarch64_uqsshrn_nv2di_insn_vec_concatz_le */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          switch (pattern435 (x2))
            {
            case 0:
              if (!
#line 6958 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT)))
                return -1;
              return 4032; /* aarch64_uqsshrn2_nv8hi_insn_be */

            case 1:
              if (!
#line 6958 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT)))
                return -1;
              return 4038; /* aarch64_uqsshrn2_nv4si_insn_be */

            case 2:
              if (!
#line 6958 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT)))
                return -1;
              return 4044; /* aarch64_uqsshrn2_nv2di_insn_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern443 (x2, 
ZERO_EXTEND))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6695 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
            return -1;
          return 3911; /* *aarch64_uqshrn_nv8hi_insn_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6695 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
            return -1;
          return 3929; /* *aarch64_uqshrn_nv4si_insn_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6695 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
            return -1;
          return 3947; /* *aarch64_uqshrn_nv2di_insn_vec_concatz_le */

        case 3:
          if (!
#line 6958 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT)))
            return -1;
          return 4033; /* aarch64_uqushrn2_nv8hi_insn_be */

        case 4:
          if (!
#line 6958 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT)))
            return -1;
          return 4039; /* aarch64_uqushrn2_nv4si_insn_be */

        case 5:
          if (!
#line 6958 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT)))
            return -1;
          return 4045; /* aarch64_uqushrn2_nv2di_insn_be */

        case 6:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6722 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
            return -1;
          return 3959; /* *aarch64_uqrshrn_nv8hi_insn_vec_concatz_le */

        case 7:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6722 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
            return -1;
          return 3968; /* *aarch64_uqrshrn_nv4si_insn_vec_concatz_le */

        case 8:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6722 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
            return -1;
          return 3977; /* *aarch64_uqrshrn_nv2di_insn_vec_concatz_le */

        case 9:
          if (!
#line 7013 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && aarch64_const_vec_rnd_cst_p (operands[4], operands[3])))
            return -1;
          return 4058; /* aarch64_uqrshrn2_nv8hi_insn_be */

        case 10:
          if (!
#line 7013 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && aarch64_const_vec_rnd_cst_p (operands[4], operands[3])))
            return -1;
          return 4061; /* aarch64_uqrshrn2_nv4si_insn_be */

        case 11:
          if (!
#line 7013 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && aarch64_const_vec_rnd_cst_p (operands[4], operands[3])))
            return -1;
          return 4064; /* aarch64_uqrshrn2_nv2di_insn_be */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_507 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
    case MEM:
      return recog_452 (x1, insn, pnum_clobbers);

    case PLUS:
      return recog_457 (x1, insn, pnum_clobbers);

    case MINUS:
      return recog_454 (x1, insn, pnum_clobbers);

    case NEG:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 354; /* *negsi2_uxtw */

        case ASHIFT:
          if (GET_MODE (x5) != E_SImode)
            return -1;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x7 = XEXP (x5, 1);
          operands[2] = x7;
          if (!aarch64_shift_imm_si (operands[2], E_QImode))
            return -1;
          return 373; /* *neg_lsl_si2_uxtw */

        case ASHIFTRT:
          if (GET_MODE (x5) != E_SImode)
            return -1;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x7 = XEXP (x5, 1);
          operands[2] = x7;
          if (!aarch64_shift_imm_si (operands[2], E_QImode))
            return -1;
          return 374; /* *neg_asr_si2_uxtw */

        case LSHIFTRT:
          if (GET_MODE (x5) != E_SImode)
            return -1;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x7 = XEXP (x5, 1);
          operands[2] = x7;
          if (!aarch64_shift_imm_si (operands[2], E_QImode))
            return -1;
          return 375; /* *neg_lsr_si2_uxtw */

        case NE:
        case EQ:
        case GE:
        case GT:
        case LE:
        case LT:
        case GEU:
        case GTU:
        case LEU:
        case LTU:
        case UNORDERED:
        case ORDERED:
        case UNGE:
        case UNGT:
        case UNLE:
        case UNLT:
          operands[1] = x5;
          if (!aarch64_comparison_operator_mode (operands[1], E_SImode))
            return -1;
          x7 = XEXP (x5, 1);
          if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x6 = XEXP (x5, 0);
          operands[2] = x6;
          if (!cc_register (operands[2], E_VOIDmode))
            return -1;
          return 456; /* *cstoresi_neg_uxtw */

        default:
          return -1;
        }

    case MULT:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x8 = XEXP (x3, 1);
      operands[2] = x8;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 379; /* *mulsi3_uxtw */

        case NEG:
          if (GET_MODE (x5) != E_SImode)
            return -1;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 388; /* *mulsi_neg_uxtw */

        default:
          return -1;
        }

    case DIV:
      if (pattern24 (x1) != 0)
        return -1;
      return 403; /* *divsi3_uxtw */

    case UDIV:
      if (pattern24 (x1) != 0)
        return -1;
      return 404; /* *udivsi3_uxtw */

    case NE:
    case EQ:
    case GE:
    case GT:
    case LE:
    case LT:
    case GEU:
    case GTU:
    case LEU:
    case LTU:
    case UNORDERED:
    case ORDERED:
    case UNGE:
    case UNGT:
    case UNLE:
    case UNLT:
      operands[1] = x3;
      if (!aarch64_comparison_operator_mode (operands[1], E_SImode))
        return -1;
      x8 = XEXP (x3, 1);
      if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      operands[2] = x5;
      if (!cc_register (operands[2], E_VOIDmode))
        return -1;
      return 451; /* *cstoresi_insn_uxtw */

    case IF_THEN_ELSE:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case NE:
        case EQ:
        case GE:
        case GT:
        case LE:
        case LT:
        case GEU:
        case GTU:
        case LEU:
        case LTU:
        case UNORDERED:
        case ORDERED:
        case UNGE:
        case UNGT:
        case UNLE:
        case UNLT:
          operands[1] = x5;
          if (aarch64_comparison_operator (operands[1], E_VOIDmode))
            {
              res = recog_451 (x1, insn, pnum_clobbers);
              if (res >= 0)
                return res;
            }
          if (!aarch64_comparison_operation (operands[1], E_VOIDmode))
            return -1;
          x4 = XEXP (x1, 0);
          operands[0] = x4;
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x2) != E_DImode)
            return -1;
          x8 = XEXP (x3, 1);
          if (GET_MODE (x8) != E_SImode)
            return -1;
          x9 = XEXP (x3, 2);
          operands[3] = x9;
          if (!aarch64_reg_or_zero (operands[3], E_SImode))
            return -1;
          switch (GET_CODE (x8))
            {
            case NEG:
              x10 = XEXP (x8, 0);
              operands[2] = x10;
              if (!register_operand (operands[2], E_SImode))
                return -1;
              return 481; /* *csneg3_uxtw_insn4 */

            case NOT:
              x10 = XEXP (x8, 0);
              operands[2] = x10;
              if (!register_operand (operands[2], E_SImode))
                return -1;
              return 482; /* *csinv3_uxtw_insn4 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case XOR:
      return recog_456 (x1, insn, pnum_clobbers);

    case AND:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x8 = XEXP (x3, 1);
          operands[2] = x8;
          if (!aarch64_logical_operand (operands[2], E_SImode))
            return -1;
          return 512; /* *andsi3_uxtw */

        case ASHIFT:
          if (pattern737 (x3) != 0)
            return -1;
          return 563; /* *and_ashlsi3_uxtw */

        case ASHIFTRT:
          if (pattern737 (x3) != 0)
            return -1;
          return 566; /* *and_ashrsi3_uxtw */

        case LSHIFTRT:
          if (pattern737 (x3) != 0)
            return -1;
          return 569; /* *and_lshrsi3_uxtw */

        case ROTATERT:
          if (pattern737 (x3) != 0)
            return -1;
          return 572; /* *and_rotrsi3_uxtw */

        case ROTATE:
          if (pattern737 (x3) != 0)
            return -1;
          return 575; /* *and_rotlsi3_uxtw */

        case NOT:
          switch (pattern741 (x3))
            {
            case 0:
              return 595; /* *andnsidi3_ze */

            case 1:
              return 635; /* and_one_cmpl_ashlsidi_uxtw */

            case 2:
              return 638; /* and_one_cmpl_ashrsidi_uxtw */

            case 3:
              return 641; /* and_one_cmpl_lshrsidi_uxtw */

            case 4:
              return 644; /* and_one_cmpl_rotrsidi_uxtw */

            case 5:
              return 647; /* and_one_cmpl_rotlsidi_uxtw */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case IOR:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x8 = XEXP (x3, 1);
          operands[2] = x8;
          if (!aarch64_logical_operand (operands[2], E_SImode))
            return -1;
          return 513; /* *iorsi3_uxtw */

        case ASHIFT:
          if (GET_MODE (x5) != E_SImode)
            return -1;
          switch (pattern810 (x3))
            {
            case 0:
              return 564; /* *ior_ashlsi3_uxtw */

            case 1:
              if (!
#line 6246 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < 32 &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32)))
                return -1;
              return 792; /* *extrsi5_insn_uxtw */

            default:
              return -1;
            }

        case ASHIFTRT:
          if (pattern737 (x3) != 0)
            return -1;
          return 567; /* *ior_ashrsi3_uxtw */

        case LSHIFTRT:
          switch (pattern738 (x3))
            {
            case 0:
              return 570; /* *ior_lshrsi3_uxtw */

            case 1:
              if (!
#line 6260 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < 32 &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32)))
                return -1;
              return 795; /* *extrsi5_insn_uxtw_alt */

            default:
              return -1;
            }

        case ROTATERT:
          if (pattern737 (x3) != 0)
            return -1;
          return 573; /* *ior_rotrsi3_uxtw */

        case ROTATE:
          if (pattern737 (x3) != 0)
            return -1;
          return 576; /* *ior_rotlsi3_uxtw */

        case NOT:
          switch (pattern741 (x3))
            {
            case 0:
              return 596; /* *iornsidi3_ze */

            case 1:
              return 636; /* ior_one_cmpl_ashlsidi_uxtw */

            case 2:
              return 639; /* ior_one_cmpl_ashrsidi_uxtw */

            case 3:
              return 642; /* ior_one_cmpl_lshrsidi_uxtw */

            case 4:
              return 645; /* ior_one_cmpl_rotrsidi_uxtw */

            case 5:
              return 648; /* ior_one_cmpl_rotlsidi_uxtw */

            default:
              return -1;
            }

        case AND:
          if (GET_MODE (x5) != E_SImode)
            return -1;
          x8 = XEXP (x3, 1);
          if (GET_CODE (x8) != AND
              || GET_MODE (x8) != E_SImode)
            return -1;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x7 = XEXP (x5, 1);
          operands[3] = x7;
          if (!const_int_operand (operands[3], E_SImode))
            return -1;
          x10 = XEXP (x8, 0);
          operands[2] = x10;
          if (!register_operand (operands[2], E_SImode))
            return -1;
          x11 = XEXP (x8, 1);
          operands[4] = x11;
          if (!const_int_operand (operands[4], E_SImode)
              || !
#line 6761 "../../gcc/config/aarch64/aarch64.md"
((INTVAL (operands[3]) == ~INTVAL (operands[4]))
  && (aarch64_high_bits_all_ones_p (INTVAL (operands[3]))
    || aarch64_high_bits_all_ones_p (INTVAL (operands[4])))))
            return -1;
          return 891; /* *aarch64_bfxilsi_uxtw */

        default:
          return -1;
        }

    case NOT:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 580; /* *one_cmpl_zero_extend */

        case XOR:
          if (GET_MODE (x5) != E_SImode)
            return -1;
          x7 = XEXP (x5, 1);
          if (!register_operand (x7, E_SImode))
            return -1;
          x6 = XEXP (x5, 0);
          switch (GET_CODE (x6))
            {
            case REG:
            case SUBREG:
              operands[1] = x6;
              if (!register_operand (operands[1], E_SImode))
                return -1;
              operands[2] = x7;
              return 597; /* *xor_one_cmplsidi3_ze */

            case ASHIFT:
              if (GET_MODE (x6) != E_SImode)
                return -1;
              x12 = XEXP (x6, 0);
              operands[1] = x12;
              if (!register_operand (operands[1], E_SImode))
                return -1;
              x13 = XEXP (x6, 1);
              operands[2] = x13;
              if (!aarch64_shift_imm_si (operands[2], E_QImode))
                return -1;
              operands[3] = x7;
              return 660; /* *eor_one_cmpl_ashlsidi3_alt_ze */

            case ASHIFTRT:
              if (GET_MODE (x6) != E_SImode)
                return -1;
              x12 = XEXP (x6, 0);
              operands[1] = x12;
              if (!register_operand (operands[1], E_SImode))
                return -1;
              x13 = XEXP (x6, 1);
              operands[2] = x13;
              if (!aarch64_shift_imm_si (operands[2], E_QImode))
                return -1;
              operands[3] = x7;
              return 661; /* *eor_one_cmpl_ashrsidi3_alt_ze */

            case LSHIFTRT:
              if (GET_MODE (x6) != E_SImode)
                return -1;
              x12 = XEXP (x6, 0);
              operands[1] = x12;
              if (!register_operand (operands[1], E_SImode))
                return -1;
              x13 = XEXP (x6, 1);
              operands[2] = x13;
              if (!aarch64_shift_imm_si (operands[2], E_QImode))
                return -1;
              operands[3] = x7;
              return 662; /* *eor_one_cmpl_lshrsidi3_alt_ze */

            case ROTATERT:
              if (GET_MODE (x6) != E_SImode)
                return -1;
              x12 = XEXP (x6, 0);
              operands[1] = x12;
              if (!register_operand (operands[1], E_SImode))
                return -1;
              x13 = XEXP (x6, 1);
              operands[2] = x13;
              if (!aarch64_shift_imm_si (operands[2], E_QImode))
                return -1;
              operands[3] = x7;
              return 663; /* *eor_one_cmpl_rotrsidi3_alt_ze */

            case ROTATE:
              if (GET_MODE (x6) != E_SImode)
                return -1;
              x12 = XEXP (x6, 0);
              operands[1] = x12;
              if (!register_operand (operands[1], E_SImode))
                return -1;
              x13 = XEXP (x6, 1);
              operands[2] = x13;
              if (!aarch64_shift_imm_si (operands[2], E_QImode))
                return -1;
              operands[3] = x7;
              return 664; /* *eor_one_cmpl_rotlsidi3_alt_ze */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern25 (x1))
        {
        case 0:
          return 768; /* *ashlsi3_insn_uxtw */

        case 1:
          if (!
#line 6287 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 803; /* *zero_extenddi_ashlqi */

        case 2:
          if (!
#line 6287 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 807; /* *zero_extenddi_ashlhi */

        case 3:
          if (!
#line 6287 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 801; /* *zero_extendsi_ashlqi */

        case 4:
          if (!
#line 6287 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 805; /* *zero_extendsi_ashlhi */

        default:
          return -1;
        }

    case ASHIFTRT:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x8 = XEXP (x3, 1);
      operands[2] = x8;
      if (!aarch64_reg_or_shift_imm_si (operands[2], E_QImode))
        return -1;
      return 769; /* *ashrsi3_insn_uxtw */

    case LSHIFTRT:
      switch (pattern25 (x1))
        {
        case 0:
          return 770; /* *lshrsi3_insn_uxtw */

        case 1:
          if (!
#line 6300 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 809; /* *zero_extenddi_lshrqi */

        case 2:
          if (!
#line 6300 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 811; /* *zero_extenddi_lshrhi */

        case 3:
          if (!
#line 6300 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 808; /* *zero_extendsi_lshrqi */

        case 4:
          if (!
#line 6300 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 810; /* *zero_extendsi_lshrhi */

        default:
          return -1;
        }

    case ROTATERT:
      if (pattern26 (x1) != 0
          || !
#line 6177 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < 32))
        return -1;
      return 771; /* *rorsi3_insn_uxtw */

    case ROTATE:
      if (pattern26 (x1) != 0
          || !
#line 6188 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < 32))
        return -1;
      return 772; /* *rolsi3_insn_uxtw */

    case BSWAP:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      return 897; /* *bswapsi2_uxtw */

    case UNSIGNED_FIX:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[1]))
        {
        case E_SFmode:
          if (!register_operand (operands[1], E_SFmode)
              || !
#line 7075 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 1017; /* *fix_to_zero_extendsfdi2 */

        case E_DFmode:
          if (!register_operand (operands[1], E_DFmode)
              || !
#line 7075 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 1018; /* *fix_to_zero_extenddfdi2 */

        default:
          return -1;
        }

    case TRUNCATE:
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_TImode)
          || GET_MODE (x2) != E_TImode)
        return -1;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_TImode)
          || !
#line 7638 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
        return -1;
      return 1126; /* aarch64_movtilow_tilow */

    case UNSPEC:
      return recog_453 (x1, insn, pnum_clobbers);

    case VEC_SELECT:
      x8 = XEXP (x3, 1);
      if (GET_CODE (x8) != PARALLEL)
        return -1;
      operands[2] = x8;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HImode:
          if (pattern364 (x2, 
E_V16QImode, 
E_V8QImode, 
E_V8HImode) == 0
              && 
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2231; /* aarch64_simd_vec_unpacku_hi_v16qi */
          break;

        case E_V4SImode:
          if (pattern364 (x2, 
E_V8HImode, 
E_V4HImode, 
E_V4SImode) == 0
              && 
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2233; /* aarch64_simd_vec_unpacku_hi_v8hi */
          break;

        case E_V2DImode:
          if (pattern364 (x2, 
E_V4SImode, 
E_V2SImode, 
E_V2DImode) == 0
              && 
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2235; /* aarch64_simd_vec_unpacku_hi_v4si */
          break;

        default:
          break;
        }
      if (XVECLEN (x8, 0) != 1)
        return -1;
      operands[0] = x4;
      switch (pattern492 (x2))
        {
        case 0:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2928; /* *aarch64_get_lane_zero_extendsiv8qi */

        case 1:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2930; /* *aarch64_get_lane_zero_extendsiv16qi */

        case 2:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2932; /* *aarch64_get_lane_zero_extendsiv4hi */

        case 3:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2934; /* *aarch64_get_lane_zero_extendsiv8hi */

        case 4:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2929; /* *aarch64_get_lane_zero_extenddiv8qi */

        case 5:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2931; /* *aarch64_get_lane_zero_extenddiv16qi */

        case 6:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2933; /* *aarch64_get_lane_zero_extenddiv4hi */

        case 7:
          if (!
#line 4246 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2935; /* *aarch64_get_lane_zero_extenddiv8hi */

        default:
          return -1;
        }

    case UNSPEC_VOLATILE:
      return recog_455 (x1, insn, pnum_clobbers);

    case US_PLUS:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x5 = XEXP (x3, 0);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 3)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      switch (pattern599 (x2))
        {
        case 0:
          if (!
#line 10525 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11046; /* aarch64_sve_uqincsi_pat */

        case 1:
          if (!
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11092; /* *aarch64_sve_uqincsivnx16bi_cntp */

        case 2:
          if (!
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11094; /* *aarch64_sve_uqincsivnx8bi_cntp */

        case 3:
          if (!
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11096; /* *aarch64_sve_uqincsivnx4bi_cntp */

        case 4:
          if (!
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11098; /* *aarch64_sve_uqincsivnx2bi_cntp */

        default:
          return -1;
        }

    case US_MINUS:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x8 = XEXP (x3, 1);
      if (GET_CODE (x8) != UNSPEC
          || XVECLEN (x8, 0) != 3)
        return -1;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      switch (pattern601 (x2))
        {
        case 0:
          if (!
#line 10675 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11061; /* aarch64_sve_uqdecsi_pat */

        case 1:
          if (!
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11125; /* *aarch64_sve_uqdecsivnx16bi_cntp */

        case 2:
          if (!
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11127; /* *aarch64_sve_uqdecsivnx8bi_cntp */

        case 3:
          if (!
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11129; /* *aarch64_sve_uqdecsivnx4bi_cntp */

        case 4:
          if (!
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11131; /* *aarch64_sve_uqdecsivnx2bi_cntp */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_516 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 2);
  operands[2] = x4;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  x5 = XEXP (x3, 0);
  switch (GET_CODE (x5))
    {
    case VEC_DUPLICATE:
      x6 = XEXP (x5, 0);
      switch (GET_CODE (x6))
        {
        case REG:
        case SUBREG:
        case MEM:
          operands[1] = x6;
          x7 = XEXP (x3, 1);
          operands[3] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern916 (x3, 
E_V8QImode, 
E_QImode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1817; /* aarch64_simd_vec_setv8qi */

            case E_V16QImode:
              if (pattern916 (x3, 
E_V16QImode, 
E_QImode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1818; /* aarch64_simd_vec_setv16qi */

            case E_V4HImode:
              if (pattern916 (x3, 
E_V4HImode, 
E_HImode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1819; /* aarch64_simd_vec_setv4hi */

            case E_V8HImode:
              if (pattern916 (x3, 
E_V8HImode, 
E_HImode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1820; /* aarch64_simd_vec_setv8hi */

            case E_V2SImode:
              if (pattern916 (x3, 
E_V2SImode, 
E_SImode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1821; /* aarch64_simd_vec_setv2si */

            case E_V4SImode:
              if (pattern916 (x3, 
E_V4SImode, 
E_SImode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1822; /* aarch64_simd_vec_setv4si */

            case E_V2DImode:
              if (pattern916 (x3, 
E_V2DImode, 
E_DImode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1823; /* aarch64_simd_vec_setv2di */

            case E_V4HFmode:
              if (pattern916 (x3, 
E_V4HFmode, 
E_HFmode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1824; /* aarch64_simd_vec_setv4hf */

            case E_V8HFmode:
              if (pattern916 (x3, 
E_V8HFmode, 
E_HFmode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1825; /* aarch64_simd_vec_setv8hf */

            case E_V4BFmode:
              if (pattern916 (x3, 
E_V4BFmode, 
E_BFmode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1826; /* aarch64_simd_vec_setv4bf */

            case E_V8BFmode:
              if (pattern916 (x3, 
E_V8BFmode, 
E_BFmode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1827; /* aarch64_simd_vec_setv8bf */

            case E_V2SFmode:
              if (pattern916 (x3, 
E_V2SFmode, 
E_SFmode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1828; /* aarch64_simd_vec_setv2sf */

            case E_V4SFmode:
              if (pattern916 (x3, 
E_V4SFmode, 
E_SFmode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1829; /* aarch64_simd_vec_setv4sf */

            case E_V2DFmode:
              if (pattern916 (x3, 
E_V2DFmode, 
E_DFmode) != 0
                  || !
#line 1174 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1830; /* aarch64_simd_vec_setv2df */

            default:
              return -1;
            }

        case VEC_SELECT:
          x8 = XEXP (x6, 1);
          if (GET_CODE (x8) != PARALLEL
              || XVECLEN (x8, 0) != 1)
            return -1;
          x9 = XEXP (x6, 0);
          operands[3] = x9;
          x10 = XVECEXP (x8, 0, 0);
          operands[4] = x10;
          if (!immediate_operand (operands[4], E_SImode))
            return -1;
          x7 = XEXP (x3, 1);
          operands[1] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern1148 (x3, 
E_V8QImode, 
E_QImode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V8QImode:
                  if (!register_operand (operands[3], E_V8QImode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1845; /* aarch64_simd_vec_copy_lanev8qi */

                case E_V16QImode:
                  if (!register_operand (operands[3], E_V16QImode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1859; /* aarch64_simd_vec_copy_lane_to_128v8qi */

                default:
                  return -1;
                }

            case E_V16QImode:
              if (pattern1148 (x3, 
E_V16QImode, 
E_QImode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V16QImode:
                  if (!register_operand (operands[3], E_V16QImode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1846; /* aarch64_simd_vec_copy_lanev16qi */

                case E_V8QImode:
                  if (!register_operand (operands[3], E_V8QImode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1860; /* aarch64_simd_vec_copy_lane_to_64v16qi */

                default:
                  return -1;
                }

            case E_V4HImode:
              if (pattern1148 (x3, 
E_V4HImode, 
E_HImode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V4HImode:
                  if (!register_operand (operands[3], E_V4HImode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1847; /* aarch64_simd_vec_copy_lanev4hi */

                case E_V8HImode:
                  if (!register_operand (operands[3], E_V8HImode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1861; /* aarch64_simd_vec_copy_lane_to_128v4hi */

                default:
                  return -1;
                }

            case E_V8HImode:
              if (pattern1148 (x3, 
E_V8HImode, 
E_HImode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V8HImode:
                  if (!register_operand (operands[3], E_V8HImode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1848; /* aarch64_simd_vec_copy_lanev8hi */

                case E_V4HImode:
                  if (!register_operand (operands[3], E_V4HImode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1862; /* aarch64_simd_vec_copy_lane_to_64v8hi */

                default:
                  return -1;
                }

            case E_V2SImode:
              if (pattern1148 (x3, 
E_V2SImode, 
E_SImode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V2SImode:
                  if (!register_operand (operands[3], E_V2SImode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1849; /* aarch64_simd_vec_copy_lanev2si */

                case E_V4SImode:
                  if (!register_operand (operands[3], E_V4SImode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1863; /* aarch64_simd_vec_copy_lane_to_128v2si */

                default:
                  return -1;
                }

            case E_V4SImode:
              if (pattern1148 (x3, 
E_V4SImode, 
E_SImode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V4SImode:
                  if (!register_operand (operands[3], E_V4SImode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1850; /* aarch64_simd_vec_copy_lanev4si */

                case E_V2SImode:
                  if (!register_operand (operands[3], E_V2SImode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1864; /* aarch64_simd_vec_copy_lane_to_64v4si */

                default:
                  return -1;
                }

            case E_V2DImode:
              if (pattern1149 (x3, 
E_V2DImode, 
E_DImode) != 0
                  || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1851; /* aarch64_simd_vec_copy_lanev2di */

            case E_V4HFmode:
              if (pattern1148 (x3, 
E_V4HFmode, 
E_HFmode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V4HFmode:
                  if (!register_operand (operands[3], E_V4HFmode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1852; /* aarch64_simd_vec_copy_lanev4hf */

                case E_V8HFmode:
                  if (!register_operand (operands[3], E_V8HFmode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1865; /* aarch64_simd_vec_copy_lane_to_128v4hf */

                default:
                  return -1;
                }

            case E_V8HFmode:
              if (pattern1148 (x3, 
E_V8HFmode, 
E_HFmode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V8HFmode:
                  if (!register_operand (operands[3], E_V8HFmode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1853; /* aarch64_simd_vec_copy_lanev8hf */

                case E_V4HFmode:
                  if (!register_operand (operands[3], E_V4HFmode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1866; /* aarch64_simd_vec_copy_lane_to_64v8hf */

                default:
                  return -1;
                }

            case E_V4BFmode:
              if (pattern1149 (x3, 
E_V4BFmode, 
E_BFmode) != 0
                  || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1854; /* aarch64_simd_vec_copy_lanev4bf */

            case E_V8BFmode:
              if (pattern1149 (x3, 
E_V8BFmode, 
E_BFmode) != 0
                  || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1855; /* aarch64_simd_vec_copy_lanev8bf */

            case E_V2SFmode:
              if (pattern1148 (x3, 
E_V2SFmode, 
E_SFmode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V2SFmode:
                  if (!register_operand (operands[3], E_V2SFmode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1856; /* aarch64_simd_vec_copy_lanev2sf */

                case E_V4SFmode:
                  if (!register_operand (operands[3], E_V4SFmode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1867; /* aarch64_simd_vec_copy_lane_to_128v2sf */

                default:
                  return -1;
                }

            case E_V4SFmode:
              if (pattern1148 (x3, 
E_V4SFmode, 
E_SFmode) != 0)
                return -1;
              switch (GET_MODE (operands[3]))
                {
                case E_V4SFmode:
                  if (!register_operand (operands[3], E_V4SFmode)
                      || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1857; /* aarch64_simd_vec_copy_lanev4sf */

                case E_V2SFmode:
                  if (!register_operand (operands[3], E_V2SFmode)
                      || !
#line 1240 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                    return -1;
                  return 1868; /* aarch64_simd_vec_copy_lane_to_64v4sf */

                default:
                  return -1;
                }

            case E_V2DFmode:
              if (pattern1149 (x3, 
E_V2DFmode, 
E_DFmode) != 0
                  || !
#line 1219 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && exact_log2 (INTVAL (operands[2])) >= 0))
                return -1;
              return 1858; /* aarch64_simd_vec_copy_lanev2df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x5;
      x7 = XEXP (x3, 1);
      operands[3] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern844 (x3, 
E_V8QImode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (8, operands[2]) >= 0))
            return -1;
          return 1831; /* aarch64_simd_vec_set_zerov8qi */

        case E_V16QImode:
          if (pattern844 (x3, 
E_V16QImode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (16, operands[2]) >= 0))
            return -1;
          return 1832; /* aarch64_simd_vec_set_zerov16qi */

        case E_V4HImode:
          if (pattern844 (x3, 
E_V4HImode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (4, operands[2]) >= 0))
            return -1;
          return 1833; /* aarch64_simd_vec_set_zerov4hi */

        case E_V8HImode:
          if (pattern844 (x3, 
E_V8HImode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (8, operands[2]) >= 0))
            return -1;
          return 1834; /* aarch64_simd_vec_set_zerov8hi */

        case E_V2SImode:
          if (pattern844 (x3, 
E_V2SImode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (2, operands[2]) >= 0))
            return -1;
          return 1835; /* aarch64_simd_vec_set_zerov2si */

        case E_V4SImode:
          if (pattern844 (x3, 
E_V4SImode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (4, operands[2]) >= 0))
            return -1;
          return 1836; /* aarch64_simd_vec_set_zerov4si */

        case E_V2DImode:
          if (pattern844 (x3, 
E_V2DImode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (2, operands[2]) >= 0))
            return -1;
          return 1837; /* aarch64_simd_vec_set_zerov2di */

        case E_V4HFmode:
          if (pattern844 (x3, 
E_V4HFmode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (4, operands[2]) >= 0))
            return -1;
          return 1838; /* aarch64_simd_vec_set_zerov4hf */

        case E_V8HFmode:
          if (pattern844 (x3, 
E_V8HFmode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (8, operands[2]) >= 0))
            return -1;
          return 1839; /* aarch64_simd_vec_set_zerov8hf */

        case E_V4BFmode:
          if (pattern844 (x3, 
E_V4BFmode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (4, operands[2]) >= 0))
            return -1;
          return 1840; /* aarch64_simd_vec_set_zerov4bf */

        case E_V8BFmode:
          if (pattern844 (x3, 
E_V8BFmode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (8, operands[2]) >= 0))
            return -1;
          return 1841; /* aarch64_simd_vec_set_zerov8bf */

        case E_V2SFmode:
          if (pattern844 (x3, 
E_V2SFmode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (2, operands[2]) >= 0))
            return -1;
          return 1842; /* aarch64_simd_vec_set_zerov2sf */

        case E_V4SFmode:
          if (pattern844 (x3, 
E_V4SFmode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (4, operands[2]) >= 0))
            return -1;
          return 1843; /* aarch64_simd_vec_set_zerov4sf */

        case E_V2DFmode:
          if (pattern844 (x3, 
E_V2DFmode) != 0
              || !
#line 1199 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && aarch64_exact_log2_inverse (2, operands[2]) >= 0))
            return -1;
          return 1844; /* aarch64_simd_vec_set_zerov2df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_526 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern9 (x1))
    {
    case 0:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 919; /* lbtrunchfsi2 */

    case 1:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 939; /* lbtruncsfsi2 */

    case 2:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 959; /* lbtruncdfsi2 */

    case 3:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 929; /* lbtrunchfdi2 */

    case 4:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 949; /* lbtruncsfdi2 */

    case 5:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 969; /* lbtruncdfdi2 */

    case 6:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2552; /* lbtruncv4hfv4hi2 */

    case 7:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2562; /* lbtruncv8hfv8hi2 */

    case 8:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2572; /* lbtruncv2sfv2si2 */

    case 9:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2582; /* lbtruncv4sfv4si2 */

    case 10:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2592; /* lbtruncv2dfv2di2 */

    case 11:
      if (!
#line 3029 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2602; /* lbtrunchfhi2 */

    case 12:
      if (!
#line 3057 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2SFmode)))))
        return -1;
      return 2616; /* *aarch64_fcvtv2sfv2si2_mult */

    case 13:
      if (!
#line 3057 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V4SFmode)))))
        return -1;
      return 2618; /* *aarch64_fcvtv4sfv4si2_mult */

    case 14:
      if (!
#line 3057 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2DFmode)))))
        return -1;
      return 2620; /* *aarch64_fcvtv2dfv2di2_mult */

    case 15:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 920; /* lceilhfsi2 */

    case 16:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 940; /* lceilsfsi2 */

    case 17:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 960; /* lceildfsi2 */

    case 18:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 930; /* lceilhfdi2 */

    case 19:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 950; /* lceilsfdi2 */

    case 20:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 970; /* lceildfdi2 */

    case 21:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2553; /* lceilv4hfv4hi2 */

    case 22:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2563; /* lceilv8hfv8hi2 */

    case 23:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2573; /* lceilv2sfv2si2 */

    case 24:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2583; /* lceilv4sfv4si2 */

    case 25:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2593; /* lceilv2dfv2di2 */

    case 26:
      if (!
#line 3029 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2603; /* lceilhfhi2 */

    case 27:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 921; /* lfloorhfsi2 */

    case 28:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 941; /* lfloorsfsi2 */

    case 29:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 961; /* lfloordfsi2 */

    case 30:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 931; /* lfloorhfdi2 */

    case 31:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 951; /* lfloorsfdi2 */

    case 32:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 971; /* lfloordfdi2 */

    case 33:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2554; /* lfloorv4hfv4hi2 */

    case 34:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2564; /* lfloorv8hfv8hi2 */

    case 35:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2574; /* lfloorv2sfv2si2 */

    case 36:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2584; /* lfloorv4sfv4si2 */

    case 37:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2594; /* lfloorv2dfv2di2 */

    case 38:
      if (!
#line 3029 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2604; /* lfloorhfhi2 */

    case 39:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 922; /* lroundhfsi2 */

    case 40:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 942; /* lroundsfsi2 */

    case 41:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 962; /* lrounddfsi2 */

    case 42:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 932; /* lroundhfdi2 */

    case 43:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 952; /* lroundsfdi2 */

    case 44:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 972; /* lrounddfdi2 */

    case 45:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2555; /* lroundv4hfv4hi2 */

    case 46:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2565; /* lroundv8hfv8hi2 */

    case 47:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2575; /* lroundv2sfv2si2 */

    case 48:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2585; /* lroundv4sfv4si2 */

    case 49:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2595; /* lroundv2dfv2di2 */

    case 50:
      if (!
#line 3029 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2605; /* lroundhfhi2 */

    case 51:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 923; /* lfrintnhfsi2 */

    case 52:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 943; /* lfrintnsfsi2 */

    case 53:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 963; /* lfrintndfsi2 */

    case 54:
      if (!(
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 933; /* lfrintnhfdi2 */

    case 55:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 953; /* lfrintnsfdi2 */

    case 56:
      if (!
#line 6869 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 973; /* lfrintndfdi2 */

    case 57:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2556; /* lfrintnv4hfv4hi2 */

    case 58:
      if (!(
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2566; /* lfrintnv8hfv8hi2 */

    case 59:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2576; /* lfrintnv2sfv2si2 */

    case 60:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2586; /* lfrintnv4sfv4si2 */

    case 61:
      if (!
#line 3019 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2596; /* lfrintnv2dfv2di2 */

    case 62:
      if (!
#line 3029 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2606; /* lfrintnhfhi2 */

    case 63:
      if (!
#line 6880 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (SImode))))
        return -1;
      return 979; /* *aarch64_fcvtsfsi2_mult */

    case 64:
      if (!
#line 6880 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (SImode))))
        return -1;
      return 983; /* *aarch64_fcvtdfsi2_mult */

    case 65:
      if (!
#line 6880 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (DImode))))
        return -1;
      return 981; /* *aarch64_fcvtsfdi2_mult */

    case 66:
      if (!
#line 6880 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (DImode))))
        return -1;
      return 985; /* *aarch64_fcvtdfdi2_mult */

    case 67:
      if (!
#line 7042 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1005; /* fix_truncsfsi2 */

    case 68:
      if (!
#line 7054 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1009; /* fix_trunchfsi2 */

    case 69:
      if (!
#line 7065 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1013; /* fix_truncdfsi2 */

    case 70:
      if (!
#line 7042 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1007; /* fix_truncdfdi2 */

    case 71:
      if (!
#line 7054 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1011; /* fix_trunchfdi2 */

    case 72:
      if (!
#line 7065 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1015; /* fix_truncsfdi2 */

    case 73:
      if (!
#line 3037 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2612; /* fix_trunchfhi2 */

    case 74:
      if (!
#line 3424 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12674; /* fixvnx8sfvnx8si2 */

    case 75:
      if (!
#line 3424 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12676; /* fixvnx16sfvnx16si2 */

    default:
      return -1;
    }
}

 int
recog_541 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  switch (GET_CODE (x5))
    {
    case CONST_INT:
    case CONST_VECTOR:
    case CONST:
    case REG:
    case SUBREG:
      switch (pattern448 (x3, pnum_clobbers))
        {
        case 0:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3253; /* ussubv8qi3 */

        case 1:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3259; /* ussubv16qi3 */

        case 2:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3269; /* ussubv4hi3 */

        case 3:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3275; /* ussubv8hi3 */

        case 4:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3285; /* ussubv2si3 */

        case 5:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3291; /* ussubv4si3 */

        case 6:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3295; /* ussubv2di3 */

        case 7:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3299; /* ussubhi3 */

        case 8:
          if (!
#line 5172 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3303; /* ussubqi3 */

        case 9:
          *pnum_clobbers = 1;
          return 3309; /* ussubsi3 */

        case 10:
          *pnum_clobbers = 1;
          return 3311; /* ussubdi3 */

        case 11:
          if (!
#line 4557 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8118; /* ussubvnx16qi3 */

        case 12:
          if (!
#line 4557 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8120; /* ussubvnx8hi3 */

        case 13:
          if (!
#line 4557 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8122; /* ussubvnx4si3 */

        case 14:
          if (!
#line 4557 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8124; /* ussubvnx2di3 */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      switch (pattern450 (x3))
        {
        case 0:
          if (!
#line 10639 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11058; /* aarch64_sve_uqdecdi_pat */

        case 1:
          if (!
#line 11057 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11110; /* *aarch64_sve_uqdecdivnx16bi_cntp */

        case 2:
          if (!
#line 11057 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11113; /* *aarch64_sve_uqdecdivnx8bi_cntp */

        case 3:
          if (!
#line 11057 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11116; /* *aarch64_sve_uqdecdivnx4bi_cntp */

        case 4:
          if (!
#line 11057 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11119; /* *aarch64_sve_uqdecdivnx2bi_cntp */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      switch (pattern451 (x3))
        {
        case 0:
          if (!
#line 10704 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11064; /* aarch64_sve_uqdecvnx2di_pat */

        case 1:
          if (!
#line 11164 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11134; /* *aarch64_sve_uqdecvnx2di_cntp */

        case 2:
          if (!
#line 10725 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11067; /* aarch64_sve_uqdecvnx4si_pat */

        case 3:
          if (!
#line 11203 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11137; /* *aarch64_sve_uqdecvnx4si_cntp */

        case 4:
          if (!
#line 10760 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11070; /* *aarch64_sve_uqdecvnx8hi_pat */

        case 5:
          if (!
#line 11244 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11140; /* *aarch64_sve_uqdecvnx8hi_cntp */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_565 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10169; /* while_ugesivnx8bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10179; /* while_ugedivnx8bi_ptest */
}

 int
recog_574 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10148; /* while_ugtsivnx16bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10158; /* while_ugtdivnx16bi_ptest */
}

 int
recog_584 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10107; /* *while_gtsivnx4bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10117; /* *while_gtdivnx4bi_cc */
}

 int
recog_594 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10066; /* *while_gesivnx16bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10076; /* *while_gedivnx16bi_cc */
}

 int
recog_604 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern674 (x1))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9988; /* while_ugtsivnx16bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9998; /* while_ugtdivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10008; /* while_ugtsivnx8bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10018; /* while_ugtdivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10028; /* while_ugtsivnx4bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10038; /* while_ugtdivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10048; /* while_ugtsivnx2bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10058; /* while_ugtdivnx2bi */

    default:
      return -1;
    }
}

 int
recog_608 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != PLUS)
    return -1;
  x7 = XEXP (x3, 1);
  operands[2] = x7;
  x8 = XEXP (x6, 1);
  operands[3] = x8;
  x9 = XEXP (x6, 0);
  if (!rtx_equal_p (x9, operands[1]))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_SImode:
      if (pattern1271 (x6, 
E_SImode) != 0
          || !
#line 3563 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == -UINTVAL (operands[3])))
        return -1;
      return 283; /* subsi3_compare1_imm */

    case E_DImode:
      if (pattern1271 (x6, 
E_DImode) != 0
          || !
#line 3563 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == -UINTVAL (operands[3])))
        return -1;
      return 284; /* subdi3_compare1_imm */

    default:
      return -1;
    }
}

 int
recog_610 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case PLUS:
      if (GET_MODE (x5) != E_TImode)
        return -1;
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != LTU
          || GET_MODE (x6) != E_TImode)
        return -1;
      x7 = XEXP (x6, 0);
      if (GET_CODE (x7) != REG
          || REGNO (x7) != 66
          || GET_MODE (x7) != E_CCmode)
        return -1;
      x8 = XEXP (x6, 1);
      if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x9 = XEXP (x5, 1);
      if (GET_CODE (x9) != SIGN_EXTEND
          || GET_MODE (x9) != E_TImode)
        return -1;
      x10 = XEXP (x3, 1);
      if (GET_CODE (x10) != SIGN_EXTEND
          || GET_MODE (x10) != E_TImode)
        return -1;
      x11 = XEXP (x10, 0);
      if (GET_CODE (x11) != NEG
          || GET_MODE (x11) != E_DImode)
        return -1;
      x12 = XEXP (x11, 0);
      if (GET_CODE (x12) != PLUS
          || GET_MODE (x12) != E_DImode)
        return -1;
      x13 = XEXP (x12, 0);
      if (GET_CODE (x13) != LTU
          || GET_MODE (x13) != E_DImode)
        return -1;
      x14 = XEXP (x13, 0);
      if (GET_CODE (x14) != REG
          || REGNO (x14) != 66
          || GET_MODE (x14) != E_CCmode)
        return -1;
      x15 = XEXP (x13, 1);
      if (x15 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x16 = XVECEXP (x1, 0, 1);
      x17 = XEXP (x16, 1);
      if (GET_CODE (x17) != NEG
          || GET_MODE (x17) != E_DImode)
        return -1;
      x18 = XEXP (x17, 0);
      if (GET_CODE (x18) != PLUS
          || GET_MODE (x18) != E_DImode)
        return -1;
      x19 = XEXP (x18, 0);
      if (GET_CODE (x19) != LTU
          || GET_MODE (x19) != E_DImode)
        return -1;
      x20 = XEXP (x19, 0);
      if (GET_CODE (x20) != REG
          || REGNO (x20) != 66
          || GET_MODE (x20) != E_CCmode)
        return -1;
      x21 = XEXP (x19, 1);
      if (x21 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x22 = XEXP (x2, 0);
      if (GET_MODE (x22) != E_CC_Vmode
          || GET_MODE (x3) != E_CC_Vmode
          || GET_MODE (x4) != E_TImode)
        return -1;
      x23 = XEXP (x9, 0);
      operands[1] = x23;
      if (!register_operand (operands[1], E_DImode)
          || !register_operand (operands[0], E_DImode))
        return -1;
      x24 = XEXP (x12, 1);
      if (!rtx_equal_p (x24, operands[1]))
        return -1;
      x25 = XEXP (x18, 1);
      if (!rtx_equal_p (x25, operands[1]))
        return -1;
      return 279; /* negvdi_carryinV */

    case REG:
    case SUBREG:
      operands[1] = x5;
      x10 = XEXP (x3, 1);
      if (x10 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x22 = XEXP (x2, 0);
      if (GET_MODE (x22) != E_CC_NZmode
          || GET_MODE (x3) != E_CC_NZmode)
        return -1;
      x16 = XVECEXP (x1, 0, 1);
      x17 = XEXP (x16, 1);
      switch (GET_CODE (x17))
        {
        case NEG:
          x18 = XEXP (x17, 0);
          if (!rtx_equal_p (x18, operands[1]))
            return -1;
          switch (GET_MODE (x4))
            {
            case E_SImode:
              if (!register_operand (operands[1], E_SImode)
                  || !register_operand (operands[0], E_SImode)
                  || GET_MODE (x17) != E_SImode)
                return -1;
              return 358; /* negsi2_compare0 */

            case E_DImode:
              if (!register_operand (operands[1], E_DImode)
                  || !register_operand (operands[0], E_DImode)
                  || GET_MODE (x17) != E_DImode)
                return -1;
              return 359; /* negdi2_compare0 */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          if (pattern1191 (x1, 
NEG) != 0
              || !register_operand (operands[0], E_DImode))
            return -1;
          x18 = XEXP (x17, 0);
          x19 = XEXP (x18, 0);
          if (!rtx_equal_p (x19, operands[1]))
            return -1;
          return 360; /* *negsi2_compare0_uxtw */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern923 (x1, 
ASHIFT))
        {
        case 0:
          return 361; /* *neg_lslsi3_compare0 */

        case 1:
          return 364; /* *neg_lsldi3_compare0 */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern923 (x1, 
ASHIFTRT))
        {
        case 0:
          return 362; /* *neg_asrsi3_compare0 */

        case 1:
          return 365; /* *neg_asrdi3_compare0 */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern923 (x1, 
LSHIFTRT))
        {
        case 0:
          return 363; /* *neg_lsrsi3_compare0 */

        case 1:
          return 366; /* *neg_lsrdi3_compare0 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_614 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 66)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != SET)
    return -1;
  x5 = XEXP (x4, 0);
  operands[0] = x5;
  x6 = XEXP (x2, 1);
  x7 = XEXP (x6, 0);
  switch (GET_CODE (x7))
    {
    case PLUS:
      return recog_609 (x1, insn, pnum_clobbers);

    case MINUS:
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[1] = x8;
          x9 = XEXP (x6, 1);
          if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
              || GET_MODE (x3) != E_CC_NZmode
              || GET_MODE (x6) != E_CC_NZmode)
            return -1;
          x10 = XEXP (x7, 1);
          switch (GET_CODE (x10))
            {
            case ASHIFT:
              x11 = XEXP (x4, 1);
              if (GET_CODE (x11) != MINUS)
                return -1;
              x12 = XEXP (x11, 1);
              if (GET_CODE (x12) != ASHIFT)
                return -1;
              x13 = XEXP (x10, 1);
              operands[3] = x13;
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x15 = XEXP (x12, 1);
              if (!rtx_equal_p (x15, operands[3]))
                return -1;
              x16 = XEXP (x10, 0);
              switch (GET_CODE (x16))
                {
                case REG:
                case SUBREG:
                  operands[2] = x16;
                  x17 = XEXP (x12, 0);
                  if (!rtx_equal_p (x17, operands[2]))
                    return -1;
                  switch (pattern1187 (x1))
                    {
                    case 0:
                      return 146; /* *subs_shift_imm_si */

                    case 1:
                      return 149; /* *subs_shift_imm_di */

                    default:
                      return -1;
                    }

                case SIGN_EXTEND:
                  switch (pattern1316 (x1, 
SIGN_EXTEND))
                    {
                    case 0:
                      return 188; /* *subs_extendqi_shift_si */

                    case 1:
                      return 192; /* *subs_extendhi_shift_si */

                    case 2:
                      return 196; /* *subs_extendsi_shift_si */

                    case 3:
                      return 190; /* *subs_extendqi_shift_di */

                    case 4:
                      return 194; /* *subs_extendhi_shift_di */

                    case 5:
                      return 198; /* *subs_extendsi_shift_di */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  switch (pattern1316 (x1, 
ZERO_EXTEND))
                    {
                    case 0:
                      return 189; /* *subs_zero_extendqi_shift_si */

                    case 1:
                      return 193; /* *subs_zero_extendhi_shift_si */

                    case 2:
                      return 197; /* *subs_zero_extendsi_shift_si */

                    case 3:
                      return 191; /* *subs_zero_extendqi_shift_di */

                    case 4:
                      return 195; /* *subs_zero_extendhi_shift_di */

                    case 5:
                      return 199; /* *subs_zero_extendsi_shift_di */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case ASHIFTRT:
              switch (pattern1188 (x1, 
ASHIFTRT))
                {
                case 0:
                  return 147; /* *subs_shift_imm_si */

                case 1:
                  return 150; /* *subs_shift_imm_di */

                default:
                  return -1;
                }

            case LSHIFTRT:
              switch (pattern1188 (x1, 
LSHIFTRT))
                {
                case 0:
                  return 148; /* *subs_shift_imm_si */

                case 1:
                  return 151; /* *subs_shift_imm_di */

                default:
                  return -1;
                }

            case SIGN_EXTEND:
              switch (pattern1190 (x1, 
SIGN_EXTEND))
                {
                case 0:
                  return 164; /* *subs_extendqi_si */

                case 1:
                  return 168; /* *subs_extendhi_si */

                case 2:
                  return 172; /* *subs_extendsi_si */

                case 3:
                  return 166; /* *subs_extendqi_di */

                case 4:
                  return 170; /* *subs_extendhi_di */

                case 5:
                  return 174; /* *subs_extendsi_di */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              switch (pattern1190 (x1, 
ZERO_EXTEND))
                {
                case 0:
                  return 165; /* *subs_zero_extendqi_si */

                case 1:
                  return 169; /* *subs_zero_extendhi_si */

                case 2:
                  return 173; /* *subs_zero_extendsi_si */

                case 3:
                  return 167; /* *subs_zero_extendqi_di */

                case 4:
                  return 171; /* *subs_zero_extendhi_di */

                case 5:
                  return 175; /* *subs_zero_extendsi_di */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[2] = x10;
              x11 = XEXP (x4, 1);
              switch (GET_CODE (x11))
                {
                case MINUS:
                  x14 = XEXP (x11, 0);
                  if (!rtx_equal_p (x14, operands[1]))
                    return -1;
                  x12 = XEXP (x11, 1);
                  if (!rtx_equal_p (x12, operands[2]))
                    return -1;
                  switch (GET_MODE (x7))
                    {
                    case E_SImode:
                      if (pattern1303 (x11, 
E_SImode) != 0)
                        return -1;
                      return 280; /* *subsi3_compare0 */

                    case E_DImode:
                      if (pattern1303 (x11, 
E_DImode) != 0)
                        return -1;
                      return 281; /* *subdi3_compare0 */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  if (pattern1224 (x1, 
MINUS) != 0
                      || !register_operand (operands[1], E_SImode)
                      || !register_operand (operands[2], E_SImode)
                      || !register_operand (operands[0], E_DImode))
                    return -1;
                  x14 = XEXP (x11, 0);
                  x18 = XEXP (x14, 0);
                  if (!rtx_equal_p (x18, operands[1]))
                    return -1;
                  x19 = XEXP (x14, 1);
                  if (!rtx_equal_p (x19, operands[2]))
                    return -1;
                  return 282; /* *subsi3_compare0_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case SIGN_EXTEND:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != SIGN_EXTEND)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != MINUS)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS
              || GET_MODE (x3) != E_CC_Vmode
              || GET_MODE (x6) != E_CC_Vmode)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x10 = XEXP (x7, 1);
          switch (GET_CODE (x10))
            {
            case GEU:
            case LTU:
              operands[2] = x10;
              x23 = XEXP (x20, 1);
              operands[3] = x23;
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[3]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1342 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 343; /* *subsi3_carryinV_z2 */

                case E_TImode:
                  if (pattern1342 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 344; /* *subdi3_carryinV_z2 */

                default:
                  return -1;
                }

            case PLUS:
              x16 = XEXP (x10, 0);
              if (GET_CODE (x16) != SIGN_EXTEND)
                return -1;
              x23 = XEXP (x20, 1);
              if (GET_CODE (x23) != PLUS)
                return -1;
              x14 = XEXP (x11, 0);
              if (GET_CODE (x14) != MINUS)
                return -1;
              x24 = XEXP (x16, 0);
              operands[2] = x24;
              x13 = XEXP (x10, 1);
              operands[3] = x13;
              x25 = XEXP (x23, 0);
              operands[4] = x25;
              x26 = XEXP (x23, 1);
              if (!rtx_equal_p (x26, operands[2]))
                return -1;
              x18 = XEXP (x14, 0);
              if (!rtx_equal_p (x18, operands[1]))
                return -1;
              x19 = XEXP (x14, 1);
              if (!rtx_equal_p (x19, operands[2]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[4]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1368 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 345; /* *subsi3_carryinV */

                case E_TImode:
                  if (pattern1368 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 346; /* *subdi3_carryinV */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SIGN_EXTEND:
      if (GET_MODE (x3) != E_CC_Vmode
          || GET_MODE (x6) != E_CC_Vmode)
        return -1;
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case MINUS:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != MINUS)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != SIGN_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x27 = XEXP (x8, 1);
          operands[2] = x27;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          x12 = XEXP (x11, 1);
          if (!rtx_equal_p (x12, operands[2]))
            return -1;
          switch (GET_CODE (operands[2]))
            {
            case REG:
            case SUBREG:
              x28 = XEXP (x9, 1);
              if (GET_CODE (x28) != SIGN_EXTEND)
                return -1;
              x29 = XEXP (x28, 0);
              if (!rtx_equal_p (x29, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1346 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 268; /* subvsi_insn */

                case E_TImode:
                  if (pattern1346 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 269; /* subvdi_insn */

                default:
                  return -1;
                }

            case CONST_INT:
              x28 = XEXP (x9, 1);
              if (!rtx_equal_p (x28, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1343 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 270; /* subvsi_imm */

                case E_TImode:
                  if (pattern1343 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 271; /* subvdi_imm */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case NEG:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != NEG)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != SIGN_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != NEG)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1294 (x1, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 272; /* negvsi_insn */

            case E_TImode:
              if (pattern1294 (x1, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 273; /* negvdi_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      return recog_610 (x1, insn, pnum_clobbers);

    case CONST_INT:
    case CONST_DOUBLE:
    case REG:
    case SUBREG:
      if (GET_MODE (x3) != E_CCmode
          || GET_MODE (x6) != E_CCmode)
        return -1;
      switch (GET_CODE (x7))
        {
        case CONST_INT:
          res = recog_607 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        case REG:
        case SUBREG:
          res = recog_608 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        default:
          break;
        }
      x11 = XEXP (x4, 1);
      if (GET_CODE (x11) != MINUS)
        return -1;
      operands[1] = x7;
      x9 = XEXP (x6, 1);
      operands[2] = x9;
      if (aarch64_reg_or_zero (operands[2], E_SImode)
          && pattern1192 (x11, 
E_SImode) == 0)
        return 285; /* subsi3_compare1 */
      if (!aarch64_reg_or_zero (operands[2], E_DImode)
          || pattern1192 (x11, 
E_DImode) != 0)
        return -1;
      return 286; /* subdi3_compare1 */

    case ZERO_EXTEND:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      x9 = XEXP (x6, 1);
      switch (GET_CODE (x9))
        {
        case GEU:
        case LTU:
          operands[2] = x9;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS
              || GET_MODE (x3) != E_CCmode
              || GET_MODE (x6) != E_CCmode)
            return -1;
          x12 = XEXP (x11, 1);
          operands[3] = x12;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1272 (x11, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 339; /* *usubsi3_carryinC_z2 */

            case E_TImode:
              if (pattern1272 (x11, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 340; /* *usubdi3_carryinC_z2 */

            default:
              return -1;
            }

        case PLUS:
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != ZERO_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS)
            return -1;
          x14 = XEXP (x11, 0);
          if (GET_CODE (x14) != MINUS
              || GET_MODE (x3) != E_CCmode
              || GET_MODE (x6) != E_CCmode)
            return -1;
          x22 = XEXP (x20, 0);
          operands[2] = x22;
          x28 = XEXP (x9, 1);
          operands[3] = x28;
          x12 = XEXP (x11, 1);
          operands[4] = x12;
          x18 = XEXP (x14, 0);
          if (!rtx_equal_p (x18, operands[1]))
            return -1;
          x19 = XEXP (x14, 1);
          if (!rtx_equal_p (x19, operands[2]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1324 (x1, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 341; /* *usubsi3_carryinC */

            case E_TImode:
              if (pattern1324 (x1, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 342; /* *usubdi3_carryinC */

            default:
              return -1;
            }

        case CONST_INT:
          if (XWINT (x9, 0) != 0L)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != ZERO_EXTEND
              || GET_MODE (x3) != E_CC_Zmode
              || GET_MODE (x6) != E_CC_Zmode)
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_SImode:
              switch (pattern1256 (x11, 
E_SImode))
                {
                case 0:
                  return 702; /* *andssi_compare0 */

                case 1:
                  return 704; /* *andssi_compare0 */

                default:
                  return -1;
                }

            case E_DImode:
              switch (pattern1256 (x11, 
E_DImode))
                {
                case 0:
                  return 703; /* *andsdi_compare0 */

                case 1:
                  return 705; /* *andsdi_compare0 */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case AND:
      x9 = XEXP (x6, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || GET_MODE (x3) != E_CC_NZVmode
          || GET_MODE (x6) != E_CC_NZVmode)
        return -1;
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[1] = x8;
          x10 = XEXP (x7, 1);
          operands[2] = x10;
          x11 = XEXP (x4, 1);
          switch (GET_CODE (x11))
            {
            case AND:
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_SImode:
                  if (pattern1295 (x11, 
E_SImode) != 0)
                    return -1;
                  return 515; /* *andsi3_compare0 */

                case E_DImode:
                  if (pattern1295 (x11, 
E_DImode) != 0)
                    return -1;
                  return 516; /* *anddi3_compare0 */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              if (pattern1224 (x1, 
AND) != 0
                  || !register_operand (operands[1], E_SImode)
                  || !aarch64_logical_operand (operands[2], E_SImode)
                  || !register_operand (operands[0], E_DImode))
                return -1;
              x14 = XEXP (x11, 0);
              x18 = XEXP (x14, 0);
              if (!rtx_equal_p (x18, operands[1]))
                return -1;
              x19 = XEXP (x14, 1);
              if (!rtx_equal_p (x19, operands[2]))
                return -1;
              return 517; /* *andsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern1101 (x1, 
ASHIFT))
            {
            case 0:
              return 518; /* *and_ashlsi3_compare0 */

            case 1:
              return 523; /* *and_ashldi3_compare0 */

            case 2:
              return 528; /* *and_ashlsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern1101 (x1, 
ASHIFTRT))
            {
            case 0:
              return 519; /* *and_ashrsi3_compare0 */

            case 1:
              return 524; /* *and_ashrdi3_compare0 */

            case 2:
              return 529; /* *and_ashrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern1101 (x1, 
LSHIFTRT))
            {
            case 0:
              return 520; /* *and_lshrsi3_compare0 */

            case 1:
              return 525; /* *and_lshrdi3_compare0 */

            case 2:
              return 530; /* *and_lshrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern1101 (x1, 
ROTATERT))
            {
            case 0:
              return 521; /* *and_rotrsi3_compare0 */

            case 1:
              return 526; /* *and_rotrdi3_compare0 */

            case 2:
              return 531; /* *and_rotrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern1101 (x1, 
ROTATE))
            {
            case 0:
              return 522; /* *and_rotlsi3_compare0 */

            case 1:
              return 527; /* *and_rotldi3_compare0 */

            case 2:
              return 532; /* *and_rotlsi3_compare0_uxtw */

            default:
              return -1;
            }

        case NOT:
          x21 = XEXP (x8, 0);
          switch (GET_CODE (x21))
            {
            case REG:
            case SUBREG:
              operands[1] = x21;
              x10 = XEXP (x7, 1);
              operands[2] = x10;
              x11 = XEXP (x4, 1);
              switch (GET_CODE (x11))
                {
                case AND:
                  x14 = XEXP (x11, 0);
                  if (GET_CODE (x14) != NOT)
                    return -1;
                  x18 = XEXP (x14, 0);
                  if (!rtx_equal_p (x18, operands[1]))
                    return -1;
                  x12 = XEXP (x11, 1);
                  if (!rtx_equal_p (x12, operands[2]))
                    return -1;
                  switch (GET_MODE (x7))
                    {
                    case E_SImode:
                      if (pattern1317 (x1, 
E_SImode) != 0)
                        return -1;
                      return 600; /* *and_one_cmplsi3_compare0 */

                    case E_DImode:
                      if (pattern1317 (x1, 
E_DImode) != 0)
                        return -1;
                      return 601; /* *and_one_cmpldi3_compare0 */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  if (GET_MODE (x11) != E_DImode)
                    return -1;
                  x14 = XEXP (x11, 0);
                  if (GET_CODE (x14) != AND
                      || GET_MODE (x14) != E_SImode)
                    return -1;
                  x18 = XEXP (x14, 0);
                  if (GET_CODE (x18) != NOT
                      || GET_MODE (x18) != E_SImode
                      || GET_MODE (x7) != E_SImode
                      || GET_MODE (x8) != E_SImode
                      || !register_operand (operands[1], E_SImode)
                      || !register_operand (operands[2], E_SImode)
                      || !register_operand (operands[0], E_DImode))
                    return -1;
                  x30 = XEXP (x18, 0);
                  if (!rtx_equal_p (x30, operands[1]))
                    return -1;
                  x19 = XEXP (x14, 1);
                  if (!rtx_equal_p (x19, operands[2]))
                    return -1;
                  return 602; /* *and_one_cmplsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ASHIFT:
              switch (pattern1156 (x1, 
ASHIFT))
                {
                case 0:
                  return 665; /* *and_one_cmpl_ashlsi3_compare0 */

                case 1:
                  return 670; /* *and_one_cmpl_ashldi3_compare0 */

                case 2:
                  return 675; /* *and_one_cmpl_ashlsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ASHIFTRT:
              switch (pattern1156 (x1, 
ASHIFTRT))
                {
                case 0:
                  return 666; /* *and_one_cmpl_ashrsi3_compare0 */

                case 1:
                  return 671; /* *and_one_cmpl_ashrdi3_compare0 */

                case 2:
                  return 676; /* *and_one_cmpl_ashrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case LSHIFTRT:
              switch (pattern1156 (x1, 
LSHIFTRT))
                {
                case 0:
                  return 667; /* *and_one_cmpl_lshrsi3_compare0 */

                case 1:
                  return 672; /* *and_one_cmpl_lshrdi3_compare0 */

                case 2:
                  return 677; /* *and_one_cmpl_lshrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ROTATERT:
              switch (pattern1156 (x1, 
ROTATERT))
                {
                case 0:
                  return 668; /* *and_one_cmpl_rotrsi3_compare0 */

                case 1:
                  return 673; /* *and_one_cmpl_rotrdi3_compare0 */

                case 2:
                  return 678; /* *and_one_cmpl_rotrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ROTATE:
              switch (pattern1156 (x1, 
ROTATE))
                {
                case 0:
                  return 669; /* *and_one_cmpl_rotlsi3_compare0 */

                case 1:
                  return 674; /* *and_one_cmpl_rotldi3_compare0 */

                case 2:
                  return 679; /* *and_one_cmpl_rotlsi3_compare0_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 rtx_insn *
split_1 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!nonimmediate_operand (operands[0], E_SImode)
          || !aarch64_mov_operand (operands[1], E_SImode)
          || !
#line 1603 "../../gcc/config/aarch64/aarch64.md"
(CONST_INT_P (operands[1]) && !aarch64_move_imm (INTVAL (operands[1]), SImode)
    && REG_P (operands[0]) && GP_REGNUM_P (REGNO (operands[0]))))
        return NULL;
      return gen_split_9 (insn, operands);

    case E_DImode:
      if (!nonimmediate_operand (operands[0], E_DImode)
          || !aarch64_mov_operand (operands[1], E_DImode)
          || !
#line 1643 "../../gcc/config/aarch64/aarch64.md"
(CONST_INT_P (operands[1])
   && REG_P (operands[0])
   && ((!aarch64_move_imm (INTVAL (operands[1]), DImode)
	&& GP_REGNUM_P (REGNO (operands[0])))
       || (aarch64_simd_special_constant_p (operands[1], DImode)
	   && FP_REGNUM_P (REGNO (operands[0]))))))
        return NULL;
      return gen_split_10 (insn, operands);

    case E_TImode:
      if (!register_operand (operands[0], E_TImode)
          || !aarch64_reg_or_imm (operands[1], E_TImode)
          || !
#line 1739 "../../gcc/config/aarch64/aarch64.md"
(reload_completed && aarch64_split_128bit_move_p (operands[0], operands[1])))
        return NULL;
      return gen_split_11 (insn, operands);

    case E_TDmode:
      if (!register_operand (operands[0], E_TDmode)
          || !nonmemory_operand (operands[1], E_TDmode)
          || !
#line 1879 "../../gcc/config/aarch64/aarch64.md"
(reload_completed && aarch64_split_128bit_move_p (operands[0], operands[1])))
        return NULL;
      return gen_split_12 (insn, operands);

    case E_TFmode:
      if (!register_operand (operands[0], E_TFmode)
          || !nonmemory_operand (operands[1], E_TFmode)
          || !
#line 1879 "../../gcc/config/aarch64/aarch64.md"
(reload_completed && aarch64_split_128bit_move_p (operands[0], operands[1])))
        return NULL;
      return gen_split_13 (insn, operands);

    case E_V8QImode:
      if (!nonimmediate_operand (operands[0], E_V8QImode)
          || !general_operand (operands[1], E_V8QImode)
          || !
#line 167 "../../gcc/config/aarch64/aarch64-simd.md"
(CONST_INT_P (operands[1])
   && aarch64_simd_special_constant_p (operands[1], V8QImode)
   && FP_REGNUM_P (REGNO (operands[0]))))
        return NULL;
      return gen_split_127 (insn, operands);

    case E_V4HImode:
      if (!nonimmediate_operand (operands[0], E_V4HImode)
          || !general_operand (operands[1], E_V4HImode)
          || !
#line 167 "../../gcc/config/aarch64/aarch64-simd.md"
(CONST_INT_P (operands[1])
   && aarch64_simd_special_constant_p (operands[1], V4HImode)
   && FP_REGNUM_P (REGNO (operands[0]))))
        return NULL;
      return gen_split_128 (insn, operands);

    case E_V4HFmode:
      if (!nonimmediate_operand (operands[0], E_V4HFmode)
          || !general_operand (operands[1], E_V4HFmode)
          || !
#line 167 "../../gcc/config/aarch64/aarch64-simd.md"
(CONST_INT_P (operands[1])
   && aarch64_simd_special_constant_p (operands[1], V4HFmode)
   && FP_REGNUM_P (REGNO (operands[0]))))
        return NULL;
      return gen_split_129 (insn, operands);

    case E_V4BFmode:
      if (!nonimmediate_operand (operands[0], E_V4BFmode)
          || !general_operand (operands[1], E_V4BFmode)
          || !
#line 167 "../../gcc/config/aarch64/aarch64-simd.md"
(CONST_INT_P (operands[1])
   && aarch64_simd_special_constant_p (operands[1], V4BFmode)
   && FP_REGNUM_P (REGNO (operands[0]))))
        return NULL;
      return gen_split_130 (insn, operands);

    case E_V2SImode:
      if (!nonimmediate_operand (operands[0], E_V2SImode)
          || !general_operand (operands[1], E_V2SImode)
          || !
#line 167 "../../gcc/config/aarch64/aarch64-simd.md"
(CONST_INT_P (operands[1])
   && aarch64_simd_special_constant_p (operands[1], V2SImode)
   && FP_REGNUM_P (REGNO (operands[0]))))
        return NULL;
      return gen_split_131 (insn, operands);

    case E_V2SFmode:
      if (!nonimmediate_operand (operands[0], E_V2SFmode)
          || !general_operand (operands[1], E_V2SFmode)
          || !
#line 167 "../../gcc/config/aarch64/aarch64-simd.md"
(CONST_INT_P (operands[1])
   && aarch64_simd_special_constant_p (operands[1], V2SFmode)
   && FP_REGNUM_P (REGNO (operands[0]))))
        return NULL;
      return gen_split_132 (insn, operands);

    case E_V16QImode:
      if (!nonimmediate_operand (operands[0], E_V16QImode)
          || !general_operand (operands[1], E_V16QImode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V16QImode)
       || aarch64_simd_reg_or_zero (operands[1], V16QImode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V16QImode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_133 (insn, operands);

    case E_V8HImode:
      if (!nonimmediate_operand (operands[0], E_V8HImode)
          || !general_operand (operands[1], E_V8HImode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V8HImode)
       || aarch64_simd_reg_or_zero (operands[1], V8HImode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V8HImode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_134 (insn, operands);

    case E_V4SImode:
      if (!nonimmediate_operand (operands[0], E_V4SImode)
          || !general_operand (operands[1], E_V4SImode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4SImode)
       || aarch64_simd_reg_or_zero (operands[1], V4SImode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V4SImode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_135 (insn, operands);

    case E_V2DImode:
      if (!nonimmediate_operand (operands[0], E_V2DImode)
          || !general_operand (operands[1], E_V2DImode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2DImode)
       || aarch64_simd_reg_or_zero (operands[1], V2DImode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V2DImode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_136 (insn, operands);

    case E_V8HFmode:
      if (!nonimmediate_operand (operands[0], E_V8HFmode)
          || !general_operand (operands[1], E_V8HFmode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V8HFmode)
       || aarch64_simd_reg_or_zero (operands[1], V8HFmode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V8HFmode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_137 (insn, operands);

    case E_V8BFmode:
      if (!nonimmediate_operand (operands[0], E_V8BFmode)
          || !general_operand (operands[1], E_V8BFmode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V8BFmode)
       || aarch64_simd_reg_or_zero (operands[1], V8BFmode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V8BFmode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_138 (insn, operands);

    case E_V4SFmode:
      if (!nonimmediate_operand (operands[0], E_V4SFmode)
          || !general_operand (operands[1], E_V4SFmode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4SFmode)
       || aarch64_simd_reg_or_zero (operands[1], V4SFmode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V4SFmode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_139 (insn, operands);

    case E_V2DFmode:
      if (!nonimmediate_operand (operands[0], E_V2DFmode)
          || !general_operand (operands[1], E_V2DFmode)
          || !(
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2DFmode)
       || aarch64_simd_reg_or_zero (operands[1], V2DFmode))) && 
#line 196 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
   && ((REG_P (operands[0])
	&& REG_P (operands[1])
	&& !(FP_REGNUM_P (REGNO (operands[0]))
	     && FP_REGNUM_P (REGNO (operands[1]))))
       || (aarch64_simd_special_constant_p (operands[1], V2DFmode)
	   && FP_REGNUM_P (REGNO (operands[0])))))))
        return NULL;
      return gen_split_140 (insn, operands);

    case E_V2x8QImode:
      if (!register_operand (operands[0], E_V2x8QImode)
          || !register_operand (operands[1], E_V2x8QImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_289 (insn, operands);

    case E_V2x4HImode:
      if (!register_operand (operands[0], E_V2x4HImode)
          || !register_operand (operands[1], E_V2x4HImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_290 (insn, operands);

    case E_V2x2SImode:
      if (!register_operand (operands[0], E_V2x2SImode)
          || !register_operand (operands[1], E_V2x2SImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_291 (insn, operands);

    case E_V2x1DImode:
      if (!register_operand (operands[0], E_V2x1DImode)
          || !register_operand (operands[1], E_V2x1DImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_292 (insn, operands);

    case E_V2x4HFmode:
      if (!register_operand (operands[0], E_V2x4HFmode)
          || !register_operand (operands[1], E_V2x4HFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_293 (insn, operands);

    case E_V2x2SFmode:
      if (!register_operand (operands[0], E_V2x2SFmode)
          || !register_operand (operands[1], E_V2x2SFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_294 (insn, operands);

    case E_V2x1DFmode:
      if (!register_operand (operands[0], E_V2x1DFmode)
          || !register_operand (operands[1], E_V2x1DFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_295 (insn, operands);

    case E_V2x4BFmode:
      if (!register_operand (operands[0], E_V2x4BFmode)
          || !register_operand (operands[1], E_V2x4BFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_296 (insn, operands);

    case E_V2x16QImode:
      if (!register_operand (operands[0], E_V2x16QImode)
          || !register_operand (operands[1], E_V2x16QImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_297 (insn, operands);

    case E_V2x8HImode:
      if (!register_operand (operands[0], E_V2x8HImode)
          || !register_operand (operands[1], E_V2x8HImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_298 (insn, operands);

    case E_V2x4SImode:
      if (!register_operand (operands[0], E_V2x4SImode)
          || !register_operand (operands[1], E_V2x4SImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_299 (insn, operands);

    case E_V2x2DImode:
      if (!register_operand (operands[0], E_V2x2DImode)
          || !register_operand (operands[1], E_V2x2DImode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_300 (insn, operands);

    case E_V2x8HFmode:
      if (!register_operand (operands[0], E_V2x8HFmode)
          || !register_operand (operands[1], E_V2x8HFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_301 (insn, operands);

    case E_V2x4SFmode:
      if (!register_operand (operands[0], E_V2x4SFmode)
          || !register_operand (operands[1], E_V2x4SFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_302 (insn, operands);

    case E_V2x2DFmode:
      if (!register_operand (operands[0], E_V2x2DFmode)
          || !register_operand (operands[1], E_V2x2DFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_303 (insn, operands);

    case E_V2x8BFmode:
      if (!register_operand (operands[0], E_V2x8BFmode)
          || !register_operand (operands[1], E_V2x8BFmode)
          || !
#line 8212 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_304 (insn, operands);

    case E_OImode:
      if (!register_operand (operands[0], E_OImode)
          || !register_operand (operands[1], E_OImode)
          || !
#line 8222 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_305 (insn, operands);

    case E_V3x8QImode:
      if (!nonimmediate_operand (operands[0], E_V3x8QImode)
          || !general_operand (operands[1], E_V3x8QImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_306 (insn, operands);

    case E_V3x4HImode:
      if (!nonimmediate_operand (operands[0], E_V3x4HImode)
          || !general_operand (operands[1], E_V3x4HImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_307 (insn, operands);

    case E_V3x2SImode:
      if (!nonimmediate_operand (operands[0], E_V3x2SImode)
          || !general_operand (operands[1], E_V3x2SImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_308 (insn, operands);

    case E_V3x1DImode:
      if (!nonimmediate_operand (operands[0], E_V3x1DImode)
          || !general_operand (operands[1], E_V3x1DImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_309 (insn, operands);

    case E_V3x4HFmode:
      if (!nonimmediate_operand (operands[0], E_V3x4HFmode)
          || !general_operand (operands[1], E_V3x4HFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_310 (insn, operands);

    case E_V3x2SFmode:
      if (!nonimmediate_operand (operands[0], E_V3x2SFmode)
          || !general_operand (operands[1], E_V3x2SFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_311 (insn, operands);

    case E_V3x1DFmode:
      if (!nonimmediate_operand (operands[0], E_V3x1DFmode)
          || !general_operand (operands[1], E_V3x1DFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_312 (insn, operands);

    case E_V3x4BFmode:
      if (!nonimmediate_operand (operands[0], E_V3x4BFmode)
          || !general_operand (operands[1], E_V3x4BFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_313 (insn, operands);

    case E_V3x16QImode:
      if (!nonimmediate_operand (operands[0], E_V3x16QImode)
          || !general_operand (operands[1], E_V3x16QImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_314 (insn, operands);

    case E_V3x8HImode:
      if (!nonimmediate_operand (operands[0], E_V3x8HImode)
          || !general_operand (operands[1], E_V3x8HImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_315 (insn, operands);

    case E_V3x4SImode:
      if (!nonimmediate_operand (operands[0], E_V3x4SImode)
          || !general_operand (operands[1], E_V3x4SImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_316 (insn, operands);

    case E_V3x2DImode:
      if (!nonimmediate_operand (operands[0], E_V3x2DImode)
          || !general_operand (operands[1], E_V3x2DImode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_317 (insn, operands);

    case E_V3x8HFmode:
      if (!nonimmediate_operand (operands[0], E_V3x8HFmode)
          || !general_operand (operands[1], E_V3x8HFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_318 (insn, operands);

    case E_V3x4SFmode:
      if (!nonimmediate_operand (operands[0], E_V3x4SFmode)
          || !general_operand (operands[1], E_V3x4SFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_319 (insn, operands);

    case E_V3x2DFmode:
      if (!nonimmediate_operand (operands[0], E_V3x2DFmode)
          || !general_operand (operands[1], E_V3x2DFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_320 (insn, operands);

    case E_V3x8BFmode:
      if (!nonimmediate_operand (operands[0], E_V3x8BFmode)
          || !general_operand (operands[1], E_V3x8BFmode)
          || !
#line 8232 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_321 (insn, operands);

    case E_CImode:
      if (!nonimmediate_operand (operands[0], E_CImode)
          || !general_operand (operands[1], E_CImode)
          || !
#line 8263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_322 (insn, operands);

    case E_V4x8QImode:
      if (!nonimmediate_operand (operands[0], E_V4x8QImode)
          || !general_operand (operands[1], E_V4x8QImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_323 (insn, operands);

    case E_V4x4HImode:
      if (!nonimmediate_operand (operands[0], E_V4x4HImode)
          || !general_operand (operands[1], E_V4x4HImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_324 (insn, operands);

    case E_V4x2SImode:
      if (!nonimmediate_operand (operands[0], E_V4x2SImode)
          || !general_operand (operands[1], E_V4x2SImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_325 (insn, operands);

    case E_V4x1DImode:
      if (!nonimmediate_operand (operands[0], E_V4x1DImode)
          || !general_operand (operands[1], E_V4x1DImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_326 (insn, operands);

    case E_V4x4HFmode:
      if (!nonimmediate_operand (operands[0], E_V4x4HFmode)
          || !general_operand (operands[1], E_V4x4HFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_327 (insn, operands);

    case E_V4x2SFmode:
      if (!nonimmediate_operand (operands[0], E_V4x2SFmode)
          || !general_operand (operands[1], E_V4x2SFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_328 (insn, operands);

    case E_V4x1DFmode:
      if (!nonimmediate_operand (operands[0], E_V4x1DFmode)
          || !general_operand (operands[1], E_V4x1DFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_329 (insn, operands);

    case E_V4x4BFmode:
      if (!nonimmediate_operand (operands[0], E_V4x4BFmode)
          || !general_operand (operands[1], E_V4x4BFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_330 (insn, operands);

    case E_V4x16QImode:
      if (!nonimmediate_operand (operands[0], E_V4x16QImode)
          || !general_operand (operands[1], E_V4x16QImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_331 (insn, operands);

    case E_V4x8HImode:
      if (!nonimmediate_operand (operands[0], E_V4x8HImode)
          || !general_operand (operands[1], E_V4x8HImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_332 (insn, operands);

    case E_V4x4SImode:
      if (!nonimmediate_operand (operands[0], E_V4x4SImode)
          || !general_operand (operands[1], E_V4x4SImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_333 (insn, operands);

    case E_V4x2DImode:
      if (!nonimmediate_operand (operands[0], E_V4x2DImode)
          || !general_operand (operands[1], E_V4x2DImode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_334 (insn, operands);

    case E_V4x8HFmode:
      if (!nonimmediate_operand (operands[0], E_V4x8HFmode)
          || !general_operand (operands[1], E_V4x8HFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_335 (insn, operands);

    case E_V4x4SFmode:
      if (!nonimmediate_operand (operands[0], E_V4x4SFmode)
          || !general_operand (operands[1], E_V4x4SFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_336 (insn, operands);

    case E_V4x2DFmode:
      if (!nonimmediate_operand (operands[0], E_V4x2DFmode)
          || !general_operand (operands[1], E_V4x2DFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_337 (insn, operands);

    case E_V4x8BFmode:
      if (!nonimmediate_operand (operands[0], E_V4x8BFmode)
          || !general_operand (operands[1], E_V4x8BFmode)
          || !
#line 8286 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_338 (insn, operands);

    case E_XImode:
      if (!nonimmediate_operand (operands[0], E_XImode)
          || !general_operand (operands[1], E_XImode)
          || !
#line 8311 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && reload_completed))
        return NULL;
      return gen_split_339 (insn, operands);

    case E_V8DImode:
      if (!nonimmediate_operand (operands[0], E_V8DImode)
          || !general_operand (operands[1], E_V8DImode)
          || !
#line 8330 "../../gcc/config/aarch64/aarch64-simd.md"
(reload_completed))
        return NULL;
      return gen_split_340 (insn, operands);

    case E_VNx32QImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx32QImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx32QImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_518 (insn, operands);

    case E_VNx16HImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx16HImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx16HImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_519 (insn, operands);

    case E_VNx8SImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8SImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx8SImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_520 (insn, operands);

    case E_VNx4DImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4DImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx4DImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_521 (insn, operands);

    case E_VNx16BFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx16BFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx16BFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_522 (insn, operands);

    case E_VNx16HFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx16HFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx16HFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_523 (insn, operands);

    case E_VNx8SFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8SFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx8SFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_524 (insn, operands);

    case E_VNx4DFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4DFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx4DFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_525 (insn, operands);

    case E_VNx48QImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx48QImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx48QImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_526 (insn, operands);

    case E_VNx24HImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx24HImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx24HImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_527 (insn, operands);

    case E_VNx12SImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx12SImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx12SImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_528 (insn, operands);

    case E_VNx6DImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx6DImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx6DImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_529 (insn, operands);

    case E_VNx24BFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx24BFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx24BFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_530 (insn, operands);

    case E_VNx24HFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx24HFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx24HFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_531 (insn, operands);

    case E_VNx12SFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx12SFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx12SFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_532 (insn, operands);

    case E_VNx6DFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx6DFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx6DFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_533 (insn, operands);

    case E_VNx64QImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx64QImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx64QImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_534 (insn, operands);

    case E_VNx32HImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx32HImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx32HImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_535 (insn, operands);

    case E_VNx16SImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx16SImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx16SImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_536 (insn, operands);

    case E_VNx8DImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8DImode)
          || !aarch64_sve_general_operand (operands[1], E_VNx8DImode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_537 (insn, operands);

    case E_VNx32BFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx32BFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx32BFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_538 (insn, operands);

    case E_VNx32HFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx32HFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx32HFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_539 (insn, operands);

    case E_VNx16SFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx16SFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx16SFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_540 (insn, operands);

    case E_VNx8DFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8DFmode)
          || !aarch64_sve_general_operand (operands[1], E_VNx8DFmode)
          || !
#line 893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return NULL;
      return gen_split_541 (insn, operands);

    case E_VNx32BImode:
      if (!nonimmediate_operand (operands[0], E_VNx32BImode)
          || !aarch64_mov_operand (operands[1], E_VNx32BImode)
          || !(
#line 1096 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1102 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return NULL;
      return gen_split_574 (insn, operands);

    case E_VNx64BImode:
      if (!nonimmediate_operand (operands[0], E_VNx64BImode)
          || !aarch64_mov_operand (operands[1], E_VNx64BImode)
          || !(
#line 1096 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1102 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return NULL;
      return gen_split_575 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_63 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1046 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1680 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && ((
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1753 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !((
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1805 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1693 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1766 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1818 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1706 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1779 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1831 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1719 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1792 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1844 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1728 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1905 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1735 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1912 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1742 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1919 (insn, operands);

    case 7:
      if (!((
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8BFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1857 (insn, operands);

    case 8:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1870 (insn, operands);

    case 9:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1883 (insn, operands);

    case 10:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1896 (insn, operands);

    case 11:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1926 (insn, operands);

    case 12:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1933 (insn, operands);

    case 13:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1940 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_70 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern696 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      operands[4] = x3;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern697 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1258 (insn, operands);

        case E_VNx8QImode:
          if (pattern697 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1275 (insn, operands);

        case E_VNx4QImode:
          if (pattern697 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1292 (insn, operands);

        case E_VNx2QImode:
          if (pattern697 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1309 (insn, operands);

        case E_VNx8HImode:
          if (pattern697 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1326 (insn, operands);

        case E_VNx4HImode:
          if (pattern697 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1343 (insn, operands);

        case E_VNx2HImode:
          if (pattern697 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1360 (insn, operands);

        case E_VNx4SImode:
          if (pattern697 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1377 (insn, operands);

        case E_VNx2SImode:
          if (pattern697 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1394 (insn, operands);

        case E_VNx2DImode:
          if (pattern697 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1411 (insn, operands);

        default:
          return NULL;
        }

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      operands[5] = x3;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern1164 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2006 (insn, operands);

        case E_VNx8QImode:
          if (pattern1164 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2007 (insn, operands);

        case E_VNx4QImode:
          if (pattern1164 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2008 (insn, operands);

        case E_VNx2QImode:
          if (pattern1164 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2009 (insn, operands);

        case E_VNx8HImode:
          if (pattern1164 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2010 (insn, operands);

        case E_VNx4HImode:
          if (pattern1164 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2011 (insn, operands);

        case E_VNx2HImode:
          if (pattern1164 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2012 (insn, operands);

        case E_VNx4SImode:
          if (pattern1164 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2013 (insn, operands);

        case E_VNx2SImode:
          if (pattern1164 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2014 (insn, operands);

        case E_VNx2DImode:
          if (pattern1164 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !(
#line 7369 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7381 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2015 (insn, operands);

        default:
          return NULL;
        }

    case 2:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1429 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1449 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1469 (insn, operands);

    case 3:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1431 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1451 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1471 (insn, operands);

    case 4:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1433 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1453 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1473 (insn, operands);

    case 5:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1435 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1455 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1475 (insn, operands);

    case 6:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1437 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1457 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1477 (insn, operands);

    case 7:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1439 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1459 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1479 (insn, operands);

    case 8:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1441 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1461 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1481 (insn, operands);

    case 9:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1443 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1463 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1483 (insn, operands);

    case 10:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1445 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1465 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1485 (insn, operands);

    case 11:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1447 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1467 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1487 (insn, operands);

    case 12:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1430 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1450 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1470 (insn, operands);

    case 13:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1432 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1452 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1472 (insn, operands);

    case 14:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1434 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1454 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1474 (insn, operands);

    case 15:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1436 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1456 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1476 (insn, operands);

    case 16:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1438 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1458 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1478 (insn, operands);

    case 17:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1440 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1460 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1480 (insn, operands);

    case 18:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1442 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1462 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1482 (insn, operands);

    case 19:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1444 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1464 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1484 (insn, operands);

    case 20:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1446 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1466 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1486 (insn, operands);

    case 21:
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      x6 = XVECEXP (x5, 0, 0);
      operands[4] = x6;
      x7 = XEXP (x4, 1);
      x8 = XVECEXP (x7, 0, 0);
      operands[5] = x8;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 4436 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4441 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1448 (insn, operands);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 4467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4472 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[4]) || !CONSTANT_P (operands[5])))))
        return gen_split_1468 (insn, operands);
      operands[5] = x6;
      operands[6] = x8;
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 4498 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4508 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1488 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_81 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case PLUS:
      if (GET_MODE (x3) != E_SImode)
        return NULL;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return NULL;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return NULL;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      if (!aarch64_pluslong_strict_immedate (operands[2], E_SImode)
          || !
#line 2610 "../../gcc/config/aarch64/aarch64.md"
(epilogue_completed))
        return NULL;
      return gen_split_19 (insn, operands);

    case XOR:
      if (GET_MODE (x3) != E_SImode)
        return NULL;
      x5 = XEXP (x3, 0);
      if (GET_CODE (x5) != NEG
          || GET_MODE (x5) != E_SImode)
        return NULL;
      x7 = XEXP (x5, 0);
      if (!aarch64_comparison_operator (x7, E_SImode))
        return NULL;
      operands[1] = x7;
      x8 = XEXP (x7, 1);
      if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return NULL;
      x9 = XEXP (x7, 0);
      operands[2] = x9;
      if (!cc_register (operands[2], E_VOIDmode))
        return NULL;
      x6 = XEXP (x3, 1);
      operands[3] = x6;
      if (!general_operand (operands[3], E_SImode))
        return NULL;
      return gen_split_28 (insn, operands);

    case REG:
    case SUBREG:
      x4 = XEXP (x1, 0);
      switch (GET_CODE (x4))
        {
        case ZERO_EXTRACT:
          x10 = XEXP (x4, 1);
          if (GET_CODE (x10) != CONST_INT)
            return NULL;
          x11 = XEXP (x4, 0);
          operands[0] = x11;
          x12 = XEXP (x4, 2);
          operands[1] = x12;
          if (!const_int_operand (operands[1], E_VOIDmode))
            return NULL;
          operands[2] = x3;
          switch (XWINT (x10, 0))
            {
            case 8L:
              switch (GET_MODE (x4))
                {
                case E_SImode:
                  switch (pattern952 (x2, 
E_SImode))
                    {
                    case 0:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_108 (insn, operands);

                    case 1:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_110 (insn, operands);

                    case 2:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_114 (insn, operands);

                    default:
                      return NULL;
                    }

                case E_DImode:
                  switch (pattern952 (x2, 
E_DImode))
                    {
                    case 0:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_109 (insn, operands);

                    case 1:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_112 (insn, operands);

                    case 2:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_117 (insn, operands);

                    default:
                      return NULL;
                    }

                default:
                  return NULL;
                }

            case 16L:
              switch (GET_MODE (x4))
                {
                case E_SImode:
                  switch (pattern953 (x2, 
E_SImode))
                    {
                    case 0:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(16 <= 16
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 32) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_111 (insn, operands);

                    case 1:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(16 <= 32
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 32) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_115 (insn, operands);

                    default:
                      return NULL;
                    }

                case E_DImode:
                  switch (pattern953 (x2, 
E_DImode))
                    {
                    case 0:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(16 <= 16
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_113 (insn, operands);

                    case 1:
                      if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(16 <= 32
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                        return NULL;
                      return gen_split_118 (insn, operands);

                    default:
                      return NULL;
                    }

                default:
                  return NULL;
                }

            case 32L:
              switch (pattern882 (x1))
                {
                case 0:
                  if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 32) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                    return NULL;
                  return gen_split_116 (insn, operands);

                case 1:
                  if (!(
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 64) && 
#line 6445 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                    return NULL;
                  return gen_split_119 (insn, operands);

                default:
                  return NULL;
                }

            default:
              return NULL;
            }

        case REG:
        case SUBREG:
          operands[0] = x4;
          switch (pattern370 (x2))
            {
            case 0:
              if (!(
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 9848 "../../gcc/config/aarch64/aarch64-simd.md"
( ZERO_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_343 (insn, operands);

            case 1:
              if (!(
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 9848 "../../gcc/config/aarch64/aarch64-simd.md"
( ZERO_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_345 (insn, operands);

            case 2:
              if (!(
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 9848 "../../gcc/config/aarch64/aarch64-simd.md"
( ZERO_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_347 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case VEC_SELECT:
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      switch (pattern365 (x2))
        {
        case 0:
          if (!(
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 1972 "../../gcc/config/aarch64/aarch64-simd.md"
( ZERO_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
            return NULL;
          return gen_split_155 (insn, operands);

        case 1:
          if (!(
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 1972 "../../gcc/config/aarch64/aarch64-simd.md"
( ZERO_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
            return NULL;
          return gen_split_157 (insn, operands);

        case 2:
          if (!(
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 1972 "../../gcc/config/aarch64/aarch64-simd.md"
( ZERO_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
            return NULL;
          return gen_split_159 (insn, operands);

        default:
          return NULL;
        }

    case US_PLUS:
      if (pattern38 (x3, 
E_SImode) != 0)
        return NULL;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      switch (pattern927 (x2))
        {
        case 0:
          if (!(
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10886 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2718 (insn, operands);

        case 1:
          if (!(
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10886 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2720 (insn, operands);

        case 2:
          if (!(
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10886 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2722 (insn, operands);

        case 3:
          if (!(
#line 10879 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10886 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2724 (insn, operands);

        default:
          return NULL;
        }

    case US_MINUS:
      if (pattern39 (x3) != 0)
        return NULL;
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      switch (pattern928 (x2))
        {
        case 0:
          if (!(
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11119 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2751 (insn, operands);

        case 1:
          if (!(
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11119 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2753 (insn, operands);

        case 2:
          if (!(
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11119 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2755 (insn, operands);

        case 3:
          if (!(
#line 11112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11119 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2757 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_109 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2538 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2548 (insn, operands);
}

 rtx_insn *
split_116 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2557 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2567 (insn, operands);
}

 rtx_insn *
split_123 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2417 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2427 (insn, operands);
}

 rtx_insn *
split_130 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2436 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2446 (insn, operands);
}

 rtx_insn *
split_137 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_CODE (x2) != SET)
    return NULL;
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case EQ:
      switch (pattern345 (x1))
        {
        case 0:
          if (!(
#line 4507 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed) && 
#line 4511 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_20 (insn, operands);

        case 1:
          if (!(
#line 4507 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed) && 
#line 4511 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_22 (insn, operands);

        default:
          return NULL;
        }

    case NE:
      switch (pattern345 (x1))
        {
        case 0:
          if (!(
#line 4507 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed) && 
#line 4511 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_21 (insn, operands);

        case 1:
          if (!(
#line 4507 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed) && 
#line 4511 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_23 (insn, operands);

        default:
          return NULL;
        }

    case PLUS:
      if (pattern371 (x1, 
E_CCmode, 
66, 
CLOBBER) != 0)
        return NULL;
      x4 = XEXP (x3, 1);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case SMAX:
          switch (pattern987 (x3))
            {
            case 0:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMAX, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_29 (insn, operands);

            case 1:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMAX, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_33 (insn, operands);

            default:
              return NULL;
            }

        case SMIN:
          switch (pattern987 (x3))
            {
            case 0:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMIN, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_30 (insn, operands);

            case 1:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMIN, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_34 (insn, operands);

            default:
              return NULL;
            }

        case UMAX:
          switch (pattern987 (x3))
            {
            case 0:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMAX, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_31 (insn, operands);

            case 1:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMAX, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_35 (insn, operands);

            default:
              return NULL;
            }

        case UMIN:
          switch (pattern987 (x3))
            {
            case 0:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMIN, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_32 (insn, operands);

            case 1:
              if (!(
#line 5016 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMIN, operands, false)) && 
#line 5018 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_36 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case COMPARE:
      if (GET_MODE (x3) != E_CC_NZVmode)
        return NULL;
      x5 = XEXP (x3, 0);
      if (GET_CODE (x5) != AND)
        return NULL;
      x4 = XEXP (x3, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || pattern702 (x1, 
CLOBBER, 
E_CC_NZVmode) != 0)
        return NULL;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 0);
      if (!register_operand (x7, E_SImode))
        return NULL;
      x8 = XEXP (x5, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[0] = x8;
          x9 = XEXP (x5, 1);
          operands[1] = x9;
          operands[2] = x7;
          switch (GET_MODE (x5))
            {
            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || !aarch64_mov_imm_operand (operands[1], E_SImode))
                return NULL;
              return gen_split_73 (insn, operands);

            case E_DImode:
              if (!register_operand (operands[0], E_DImode)
                  || !aarch64_mov_imm_operand (operands[1], E_DImode))
                return NULL;
              return gen_split_74 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFT:
          switch (pattern1114 (x1))
            {
            case 0:
              return gen_split_75 (insn, operands);

            case 1:
              return gen_split_80 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFTRT:
          switch (pattern1114 (x1))
            {
            case 0:
              return gen_split_76 (insn, operands);

            case 1:
              return gen_split_81 (insn, operands);

            default:
              return NULL;
            }

        case LSHIFTRT:
          switch (pattern1114 (x1))
            {
            case 0:
              return gen_split_77 (insn, operands);

            case 1:
              return gen_split_82 (insn, operands);

            default:
              return NULL;
            }

        case ROTATERT:
          switch (pattern1114 (x1))
            {
            case 0:
              return gen_split_78 (insn, operands);

            case 1:
              return gen_split_83 (insn, operands);

            default:
              return NULL;
            }

        case ROTATE:
          switch (pattern1114 (x1))
            {
            case 0:
              return gen_split_79 (insn, operands);

            case 1:
              return gen_split_84 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case US_PLUS:
      switch (pattern347 (x1))
        {
        case 0:
          if (!
#line 5315 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_211 (insn, operands);

        case 1:
          if (!
#line 5315 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_219 (insn, operands);

        default:
          return NULL;
        }

    case US_MINUS:
      switch (pattern347 (x1))
        {
        case 0:
          if (!
#line 5315 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_215 (insn, operands);

        case 1:
          if (!
#line 5315 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_223 (insn, operands);

        default:
          return NULL;
        }

    case NEG:
      switch (pattern348 (x1))
        {
        case 0:
          if (!(
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7215 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_227 (insn, operands);

        case 1:
          if (!(
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7215 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_228 (insn, operands);

        case 2:
          if (!(
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7215 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_229 (insn, operands);

        case 3:
          if (!(
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7215 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_230 (insn, operands);

        case 4:
          if (!(
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7215 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_231 (insn, operands);

        case 5:
          if (!(
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7278 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_232 (insn, operands);

        case 6:
          if (!(
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7278 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_233 (insn, operands);

        case 7:
          if (!(
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7278 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_234 (insn, operands);

        case 8:
          if (!(
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7278 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_235 (insn, operands);

        case 9:
          if (!(
#line 7364 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7366 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_236 (insn, operands);

        default:
          return NULL;
        }

    case UNSPEC:
      if (XVECLEN (x3, 0) != 4
          || XINT (x3, 1) != 127
          || pattern561 (x2) != 0)
        return NULL;
      x10 = XVECEXP (x3, 0, 2);
      if (XWINT (x10, 0) == 1L)
        {
          x11 = XVECEXP (x3, 0, 3);
          switch (GET_CODE (x11))
            {
            case CONST:
              switch (pattern1094 (x1))
                {
                case 0:
                  if ((
#line 1000 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1004 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_566 (insn, operands);
                  break;

                case 1:
                  if ((
#line 1052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1056 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_570 (insn, operands);
                  break;

                default:
                  break;
                }
              break;

            case SUBREG:
              switch (pattern1096 (x1))
                {
                case 0:
                  if ((
#line 1026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1030 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_567 (insn, operands);
                  break;

                case 1:
                  if ((
#line 1026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1030 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_568 (insn, operands);
                  break;

                case 2:
                  if ((
#line 1026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1030 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_569 (insn, operands);
                  break;

                case 3:
                  if ((
#line 1078 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1082 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_571 (insn, operands);
                  break;

                case 4:
                  if ((
#line 1078 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1082 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_572 (insn, operands);
                  break;

                case 5:
                  if ((
#line 1078 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1082 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_573 (insn, operands);
                  break;

                default:
                  break;
                }
              break;

            case UNSPEC:
              res = split_132 (x1, insn);
              if (res != NULL_RTX)
                return res;
              break;

            default:
              break;
            }
        }
      x11 = XVECEXP (x3, 0, 3);
      if (GET_CODE (x11) != UNSPEC
          || XVECLEN (x11, 0) != 3)
        return NULL;
      x12 = XVECEXP (x3, 0, 0);
      operands[1] = x12;
      if (!register_operand (operands[1], E_VNx16BImode)
          || !aarch64_sve_ptrue_flag (x10, E_SImode))
        return NULL;
      x13 = XVECEXP (x11, 0, 1);
      if (!aarch64_sve_ptrue_flag (x13, E_SImode))
        return NULL;
      return split_135 (x1, insn);

    case VEC_DUPLICATE:
      switch (pattern353 (x1))
        {
        case 0:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1041 (insn, operands);

        case 1:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1060 (insn, operands);

        case 2:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1042 (insn, operands);

        case 3:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1043 (insn, operands);

        case 4:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1044 (insn, operands);

        case 5:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1045 (insn, operands);

        case 6:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1061 (insn, operands);

        case 7:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1046 (insn, operands);

        case 8:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1047 (insn, operands);

        case 9:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1048 (insn, operands);

        case 10:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1062 (insn, operands);

        case 11:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1049 (insn, operands);

        case 12:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1050 (insn, operands);

        case 13:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1063 (insn, operands);

        case 14:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1051 (insn, operands);

        case 15:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1065 (insn, operands);

        case 16:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1052 (insn, operands);

        case 17:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1053 (insn, operands);

        case 18:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1054 (insn, operands);

        case 19:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1064 (insn, operands);

        case 20:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1055 (insn, operands);

        case 21:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1056 (insn, operands);

        case 22:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1057 (insn, operands);

        case 23:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1066 (insn, operands);

        case 24:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1058 (insn, operands);

        case 25:
          if (!(
#line 2750 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2756 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1059 (insn, operands);

        case 26:
          if (!(
#line 2783 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2796 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1067 (insn, operands);

        default:
          return NULL;
        }

    case BSWAP:
      if (pattern354 (x1) != 0
          || !(
#line 3357 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3359 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1079 (insn, operands);

    case AND:
      return split_136 (x1, insn);

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_10 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_V2SFmode))
    {
      switch (pattern933 (
E_V2SFmode))
        {
        case 0:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_24 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 1:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_30 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 2:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_36 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 3:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_42 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 4:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_48 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 5:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_54 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (memory_operand (operands[0], E_V2SFmode))
    {
      if (register_operand (operands[1], E_V2SFmode))
        {
          switch (pattern989 ())
            {
            case 0:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_60 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 1:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_66 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 2:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_72 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 3:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_78 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 4:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_84 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 5:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_90 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            default:
              break;
            }
        }
      if (peep2_current_count >= 3)
        {
          x2 = PATTERN (peep2_next_insn (2));
          if (pattern991 (x2, 
E_V2SFmode) == 0
              && 
#line 304 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_adjust_ok_for_ldpstp (operands, false, V2SFmode)))
            {
              *pmatch_len_ = 3;
              res = gen_peephole2_237 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
    }
  if (peep2_current_count < 3)
    return NULL;
  x2 = PATTERN (peep2_next_insn (2));
  if (pattern935 (x2, 
E_V2SFmode) != 0
      || !
#line 325 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_adjust_ok_for_ldpstp (operands, true, V2SFmode)))
    return NULL;
  *pmatch_len_ = 3;
  return gen_peephole2_241 (insn, operands);
}
