/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern1 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DImode))
        return -1;
      return 1;

    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode))
        return -1;
      return 2;

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern20 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[3] = x2;
  x3 = XVECEXP (x1, 0, 2);
  operands[2] = x3;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[2], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[2], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern23 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  switch (GET_CODE (x5))
    {
    case ZERO_EXTEND:
      return pattern21 (x3); /* [-1, 3] */

    case VEC_DUPLICATE:
      res = pattern22 (x3);
      if (res >= 0)
        return res + 4; /* [4, 6] */
      return -1;

    default:
      return -1;
    }
}

int
pattern28 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  x3 = XEXP (x1, 1);
  switch (GET_CODE (x3))
    {
    case CONST_INT:
    case REG:
    case SUBREG:
    case TRUNCATE:
      return 0;

    case MINUS:
      res = pattern15 (x1);
      if (res >= 0)
        return res + 1; /* [1, 2] */
      return -1;

    case CONST_VECTOR:
    case CONST:
      operands[2] = x3;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern27 (x1, 
E_V8QImode) != 0)
            return -1;
          return 3;

        case E_V16QImode:
          if (pattern27 (x1, 
E_V16QImode) != 0)
            return -1;
          return 4;

        case E_V4HImode:
          if (pattern27 (x1, 
E_V4HImode) != 0)
            return -1;
          return 5;

        case E_V8HImode:
          if (pattern27 (x1, 
E_V8HImode) != 0)
            return -1;
          return 6;

        case E_V2SImode:
          if (pattern27 (x1, 
E_V2SImode) != 0)
            return -1;
          return 7;

        case E_V4SImode:
          if (pattern27 (x1, 
E_V4SImode) != 0)
            return -1;
          return 8;

        case E_V2DImode:
          if (pattern27 (x1, 
E_V2DImode) != 0)
            return -1;
          return 9;

        case E_VNx16QImode:
          if (pattern27 (x1, 
E_VNx16QImode) != 0)
            return -1;
          return 10;

        case E_VNx8QImode:
          if (pattern27 (x1, 
E_VNx8QImode) != 0)
            return -1;
          return 11;

        case E_VNx4QImode:
          if (pattern27 (x1, 
E_VNx4QImode) != 0)
            return -1;
          return 12;

        case E_VNx2QImode:
          if (pattern27 (x1, 
E_VNx2QImode) != 0)
            return -1;
          return 13;

        case E_VNx8HImode:
          if (pattern27 (x1, 
E_VNx8HImode) != 0)
            return -1;
          return 14;

        case E_VNx4HImode:
          if (pattern27 (x1, 
E_VNx4HImode) != 0)
            return -1;
          return 15;

        case E_VNx2HImode:
          if (pattern27 (x1, 
E_VNx2HImode) != 0)
            return -1;
          return 16;

        case E_VNx4SImode:
          if (pattern27 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 17;

        case E_VNx2SImode:
          if (pattern27 (x1, 
E_VNx2SImode) != 0)
            return -1;
          return 18;

        case E_VNx2DImode:
          if (pattern27 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 19;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern56 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  if (!aarch64_tls_le_symref (operands[1], E_VOIDmode))
    return -1;
  return pattern42 (x3); /* [-1, 1] */
}

int
pattern59 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode))
        return -1;
      return 1;

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x3) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode))
        return -1;
      return 2;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x3) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode))
        return -1;
      return 3;

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode))
        return -1;
      return 4;

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern72 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx64QImode:
      if (!aligned_register_operand (operands[0], E_VNx64QImode)
          || GET_MODE (x3) != E_VNx64QImode
          || !aligned_register_operand (operands[1], E_VNx64QImode))
        return -1;
      return 0;

    case E_VNx32HImode:
      if (!aligned_register_operand (operands[0], E_VNx32HImode)
          || GET_MODE (x3) != E_VNx32HImode
          || !aligned_register_operand (operands[1], E_VNx32HImode))
        return -1;
      return 1;

    case E_VNx16SImode:
      if (!aligned_register_operand (operands[0], E_VNx16SImode)
          || GET_MODE (x3) != E_VNx16SImode
          || !aligned_register_operand (operands[1], E_VNx16SImode))
        return -1;
      return 2;

    case E_VNx8DImode:
      if (!aligned_register_operand (operands[0], E_VNx8DImode)
          || GET_MODE (x3) != E_VNx8DImode
          || !aligned_register_operand (operands[1], E_VNx8DImode))
        return -1;
      return 3;

    case E_VNx32BFmode:
      if (!aligned_register_operand (operands[0], E_VNx32BFmode)
          || GET_MODE (x3) != E_VNx32BFmode
          || !aligned_register_operand (operands[1], E_VNx32BFmode))
        return -1;
      return 4;

    case E_VNx32HFmode:
      if (!aligned_register_operand (operands[0], E_VNx32HFmode)
          || GET_MODE (x3) != E_VNx32HFmode
          || !aligned_register_operand (operands[1], E_VNx32HFmode))
        return -1;
      return 5;

    case E_VNx16SFmode:
      if (!aligned_register_operand (operands[0], E_VNx16SFmode)
          || GET_MODE (x3) != E_VNx16SFmode
          || !aligned_register_operand (operands[1], E_VNx16SFmode))
        return -1;
      return 6;

    case E_VNx8DFmode:
      if (!aligned_register_operand (operands[0], E_VNx8DFmode)
          || GET_MODE (x3) != E_VNx8DFmode
          || !aligned_register_operand (operands[1], E_VNx8DFmode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern94 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != E_HImode)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_V4HImode:
      if (!register_operand (operands[2], E_V4HImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[2], E_V8HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern98 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern77 (x3, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern77 (x3, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern77 (x3, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern77 (x3, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern77 (x3, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern77 (x3, 
E_V4SImode) != 0)
        return -1;
      return 5;

    case E_V2DImode:
      if (pattern77 (x3, 
E_V2DImode) != 0)
        return -1;
      return 6;

    case E_DImode:
      if (pattern77 (x3, 
E_DImode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern115 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], E_VNx2DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x3) != E_VNx16QImode
          || !register_operand (operands[1], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode
          || !register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 1;

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x3) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern121 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern77 (x3, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern77 (x3, 
E_VNx8QImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern77 (x3, 
E_VNx4QImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern77 (x3, 
E_VNx2QImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern77 (x3, 
E_VNx8HImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern77 (x3, 
E_VNx4HImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern77 (x3, 
E_VNx2HImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern77 (x3, 
E_VNx4SImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern77 (x3, 
E_VNx2SImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern77 (x3, 
E_VNx2DImode) != 0)
        return -1;
      return 9;

    case E_VNx8HFmode:
      if (pattern77 (x3, 
E_VNx8HFmode) != 0)
        return -1;
      return 10;

    case E_VNx4HFmode:
      if (pattern77 (x3, 
E_VNx4HFmode) != 0)
        return -1;
      return 11;

    case E_VNx2HFmode:
      if (pattern77 (x3, 
E_VNx2HFmode) != 0)
        return -1;
      return 12;

    case E_VNx8BFmode:
      if (pattern77 (x3, 
E_VNx8BFmode) != 0)
        return -1;
      return 13;

    case E_VNx4BFmode:
      if (pattern77 (x3, 
E_VNx4BFmode) != 0)
        return -1;
      return 14;

    case E_VNx2BFmode:
      if (pattern77 (x3, 
E_VNx2BFmode) != 0)
        return -1;
      return 15;

    case E_VNx4SFmode:
      if (pattern77 (x3, 
E_VNx4SFmode) != 0)
        return -1;
      return 16;

    case E_VNx2SFmode:
      if (pattern77 (x3, 
E_VNx2SFmode) != 0)
        return -1;
      return 17;

    case E_VNx2DFmode:
      if (pattern77 (x3, 
E_VNx2DFmode) != 0)
        return -1;
      return 18;

    default:
      return -1;
    }
}

int
pattern147 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  operands[2] = x2;
  if (!register_operand (operands[2], i1))
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  operands[3] = x3;
  if (!register_operand (operands[3], i1))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern156 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_di (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern163 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_V4SImode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], E_V4SImode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_V4SImode))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], E_SImode))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  if (!register_operand (operands[3], E_V4SImode))
    return -1;
  return 0;
}

int
pattern171 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx4SFmode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], E_VNx4SFmode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_VNx4SFmode))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], E_VNx8BFmode))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  if (!register_operand (operands[3], E_VNx8BFmode))
    return -1;
  return 0;
}

int
pattern181 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx8BImode:
      if (!register_operand (operands[1], E_VNx8BImode)
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 0;

    case E_VNx4BImode:
      if (!register_operand (operands[1], E_VNx4BImode)
          || !register_operand (operands[2], E_VNx4SImode))
        return -1;
      return 1;

    case E_VNx2BImode:
      if (!register_operand (operands[1], E_VNx2BImode)
          || !register_operand (operands[2], E_VNx2DImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern189 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  if (!register_operand (operands[0], i1))
    return -1;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  if (!register_operand (operands[1], E_VNx16BImode))
    return -1;
  x6 = XVECEXP (x2, 0, 1);
  operands[2] = x6;
  if (!const_int_operand (operands[2], E_DImode))
    return -1;
  switch (XWINT (x3, 0))
    {
    case 8L:
      return 0;

    case 16L:
      return 1;

    case 32L:
      return 2;

    case 64L:
      return 3;

    default:
      return -1;
    }
}

int
pattern196 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern199 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern202 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern209 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern208 (x3, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4SFmode:
      if (pattern208 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2DFmode:
      if (pattern208 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern215 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XVECEXP (x2, 0, 0);
  operands[5] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[2] = x4;
  x5 = XVECEXP (x1, 0, 3);
  x6 = XVECEXP (x5, 0, 0);
  operands[6] = x6;
  x7 = XVECEXP (x5, 0, 2);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern214 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4SFmode:
      if (pattern214 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2DFmode:
      if (pattern214 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern227 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  operands[0] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[1] = x6;
  if (!const_int_operand (operands[1], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  switch (GET_CODE (x7))
    {
    case REG:
    case SUBREG:
      operands[2] = x7;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return pattern226 (x2); /* [-1, 15] */

    case PLUS:
      if (GET_MODE (x7) != E_SImode)
        return -1;
      x8 = XEXP (x7, 0);
      operands[2] = x8;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[3] = x9;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      res = pattern226 (x2);
      if (res >= 0)
        return res + 16; /* [16, 31] */
      return -1;

    default:
      return -1;
    }
}

int
pattern238 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aligned_register_operand (operands[1], i1)
      || !aligned_register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern242 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[0] = x6;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[1] = x7;
      x8 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[2] = x8;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              return pattern238 (x2, 
E_VNx8SImode); /* [-1, 0] */

            case E_VNx4DImode:
              if (pattern238 (x2, 
E_VNx4DImode) != 0)
                return -1;
              return 1;

            case E_VNx16SImode:
              if (pattern238 (x2, 
E_VNx16SImode) != 0)
                return -1;
              return 2;

            case E_VNx8DImode:
              if (pattern238 (x2, 
E_VNx8DImode) != 0)
                return -1;
              return 3;

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          operands[2] = x9;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              if (pattern239 (x2, 
E_VNx8SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 4;

            case E_VNx4DImode:
              if (pattern239 (x2, 
E_VNx4DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 5;

            case E_VNx16SImode:
              if (pattern239 (x2, 
E_VNx16SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 6;

            case E_VNx8DImode:
              if (pattern239 (x2, 
E_VNx8DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 7;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x6) != E_SImode)
        return -1;
      x10 = XEXP (x6, 0);
      operands[0] = x10;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x11 = XEXP (x6, 1);
      operands[1] = x11;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[2] = x7;
      x8 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[3] = x8;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              if (pattern240 (x2, 
E_VNx8SImode) != 0)
                return -1;
              return 8;

            case E_VNx4DImode:
              if (pattern240 (x2, 
E_VNx4DImode) != 0)
                return -1;
              return 9;

            case E_VNx16SImode:
              if (pattern240 (x2, 
E_VNx16SImode) != 0)
                return -1;
              return 10;

            case E_VNx8DImode:
              if (pattern240 (x2, 
E_VNx8DImode) != 0)
                return -1;
              return 11;

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          operands[3] = x9;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              if (pattern241 (x2, 
E_VNx8SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 12;

            case E_VNx4DImode:
              if (pattern241 (x2, 
E_VNx4DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 13;

            case E_VNx16SImode:
              if (pattern241 (x2, 
E_VNx16SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 14;

            case E_VNx8DImode:
              if (pattern241 (x2, 
E_VNx8DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 15;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern271 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_register (operands[2], i1)
      || !aarch64_simd_register (operands[3], i1)
      || !aarch64_simd_register (operands[4], i1)
      || !aarch64_simd_register (operands[5], i1))
    return -1;
  return 0;
}

int
pattern274 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[3], i2)
      || !aarch64_sve_ldff1_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern277 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_ldff1_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i2))
    return -1;
  return 0;
}

int
pattern280 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  switch (GET_MODE (x2))
    {
    case E_VNx4SImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 0;

    case E_VNx1TImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern283 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i3
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern287 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  switch (GET_MODE (x5))
    {
    case E_VNx4SImode:
      return pattern286 (x2, 
E_VNx4SImode, 
E_VNx4BImode); /* [-1, 0] */

    case E_VNx2DImode:
      if (pattern286 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern292 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i3)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern297 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case VEC_SELECT:
      x5 = XEXP (x2, 0);
      if (GET_CODE (x5) != VEC_SELECT)
        return -1;
      x6 = XEXP (x4, 0);
      operands[1] = x6;
      x7 = XEXP (x4, 1);
      operands[3] = x7;
      return pattern293 (x1); /* [-1, 2] */

    case REG:
    case SUBREG:
      res = pattern296 (x1);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern304 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      return pattern303 (x1, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8BImode:
      if (pattern303 (x1, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (pattern303 (x1, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2BImode:
      if (pattern303 (x1, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern311 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  x3 = XEXP (x1, 1);
  switch (GET_CODE (x3))
    {
    case CONST_INT:
    case REG:
    case SUBREG:
      return 0;

    case CONST_VECTOR:
    case CONST:
      operands[2] = x3;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern310 (x1, 
E_VNx16QImode) != 0)
            return -1;
          return 1;

        case E_VNx8QImode:
          if (pattern310 (x1, 
E_VNx8QImode) != 0)
            return -1;
          return 2;

        case E_VNx4QImode:
          if (pattern310 (x1, 
E_VNx4QImode) != 0)
            return -1;
          return 3;

        case E_VNx2QImode:
          if (pattern310 (x1, 
E_VNx2QImode) != 0)
            return -1;
          return 4;

        case E_VNx8HImode:
          if (pattern310 (x1, 
E_VNx8HImode) != 0)
            return -1;
          return 5;

        case E_VNx4HImode:
          if (pattern310 (x1, 
E_VNx4HImode) != 0)
            return -1;
          return 6;

        case E_VNx2HImode:
          if (pattern310 (x1, 
E_VNx2HImode) != 0)
            return -1;
          return 7;

        case E_VNx4SImode:
          if (pattern310 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 8;

        case E_VNx2SImode:
          if (pattern310 (x1, 
E_VNx2SImode) != 0)
            return -1;
          return 9;

        case E_VNx2DImode:
          if (pattern310 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 10;

        case E_V2DImode:
          if (pattern310 (x1, 
E_V2DImode) != 0)
            return -1;
          return 11;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      res = pattern35 (x1);
      if (res >= 0)
        return res + 12; /* [12, 19] */
      return -1;

    default:
      return -1;
    }
}

int
pattern325 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_rshift_imm (operands[2], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern330 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XEXP (x1, 1);
  operands[1] = x4;
  if (!register_operand (operands[1], E_DImode))
    return -1;
  return pattern329 (x3); /* [-1, 4] */
}

int
pattern335 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[1] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case ZERO_EXTEND:
      if (GET_MODE (x4) != E_DImode)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 3
          || !register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode
          || GET_MODE (x3) != E_VNx2DImode
          || GET_MODE (x5) != E_SImode)
        return -1;
      return pattern332 (x5); /* [-1, 1] */

    case UNSPEC:
      if (XVECLEN (x4, 0) != 3
          || !register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode
          || GET_MODE (x3) != E_VNx4SImode
          || GET_MODE (x4) != E_SImode)
        return -1;
      res = pattern333 (x4);
      if (res >= 0)
        return res + 2; /* [2, 3] */
      return -1;

    case SUBREG:
    case TRUNCATE:
      if (!subreg_lowpart_operator (x4, E_HImode))
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 3
          || !register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x1) != E_VNx8HImode
          || GET_MODE (x3) != E_VNx8HImode
          || GET_MODE (x5) != E_SImode)
        return -1;
      res = pattern334 (x4);
      if (res >= 0)
        return res + 4; /* [4, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern351 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 1);
  operands[2] = x4;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  x7 = XVECEXP (x6, 0, 2);
  operands[3] = x7;
  if (!const_int_operand (operands[3], E_SImode))
    return -1;
  return pattern350 (x1); /* [-1, 3] */
}

int
pattern356 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != MEM
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XVECEXP (x1, 0, 1);
  return pattern355 (x5); /* [-1, 0] */
}

int
pattern360 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  if (!rtx_equal_p (x5, operands[2]))
    return -1;
  x6 = XEXP (x2, 0);
  if (!rtx_equal_p (x6, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern359 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern359 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern359 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern359 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern368 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern372 (rtx x1, unsigned int i1, rtx_code i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i1
      || GET_MODE (x2) != i3)
    return -1;
  return 0;
}

int
pattern375 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x1, 1);
  operands[3] = x6;
  return pattern374 (x1); /* [-1, 1] */
}

int
pattern378 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  if (!register_operand (operands[1], E_VNx16BImode))
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  operands[2] = x3;
  if (!aarch64_any_register_operand (operands[2], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x1) != E_VNx16QImode)
        return -1;
      return 0;

    case E_VNx8QImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8QImode)
          || GET_MODE (x1) != E_VNx8QImode)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4QImode)
          || GET_MODE (x1) != E_VNx4QImode)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2QImode)
          || GET_MODE (x1) != E_VNx2QImode)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x1) != E_VNx8HImode)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4HImode)
          || GET_MODE (x1) != E_VNx4HImode)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2HImode)
          || GET_MODE (x1) != E_VNx2HImode)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2SImode)
          || GET_MODE (x1) != E_VNx2SImode)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode)
        return -1;
      return 9;

    case E_VNx8HFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x1) != E_VNx8HFmode)
        return -1;
      return 10;

    case E_VNx4HFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4HFmode)
          || GET_MODE (x1) != E_VNx4HFmode)
        return -1;
      return 11;

    case E_VNx2HFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2HFmode)
          || GET_MODE (x1) != E_VNx2HFmode)
        return -1;
      return 12;

    case E_VNx8BFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x1) != E_VNx8BFmode)
        return -1;
      return 13;

    case E_VNx4BFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4BFmode)
          || GET_MODE (x1) != E_VNx4BFmode)
        return -1;
      return 14;

    case E_VNx2BFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2BFmode)
          || GET_MODE (x1) != E_VNx2BFmode)
        return -1;
      return 15;

    case E_VNx4SFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x1) != E_VNx4SFmode)
        return -1;
      return 16;

    case E_VNx2SFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2SFmode)
          || GET_MODE (x1) != E_VNx2SFmode)
        return -1;
      return 17;

    case E_VNx2DFmode:
      if (!aarch64_sve_nonimmediate_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x1) != E_VNx2DFmode)
        return -1;
      return 18;

    default:
      return -1;
    }
}

int
pattern404 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern408 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  if (!register_operand (operands[2], i1))
    return -1;
  x5 = XEXP (x1, 1);
  operands[3] = x5;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern413 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x2, 0, 2);
  operands[2] = x5;
  x6 = XVECEXP (x2, 0, 3);
  operands[3] = x6;
  x7 = XEXP (x1, 1);
  operands[4] = x7;
  switch (XINT (x2, 1))
    {
    case 357:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          return pattern411 (x1, 
E_VNx8BImode, 
E_VNx8HFmode); /* [-1, 0] */

        case E_VNx4BImode:
          if (pattern411 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 1;

        case E_VNx2BImode:
          if (pattern411 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case 358:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern411 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 3;

        case E_VNx4BImode:
          if (pattern411 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 4;

        case E_VNx2BImode:
          if (pattern411 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    case 359:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern411 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 6;

        case E_VNx4BImode:
          if (pattern411 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 7;

        case E_VNx2BImode:
          if (pattern411 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 8;

        default:
          return -1;
        }

    case 364:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern411 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 9;

        case E_VNx4BImode:
          if (pattern411 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 10;

        case E_VNx2BImode:
          if (pattern411 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 11;

        default:
          return -1;
        }

    case 365:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern411 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 12;

        case E_VNx4BImode:
          if (pattern411 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 13;

        case E_VNx2BImode:
          if (pattern411 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 14;

        default:
          return -1;
        }

    case 366:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern411 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 15;

        case E_VNx4BImode:
          if (pattern411 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 16;

        case E_VNx2BImode:
          if (pattern411 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 17;

        default:
          return -1;
        }

    case 367:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern412 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 18;

        case E_VNx4BImode:
          if (pattern412 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 19;

        case E_VNx2BImode:
          if (pattern412 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 20;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern445 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sve_sqadd_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern449 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_SImode)
    return -1;
  switch (XINT (x1, 1))
    {
    case 169:
      x2 = XVECEXP (x1, 0, 0);
      operands[2] = x2;
      if (!const_int_operand (operands[2], E_DImode))
        return -1;
      x3 = XVECEXP (x1, 0, 1);
      operands[3] = x3;
      if (!const_int_operand (operands[3], E_DImode))
        return -1;
      x4 = XVECEXP (x1, 0, 2);
      operands[4] = x4;
      if (!const_int_operand (operands[4], E_DImode))
        return -1;
      return 0;

    case 307:
      x3 = XVECEXP (x1, 0, 1);
      if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      res = pattern20 (x1);
      if (res >= 0)
        return res + 1; /* [1, 4] */
      return -1;

    default:
      return -1;
    }
}

int
pattern459 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  x5 = XEXP (x1, 1);
  x6 = XEXP (x5, 1);
  operands[3] = x6;
  x7 = XEXP (x5, 0);
  if (!rtx_equal_p (x7, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern458 (x1, 
E_V16QImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4HImode:
      if (pattern458 (x1, 
E_V8HImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2SImode:
      if (pattern458 (x1, 
E_V4SImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern458 (x1, 
E_V2DImode, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern467 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != VEC_SELECT)
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_CODE (x4) != VEC_SELECT)
    return -1;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  x7 = XEXP (x3, 0);
  switch (GET_CODE (x7))
    {
    case SIGN_EXTEND:
      return pattern466 (x1, 
SIGN_EXTEND); /* [-1, 5] */

    case ZERO_EXTEND:
      res = pattern466 (x1, 
ZERO_EXTEND);
      if (res >= 0)
        return res + 6; /* [6, 11] */
      return -1;

    default:
      return -1;
    }
}

int
pattern473 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !general_operand (operands[3], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  switch (GET_MODE (x3))
    {
    case E_VNx8QImode:
      if (!register_operand (operands[2], E_VNx8BImode)
          || !aarch64_sve_ldff1_operand (operands[1], E_VNx8QImode))
        return -1;
      return 0;

    case E_VNx4QImode:
      if (!register_operand (operands[2], E_VNx4BImode)
          || !aarch64_sve_ldff1_operand (operands[1], E_VNx4QImode))
        return -1;
      return 1;

    case E_VNx2QImode:
      if (!register_operand (operands[2], E_VNx2BImode)
          || !aarch64_sve_ldff1_operand (operands[1], E_VNx2QImode))
        return -1;
      return 2;

    case E_VNx4HImode:
      if (!register_operand (operands[2], E_VNx4BImode)
          || !aarch64_sve_ldff1_operand (operands[1], E_VNx4HImode))
        return -1;
      return 3;

    case E_VNx2HImode:
      if (!register_operand (operands[2], E_VNx2BImode)
          || !aarch64_sve_ldff1_operand (operands[1], E_VNx2HImode))
        return -1;
      return 4;

    case E_VNx2SImode:
      if (!register_operand (operands[2], E_VNx2BImode)
          || !aarch64_sve_ldff1_operand (operands[1], E_VNx2SImode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern480 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_VNx2QImode:
      if (!aarch64_gather_scale_operand_b (operands[4], E_DImode))
        return -1;
      return 0;

    case E_VNx2HImode:
      if (!aarch64_gather_scale_operand_h (operands[4], E_DImode))
        return -1;
      return 1;

    case E_VNx2SImode:
      if (!aarch64_gather_scale_operand_w (operands[4], E_DImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern488 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != UNSPEC
      || XVECLEN (x1, 0) != 4
      || XINT (x1, 1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  return 0;
}

int
pattern492 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  x5 = XVECEXP (x4, 0, 0);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern491 (x1, 
E_SImode); /* [-1, 3] */

    case E_DImode:
      res = pattern491 (x1, 
E_DImode);
      if (res >= 0)
        return res + 4; /* [4, 7] */
      return -1;

    default:
      return -1;
    }
}

int
pattern499 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i1))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[1], E_VNx16QImode))
        return -1;
      x3 = XVECEXP (x2, 0, 1);
      if (GET_MODE (x3) != E_VNx16QImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8HImode:
      if (!register_operand (operands[1], E_VNx8HImode))
        return -1;
      x3 = XVECEXP (x2, 0, 1);
      if (GET_MODE (x3) != E_VNx8HImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern510 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != i1)
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  x7 = XEXP (x3, 0);
  if (!rtx_equal_p (x7, operands[2]))
    return -1;
  x8 = XEXP (x3, 1);
  if (!rtx_equal_p (x8, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern509 (x1, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern509 (x1, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern509 (x1, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern509 (x1, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern509 (x1, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern509 (x1, 
E_V4SImode) != 0)
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern521 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern530 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != i1)
    return -1;
  x4 = XEXP (x1, 0);
  operands[3] = x4;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  x7 = XEXP (x5, 1);
  operands[2] = x7;
  x8 = XEXP (x3, 0);
  if (!rtx_equal_p (x8, operands[1]))
    return -1;
  x9 = XEXP (x3, 1);
  if (!rtx_equal_p (x9, operands[2]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern529 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern529 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern529 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern536 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[3] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[1] = x5;
  x6 = XEXP (x4, 1);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern535 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern535 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern535 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern546 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V4SImode)
      || GET_MODE (x1) != E_V4SImode
      || !aarch64_simd_or_scalar_imm_zero (operands[4], E_V2SImode))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_V2SImode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  return pattern545 (x4, 
i1, 
i2); /* [-1, 0] */
}

int
pattern552 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern557 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[2] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern556 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern556 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern556 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern566 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != NOT)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 4)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  return 0;
}

int
pattern571 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[1] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern570 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern570 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern570 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern570 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern579 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
      || !register_operand (operands[0], E_SImode)
      || GET_MODE (x1) != E_SImode)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[3] = x4;
  x5 = XVECEXP (x2, 0, 2);
  operands[2] = x5;
  return 0;
}

int
pattern584 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_reg_or_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern589 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sve_logical_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern596 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern602 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  switch (GET_MODE (x2))
    {
    case E_HImode:
      x3 = XVECEXP (x2, 0, 0);
      switch (GET_MODE (x3))
        {
        case E_V8HImode:
          if (!register_operand (operands[1], E_V8QImode))
            return -1;
          return 0;

        case E_V16HImode:
          if (!register_operand (operands[1], E_V16QImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_SImode:
      x3 = XVECEXP (x2, 0, 0);
      switch (GET_MODE (x3))
        {
        case E_V4SImode:
          if (!register_operand (operands[1], E_V4HImode))
            return -1;
          return 2;

        case E_V8SImode:
          if (!register_operand (operands[1], E_V8HImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_DImode:
      x3 = XVECEXP (x2, 0, 0);
      switch (GET_MODE (x3))
        {
        case E_V4DImode:
          if (!register_operand (operands[1], E_V4SImode))
            return -1;
          return 4;

        case E_V2DImode:
          if (!register_operand (operands[1], E_V2SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern615 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x5 = XEXP (x2, 1);
      if (GET_MODE (x5) != E_DImode)
        return -1;
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x7 = XEXP (x1, 1);
      operands[3] = x7;
      if (!register_operand (operands[3], E_DImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (pattern614 (x1, 
E_V8HImode, 
E_V8QImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern614 (x1, 
E_V4SImode, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern614 (x1, 
E_V2DImode, 
E_V2SImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern625 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HImode:
      return pattern624 (x1, 
E_V16QImode, 
E_V8QImode, 
E_V8HImode); /* [-1, 0] */

    case E_V4SImode:
      if (pattern624 (x1, 
E_V8HImode, 
E_V4HImode, 
E_V4SImode) != 0)
        return -1;
      return 1;

    case E_V2DImode:
      if (pattern624 (x1, 
E_V4SImode, 
E_V2SImode, 
E_V2DImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern630 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern639 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case VEC_SELECT:
      x5 = XEXP (x4, 1);
      if (GET_CODE (x5) != PARALLEL
          || XVECLEN (x5, 0) != 1)
        return -1;
      x6 = XEXP (x4, 0);
      operands[2] = x6;
      x7 = XVECEXP (x5, 0, 0);
      operands[3] = x7;
      if (!immediate_operand (operands[3], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x1) != E_V4SImode)
            return -1;
          x8 = XEXP (x1, 0);
          if (GET_MODE (x8) != E_V4SImode
              || !register_operand (operands[1], E_V4HImode)
              || GET_MODE (x2) != E_V4SImode
              || GET_MODE (x3) != E_SImode
              || GET_MODE (x4) != E_HImode)
            return -1;
          switch (GET_MODE (operands[2]))
            {
            case E_V4HImode:
              if (!register_operand (operands[2], E_V4HImode))
                return -1;
              return 0;

            case E_V8HImode:
              if (!register_operand (operands[2], E_V8HImode))
                return -1;
              return 1;

            default:
              return -1;
            }

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x1) != E_V2DImode)
            return -1;
          x8 = XEXP (x1, 0);
          if (GET_MODE (x8) != E_V2DImode
              || !register_operand (operands[1], E_V2SImode)
              || GET_MODE (x2) != E_V2DImode
              || GET_MODE (x3) != E_DImode
              || GET_MODE (x4) != E_SImode)
            return -1;
          switch (GET_MODE (operands[2]))
            {
            case E_V2SImode:
              if (!register_operand (operands[2], E_V2SImode))
                return -1;
              return 2;

            case E_V4SImode:
              if (!register_operand (operands[2], E_V4SImode))
                return -1;
              return 3;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[2] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SImode:
          if (pattern638 (x1, 
E_HImode, 
E_SImode, 
E_V4SImode, 
E_V4HImode) != 0)
            return -1;
          return 4;

        case E_V2DImode:
          if (pattern638 (x1, 
E_SImode, 
E_DImode, 
E_V2DImode, 
E_V2SImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern671 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2)
      || !aarch64_simd_raddsubhn_imm_vec (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[4], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  return 0;
}

int
pattern679 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != E_VNx16BImode)
    return -1;
  x4 = XVECEXP (x3, 0, 0);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 2])
    return -1;
  x5 = XVECEXP (x3, 0, 3);
  if (GET_CODE (x5) != CONST_INT)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x6) != CLOBBER)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_CODE (x7) != REG
      || REGNO (x7) != 66
      || GET_MODE (x7) != E_CC_NZCmode
      || !register_operand (operands[0], E_VNx16BImode))
    return -1;
  x8 = XVECEXP (x3, 0, 1);
  operands[1] = x8;
  if (!aarch64_reg_or_zero (operands[1], E_DImode))
    return -1;
  x9 = XVECEXP (x3, 0, 2);
  operands[2] = x9;
  if (!aarch64_reg_or_zero (operands[2], E_DImode))
    return -1;
  x10 = XVECEXP (x3, 0, 4);
  operands[3] = x10;
  if (!const_int_operand (operands[3], E_DImode))
    return -1;
  switch (XWINT (x5, 0))
    {
    case 8L:
      return 0;

    case 16L:
      return 1;

    case 32L:
      return 2;

    case 64L:
      return 3;

    default:
      return -1;
    }
}

int
pattern692 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i1)
      || !vect_par_cnst_lo_half (operands[2], i1))
    return -1;
  return 0;
}

int
pattern697 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern700 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  operands[4] = x5;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern697 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8QImode:
          if (pattern697 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4QImode:
          if (pattern697 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2QImode:
          if (pattern697 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        case E_VNx8HImode:
          if (pattern697 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4HImode:
          if (pattern697 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2HImode:
          if (pattern697 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        case E_VNx4SImode:
          if (pattern697 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 7;

        case E_VNx2SImode:
          if (pattern697 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 8;

        case E_VNx2DImode:
          if (pattern697 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 9;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern699 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 10;

        case E_VNx8QImode:
          if (pattern699 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 11;

        case E_VNx4QImode:
          if (pattern699 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          return 12;

        case E_VNx2QImode:
          if (pattern699 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          return 13;

        case E_VNx8HImode:
          if (pattern699 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 14;

        case E_VNx4HImode:
          if (pattern699 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 15;

        case E_VNx2HImode:
          if (pattern699 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          return 16;

        case E_VNx4SImode:
          if (pattern699 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 17;

        case E_VNx2SImode:
          if (pattern699 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 18;

        case E_VNx2DImode:
          if (pattern699 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 19;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern727 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[2], i2)
      || !aarch64_sve_ld1rq_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern730 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], E_VNx2BImode)
      || !aarch64_sve_ld1ro_operand_d (operands[1], E_OImode))
    return -1;
  return 0;
}

int
pattern735 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (!register_operand (x2, i2))
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  return 0;
}

int
pattern741 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XEXP (x1, 1);
  if (!register_operand (x3, E_SImode))
    return -1;
  x4 = XEXP (x2, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      operands[2] = x3;
      return 0;

    case ASHIFT:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      if (!aarch64_shift_imm_si (operands[2], E_QImode))
        return -1;
      operands[3] = x3;
      return 1;

    case ASHIFTRT:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      if (!aarch64_shift_imm_si (operands[2], E_QImode))
        return -1;
      operands[3] = x3;
      return 2;

    case LSHIFTRT:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      if (!aarch64_shift_imm_si (operands[2], E_QImode))
        return -1;
      operands[3] = x3;
      return 3;

    case ROTATERT:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      if (!aarch64_shift_imm_si (operands[2], E_QImode))
        return -1;
      operands[3] = x3;
      return 4;

    case ROTATE:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      if (!aarch64_shift_imm_si (operands[2], E_QImode))
        return -1;
      operands[3] = x3;
      return 5;

    default:
      return -1;
    }
}

int
pattern769 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[3] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern766 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern766 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern766 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern766 (x1, 
E_DImode, 
E_V2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern780 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  x7 = XEXP (x3, 1);
  operands[4] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern779 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern779 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern779 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern789 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], E_DImode))
    return -1;
  return 0;
}

int
pattern795 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 56]
      || !register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_MODE (x4) != E_DImode)
    return -1;
  return 0;
}

int
pattern801 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !const_int_operand (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern810 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x4 = XEXP (x1, 1);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[3] = x4;
      if (!register_operand (operands[3], E_SImode))
        return -1;
      x5 = XEXP (x2, 1);
      operands[2] = x5;
      if (!aarch64_shift_imm_si (operands[2], E_QImode))
        return -1;
      return 0;

    case LSHIFTRT:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x2, 1);
      operands[3] = x5;
      if (!const_int_operand (operands[3], E_VOIDmode))
        return -1;
      x6 = XEXP (x4, 0);
      operands[2] = x6;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x7 = XEXP (x4, 1);
      operands[4] = x7;
      if (!const_int_operand (operands[4], E_VOIDmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern825 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern833 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern840 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !memory_operand (operands[1], i1)
      || !memory_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern846 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  operands[5] = x3;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != AND
      || GET_MODE (x4) != E_SImode)
    return -1;
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  if (!register_operand (operands[3], E_SImode))
    return -1;
  x6 = XEXP (x4, 1);
  operands[4] = x6;
  if (!const_int_operand (operands[4], E_VOIDmode))
    return -1;
  return pattern2 (x1); /* [-1, 1] */
}

int
pattern855 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      if (!rtx_equal_p (x5, operands[2]))
        return -1;
      x6 = XVECEXP (x2, 0, 0);
      operands[4] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          return pattern853 (x1, 
E_VNx16QImode, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx4SImode:
          if (pattern853 (x1, 
E_VNx8HImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 1;

        case E_VNx2DImode:
          if (pattern853 (x1, 
E_VNx4SImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      operands[4] = x5;
      x6 = XVECEXP (x2, 0, 0);
      operands[5] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          if (pattern854 (x1, 
E_VNx8HImode, 
E_VNx16QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 3;

        case E_VNx4SImode:
          if (pattern854 (x1, 
E_VNx4SImode, 
E_VNx8HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 4;

        case E_VNx2DImode:
          if (pattern854 (x1, 
E_VNx2DImode, 
E_VNx4SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern876 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  if (!register_operand (operands[3], E_VNx2DImode))
    return -1;
  x5 = XVECEXP (x1, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      if (!rtx_equal_p (x5, operands[2]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern874 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern874 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern874 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      operands[4] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern875 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 3;

        case E_VNx8HImode:
          if (pattern875 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4SImode:
          if (pattern875 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern891 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern896 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[0] = x3;
  if (!aarch64_imm3 (operands[1], E_VOIDmode))
    return -1;
  switch (GET_MODE (x1))
    {
    case E_SImode:
      return pattern895 (x2, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern895 (x2, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern901 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_raddsubhn_imm_vec (operands[3], i1)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[4], i1))
    return -1;
  return 0;
}

int
pattern908 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_reg_or_xor_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern915 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern922 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != PLUS)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_CODE (x7) != i1)
    return -1;
  x8 = XEXP (x2, 0);
  if (GET_MODE (x8) != E_CC_NZmode
      || GET_MODE (x3) != E_CC_NZmode)
    return -1;
  x9 = XEXP (x3, 0);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  operands[1] = x11;
  x12 = XEXP (x10, 1);
  operands[2] = x12;
  x13 = XEXP (x9, 1);
  operands[3] = x13;
  return pattern921 (x1); /* [-1, 1] */
}

int
pattern930 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[4] = x2;
  x3 = XVECEXP (x1, 0, 2);
  x4 = XVECEXP (x3, 0, 0);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[2] = x6;
  x7 = XVECEXP (x1, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      return pattern929 (x1, 
E_VNx8BFmode); /* [-1, 0] */

    case E_VNx8HFmode:
      if (pattern929 (x1, 
E_VNx8HFmode) != 0)
        return -1;
      return 1;

    case E_VNx4SFmode:
      if (pattern929 (x1, 
E_VNx4SFmode) != 0)
        return -1;
      return 2;

    case E_VNx2DFmode:
      if (pattern929 (x1, 
E_VNx2DFmode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern938 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], i1)
      || !const_int_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern943 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_sve_ldff1_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern947 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i3)
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern952 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_QImode:
      if (!register_operand (operands[2], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[2], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern959 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern967 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern973 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern978 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_simd_reg_or_zero (operands[3], i2)
      || !register_operand (operands[4], i1)
      || !scratch_operand (operands[5], i1))
    return -1;
  return 0;
}

int
pattern984 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  if (XVECLEN (x4, 0) != 1
      || XINT (x4, 1) != 98)
    return -1;
  x5 = XEXP (x2, 1);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x6 = XEXP (x1, 0);
  if (GET_CODE (x6) != REG
      || REGNO (x6) != 0)
    return -1;
  return 0;
}

int
pattern988 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  x3 = XEXP (x1, 1);
  operands[2] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern357 (x1, 
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern357 (x1, 
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern993 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  return 0;
}

int
pattern997 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_lshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1003 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V4BFmode:
      if (!register_operand (operands[3], E_V4BFmode))
        return -1;
      return 0;

    case E_V8BFmode:
      if (!register_operand (operands[3], E_V8BFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1011 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  return pattern339 (x3, 
i1, 
i2); /* [-1, 0] */
}

int
pattern1014 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V2DImode)
      || GET_MODE (x1) != E_V2DImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_V2TImode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_V2TImode)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != E_V2TImode
      || !register_operand (operands[1], E_V2DImode)
      || !aarch64_int_rnd_operand (operands[3], E_V2TImode)
      || !aarch64_simd_shift_imm_vec_di (operands[2], E_V2DImode))
    return -1;
  return 0;
}

int
pattern1025 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_V2SImode
      || !register_operand (operands[0], E_V4SImode)
      || GET_MODE (x1) != E_V4SImode
      || GET_MODE (x2) != E_V2SImode
      || !register_operand (operands[2], E_V8QImode)
      || !immediate_operand (operands[4], E_SImode)
      || !register_operand (operands[1], E_V2SImode)
      || !aarch64_simd_or_scalar_imm_zero (operands[5], E_V2SImode))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V8QImode:
      if (!register_operand (operands[3], E_V8QImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[3], E_V16QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1032 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1041 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1048 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_lshift_imm (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1054 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1059 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1040 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1040 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1040 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1040 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x4, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          if (pattern1040 (x1, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx8HFmode:
          if (pattern1040 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 5;

        case E_VNx4SFmode:
          if (pattern1040 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 6;

        case E_VNx2DFmode:
          if (pattern1040 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1088 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i1)
      || !aarch64_simd_umax_half_mode (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1096 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  if (maybe_ne (SUBREG_BYTE (x4), 0))
    return -1;
  x5 = XEXP (x4, 0);
  if (!aarch64_sve_ptrue_svpattern_immediate (x5, E_VNx16BImode))
    return -1;
  operands[1] = x5;
  x6 = XEXP (x5, 0);
  if (GET_CODE (x6) != UNSPEC
      || XVECLEN (x6, 0) != 2
      || XINT (x6, 1) != 128
      || GET_MODE (x6) != E_VNx16BImode)
    return -1;
  x7 = XVECEXP (x3, 0, 0);
  operands[2] = x7;
  x8 = XVECEXP (x3, 0, 1);
  operands[3] = x8;
  x9 = XVECEXP (x6, 0, 0);
  operands[4] = x9;
  if (!const_int_operand (operands[4], E_SImode))
    return -1;
  x10 = XVECEXP (x6, 0, 1);
  operands[5] = x10;
  x11 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x11))
    {
    case SET:
      x12 = XEXP (x11, 0);
      operands[0] = x12;
      if (!register_operand (operands[0], E_VNx16BImode))
        return -1;
      x13 = XEXP (x11, 1);
      if (!rtx_equal_p (x13, operands[1]))
        return -1;
      return pattern1095 (x4); /* [-1, 2] */

    case CLOBBER:
      x12 = XEXP (x11, 0);
      operands[0] = x12;
      if (!scratch_operand (operands[0], E_VNx16BImode))
        return -1;
      res = pattern1095 (x4);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1110 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1)
      || !aarch64_simd_reg_or_zero (operands[5], i1))
    return -1;
  return 0;
}

int
pattern1115 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1120 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1124 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[4] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern851 (x1, 
E_VNx8HFmode); /* [-1, 2] */

    case E_VNx4SFmode:
      res = pattern851 (x1, 
E_VNx4SFmode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DFmode:
      res = pattern851 (x1, 
E_VNx2DFmode);
      if (res >= 0)
        return res + 6; /* [6, 8] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1134 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1142 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
      operands[4] = x3;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          return pattern1140 (x1, 
E_VNx8BImode, 
E_VNx8HFmode); /* [-1, 0] */

        case E_VNx4BImode:
          if (pattern1140 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 1;

        case E_VNx2BImode:
          if (pattern1140 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case NOT:
      x4 = XEXP (x3, 0);
      operands[4] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern1141 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 3;

        case E_VNx4BImode:
          if (pattern1141 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 4;

        case E_VNx2BImode:
          if (pattern1141 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1165 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !memory_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !memory_operand (operands[3], i1)
      || pattern934 (x1, 
i1) != 0)
    return -1;
  return 0;
}

int
pattern1170 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_V8QImode:
      if (!register_operand (operands[2], E_V8QImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[2], E_V16QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1180 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1184 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i3))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i3
      || !register_operand (operands[2], i4))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i3)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1192 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_reg_or_zero (operands[1], i1)
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (!rtx_equal_p (x2, operands[1]))
    return -1;
  x3 = XEXP (x1, 1);
  if (!rtx_equal_p (x3, operands[2]))
    return -1;
  return 0;
}

int
pattern1198 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !aarch64_sync_memory_operand (operands[1], i1)
      || !aarch64_logical_operand (operands[2], i1))
    return -1;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern1207 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[0], i1)
      || !const_scalar_int_operand (operands[1], i2))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !aarch64_plus_immediate (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1212 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i3
      || !register_operand (operands[2], i2)
      || !vect_par_cnst_hi_half (operands[4], i2))
    return -1;
  x6 = XEXP (x3, 1);
  return pattern1182 (x6, 
i1, 
i2, 
i3); /* [-1, 0] */
}

int
pattern1220 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1226 (rtx x1, unsigned int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != CLOBBER)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i1
      || GET_MODE (x2) != E_DImode)
    return -1;
  return 0;
}

int
pattern1232 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], i3)
      || !aarch64_sve_gather_offset_h (operands[1], E_DImode)
      || !register_operand (operands[2], i2)
      || !aarch64_gather_scale_operand_h (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[6], i1))
    return -1;
  return 0;
}

int
pattern1238 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1245 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1249 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  if (GET_MODE (x4) != E_VNx16BImode)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[4] = x5;
  x6 = XVECEXP (x4, 0, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x7 = XVECEXP (x4, 0, 2);
  operands[3] = x7;
  if (!register_operand (operands[3], E_VNx16BImode))
    return -1;
  return pattern1247 (x1, 
i1); /* [-1, 1] */
}

int
pattern1258 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_float_arith_with_sub_immediate (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1264 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
    return -1;
  x2 = XVECEXP (x1, 0, 3);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  if (!aarch64_sve_gp_strictness (operands[6], E_SImode))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  x5 = XVECEXP (x4, 0, 0);
  if (!rtx_equal_p (x5, operands[1]))
    return -1;
  x6 = XVECEXP (x2, 0, 0);
  if (!rtx_equal_p (x6, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BImode:
      return pattern461 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4BImode:
      if (pattern461 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2BImode:
      if (pattern461 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1276 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !aarch64_sync_memory_operand (operands[1], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_plus_operand (operands[2], i1)
      || !scratch_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1283 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], i3)
      || !aarch64_sve_gather_offset_w (operands[1], E_DImode)
      || !register_operand (operands[2], i2)
      || !aarch64_gather_scale_operand_w (operands[4], E_DImode))
    return -1;
  return 0;
}

int
pattern1292 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], E_VNx16BImode)
      || !register_operand (operands[4], E_VNx2DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      return pattern1291 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8BImode:
      if (pattern1291 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (pattern1291 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1302 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x1, 0, 0);
  x7 = XEXP (x6, 1);
  x8 = XEXP (x7, 0);
  x9 = XEXP (x8, 0);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  operands[1] = x11;
  if (!aarch64_imm3 (operands[2], E_VOIDmode))
    return -1;
  x12 = XEXP (x5, 0);
  if (!rtx_equal_p (x12, operands[1]))
    return -1;
  switch (GET_MODE (x8))
    {
    case E_SImode:
      return pattern1301 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern1301 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1315 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !register_operand (operands[0], i1))
    return -1;
  x7 = XVECEXP (x1, 0, 1);
  x8 = XEXP (x7, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_QImode:
      if (!register_operand (operands[2], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[2], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1327 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[3], E_VNx16QImode))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx32QImode:
      if (!register_operand (operands[2], E_VNx32QImode)
          || GET_MODE (x1) != E_VNx32QImode)
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!register_operand (operands[2], E_VNx64QImode)
          || GET_MODE (x1) != E_VNx64QImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1335 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx4QImode:
      if (!register_operand (operands[2], E_VNx4QImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4QImode))
        return -1;
      return 0;

    case E_VNx4HImode:
      if (!register_operand (operands[2], E_VNx4HImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4HImode))
        return -1;
      return 1;

    case E_VNx4SImode:
      if (!register_operand (operands[2], E_VNx4SImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1342 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_borrow_operation (operands[2], i2))
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_MODE (x6) != i2)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1
      || !aarch64_borrow_operation (operands[3], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 1);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  return 0;
}

int
pattern1350 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[6], E_VNx16BImode)
      || !register_operand (operands[3], E_VNx2DImode))
    return -1;
  switch (GET_MODE (x1))
    {
    case E_VNx16BImode:
      x2 = XVECEXP (x1, 0, 2);
      if (GET_MODE (x2) != E_VNx16BImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      x2 = XVECEXP (x1, 0, 2);
      if (GET_MODE (x2) != E_VNx8BImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      x2 = XVECEXP (x1, 0, 2);
      if (GET_MODE (x2) != E_VNx4BImode
          || !register_operand (operands[2], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1361 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[6], E_VNx16BImode)
      || !register_operand (operands[3], E_VNx2DImode))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x2))
    {
    case SET:
      x3 = XEXP (x2, 1);
      if (GET_CODE (x3) != UNSPEC
          || XVECLEN (x3, 0) != 3
          || XINT (x3, 1) != 126)
        return -1;
      x4 = XVECEXP (x3, 0, 2);
      if (GET_CODE (x4) != UNSPEC
          || XVECLEN (x4, 0) != 2
          || XINT (x4, 1) != i1)
        return -1;
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      x6 = XVECEXP (x3, 0, 0);
      if (!rtx_equal_p (x6, operands[6]))
        return -1;
      x7 = XVECEXP (x3, 0, 1);
      if (!rtx_equal_p (x7, operands[7]))
        return -1;
      x8 = XVECEXP (x4, 0, 0);
      if (!rtx_equal_p (x8, operands[2]))
        return -1;
      x9 = XVECEXP (x4, 0, 1);
      if (!rtx_equal_p (x9, operands[3]))
        return -1;
      x10 = XVECEXP (x1, 0, 0);
      x11 = XEXP (x10, 1);
      x12 = XVECEXP (x11, 0, 3);
      switch (GET_MODE (x12))
        {
        case E_VNx16BImode:
          return pattern1360 (x1, 
E_VNx16BImode, 
E_VNx16QImode); /* [-1, 0] */

        case E_VNx8BImode:
          if (pattern1360 (x1, 
E_VNx8BImode, 
E_VNx8HImode) != 0)
            return -1;
          return 1;

        case E_VNx4BImode:
          if (pattern1360 (x1, 
E_VNx4BImode, 
E_VNx4SImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case CLOBBER:
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      x10 = XVECEXP (x1, 0, 0);
      x11 = XEXP (x10, 1);
      x12 = XVECEXP (x11, 0, 3);
      switch (GET_MODE (x12))
        {
        case E_VNx16BImode:
          x13 = XVECEXP (x12, 0, 2);
          if (GET_MODE (x13) != E_VNx16BImode
              || !register_operand (operands[2], E_VNx16QImode)
              || !scratch_operand (operands[0], E_VNx16BImode))
            return -1;
          return 3;

        case E_VNx8BImode:
          x13 = XVECEXP (x12, 0, 2);
          if (GET_MODE (x13) != E_VNx8BImode
              || !register_operand (operands[2], E_VNx8HImode)
              || !scratch_operand (operands[0], E_VNx8BImode))
            return -1;
          return 4;

        case E_VNx4BImode:
          x13 = XVECEXP (x12, 0, 2);
          if (GET_MODE (x13) != E_VNx4BImode
              || !register_operand (operands[2], E_VNx4SImode)
              || !scratch_operand (operands[0], E_VNx4BImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_11 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x3) != E_VNx16QImode
          || !register_operand (operands[1], E_VNx16QImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10515; /* aarch64_sve_revvnx16qi */

    case E_VNx8QImode:
      if (!register_operand (operands[0], E_VNx8QImode)
          || GET_MODE (x3) != E_VNx8QImode
          || !register_operand (operands[1], E_VNx8QImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10516; /* aarch64_sve_revvnx8qi */

    case E_VNx4QImode:
      if (!register_operand (operands[0], E_VNx4QImode)
          || GET_MODE (x3) != E_VNx4QImode
          || !register_operand (operands[1], E_VNx4QImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10517; /* aarch64_sve_revvnx4qi */

    case E_VNx2QImode:
      if (!register_operand (operands[0], E_VNx2QImode)
          || GET_MODE (x3) != E_VNx2QImode
          || !register_operand (operands[1], E_VNx2QImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10518; /* aarch64_sve_revvnx2qi */

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode
          || !register_operand (operands[1], E_VNx8HImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10519; /* aarch64_sve_revvnx8hi */

    case E_VNx4HImode:
      if (!register_operand (operands[0], E_VNx4HImode)
          || GET_MODE (x3) != E_VNx4HImode
          || !register_operand (operands[1], E_VNx4HImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10520; /* aarch64_sve_revvnx4hi */

    case E_VNx2HImode:
      if (!register_operand (operands[0], E_VNx2HImode)
          || GET_MODE (x3) != E_VNx2HImode
          || !register_operand (operands[1], E_VNx2HImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10521; /* aarch64_sve_revvnx2hi */

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x3) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4SImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10522; /* aarch64_sve_revvnx4si */

    case E_VNx2SImode:
      if (!register_operand (operands[0], E_VNx2SImode)
          || GET_MODE (x3) != E_VNx2SImode
          || !register_operand (operands[1], E_VNx2SImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10523; /* aarch64_sve_revvnx2si */

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x3) != E_VNx2DImode
          || !register_operand (operands[1], E_VNx2DImode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10524; /* aarch64_sve_revvnx2di */

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x3) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10525; /* aarch64_sve_revvnx8hf */

    case E_VNx4HFmode:
      if (!register_operand (operands[0], E_VNx4HFmode)
          || GET_MODE (x3) != E_VNx4HFmode
          || !register_operand (operands[1], E_VNx4HFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10526; /* aarch64_sve_revvnx4hf */

    case E_VNx2HFmode:
      if (!register_operand (operands[0], E_VNx2HFmode)
          || GET_MODE (x3) != E_VNx2HFmode
          || !register_operand (operands[1], E_VNx2HFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10527; /* aarch64_sve_revvnx2hf */

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x3) != E_VNx8BFmode
          || !register_operand (operands[1], E_VNx8BFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10528; /* aarch64_sve_revvnx8bf */

    case E_VNx4BFmode:
      if (!register_operand (operands[0], E_VNx4BFmode)
          || GET_MODE (x3) != E_VNx4BFmode
          || !register_operand (operands[1], E_VNx4BFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10529; /* aarch64_sve_revvnx4bf */

    case E_VNx2BFmode:
      if (!register_operand (operands[0], E_VNx2BFmode)
          || GET_MODE (x3) != E_VNx2BFmode
          || !register_operand (operands[1], E_VNx2BFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10530; /* aarch64_sve_revvnx2bf */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10531; /* aarch64_sve_revvnx4sf */

    case E_VNx2SFmode:
      if (!register_operand (operands[0], E_VNx2SFmode)
          || GET_MODE (x3) != E_VNx2SFmode
          || !register_operand (operands[1], E_VNx2SFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10532; /* aarch64_sve_revvnx2sf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2DFmode)
          || !
#line 9279 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10533; /* aarch64_sve_revvnx2df */

    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x3) != E_VNx16BImode
          || !register_operand (operands[1], E_VNx16BImode)
          || !
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10799; /* aarch64_sve_revvnx16bi */

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x3) != E_VNx8BImode
          || !register_operand (operands[1], E_VNx8BImode)
          || !
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10800; /* aarch64_sve_revvnx8bi */

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x3) != E_VNx4BImode
          || !register_operand (operands[1], E_VNx4BImode)
          || !
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10801; /* aarch64_sve_revvnx4bi */

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x3) != E_VNx2BImode
          || !register_operand (operands[1], E_VNx2BImode)
          || !
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10802; /* aarch64_sve_revvnx2bi */

    default:
      return -1;
    }
}

 int
recog_20 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !(
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5156; /* aarch64_frecpev4hf */

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode)
          || !(
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5157; /* aarch64_frecpev8hf */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5158; /* aarch64_frecpev2sf */

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode)
          || !
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5159; /* aarch64_frecpev4sf */

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode)
          || !
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5160; /* aarch64_frecpev2df */

    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode)
          || !(
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5161; /* aarch64_frecpehf */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5162; /* aarch64_frecpesf */

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode)
          || !
#line 8840 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5163; /* aarch64_frecpedf */

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x3) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode)
          || !
#line 3757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7200; /* aarch64_sve_frecpevnx8hf */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode)
          || !
#line 3757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7202; /* aarch64_sve_frecpevnx4sf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2DFmode)
          || !
#line 3757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7204; /* aarch64_sve_frecpevnx2df */

    default:
      return -1;
    }
}

 int
recog_26 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V3x16QImode:
      if (!register_operand (operands[0], E_V3x16QImode)
          || GET_MODE (x3) != E_V3x16QImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x16QImode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4459; /* aarch64_simd_ld3v16qi */

    case E_V3x8HImode:
      if (!register_operand (operands[0], E_V3x8HImode)
          || GET_MODE (x3) != E_V3x8HImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8HImode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4460; /* aarch64_simd_ld3v8hi */

    case E_V3x4SImode:
      if (!register_operand (operands[0], E_V3x4SImode)
          || GET_MODE (x3) != E_V3x4SImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4SImode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4461; /* aarch64_simd_ld3v4si */

    case E_V3x2DImode:
      if (!register_operand (operands[0], E_V3x2DImode)
          || GET_MODE (x3) != E_V3x2DImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2DImode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4462; /* aarch64_simd_ld3v2di */

    case E_V3x8HFmode:
      if (!register_operand (operands[0], E_V3x8HFmode)
          || GET_MODE (x3) != E_V3x8HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8HFmode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4463; /* aarch64_simd_ld3v8hf */

    case E_V3x4SFmode:
      if (!register_operand (operands[0], E_V3x4SFmode)
          || GET_MODE (x3) != E_V3x4SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4SFmode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4464; /* aarch64_simd_ld3v4sf */

    case E_V3x2DFmode:
      if (!register_operand (operands[0], E_V3x2DFmode)
          || GET_MODE (x3) != E_V3x2DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2DFmode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4465; /* aarch64_simd_ld3v2df */

    case E_V3x8BFmode:
      if (!register_operand (operands[0], E_V3x8BFmode)
          || GET_MODE (x3) != E_V3x8BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8BFmode)
          || !
#line 7664 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4466; /* aarch64_simd_ld3v8bf */

    default:
      return -1;
    }
}

 int
recog_32 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern61 (x1))
    {
    case 0:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5030; /* aarch64_rev16v8qi */

    case 1:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5035; /* aarch64_rev16v16qi */

    case 2:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5042; /* aarch64_rev16v4hi */

    case 3:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5047; /* aarch64_rev16v8hi */

    case 4:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5054; /* aarch64_rev16v2si */

    case 5:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5059; /* aarch64_rev16v4si */

    case 6:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5062; /* aarch64_rev16v2di */

    case 7:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5069; /* aarch64_rev16v4hf */

    case 8:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5074; /* aarch64_rev16v8hf */

    case 9:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5081; /* aarch64_rev16v4bf */

    case 10:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5086; /* aarch64_rev16v8bf */

    case 11:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5093; /* aarch64_rev16v2sf */

    case 12:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5098; /* aarch64_rev16v4sf */

    case 13:
      if (!
#line 8679 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5101; /* aarch64_rev16v2df */

    default:
      return -1;
    }
}

 int
recog_39 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern55 (x1))
    {
    case 0:
      if (!(
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 900; /* floorhf2 */

    case 1:
      if (!
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 907; /* floorsf2 */

    case 2:
      if (!
#line 6857 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 914; /* floordf2 */

    case 3:
      if (!(
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2495; /* floorv4hf2 */

    case 4:
      if (!(
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2512; /* floorv8hf2 */

    case 5:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2523; /* floorv2sf2 */

    case 6:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2540; /* floorv4sf2 */

    case 7:
      if (!
#line 3007 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2547; /* floorv2df2 */

    case 8:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11460; /* floorvnx8sf2 */

    case 9:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11464; /* floorvnx16sf2 */

    default:
      return -1;
    }
}

 int
recog_46 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 8869 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5175; /* aarch64_urecpev2si */

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !
#line 8869 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5176; /* aarch64_urecpev4si */

    default:
      return -1;
    }
}

 int
recog_53 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx16BImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  if (!register_operand (operands[0], E_VNx16BImode))
    return -1;
  switch (XWINT (x3, 0))
    {
    case 8L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11435; /* aarch64_sve_ptrue_c8 */

    case 16L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11436; /* aarch64_sve_ptrue_c16 */

    case 32L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11437; /* aarch64_sve_ptrue_c32 */

    case 64L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11438; /* aarch64_sve_ptrue_c64 */

    default:
      return -1;
    }
}

 int
recog_60 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      switch (pattern717 (x2))
        {
        case 0:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0))
            return -1;
          return 7003; /* *extendvnx8qivnx8hi2 */

        case 1:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0))
            return -1;
          return 7005; /* *extendvnx4qivnx8hi2 */

        case 2:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0))
            return -1;
          return 7007; /* *extendvnx2qivnx8hi2 */

        case 3:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0))
            return -1;
          return 7009; /* *extendvnx4hivnx8hi2 */

        case 4:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0))
            return -1;
          return 7011; /* *extendvnx2hivnx8hi2 */

        case 5:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0))
            return -1;
          return 7013; /* *extendvnx2sivnx8hi2 */

        case 6:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0))
            return -1;
          return 7015; /* *extendvnx8qivnx4hi2 */

        case 7:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0))
            return -1;
          return 7017; /* *extendvnx4qivnx4hi2 */

        case 8:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0))
            return -1;
          return 7019; /* *extendvnx2qivnx4hi2 */

        case 9:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0))
            return -1;
          return 7021; /* *extendvnx4hivnx4hi2 */

        case 10:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0))
            return -1;
          return 7023; /* *extendvnx2hivnx4hi2 */

        case 11:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0))
            return -1;
          return 7025; /* *extendvnx2sivnx4hi2 */

        case 12:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0))
            return -1;
          return 7027; /* *extendvnx8qivnx2hi2 */

        case 13:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0))
            return -1;
          return 7029; /* *extendvnx4qivnx2hi2 */

        case 14:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0))
            return -1;
          return 7031; /* *extendvnx2qivnx2hi2 */

        case 15:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0))
            return -1;
          return 7033; /* *extendvnx4hivnx2hi2 */

        case 16:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0))
            return -1;
          return 7035; /* *extendvnx2hivnx2hi2 */

        case 17:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0))
            return -1;
          return 7037; /* *extendvnx2sivnx2hi2 */

        case 18:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0))
            return -1;
          return 7039; /* *extendvnx8qivnx4si2 */

        case 19:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0))
            return -1;
          return 7041; /* *extendvnx4qivnx4si2 */

        case 20:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0))
            return -1;
          return 7043; /* *extendvnx2qivnx4si2 */

        case 21:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0))
            return -1;
          return 7045; /* *extendvnx4hivnx4si2 */

        case 22:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0))
            return -1;
          return 7047; /* *extendvnx2hivnx4si2 */

        case 23:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0))
            return -1;
          return 7049; /* *extendvnx2sivnx4si2 */

        case 24:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0))
            return -1;
          return 7051; /* *extendvnx8qivnx2si2 */

        case 25:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0))
            return -1;
          return 7053; /* *extendvnx4qivnx2si2 */

        case 26:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0))
            return -1;
          return 7055; /* *extendvnx2qivnx2si2 */

        case 27:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0))
            return -1;
          return 7057; /* *extendvnx4hivnx2si2 */

        case 28:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0))
            return -1;
          return 7059; /* *extendvnx2hivnx2si2 */

        case 29:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0))
            return -1;
          return 7061; /* *extendvnx2sivnx2si2 */

        case 30:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0))
            return -1;
          return 7063; /* *extendvnx8qivnx2di2 */

        case 31:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0))
            return -1;
          return 7065; /* *extendvnx4qivnx2di2 */

        case 32:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0))
            return -1;
          return 7067; /* *extendvnx2qivnx2di2 */

        case 33:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0))
            return -1;
          return 7069; /* *extendvnx4hivnx2di2 */

        case 34:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0))
            return -1;
          return 7071; /* *extendvnx2hivnx2di2 */

        case 35:
          if (!
#line 3462 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0))
            return -1;
          return 7073; /* *extendvnx2sivnx2di2 */

        default:
          return -1;
        }

    case TRUNCATE:
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          switch (pattern942 (x2, 
E_VNx8HImode, 
E_VNx8BImode))
            {
            case 0:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x81) == 0))
                return -1;
              return 7075; /* aarch64_pred_sxtvnx8hivnx8qi */

            case 1:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x41) == 0))
                return -1;
              return 7076; /* aarch64_pred_sxtvnx8hivnx4qi */

            case 2:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x21) == 0))
                return -1;
              return 7077; /* aarch64_pred_sxtvnx8hivnx2qi */

            case 3:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x42) == 0))
                return -1;
              return 7078; /* aarch64_pred_sxtvnx8hivnx4hi */

            case 4:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x22) == 0))
                return -1;
              return 7079; /* aarch64_pred_sxtvnx8hivnx2hi */

            case 5:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x24) == 0))
                return -1;
              return 7080; /* aarch64_pred_sxtvnx8hivnx2si */

            default:
              return -1;
            }

        case E_VNx4SImode:
          switch (pattern942 (x2, 
E_VNx4SImode, 
E_VNx4BImode))
            {
            case 0:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x81) == 0))
                return -1;
              return 7081; /* aarch64_pred_sxtvnx4sivnx8qi */

            case 1:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x41) == 0))
                return -1;
              return 7082; /* aarch64_pred_sxtvnx4sivnx4qi */

            case 2:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x21) == 0))
                return -1;
              return 7083; /* aarch64_pred_sxtvnx4sivnx2qi */

            case 3:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x42) == 0))
                return -1;
              return 7084; /* aarch64_pred_sxtvnx4sivnx4hi */

            case 4:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x22) == 0))
                return -1;
              return 7085; /* aarch64_pred_sxtvnx4sivnx2hi */

            case 5:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x24) == 0))
                return -1;
              return 7086; /* aarch64_pred_sxtvnx4sivnx2si */

            default:
              return -1;
            }

        case E_VNx2DImode:
          switch (pattern942 (x2, 
E_VNx2DImode, 
E_VNx2BImode))
            {
            case 0:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x81) == 0))
                return -1;
              return 7087; /* aarch64_pred_sxtvnx2divnx8qi */

            case 1:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x41) == 0))
                return -1;
              return 7088; /* aarch64_pred_sxtvnx2divnx4qi */

            case 2:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x21) == 0))
                return -1;
              return 7089; /* aarch64_pred_sxtvnx2divnx2qi */

            case 3:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x42) == 0))
                return -1;
              return 7090; /* aarch64_pred_sxtvnx2divnx4hi */

            case 4:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x22) == 0))
                return -1;
              return 7091; /* aarch64_pred_sxtvnx2divnx2hi */

            case 5:
              if (!
#line 3478 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x24) == 0))
                return -1;
              return 7092; /* aarch64_pred_sxtvnx2divnx2si */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_74 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V4HFmode:
          if (pattern77 (x3, 
E_V4HFmode) != 0
              || !(
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 3223; /* aarch64_fmulxv4hf */

        case E_V8HFmode:
          if (pattern77 (x3, 
E_V8HFmode) != 0
              || !(
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 3224; /* aarch64_fmulxv8hf */

        case E_V2SFmode:
          if (pattern77 (x3, 
E_V2SFmode) != 0
              || !
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3225; /* aarch64_fmulxv2sf */

        case E_V4SFmode:
          if (pattern77 (x3, 
E_V4SFmode) != 0
              || !
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3226; /* aarch64_fmulxv4sf */

        case E_V2DFmode:
          if (pattern77 (x3, 
E_V2DFmode) != 0
              || !
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3227; /* aarch64_fmulxv2df */

        case E_HFmode:
          if (pattern77 (x3, 
E_HFmode) != 0
              || !(
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 3228; /* aarch64_fmulxhf */

        case E_SFmode:
          if (pattern77 (x3, 
E_SFmode) != 0
              || !
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3229; /* aarch64_fmulxsf */

        case E_DFmode:
          if (pattern77 (x3, 
E_DFmode) != 0
              || !
#line 5089 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3230; /* aarch64_fmulxdf */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x6 = XEXP (x5, 0);
      switch (GET_CODE (x6))
        {
        case VEC_SELECT:
          x7 = XEXP (x6, 1);
          if (GET_CODE (x7) != PARALLEL
              || XVECLEN (x7, 0) != 1)
            return -1;
          x8 = XEXP (x6, 0);
          operands[2] = x8;
          x9 = XVECEXP (x7, 0, 0);
          operands[3] = x9;
          if (!immediate_operand (operands[3], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V2SFmode:
              if (pattern1119 (x3, 
E_SFmode, 
E_V2SFmode) != 0)
                return -1;
              switch (GET_MODE (operands[2]))
                {
                case E_V4SFmode:
                  if (!register_operand (operands[2], E_V4SFmode)
                      || !
#line 5105 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3231; /* *aarch64_mulx_elt_to_128v2sf */

                case E_V2SFmode:
                  if (!register_operand (operands[2], E_V2SFmode)
                      || !
#line 5124 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3233; /* *aarch64_mulx_eltv2sf */

                default:
                  return -1;
                }

            case E_V4SFmode:
              if (pattern1119 (x3, 
E_SFmode, 
E_V4SFmode) != 0)
                return -1;
              switch (GET_MODE (operands[2]))
                {
                case E_V2SFmode:
                  if (!register_operand (operands[2], E_V2SFmode)
                      || !
#line 5105 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3232; /* *aarch64_mulx_elt_to_64v4sf */

                case E_V4SFmode:
                  if (!register_operand (operands[2], E_V4SFmode)
                      || !
#line 5124 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3234; /* *aarch64_mulx_eltv4sf */

                default:
                  return -1;
                }

            case E_V2DFmode:
              if (pattern1119 (x3, 
E_DFmode, 
E_V2DFmode) != 0
                  || !register_operand (operands[2], E_V2DFmode)
                  || !
#line 5124 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3235; /* *aarch64_mulx_eltv2df */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[2] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V4HFmode:
              if (pattern797 (x3, 
E_HFmode, 
E_V4HFmode) != 0
                  || !(
#line 5141 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 3236; /* *aarch64_mulx_elt_from_dupv4hf */

            case E_V8HFmode:
              if (pattern797 (x3, 
E_HFmode, 
E_V8HFmode) != 0
                  || !(
#line 5141 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 3237; /* *aarch64_mulx_elt_from_dupv8hf */

            case E_V2SFmode:
              if (pattern797 (x3, 
E_SFmode, 
E_V2SFmode) != 0
                  || !
#line 5141 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3238; /* *aarch64_mulx_elt_from_dupv2sf */

            case E_V4SFmode:
              if (pattern797 (x3, 
E_SFmode, 
E_V4SFmode) != 0
                  || !
#line 5141 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3239; /* *aarch64_mulx_elt_from_dupv4sf */

            case E_V2DFmode:
              if (pattern797 (x3, 
E_DFmode, 
E_V2DFmode) != 0
                  || !
#line 5141 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3240; /* *aarch64_mulx_elt_from_dupv2df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_SELECT:
      x10 = XEXP (x5, 1);
      if (GET_CODE (x10) != PARALLEL
          || XVECLEN (x10, 0) != 1)
        return -1;
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      x11 = XVECEXP (x10, 0, 0);
      operands[3] = x11;
      if (!immediate_operand (operands[3], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_SFmode:
          if (!register_operand (operands[0], E_SFmode)
              || GET_MODE (x3) != E_SFmode
              || !register_operand (operands[1], E_SFmode)
              || GET_MODE (x5) != E_SFmode)
            return -1;
          switch (GET_MODE (operands[2]))
            {
            case E_V2SFmode:
              if (!register_operand (operands[2], E_V2SFmode)
                  || !
#line 5158 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3241; /* *aarch64_vgetfmulxv2sf */

            case E_V4SFmode:
              if (!register_operand (operands[2], E_V4SFmode)
                  || !
#line 5158 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3242; /* *aarch64_vgetfmulxv4sf */

            default:
              return -1;
            }

        case E_DFmode:
          if (pattern797 (x3, 
E_V2DFmode, 
E_DFmode) != 0
              || !
#line 5158 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3243; /* *aarch64_vgetfmulxv2df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_77 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (pattern97 (x1))
    {
    case 0:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V4HImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3445; /* aarch64_sqrdmulhv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V8HImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3449; /* aarch64_sqrdmulhv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V2SImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3453; /* aarch64_sqrdmulhv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_V4SImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3457; /* aarch64_sqrdmulhv4si */

        case E_HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_HImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3459; /* aarch64_sqrdmulhhi */

        case E_SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_SImode) != 0
              || !
#line 5557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3461; /* aarch64_sqrdmulhsi */

        case E_VNx16QImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx16QImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11815; /* aarch64_sve_sqrdmulhvnx16qi */

        case E_VNx8HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx8HImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11817; /* aarch64_sve_sqrdmulhvnx8hi */

        case E_VNx4SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx4SImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11819; /* aarch64_sve_sqrdmulhvnx4si */

        case E_VNx2DImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx2DImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11821; /* aarch64_sve_sqrdmulhvnx2di */

        default:
          return -1;
        }

    case 1:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_HImode, 
E_V4HImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3465; /* aarch64_sqrdmulh_nv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_HImode, 
E_V8HImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3469; /* aarch64_sqrdmulh_nv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_SImode, 
E_V2SImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3473; /* aarch64_sqrdmulh_nv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern797 (x2, 
E_SImode, 
E_V4SImode) != 0
              || !
#line 5569 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3477; /* aarch64_sqrdmulh_nv4si */

        default:
          return -1;
        }

    case 2:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3481; /* aarch64_sqrdmulh_lanev4hi */

    case 3:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3497; /* aarch64_sqrdmulh_laneqv4hi */

    case 4:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3485; /* aarch64_sqrdmulh_lanev8hi */

    case 5:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3501; /* aarch64_sqrdmulh_laneqv8hi */

    case 6:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3489; /* aarch64_sqrdmulh_lanev2si */

    case 7:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3505; /* aarch64_sqrdmulh_laneqv2si */

    case 8:
      if (!
#line 5584 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3493; /* aarch64_sqrdmulh_lanev4si */

    case 9:
      if (!
#line 5599 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3509; /* aarch64_sqrdmulh_laneqv4si */

    case 10:
      if (!
#line 5614 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3511; /* aarch64_sqrdmulh_lanehi */

    case 11:
      if (!
#line 5629 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3515; /* aarch64_sqrdmulh_laneqhi */

    case 12:
      if (!
#line 5614 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3513; /* aarch64_sqrdmulh_lanesi */

    case 13:
      if (!
#line 5629 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3517; /* aarch64_sqrdmulh_laneqsi */

    case 14:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11823; /* aarch64_sve_sqrdmulh_lane_vnx8hi */

    case 15:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11825; /* aarch64_sve_sqrdmulh_lane_vnx4si */

    case 16:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11827; /* aarch64_sve_sqrdmulh_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_84 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!aarch64_simd_struct_operand (operands[0], E_BLKmode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V3x8QImode:
      if (!register_operand (operands[1], E_V3x8QImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4507; /* aarch64_vec_store_lanesv3x8qi_lanev8qi */

    case E_V3x4HImode:
      if (!register_operand (operands[1], E_V3x4HImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4508; /* aarch64_vec_store_lanesv3x4hi_lanev4hi */

    case E_V3x2SImode:
      if (!register_operand (operands[1], E_V3x2SImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4509; /* aarch64_vec_store_lanesv3x2si_lanev2si */

    case E_V3x1DImode:
      if (!register_operand (operands[1], E_V3x1DImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4510; /* aarch64_vec_store_lanesv3x1di_lanedi */

    case E_V3x4HFmode:
      if (!register_operand (operands[1], E_V3x4HFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4511; /* aarch64_vec_store_lanesv3x4hf_lanev4hf */

    case E_V3x2SFmode:
      if (!register_operand (operands[1], E_V3x2SFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4512; /* aarch64_vec_store_lanesv3x2sf_lanev2sf */

    case E_V3x1DFmode:
      if (!register_operand (operands[1], E_V3x1DFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4513; /* aarch64_vec_store_lanesv3x1df_lanedf */

    case E_V3x4BFmode:
      if (!register_operand (operands[1], E_V3x4BFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4514; /* aarch64_vec_store_lanesv3x4bf_lanev4bf */

    case E_V3x16QImode:
      if (!register_operand (operands[1], E_V3x16QImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4515; /* aarch64_vec_store_lanesv3x16qi_lanev16qi */

    case E_V3x8HImode:
      if (!register_operand (operands[1], E_V3x8HImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4516; /* aarch64_vec_store_lanesv3x8hi_lanev8hi */

    case E_V3x4SImode:
      if (!register_operand (operands[1], E_V3x4SImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4517; /* aarch64_vec_store_lanesv3x4si_lanev4si */

    case E_V3x2DImode:
      if (!register_operand (operands[1], E_V3x2DImode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4518; /* aarch64_vec_store_lanesv3x2di_lanev2di */

    case E_V3x8HFmode:
      if (!register_operand (operands[1], E_V3x8HFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4519; /* aarch64_vec_store_lanesv3x8hf_lanev8hf */

    case E_V3x4SFmode:
      if (!register_operand (operands[1], E_V3x4SFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4520; /* aarch64_vec_store_lanesv3x4sf_lanev4sf */

    case E_V3x2DFmode:
      if (!register_operand (operands[1], E_V3x2DFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4521; /* aarch64_vec_store_lanesv3x2df_lanev2df */

    case E_V3x8BFmode:
      if (!register_operand (operands[1], E_V3x8BFmode)
          || !
#line 7730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4522; /* aarch64_vec_store_lanesv3x8bf_lanev8bf */

    default:
      return -1;
    }
}

 int
recog_91 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern99 (x1))
    {
    case 0:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3650; /* aarch64_srshlv8qi */

    case 1:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3658; /* aarch64_srshlv16qi */

    case 2:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3666; /* aarch64_srshlv4hi */

    case 3:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3674; /* aarch64_srshlv8hi */

    case 4:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3682; /* aarch64_srshlv2si */

    case 5:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3690; /* aarch64_srshlv4si */

    case 6:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3694; /* aarch64_srshlv2di */

    case 7:
      if (!
#line 6509 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3702; /* aarch64_srshldi */

    case 8:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11540; /* aarch64_sve_srshlvnx32qi */

    case 9:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11543; /* aarch64_sve_srshlvnx16hi */

    case 10:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11546; /* aarch64_sve_srshlvnx8si */

    case 11:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11549; /* aarch64_sve_srshlvnx4di */

    case 12:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11552; /* aarch64_sve_srshlvnx64qi */

    case 13:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11555; /* aarch64_sve_srshlvnx32hi */

    case 14:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11558; /* aarch64_sve_srshlvnx16si */

    case 15:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11561; /* aarch64_sve_srshlvnx8di */

    case 16:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11564; /* aarch64_sve_single_srshlvnx32qi */

    case 17:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11567; /* aarch64_sve_single_srshlvnx16hi */

    case 18:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11570; /* aarch64_sve_single_srshlvnx8si */

    case 19:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11573; /* aarch64_sve_single_srshlvnx4di */

    case 20:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11576; /* aarch64_sve_single_srshlvnx64qi */

    case 21:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11579; /* aarch64_sve_single_srshlvnx32hi */

    case 22:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11582; /* aarch64_sve_single_srshlvnx16si */

    case 23:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11585; /* aarch64_sve_single_srshlvnx8di */

    default:
      return -1;
    }
}

 int
recog_98 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern121 (x1))
    {
    case 0:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10551; /* aarch64_sve_zipq2vnx16qi */

    case 1:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10561; /* aarch64_sve_zipq2vnx8qi */

    case 2:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10571; /* aarch64_sve_zipq2vnx4qi */

    case 3:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10581; /* aarch64_sve_zipq2vnx2qi */

    case 4:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10591; /* aarch64_sve_zipq2vnx8hi */

    case 5:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10601; /* aarch64_sve_zipq2vnx4hi */

    case 6:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10611; /* aarch64_sve_zipq2vnx2hi */

    case 7:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10621; /* aarch64_sve_zipq2vnx4si */

    case 8:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10631; /* aarch64_sve_zipq2vnx2si */

    case 9:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10641; /* aarch64_sve_zipq2vnx2di */

    case 10:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10651; /* aarch64_sve_zipq2vnx8hf */

    case 11:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10661; /* aarch64_sve_zipq2vnx4hf */

    case 12:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10671; /* aarch64_sve_zipq2vnx2hf */

    case 13:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10681; /* aarch64_sve_zipq2vnx8bf */

    case 14:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10691; /* aarch64_sve_zipq2vnx4bf */

    case 15:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10701; /* aarch64_sve_zipq2vnx2bf */

    case 16:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10711; /* aarch64_sve_zipq2vnx4sf */

    case 17:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10721; /* aarch64_sve_zipq2vnx2sf */

    case 18:
      if (!(
#line 9323 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10731; /* aarch64_sve_zipq2vnx2df */

    default:
      return -1;
    }
}

 int
recog_108 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern77 (x3, 
E_VNx16QImode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10469; /* aarch64_sve_tblqvnx16qi */

    case E_VNx8HImode:
      if (pattern77 (x3, 
E_VNx8HImode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10471; /* aarch64_sve_tblqvnx8hi */

    case E_VNx4SImode:
      if (pattern77 (x3, 
E_VNx4SImode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10473; /* aarch64_sve_tblqvnx4si */

    case E_VNx2DImode:
      if (pattern77 (x3, 
E_VNx2DImode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10475; /* aarch64_sve_tblqvnx2di */

    case E_VNx8BFmode:
      if (pattern116 (x3, 
E_VNx8HImode, 
E_VNx8BFmode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10477; /* aarch64_sve_tblqvnx8bf */

    case E_VNx8HFmode:
      if (pattern116 (x3, 
E_VNx8HImode, 
E_VNx8HFmode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10479; /* aarch64_sve_tblqvnx8hf */

    case E_VNx4SFmode:
      if (pattern116 (x3, 
E_VNx4SImode, 
E_VNx4SFmode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10481; /* aarch64_sve_tblqvnx4sf */

    case E_VNx2DFmode:
      if (pattern116 (x3, 
E_VNx2DImode, 
E_VNx2DFmode) != 0
          || !(
#line 9201 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3190 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10483; /* aarch64_sve_tblqvnx2df */

    default:
      return -1;
    }
}

 int
recog_119 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (pattern116 (x3, 
E_V4HImode, 
E_V4HFmode) != 0
          || !(
#line 10143 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5332; /* aarch64_fscalev4hf */

    case E_V8HFmode:
      if (pattern116 (x3, 
E_V8HImode, 
E_V8HFmode) != 0
          || !(
#line 10143 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5333; /* aarch64_fscalev8hf */

    case E_V2SFmode:
      if (pattern116 (x3, 
E_V2SImode, 
E_V2SFmode) != 0
          || !
#line 10143 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5334; /* aarch64_fscalev2sf */

    case E_V4SFmode:
      if (pattern116 (x3, 
E_V4SImode, 
E_V4SFmode) != 0
          || !
#line 10143 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5335; /* aarch64_fscalev4sf */

    case E_V2DFmode:
      if (pattern116 (x3, 
E_V2DImode, 
E_V2DFmode) != 0
          || !
#line 10143 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5336; /* aarch64_fscalev2df */

    default:
      return -1;
    }
}

 int
recog_126 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern118 (x1))
    {
    case 0:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9027; /* *andvnx8hf3 */

    case 1:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9030; /* *andvnx4hf3 */

    case 2:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9033; /* *andvnx2hf3 */

    case 3:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9036; /* *andvnx8bf3 */

    case 4:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9039; /* *andvnx4bf3 */

    case 5:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9042; /* *andvnx2bf3 */

    case 6:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9045; /* *andvnx4sf3 */

    case 7:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9048; /* *andvnx2sf3 */

    case 8:
      if (!
#line 6687 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9051; /* *andvnx2df3 */

    default:
      return -1;
    }
}

 int
recog_135 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern122 (x1))
    {
    case 0:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10735; /* aarch64_sve_trn2qvnx16qi */

    case 1:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10741; /* aarch64_sve_trn2qvnx8hi */

    case 2:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10747; /* aarch64_sve_trn2qvnx4si */

    case 3:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10753; /* aarch64_sve_trn2qvnx2di */

    case 4:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10759; /* aarch64_sve_trn2qvnx8bf */

    case 5:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10765; /* aarch64_sve_trn2qvnx8hf */

    case 6:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10771; /* aarch64_sve_trn2qvnx4sf */

    case 7:
      if (!
#line 9335 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10777; /* aarch64_sve_trn2qvnx2df */

    default:
      return -1;
    }
}

 int
recog_145 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern92 (x1))
    {
    case 0:
      if (!(
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2173; /* aarch64_smin_nanpv4hf */

    case 1:
      if (!(
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2183; /* aarch64_smin_nanpv8hf */

    case 2:
      if (!
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2189; /* aarch64_smin_nanpv2sf */

    case 3:
      if (!
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2199; /* aarch64_smin_nanpv4sf */

    case 4:
      if (!
#line 1813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2203; /* aarch64_smin_nanpv2df */

    case 5:
      if (!
#line 9135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10453; /* aarch64_pred_reduc_smin_nan_vnx8hf */

    case 6:
      if (!
#line 9135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10458; /* aarch64_pred_reduc_smin_nan_vnx4sf */

    case 7:
      if (!
#line 9135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10463; /* aarch64_pred_reduc_smin_nan_vnx2df */

    default:
      return -1;
    }
}

 int
recog_156 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V2x4QImode:
      if (pattern710 (x3, 
E_SImode, 
E_V2x4QImode) != 0)
        return -1;
      return 91; /* *store_pair_4 */

    case E_V2x8QImode:
      if (pattern710 (x3, 
E_DImode, 
E_V2x8QImode) != 0)
        return -1;
      return 92; /* *store_pair_8 */

    case E_V2x16QImode:
      if (!aarch64_mem_pair_lanes_operand (operands[0], E_V2x16QImode)
          || GET_MODE (x3) != E_V2x16QImode
          || !aarch64_ldp_reg_operand (operands[1], E_TImode)
          || !aarch64_ldp_reg_operand (operands[2], E_TImode)
          || !
#line 2110 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 93; /* *store_pair_16 */

    default:
      return -1;
    }
}

 int
recog_167 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern87 (x1))
    {
    case 0:
      if (!(
#line 10036 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5283; /* aarch64_famaxv4hf */

    case 1:
      if (!(
#line 10036 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5285; /* aarch64_famaxv8hf */

    case 2:
      if (!
#line 10036 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
        return -1;
      return 5287; /* aarch64_famaxv2sf */

    case 3:
      if (!
#line 10036 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
        return -1;
      return 5289; /* aarch64_famaxv4sf */

    case 4:
      if (!
#line 10036 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
        return -1;
      return 5291; /* aarch64_famaxv2df */

    default:
      return -1;
    }
}

 int
recog_177 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern140 (x1))
    {
    case 0:
      if (!
#line 3707 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12785; /* aarch64_pred_reduc_orqv_vnx16qi */

    case 1:
      if (!
#line 3707 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12793; /* aarch64_pred_reduc_orqv_vnx8hi */

    case 2:
      if (!
#line 3707 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12801; /* aarch64_pred_reduc_orqv_vnx4si */

    case 3:
      if (!
#line 3707 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12809; /* aarch64_pred_reduc_orqv_vnx2di */

    default:
      return -1;
    }
}

 int
recog_187 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern120 (x1))
    {
    case 0:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10422; /* aarch64_pred_reduc_and_vnx16qi */

    case 1:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10429; /* aarch64_pred_reduc_and_vnx8hi */

    case 2:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10436; /* aarch64_pred_reduc_and_vnx4si */

    case 3:
      if (!
#line 9091 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10443; /* aarch64_pred_reduc_and_vnx2di */

    default:
      return -1;
    }
}

 int
recog_197 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  operands[4] = x4;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  x7 = XVECEXP (x3, 0, 0);
  if (!rtx_equal_p (x7, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      switch (pattern1202 (x2, 
E_VNx8HFmode))
        {
        case 0:
          if (!register_operand (operands[1], E_VNx4BImode)
              || !register_operand (operands[2], E_VNx4SFmode)
              || !
#line 9931 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 > 16))
            return -1;
          return 10977; /* *cond_fcvt_truncvnx4sfvnx8hf */

        case 1:
          if (!register_operand (operands[1], E_VNx2BImode)
              || !register_operand (operands[2], E_VNx2DFmode)
              || !
#line 9931 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 > 16))
            return -1;
          return 10978; /* *cond_fcvt_truncvnx2dfvnx8hf */

        default:
          return -1;
        }

    case E_VNx4SFmode:
      switch (pattern1202 (x2, 
E_VNx4SFmode))
        {
        case 0:
          if (!register_operand (operands[1], E_VNx4BImode))
            return -1;
          switch (GET_MODE (operands[2]))
            {
            case E_VNx4SFmode:
              if (!register_operand (operands[2], E_VNx4SFmode)
                  || !
#line 9931 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 > 32))
                return -1;
              return 10979; /* *cond_fcvt_truncvnx4sfvnx4sf */

            case E_VNx8HFmode:
              if (!register_operand (operands[2], E_VNx8HFmode)
                  || !
#line 10088 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 > 16))
                return -1;
              return 10988; /* *cond_fcvt_nontruncvnx8hfvnx4sf */

            default:
              return -1;
            }

        case 1:
          if (!register_operand (operands[1], E_VNx2BImode)
              || !register_operand (operands[2], E_VNx2DFmode)
              || !
#line 9931 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 > 32))
            return -1;
          return 10980; /* *cond_fcvt_truncvnx2dfvnx4sf */

        default:
          return -1;
        }

    case E_VNx8BFmode:
      if (pattern1162 (x2, 
E_VNx8BFmode, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 9988 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_BF16))
        return -1;
      return 10982; /* *cond_fcvt_truncvnx4sfvnx8bf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x2) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2BImode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx8HFmode:
          if (!register_operand (operands[2], E_VNx8HFmode)
              || !
#line 10088 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 > 16))
            return -1;
          return 10989; /* *cond_fcvt_nontruncvnx8hfvnx2df */

        case E_VNx4SFmode:
          if (!register_operand (operands[2], E_VNx4SFmode)
              || !
#line 10088 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 > 32))
            return -1;
          return 10991; /* *cond_fcvt_nontruncvnx4sfvnx2df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_205 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern870 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3817 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7246; /* *cond_ceilvnx8hf_2_relaxed */
      operands[4] = x4;
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
          || !
#line 3865 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7312; /* *cond_ceilvnx8hf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3817 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7257; /* *cond_ceilvnx4sf_2_relaxed */
      operands[4] = x4;
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !
#line 3865 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7323; /* *cond_ceilvnx4sf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3817 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7268; /* *cond_ceilvnx2df_2_relaxed */
      operands[4] = x4;
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
          || !
#line 3865 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7334; /* *cond_ceilvnx2df_any_relaxed */

    case 3:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3839 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7279; /* *cond_ceilvnx8hf_2_strict */
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
          || !
#line 3888 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7345; /* *cond_ceilvnx8hf_any_strict */

    case 4:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3839 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7290; /* *cond_ceilvnx4sf_2_strict */
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !
#line 3888 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7356; /* *cond_ceilvnx4sf_any_strict */

    case 5:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3839 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7301; /* *cond_ceilvnx2df_2_strict */
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
          || !
#line 3888 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7367; /* *cond_ceilvnx2df_any_strict */

    default:
      return -1;
    }
}

 int
recog_227 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11721; /* *cond_uhsubvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11762; /* *cond_uhsubvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11802; /* *cond_uhsubvnx2di_any */
}

 int
recog_237 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11694; /* *cond_srshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11740; /* *cond_srshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11780; /* *cond_srshlvnx8hi_any */
}

 int
recog_247 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11715; /* *cond_shsubvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11757; /* *cond_shsubvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11797; /* *cond_shsubvnx2di_any */
}

 int
recog_257 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1060 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8551; /* *cond_smaxvnx8bf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8697; /* *cond_smaxvnx8bf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8801; /* *cond_smaxvnx8bf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8564; /* *cond_smaxvnx8hf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8710; /* *cond_smaxvnx8hf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8814; /* *cond_smaxvnx8hf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8577; /* *cond_smaxvnx4sf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8723; /* *cond_smaxvnx4sf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8827; /* *cond_smaxvnx4sf_any_relaxed */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8590; /* *cond_smaxvnx2df_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8736; /* *cond_smaxvnx2df_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8840; /* *cond_smaxvnx2df_any_relaxed */

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8649; /* *cond_smaxvnx8hf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8899; /* *cond_smaxvnx8hf_any_const_relaxed */

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8656; /* *cond_smaxvnx4sf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8906; /* *cond_smaxvnx4sf_any_const_relaxed */

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8663; /* *cond_smaxvnx2df_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8913; /* *cond_smaxvnx2df_any_const_relaxed */

    case 7:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8603; /* *cond_smaxvnx8bf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8749; /* *cond_smaxvnx8bf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8853; /* *cond_smaxvnx8bf_any_strict */

    case 8:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8616; /* *cond_smaxvnx8hf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8762; /* *cond_smaxvnx8hf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8866; /* *cond_smaxvnx8hf_any_strict */

    case 9:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8629; /* *cond_smaxvnx4sf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8775; /* *cond_smaxvnx4sf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8879; /* *cond_smaxvnx4sf_any_strict */

    case 10:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8642; /* *cond_smaxvnx2df_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8788; /* *cond_smaxvnx2df_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8892; /* *cond_smaxvnx2df_any_strict */

    case 11:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5648 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8670; /* *cond_smaxvnx8hf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8920; /* *cond_smaxvnx8hf_any_const_strict */

    case 12:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5648 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8677; /* *cond_smaxvnx4sf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8927; /* *cond_smaxvnx4sf_any_const_strict */

    case 13:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5648 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8684; /* *cond_smaxvnx2df_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8934; /* *cond_smaxvnx2df_any_const_strict */

    default:
      return -1;
    }
}

 int
recog_263 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1059 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8543; /* *cond_divvnx8bf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8689; /* *cond_divvnx8bf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8793; /* *cond_divvnx8bf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8556; /* *cond_divvnx8hf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8702; /* *cond_divvnx8hf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8806; /* *cond_divvnx8hf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8569; /* *cond_divvnx4sf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8715; /* *cond_divvnx4sf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8819; /* *cond_divvnx4sf_any_relaxed */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8582; /* *cond_divvnx2df_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8728; /* *cond_divvnx2df_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8832; /* *cond_divvnx2df_any_relaxed */

    case 4:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8595; /* *cond_divvnx8bf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8741; /* *cond_divvnx8bf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8845; /* *cond_divvnx8bf_any_strict */

    case 5:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8608; /* *cond_divvnx8hf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8754; /* *cond_divvnx8hf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8858; /* *cond_divvnx8hf_any_strict */

    case 6:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8621; /* *cond_divvnx4sf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8767; /* *cond_divvnx4sf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8871; /* *cond_divvnx4sf_any_strict */

    case 7:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5605 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8634; /* *cond_divvnx2df_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8780; /* *cond_divvnx2df_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8884; /* *cond_divvnx2df_any_strict */

    default:
      return -1;
    }
}

 int
recog_272 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_QImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx16QImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6446; /* sve_ld1rvnx16qi */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_QImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx16QImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9473; /* aarch64_sel_dupvnx16qi */

    case E_VNx8QImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_QImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx8QImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6447; /* sve_ld1rvnx8qi */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_QImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx8QImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9474; /* aarch64_sel_dupvnx8qi */

    case E_VNx4QImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_QImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx4QImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6448; /* sve_ld1rvnx4qi */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_QImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx4QImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9475; /* aarch64_sel_dupvnx4qi */

    case E_VNx2QImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_QImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2QImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6449; /* sve_ld1rvnx2qi */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_QImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2QImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9476; /* aarch64_sel_dupvnx2qi */

    case E_VNx8HImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_HImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx8HImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6450; /* sve_ld1rvnx8hi */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_HImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx8HImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9477; /* aarch64_sel_dupvnx8hi */

    case E_VNx4HImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_HImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx4HImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6451; /* sve_ld1rvnx4hi */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_HImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx4HImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9478; /* aarch64_sel_dupvnx4hi */

    case E_VNx2HImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_HImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2HImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6452; /* sve_ld1rvnx2hi */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_HImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2HImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9479; /* aarch64_sel_dupvnx2hi */

    case E_VNx4SImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_SImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx4SImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6453; /* sve_ld1rvnx4si */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx4SImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9480; /* aarch64_sel_dupvnx4si */

    case E_VNx2SImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_SImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2SImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6454; /* sve_ld1rvnx2si */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2SImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9481; /* aarch64_sel_dupvnx2si */

    case E_VNx2DImode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_DImode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2DImode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6455; /* sve_ld1rvnx2di */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2DImode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9482; /* aarch64_sel_dupvnx2di */

    case E_VNx8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_HFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx8HFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6456; /* sve_ld1rvnx8hf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_HFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx8HFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9483; /* aarch64_sel_dupvnx8hf */

    case E_VNx4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx4HFmode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_HFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx4HFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6457; /* sve_ld1rvnx4hf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_HFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx4HFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9484; /* aarch64_sel_dupvnx4hf */

    case E_VNx2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2HFmode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_HFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2HFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6458; /* sve_ld1rvnx2hf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_HFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2HFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9485; /* aarch64_sel_dupvnx2hf */

    case E_VNx8BFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_BFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx8BFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6459; /* sve_ld1rvnx8bf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_BFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx8BFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9486; /* aarch64_sel_dupvnx8bf */

    case E_VNx4BFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx4BFmode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_BFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx4BFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6460; /* sve_ld1rvnx4bf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_BFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx4BFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9487; /* aarch64_sel_dupvnx4bf */

    case E_VNx2BFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2BFmode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_BFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2BFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6461; /* sve_ld1rvnx2bf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_BFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2BFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9488; /* aarch64_sel_dupvnx2bf */

    case E_VNx4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_SFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx4SFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6462; /* sve_ld1rvnx4sf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_SFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx4SFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9489; /* aarch64_sel_dupvnx4sf */

    case E_VNx2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2SFmode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_SFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2SFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6463; /* sve_ld1rvnx2sf */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_SFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2SFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9490; /* aarch64_sel_dupvnx2sf */

    case E_VNx2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern735 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 0);
      operands[1] = x3;
      x4 = XVECEXP (x2, 0, 1);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      if (aarch64_sve_ld1r_operand (operands[2], E_DFmode))
        {
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          if (aarch64_simd_imm_zero (operands[3], E_VNx2DFmode)
              && 
#line 2843 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6464; /* sve_ld1rvnx2df */
        }
      operands[3] = x3;
      operands[1] = x5;
      if (!register_operand (operands[1], E_DFmode))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      operands[2] = x6;
      if (!aarch64_simd_reg_or_zero (operands[2], E_VNx2DFmode)
          || !
#line 8194 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9491; /* aarch64_sel_dupvnx2df */

    default:
      return -1;
    }
}

 int
recog_280 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern736 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7500; /* *cond_sssubvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7670; /* *cond_sssubvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7840; /* *cond_sssubvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7517; /* *cond_sssubvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7687; /* *cond_sssubvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7857; /* *cond_sssubvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7534; /* *cond_sssubvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7704; /* *cond_sssubvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7874; /* *cond_sssubvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7551; /* *cond_sssubvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7721; /* *cond_sssubvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7891; /* *cond_sssubvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7568; /* *cond_sssubvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7738; /* *cond_sssubvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7908; /* *cond_sssubvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7585; /* *cond_sssubvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7755; /* *cond_sssubvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7925; /* *cond_sssubvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7602; /* *cond_sssubvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7772; /* *cond_sssubvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7942; /* *cond_sssubvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7619; /* *cond_sssubvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7789; /* *cond_sssubvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7959; /* *cond_sssubvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7636; /* *cond_sssubvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7806; /* *cond_sssubvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7976; /* *cond_sssubvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7653; /* *cond_sssubvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7823; /* *cond_sssubvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2771 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7993; /* *cond_sssubvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_289 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern736 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7487; /* *cond_mulvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7657; /* *cond_mulvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7827; /* *cond_mulvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7504; /* *cond_mulvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7674; /* *cond_mulvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7844; /* *cond_mulvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7521; /* *cond_mulvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7691; /* *cond_mulvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7861; /* *cond_mulvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7538; /* *cond_mulvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7708; /* *cond_mulvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7878; /* *cond_mulvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7555; /* *cond_mulvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7725; /* *cond_mulvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7895; /* *cond_mulvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7572; /* *cond_mulvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7742; /* *cond_mulvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7912; /* *cond_mulvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7589; /* *cond_mulvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7759; /* *cond_mulvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7929; /* *cond_mulvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7606; /* *cond_mulvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7776; /* *cond_mulvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7946; /* *cond_mulvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7623; /* *cond_mulvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7793; /* *cond_mulvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7963; /* *cond_mulvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7640; /* *cond_mulvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4129 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7810; /* *cond_mulvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7980; /* *cond_mulvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_300 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  if (!aarch64_simd_struct_operand (operands[1], E_BLKmode))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!immediate_operand (operands[3], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V3x8QImode:
      if (!register_operand (operands[0], E_V3x8QImode)
          || GET_MODE (x3) != E_V3x8QImode
          || !register_operand (operands[2], E_V3x8QImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4483; /* aarch64_vec_load_lanesv3x8qi_lanev8qi */

    case E_V3x4HImode:
      if (!register_operand (operands[0], E_V3x4HImode)
          || GET_MODE (x3) != E_V3x4HImode
          || !register_operand (operands[2], E_V3x4HImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4484; /* aarch64_vec_load_lanesv3x4hi_lanev4hi */

    case E_V3x2SImode:
      if (!register_operand (operands[0], E_V3x2SImode)
          || GET_MODE (x3) != E_V3x2SImode
          || !register_operand (operands[2], E_V3x2SImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4485; /* aarch64_vec_load_lanesv3x2si_lanev2si */

    case E_V3x1DImode:
      if (!register_operand (operands[0], E_V3x1DImode)
          || GET_MODE (x3) != E_V3x1DImode
          || !register_operand (operands[2], E_V3x1DImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4486; /* aarch64_vec_load_lanesv3x1di_lanedi */

    case E_V3x4HFmode:
      if (!register_operand (operands[0], E_V3x4HFmode)
          || GET_MODE (x3) != E_V3x4HFmode
          || !register_operand (operands[2], E_V3x4HFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4487; /* aarch64_vec_load_lanesv3x4hf_lanev4hf */

    case E_V3x2SFmode:
      if (!register_operand (operands[0], E_V3x2SFmode)
          || GET_MODE (x3) != E_V3x2SFmode
          || !register_operand (operands[2], E_V3x2SFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4488; /* aarch64_vec_load_lanesv3x2sf_lanev2sf */

    case E_V3x1DFmode:
      if (!register_operand (operands[0], E_V3x1DFmode)
          || GET_MODE (x3) != E_V3x1DFmode
          || !register_operand (operands[2], E_V3x1DFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4489; /* aarch64_vec_load_lanesv3x1df_lanedf */

    case E_V3x4BFmode:
      if (!register_operand (operands[0], E_V3x4BFmode)
          || GET_MODE (x3) != E_V3x4BFmode
          || !register_operand (operands[2], E_V3x4BFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4490; /* aarch64_vec_load_lanesv3x4bf_lanev4bf */

    case E_V3x16QImode:
      if (!register_operand (operands[0], E_V3x16QImode)
          || GET_MODE (x3) != E_V3x16QImode
          || !register_operand (operands[2], E_V3x16QImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4491; /* aarch64_vec_load_lanesv3x16qi_lanev16qi */

    case E_V3x8HImode:
      if (!register_operand (operands[0], E_V3x8HImode)
          || GET_MODE (x3) != E_V3x8HImode
          || !register_operand (operands[2], E_V3x8HImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4492; /* aarch64_vec_load_lanesv3x8hi_lanev8hi */

    case E_V3x4SImode:
      if (!register_operand (operands[0], E_V3x4SImode)
          || GET_MODE (x3) != E_V3x4SImode
          || !register_operand (operands[2], E_V3x4SImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4493; /* aarch64_vec_load_lanesv3x4si_lanev4si */

    case E_V3x2DImode:
      if (!register_operand (operands[0], E_V3x2DImode)
          || GET_MODE (x3) != E_V3x2DImode
          || !register_operand (operands[2], E_V3x2DImode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4494; /* aarch64_vec_load_lanesv3x2di_lanev2di */

    case E_V3x8HFmode:
      if (!register_operand (operands[0], E_V3x8HFmode)
          || GET_MODE (x3) != E_V3x8HFmode
          || !register_operand (operands[2], E_V3x8HFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4495; /* aarch64_vec_load_lanesv3x8hf_lanev8hf */

    case E_V3x4SFmode:
      if (!register_operand (operands[0], E_V3x4SFmode)
          || GET_MODE (x3) != E_V3x4SFmode
          || !register_operand (operands[2], E_V3x4SFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4496; /* aarch64_vec_load_lanesv3x4sf_lanev4sf */

    case E_V3x2DFmode:
      if (!register_operand (operands[0], E_V3x2DFmode)
          || GET_MODE (x3) != E_V3x2DFmode
          || !register_operand (operands[2], E_V3x2DFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4497; /* aarch64_vec_load_lanesv3x2df_lanev2df */

    case E_V3x8BFmode:
      if (!register_operand (operands[0], E_V3x8BFmode)
          || GET_MODE (x3) != E_V3x8BFmode
          || !register_operand (operands[2], E_V3x8BFmode)
          || !
#line 7686 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4498; /* aarch64_vec_load_lanesv3x8bf_lanev8bf */

    default:
      return -1;
    }
}

 int
recog_307 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern177 (x1))
    {
    case 0:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10338; /* fold_extract_after_last_vnx16qi */

    case 1:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10340; /* fold_extract_after_last_vnx8qi */

    case 2:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10342; /* fold_extract_after_last_vnx4qi */

    case 3:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10344; /* fold_extract_after_last_vnx2qi */

    case 4:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10346; /* fold_extract_after_last_vnx8hi */

    case 5:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10348; /* fold_extract_after_last_vnx4hi */

    case 6:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10350; /* fold_extract_after_last_vnx2hi */

    case 7:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10352; /* fold_extract_after_last_vnx4si */

    case 8:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10354; /* fold_extract_after_last_vnx2si */

    case 9:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10356; /* fold_extract_after_last_vnx2di */

    case 10:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10358; /* fold_extract_after_last_vnx8hf */

    case 11:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10360; /* fold_extract_after_last_vnx4hf */

    case 12:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10362; /* fold_extract_after_last_vnx2hf */

    case 13:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10364; /* fold_extract_after_last_vnx8bf */

    case 14:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10366; /* fold_extract_after_last_vnx4bf */

    case 15:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10368; /* fold_extract_after_last_vnx2bf */

    case 16:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10370; /* fold_extract_after_last_vnx4sf */

    case 17:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10372; /* fold_extract_after_last_vnx2sf */

    case 18:
      if (!
#line 9012 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10374; /* fold_extract_after_last_vnx2df */

    case 19:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10376; /* aarch64_fold_extract_vector_after_last_vnx16qi */

    case 20:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10378; /* aarch64_fold_extract_vector_after_last_vnx8qi */

    case 21:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10380; /* aarch64_fold_extract_vector_after_last_vnx4qi */

    case 22:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10382; /* aarch64_fold_extract_vector_after_last_vnx2qi */

    case 23:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10384; /* aarch64_fold_extract_vector_after_last_vnx8hi */

    case 24:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10386; /* aarch64_fold_extract_vector_after_last_vnx4hi */

    case 25:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10388; /* aarch64_fold_extract_vector_after_last_vnx2hi */

    case 26:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10390; /* aarch64_fold_extract_vector_after_last_vnx4si */

    case 27:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10392; /* aarch64_fold_extract_vector_after_last_vnx2si */

    case 28:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10394; /* aarch64_fold_extract_vector_after_last_vnx2di */

    case 29:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10396; /* aarch64_fold_extract_vector_after_last_vnx8hf */

    case 30:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10398; /* aarch64_fold_extract_vector_after_last_vnx4hf */

    case 31:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10400; /* aarch64_fold_extract_vector_after_last_vnx2hf */

    case 32:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10402; /* aarch64_fold_extract_vector_after_last_vnx8bf */

    case 33:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10404; /* aarch64_fold_extract_vector_after_last_vnx4bf */

    case 34:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10406; /* aarch64_fold_extract_vector_after_last_vnx2bf */

    case 35:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10408; /* aarch64_fold_extract_vector_after_last_vnx4sf */

    case 36:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10410; /* aarch64_fold_extract_vector_after_last_vnx2sf */

    case 37:
      if (!
#line 9026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10412; /* aarch64_fold_extract_vector_after_last_vnx2df */

    default:
      return -1;
    }
}

 int
recog_319 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern172 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 9986; /* while_gesivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 9996; /* while_gedivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10006; /* while_gesivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10016; /* while_gedivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10026; /* while_gesivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10036; /* while_gedivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10046; /* while_gesivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10056; /* while_gedivnx2bi */

    default:
      return -1;
    }
}

 int
recog_327 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  if (!rtx_equal_p (x6, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern803 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6346; /* aarch64_stnt1vnx16qi */

    case E_VNx8HImode:
      if (pattern803 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6347; /* aarch64_stnt1vnx8hi */

    case E_VNx4SImode:
      if (pattern803 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6348; /* aarch64_stnt1vnx4si */

    case E_VNx2DImode:
      if (pattern803 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6349; /* aarch64_stnt1vnx2di */

    case E_VNx8BFmode:
      if (pattern803 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6350; /* aarch64_stnt1vnx8bf */

    case E_VNx8HFmode:
      if (pattern803 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6351; /* aarch64_stnt1vnx8hf */

    case E_VNx4SFmode:
      if (pattern803 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6352; /* aarch64_stnt1vnx4sf */

    case E_VNx2DFmode:
      if (pattern803 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 2447 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6353; /* aarch64_stnt1vnx2df */

    default:
      return -1;
    }
}

 int
recog_335 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern802 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6095; /* aarch64_ldnt1vnx16qi */

    case E_VNx8HImode:
      if (pattern802 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6096; /* aarch64_ldnt1vnx8hi */

    case E_VNx4SImode:
      if (pattern802 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6097; /* aarch64_ldnt1vnx4si */

    case E_VNx2DImode:
      if (pattern802 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6098; /* aarch64_ldnt1vnx2di */

    case E_VNx8BFmode:
      if (pattern802 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6099; /* aarch64_ldnt1vnx8bf */

    case E_VNx8HFmode:
      if (pattern802 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6100; /* aarch64_ldnt1vnx8hf */

    case E_VNx4SFmode:
      if (pattern802 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6101; /* aarch64_ldnt1vnx4sf */

    case E_VNx2DFmode:
      if (pattern802 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 1497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6102; /* aarch64_ldnt1vnx2df */

    default:
      return -1;
    }
}

 int
recog_343 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern180 (x1))
    {
    case 0:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
        return -1;
      return 10858; /* aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi */

    case 1:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
        return -1;
      return 10860; /* aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx8hi */

    case 2:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
        return -1;
      return 10862; /* aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx8hi */

    case 3:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
        return -1;
      return 10864; /* aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si */

    case 4:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
        return -1;
      return 10866; /* aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si */

    case 5:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
        return -1;
      return 10868; /* aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx4si */

    case 6:
      if (!
#line 9528 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10876; /* aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si */

    case 7:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
        return -1;
      return 10870; /* aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di */

    case 8:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
        return -1;
      return 10872; /* aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di */

    case 9:
      if (!
#line 9513 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
        return -1;
      return 10874; /* aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di */

    default:
      return -1;
    }
}

 int
recog_351 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern157 (x1))
    {
    case 0:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3830; /* aarch64_ssli_nv8qi */

    case 1:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3834; /* aarch64_ssli_nv16qi */

    case 2:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3838; /* aarch64_ssli_nv4hi */

    case 3:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3842; /* aarch64_ssli_nv8hi */

    case 4:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3846; /* aarch64_ssli_nv2si */

    case 5:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3850; /* aarch64_ssli_nv4si */

    case 6:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3854; /* aarch64_ssli_nv2di */

    case 7:
      if (!
#line 6657 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3858; /* aarch64_ssli_ndi */

    default:
      return -1;
    }
}

 int
recog_362 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern201 (x1))
    {
    case 0:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12576; /* aarch64_sve_cmlavnx16qi */

    case 1:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12584; /* aarch64_sve_cmlavnx8hi */

    case 2:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12592; /* aarch64_sve_cmlavnx4si */

    case 3:
      if (!
#line 3000 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12600; /* aarch64_sve_cmlavnx2di */

    case 4:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12608; /* aarch64_cmla_lane_vnx8hi */

    case 5:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12616; /* aarch64_cmla_lane_vnx4si */

    default:
      return -1;
    }
}

 int
recog_371 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern203 (x1))
    {
    case 0:
      if (!
#line 3080 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12624; /* aarch64_sve_cdotvnx4si */

    case 1:
      if (!
#line 3080 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12628; /* aarch64_sve_cdotvnx2di */

    case 2:
      if (!
#line 3097 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12632; /* aarch64_cdot_lane_vnx4si */

    case 3:
      if (!
#line 3097 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12636; /* aarch64_cdot_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_378 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern191 (x1))
    {
    case 0:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11890; /* aarch64_sve_sbclbvnx16qi */

    case 1:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11898; /* aarch64_sve_sbclbvnx8hi */

    case 2:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11906; /* aarch64_sve_sbclbvnx4si */

    case 3:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11914; /* aarch64_sve_sbclbvnx2di */

    default:
      return -1;
    }
}

 int
recog_386 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern185 (x1, pnum_clobbers))
    {
    case 0:
      if (!
#line 10379 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 8))
        return -1;
      *pnum_clobbers = 1;
      return 11017; /* aarch64_sve_pnextvnx16bi */

    case 1:
      if (!
#line 10379 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
        return -1;
      *pnum_clobbers = 1;
      return 11019; /* aarch64_sve_pnextvnx8bi */

    case 2:
      if (!
#line 10379 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
        return -1;
      *pnum_clobbers = 1;
      return 11021; /* aarch64_sve_pnextvnx4bi */

    case 3:
      if (!
#line 10379 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
        return -1;
      *pnum_clobbers = 1;
      return 11023; /* aarch64_sve_pnextvnx2bi */

    default:
      return -1;
    }
}

 int
recog_394 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 2);
  if (XWINT (x3, 0) != 1L)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_CC_NZCmode)
    return -1;
  x5 = XVECEXP (x2, 0, 3);
  switch (GET_CODE (x5))
    {
    case CONST:
      operands[1] = x5;
      if (!aarch64_sve_ptrue_svpattern_immediate (operands[1], E_VNx16BImode))
        return -1;
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != UNSPEC
          || XVECLEN (x6, 0) != 2
          || XINT (x6, 1) != 128
          || GET_MODE (x6) != E_VNx16BImode)
        return -1;
      x7 = XVECEXP (x2, 0, 0);
      operands[2] = x7;
      x8 = XVECEXP (x2, 0, 1);
      operands[3] = x8;
      x9 = XVECEXP (x6, 0, 0);
      operands[4] = x9;
      if (!const_int_operand (operands[4], E_SImode))
        return -1;
      x10 = XVECEXP (x6, 0, 1);
      operands[5] = x10;
      if (!aarch64_simd_imm_zero (operands[5], E_VNx16BImode)
          || !
#line 1052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 5732; /* *aarch64_sve_ptruevnx16bi_ptest */

    case SUBREG:
      if (maybe_ne (SUBREG_BYTE (x5), 0))
        return -1;
      x6 = XEXP (x5, 0);
      if (!aarch64_sve_ptrue_svpattern_immediate (x6, E_VNx16BImode))
        return -1;
      operands[1] = x6;
      x11 = XEXP (x6, 0);
      if (GET_CODE (x11) != UNSPEC
          || XVECLEN (x11, 0) != 2
          || XINT (x11, 1) != 128
          || GET_MODE (x11) != E_VNx16BImode)
        return -1;
      x7 = XVECEXP (x2, 0, 0);
      operands[2] = x7;
      x8 = XVECEXP (x2, 0, 1);
      operands[3] = x8;
      x12 = XVECEXP (x11, 0, 0);
      operands[4] = x12;
      if (!const_int_operand (operands[4], E_SImode))
        return -1;
      x13 = XVECEXP (x11, 0, 1);
      operands[5] = x13;
      switch (GET_MODE (x5))
        {
        case E_VNx8BImode:
          if (!aarch64_simd_imm_zero (operands[5], E_VNx8BImode)
              || !
#line 1078 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 5733; /* *aarch64_sve_ptruevnx8bi_ptest */

        case E_VNx4BImode:
          if (!aarch64_simd_imm_zero (operands[5], E_VNx4BImode)
              || !
#line 1078 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 5734; /* *aarch64_sve_ptruevnx4bi_ptest */

        case E_VNx2BImode:
          if (!aarch64_simd_imm_zero (operands[5], E_VNx2BImode)
              || !
#line 1078 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 5735; /* *aarch64_sve_ptruevnx2bi_ptest */

        default:
          return -1;
        }

    case REG:
      if (REGNO (x5) != 86
          || GET_MODE (x5) != E_VNx16BImode)
        return -1;
      x7 = XVECEXP (x2, 0, 0);
      operands[1] = x7;
      if (!register_operand (operands[1], E_VNx16BImode))
        return -1;
      x8 = XVECEXP (x2, 0, 1);
      if (!rtx_equal_p (x8, operands[1])
          || !
#line 1217 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      *pnum_clobbers = 1;
      return 5744; /* *aarch64_rdffr_ptest */

    case UNSPEC:
      return recog_393 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_403 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx16QImode
      || pattern262 (x2, 
89, 
E_VNx16QImode, 
93) != 0)
    return -1;
  x3 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x3) != MEM
      || GET_MODE (x3) != E_VNx16QImode)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 93
      || GET_MODE (x4) != E_VNx16QImode)
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[0] = x5;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x6 = XEXP (x3, 0);
      operands[1] = x6;
      if (!pmode_register_operand (operands[1], E_VOIDmode)
          || !
#line 512 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME))
        return -1;
      return 13039; /* aarch64_sme_ldr0 */

    case PLUS:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x6 = XEXP (x3, 0);
      if (GET_CODE (x6) != PLUS)
        return -1;
      x7 = XEXP (x5, 0);
      operands[0] = x7;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x8 = XEXP (x5, 1);
      operands[1] = x8;
      if (!const_int_operand (operands[1], E_SImode))
        return -1;
      x9 = XEXP (x6, 0);
      operands[2] = x9;
      x10 = XEXP (x6, 1);
      operands[3] = x10;
      switch (GET_MODE (x6))
        {
        case E_SImode:
          if (!register_operand (operands[2], E_SImode)
              || !aarch64_mov_operand (operands[3], E_SImode)
              || !(
#line 527 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME
   && aarch64_sme_ldr_vnum_offset_p (operands[1], operands[3])) && 
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)))
            return -1;
          return 13040; /* aarch64_sme_ldrnsi */

        case E_DImode:
          if (!register_operand (operands[2], E_DImode)
              || !aarch64_mov_operand (operands[3], E_DImode)
              || !(
#line 527 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME
   && aarch64_sme_ldr_vnum_offset_p (operands[1], operands[3])) && 
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)))
            return -1;
          return 13041; /* aarch64_sme_ldrndi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_404 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  x6 = XVECEXP (x2, 0, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx16QImode))
    return -1;
  x7 = XVECEXP (x2, 0, 2);
  operands[3] = x7;
  if (!const_int_operand (operands[3], E_DImode))
    return -1;
  switch (XWINT (x3, 0))
    {
    case 2L:
      switch (pattern998 (x2))
        {
        case 0:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12976; /* aarch64_sve_luti2vnx16qi */

        case 1:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12978; /* aarch64_sve_luti2vnx8hi */

        case 2:
          if (!
#line 4105 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12984; /* aarch64_sve_luti2vnx16hi */

        case 3:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12980; /* aarch64_sve_luti2vnx8hf */

        case 4:
          if (!
#line 4105 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12986; /* aarch64_sve_luti2vnx16hf */

        case 5:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12982; /* aarch64_sve_luti2vnx8bf */

        case 6:
          if (!
#line 4105 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12988; /* aarch64_sve_luti2vnx16bf */

        default:
          return -1;
        }

    case 4L:
      switch (pattern998 (x2))
        {
        case 0:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12977; /* aarch64_sve_luti4vnx16qi */

        case 1:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12979; /* aarch64_sve_luti4vnx8hi */

        case 2:
          if (!
#line 4105 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12985; /* aarch64_sve_luti4vnx16hi */

        case 3:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12981; /* aarch64_sve_luti4vnx8hf */

        case 4:
          if (!
#line 4105 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12987; /* aarch64_sve_luti4vnx16hf */

        case 5:
          if (!
#line 4093 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12983; /* aarch64_sve_luti4vnx8bf */

        case 6:
          if (!
#line 4105 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12989; /* aarch64_sve_luti4vnx16bf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_412 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern947 (x3, 
E_VNx8HImode, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 5306 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8492; /* aarch64_pred_fscalevnx8hf */

    case E_VNx4SFmode:
      if (pattern947 (x3, 
E_VNx4SImode, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 5306 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8493; /* aarch64_pred_fscalevnx4sf */

    case E_VNx2DFmode:
      if (pattern947 (x3, 
E_VNx2DImode, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 5306 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8494; /* aarch64_pred_fscalevnx2df */

    case E_HFmode:
      if (pattern947 (x3, 
E_HImode, 
E_HFmode, 
E_VNx8BImode) != 0
          || !
#line 5306 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8495; /* aarch64_pred_fscalehf */

    case E_SFmode:
      if (pattern947 (x3, 
E_SImode, 
E_SFmode, 
E_VNx4BImode) != 0
          || !
#line 5306 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8496; /* aarch64_pred_fscalesf */

    case E_DFmode:
      if (pattern947 (x3, 
E_DImode, 
E_DFmode, 
E_VNx2BImode) != 0
          || !
#line 5306 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8497; /* aarch64_pred_fscaledf */

    default:
      return -1;
    }
}

 int
recog_417 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  switch (pattern220 (x1))
    {
    case 0:
      if (!
#line 8620 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10223; /* aarch64_pred_fcmgevnx8hf */

    case 1:
      if (!
#line 8620 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10229; /* aarch64_pred_fcmgevnx4sf */

    case 2:
      if (!
#line 8620 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10235; /* aarch64_pred_fcmgevnx2df */

    case 3:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 2);
      x4 = XVECEXP (x3, 0, 1);
      if (XWINT (x4, 0) == 0L)
        {
          switch (pattern1263 (x2))
            {
            case 0:
              if (
#line 8893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10306; /* *aarch64_pred_facgevnx8hf_relaxed */
              break;

            case 1:
              if (
#line 8893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10310; /* *aarch64_pred_facgevnx4sf_relaxed */
              break;

            case 2:
              if (
#line 8893 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10314; /* *aarch64_pred_facgevnx2df_relaxed */
              break;

            default:
              break;
            }
        }
      operands[5] = x4;
      switch (pattern1264 (x2))
        {
        case 0:
          if (!
#line 8919 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10318; /* *aarch64_pred_facgevnx8hf_strict */

        case 1:
          if (!
#line 8919 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10322; /* *aarch64_pred_facgevnx4sf_strict */

        case 2:
          if (!
#line 8919 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10326; /* *aarch64_pred_facgevnx2df_strict */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_426 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (pattern261 (x1))
    {
    case 0:
      if (!
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13997; /* aarch64_sme_fmlsvnx8sfvnx8sf */

    case 1:
      if (!
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13999; /* aarch64_sme_fmlsvnx16sfvnx16sf */

    case 2:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14001; /* aarch64_sme_fmlsvnx4dfvnx4df */

    case 3:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14003; /* aarch64_sme_fmlsvnx8dfvnx8df */

    case 4:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14005; /* aarch64_sme_fmlsvnx16hfvnx16hf */

    case 5:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14007; /* aarch64_sme_fmlsvnx32hfvnx32hf */

    case 6:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14009; /* aarch64_sme_fmlsvnx16bfvnx16bf */

    case 7:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14011; /* aarch64_sme_fmlsvnx32bfvnx32bf */

    case 8:
      if (!
#line 1966 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14093; /* aarch64_sme_fmlsvnx4sivnx8bf */

    case 9:
      if (!
#line 1966 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14095; /* aarch64_sme_fmlsvnx4sivnx8hf */

    case 10:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14101; /* aarch64_sme_fmlsvnx4sivnx16bf */

    case 11:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14103; /* aarch64_sme_fmlsvnx4sivnx32bf */

    case 12:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14105; /* aarch64_sme_fmlsvnx4sivnx16hf */

    case 13:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14107; /* aarch64_sme_fmlsvnx4sivnx32hf */

    case 14:
      if (!
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14029; /* aarch64_sme_single_fmlsvnx8sfvnx8sf */

    case 15:
      if (!
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14031; /* aarch64_sme_single_fmlsvnx16sfvnx16sf */

    case 16:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14033; /* aarch64_sme_single_fmlsvnx4dfvnx4df */

    case 17:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14035; /* aarch64_sme_single_fmlsvnx8dfvnx8df */

    case 18:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14037; /* aarch64_sme_single_fmlsvnx16hfvnx16hf */

    case 19:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14039; /* aarch64_sme_single_fmlsvnx32hfvnx32hf */

    case 20:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14041; /* aarch64_sme_single_fmlsvnx16bfvnx16bf */

    case 21:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14043; /* aarch64_sme_single_fmlsvnx32bfvnx32bf */

    case 22:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14117; /* aarch64_sme_single_fmlsvnx4sivnx16bf */

    case 23:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14119; /* aarch64_sme_single_fmlsvnx4sivnx32bf */

    case 24:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14121; /* aarch64_sme_single_fmlsvnx4sivnx16hf */

    case 25:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14123; /* aarch64_sme_single_fmlsvnx4sivnx32hf */

    case 26:
      if (!
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14061; /* aarch64_sme_lane_fmlsvnx8sfvnx8sf */

    case 27:
      if (!
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14063; /* aarch64_sme_lane_fmlsvnx16sfvnx16sf */

    case 28:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14065; /* aarch64_sme_lane_fmlsvnx4dfvnx4df */

    case 29:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14067; /* aarch64_sme_lane_fmlsvnx8dfvnx8df */

    case 30:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14069; /* aarch64_sme_lane_fmlsvnx16hfvnx16hf */

    case 31:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14071; /* aarch64_sme_lane_fmlsvnx32hfvnx32hf */

    case 32:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14073; /* aarch64_sme_lane_fmlsvnx16bfvnx16bf */

    case 33:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14075; /* aarch64_sme_lane_fmlsvnx32bfvnx32bf */

    case 34:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14133; /* aarch64_sme_lane_fmlsvnx4sivnx8bf */

    case 35:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14135; /* aarch64_sme_lane_fmlsvnx4sivnx16bf */

    case 36:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14137; /* aarch64_sme_lane_fmlsvnx4sivnx32bf */

    case 37:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14139; /* aarch64_sme_lane_fmlsvnx4sivnx8hf */

    case 38:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14141; /* aarch64_sme_lane_fmlsvnx4sivnx16hf */

    case 39:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14143; /* aarch64_sme_lane_fmlsvnx4sivnx32hf */

    case 40:
      if (!
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14013; /* *aarch64_sme_fmlsvnx8sfvnx8sf_plus */

    case 41:
      if (!
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14015; /* *aarch64_sme_fmlsvnx16sfvnx16sf_plus */

    case 42:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14017; /* *aarch64_sme_fmlsvnx4dfvnx4df_plus */

    case 43:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14019; /* *aarch64_sme_fmlsvnx8dfvnx8df_plus */

    case 44:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14021; /* *aarch64_sme_fmlsvnx16hfvnx16hf_plus */

    case 45:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14023; /* *aarch64_sme_fmlsvnx32hfvnx32hf_plus */

    case 46:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14025; /* *aarch64_sme_fmlsvnx16bfvnx16bf_plus */

    case 47:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14027; /* *aarch64_sme_fmlsvnx32bfvnx32bf_plus */

    case 48:
      if (const_0_to_14_step_2_operand (operands[1], E_SImode))
        {
          switch (pattern1329 ())
            {
            case 0:
              if (
#line 1980 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14097; /* *aarch64_sme_fmlsvnx4sivnx8bf_plus */
              break;

            case 1:
              if (
#line 1980 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14099; /* *aarch64_sme_fmlsvnx4sivnx8hf_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1328 ())
        {
        case 0:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14109; /* *aarch64_sme_fmlsvnx4sivnx16bf_plus */

        case 1:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14111; /* *aarch64_sme_fmlsvnx4sivnx32bf_plus */

        case 2:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14113; /* *aarch64_sme_fmlsvnx4sivnx16hf_plus */

        case 3:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14115; /* *aarch64_sme_fmlsvnx4sivnx32hf_plus */

        default:
          return -1;
        }

    case 49:
      if (!
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14045; /* *aarch64_sme_single_fmlsvnx8sfvnx8sf_plus */

    case 50:
      if (!
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14047; /* *aarch64_sme_single_fmlsvnx16sfvnx16sf_plus */

    case 51:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14049; /* *aarch64_sme_single_fmlsvnx4dfvnx4df_plus */

    case 52:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14051; /* *aarch64_sme_single_fmlsvnx8dfvnx8df_plus */

    case 53:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14053; /* *aarch64_sme_single_fmlsvnx16hfvnx16hf_plus */

    case 54:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14055; /* *aarch64_sme_single_fmlsvnx32hfvnx32hf_plus */

    case 55:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14057; /* *aarch64_sme_single_fmlsvnx16bfvnx16bf_plus */

    case 56:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14059; /* *aarch64_sme_single_fmlsvnx32bfvnx32bf_plus */

    case 57:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14125; /* *aarch64_sme_single_fmlsvnx4sivnx16bf_plus */

    case 58:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14127; /* *aarch64_sme_single_fmlsvnx4sivnx32bf_plus */

    case 59:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14129; /* *aarch64_sme_single_fmlsvnx4sivnx16hf_plus */

    case 60:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14131; /* *aarch64_sme_single_fmlsvnx4sivnx32hf_plus */

    case 61:
      if (!
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14077; /* *aarch64_sme_lane_fmlsvnx8sfvnx8sf */

    case 62:
      if (!
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14079; /* *aarch64_sme_lane_fmlsvnx16sfvnx16sf */

    case 63:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14081; /* *aarch64_sme_lane_fmlsvnx4dfvnx4df */

    case 64:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 14083; /* *aarch64_sme_lane_fmlsvnx8dfvnx8df */

    case 65:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14085; /* *aarch64_sme_lane_fmlsvnx16hfvnx16hf */

    case 66:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 14087; /* *aarch64_sme_lane_fmlsvnx32hfvnx32hf */

    case 67:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14089; /* *aarch64_sme_lane_fmlsvnx16bfvnx16bf */

    case 68:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14091; /* *aarch64_sme_lane_fmlsvnx32bfvnx32bf */

    case 69:
      if (const_0_to_14_step_2_operand (operands[1], E_SImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          switch (pattern1358 (x3))
            {
            case 0:
              if (
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14145; /* *aarch64_sme_lane_fmlsvnx4sivnx8bf */
              break;

            case 1:
              if (
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14151; /* *aarch64_sme_lane_fmlsvnx4sivnx8hf */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1357 (x3))
        {
        case 0:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14147; /* *aarch64_sme_lane_fmlsvnx4sivnx16bf */

        case 1:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14149; /* *aarch64_sme_lane_fmlsvnx4sivnx32bf */

        case 2:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14153; /* *aarch64_sme_lane_fmlsvnx4sivnx16hf */

        case 3:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14155; /* *aarch64_sme_lane_fmlsvnx4sivnx32hf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_441 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern252 (x1))
    {
    case 0:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13627; /* aarch64_sme_lane_suvdotvnx4sivnx32qi */

    case 1:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13635; /* aarch64_sme_lane_suvdotvnx4sivnx64qi */

    case 2:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13643; /* aarch64_sme_lane_suvdotvnx4sivnx16hi */

    case 3:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13651; /* aarch64_sme_lane_suvdotvnx4sivnx32hi */

    case 4:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13659; /* aarch64_sme_lane_suvdotvnx2divnx32qi */

    case 5:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13667; /* aarch64_sme_lane_suvdotvnx2divnx64qi */

    case 6:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13675; /* aarch64_sme_lane_suvdotvnx2divnx16hi */

    case 7:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13683; /* aarch64_sme_lane_suvdotvnx2divnx32hi */

    case 8:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13691; /* *aarch64_sme_lane_suvdotvnx4sivnx32qi_plus */

    case 9:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13699; /* *aarch64_sme_lane_suvdotvnx4sivnx64qi_plus */

    case 10:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13707; /* *aarch64_sme_lane_suvdotvnx4sivnx16hi_plus */

    case 11:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13715; /* *aarch64_sme_lane_suvdotvnx4sivnx32hi_plus */

    case 12:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13723; /* *aarch64_sme_lane_suvdotvnx2divnx32qi_plus */

    case 13:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13731; /* *aarch64_sme_lane_suvdotvnx2divnx64qi_plus */

    case 14:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13739; /* *aarch64_sme_lane_suvdotvnx2divnx16hi_plus */

    case 15:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13747; /* *aarch64_sme_lane_suvdotvnx2divnx32hi_plus */

    default:
      return -1;
    }
}

 int
recog_449 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 2);
  operands[1] = x3;
  if (!const_int_operand (operands[1], E_VOIDmode))
    return -1;
  x4 = XEXP (x1, 1);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  switch (GET_MODE (x2))
    {
    case E_SImode:
      switch (pattern952 (x4, 
E_SImode))
        {
        case 0:
          if (!
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32))
            return -1;
          return 828; /* *aarch64_bfisiqi_8 */

        case 1:
          if (!
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32))
            return -1;
          return 830; /* *aarch64_bfisihi_8 */

        case 2:
          if (!
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32))
            return -1;
          return 834; /* *aarch64_bfisisi_8 */

        default:
          return -1;
        }

    case E_DImode:
      switch (pattern952 (x4, 
E_DImode))
        {
        case 0:
          if (!
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
            return -1;
          return 829; /* *aarch64_bfidiqi_8 */

        case 1:
          if (!
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
            return -1;
          return 832; /* *aarch64_bfidihi_8 */

        case 2:
          if (!
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
            return -1;
          return 837; /* *aarch64_bfidisi_8 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_452 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  switch (GET_CODE (x2))
    {
    case REG:
    case SUBREG:
      operands[0] = x2;
      x3 = XEXP (x1, 1);
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_DImode:
          switch (pattern489 (x3))
            {
            case 0:
              return 108; /* *zero_extendsidi2_aarch64 */

            case 1:
              return 115; /* *zero_extendqidi2_aarch64 */

            case 2:
              return 117; /* *zero_extendhidi2_aarch64 */

            default:
              return -1;
            }

        case E_SImode:
          switch (pattern490 (x3))
            {
            case 0:
              return 114; /* *zero_extendqisi2_aarch64 */

            case 1:
              return 116; /* *zero_extendhisi2_aarch64 */

            default:
              return -1;
            }

        case E_HImode:
          if (!register_operand (operands[0], E_HImode)
              || GET_MODE (x3) != E_HImode
              || !nonimmediate_operand (operands[1], E_QImode))
            return -1;
          return 119; /* *zero_extendqihi2_aarch64 */

        case E_TImode:
          if (!register_operand (operands[0], E_TImode)
              || GET_MODE (x3) != E_TImode
              || !register_operand (operands[1], E_DImode)
              || !
#line 7628 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
            return -1;
          return 1123; /* aarch64_movtilow_di */

        case E_TFmode:
          if (!register_operand (operands[0], E_TFmode)
              || GET_MODE (x3) != E_TFmode
              || !register_operand (operands[1], E_DImode)
              || !
#line 7628 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
            return -1;
          return 1124; /* aarch64_movtflow_di */

        case E_TDmode:
          if (!register_operand (operands[0], E_TDmode)
              || GET_MODE (x3) != E_TDmode
              || !register_operand (operands[1], E_DImode)
              || !
#line 7628 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
            return -1;
          return 1125; /* aarch64_movtdlow_di */

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x3) != E_V8HImode
              || !register_operand (operands[1], E_V8QImode)
              || !
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5245; /* zero_extendv8qiv8hi2 */

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x3) != E_V4SImode
              || !register_operand (operands[1], E_V4HImode)
              || !
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5247; /* zero_extendv4hiv4si2 */

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x3) != E_V2DImode
              || !register_operand (operands[1], E_V2SImode)
              || !
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5249; /* zero_extendv2siv2di2 */

        case E_VNx16HImode:
          if (!aligned_register_operand (operands[0], E_VNx16HImode)
              || GET_MODE (x3) != E_VNx16HImode
              || !register_operand (operands[1], E_VNx16QImode)
              || !
#line 2188 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12102; /* zero_extendvnx16qivnx16hi2 */

        case E_VNx8SImode:
          if (!aligned_register_operand (operands[0], E_VNx8SImode)
              || GET_MODE (x3) != E_VNx8SImode
              || !register_operand (operands[1], E_VNx8HImode)
              || !
#line 2188 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12104; /* zero_extendvnx8hivnx8si2 */

        case E_VNx4DImode:
          if (!aligned_register_operand (operands[0], E_VNx4DImode)
              || GET_MODE (x3) != E_VNx4DImode
              || !register_operand (operands[1], E_VNx4SImode)
              || !
#line 2188 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12106; /* zero_extendvnx4sivnx4di2 */

        case E_VNx32HImode:
          if (!aligned_register_operand (operands[0], E_VNx32HImode)
              || GET_MODE (x3) != E_VNx32HImode
              || !aligned_register_operand (operands[1], E_VNx32QImode)
              || !
#line 2196 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12108; /* zero_extendvnx32qivnx32hi2 */

        case E_VNx16SImode:
          if (!aligned_register_operand (operands[0], E_VNx16SImode)
              || GET_MODE (x3) != E_VNx16SImode
              || !aligned_register_operand (operands[1], E_VNx16HImode)
              || !
#line 2196 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12110; /* zero_extendvnx16hivnx16si2 */

        case E_VNx8DImode:
          if (!aligned_register_operand (operands[0], E_VNx8DImode)
              || GET_MODE (x3) != E_VNx8DImode
              || !aligned_register_operand (operands[1], E_VNx8SImode)
              || !
#line 2196 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12112; /* zero_extendvnx8sivnx8di2 */

        default:
          return -1;
        }

    case ZERO_EXTRACT:
      x5 = XEXP (x2, 1);
      if (GET_CODE (x5) != CONST_INT)
        return -1;
      x6 = XEXP (x2, 0);
      operands[0] = x6;
      switch (XWINT (x5, 0))
        {
        case 8L:
          res = recog_449 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        case 16L:
          res = recog_450 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        case 32L:
          x7 = XEXP (x2, 2);
          operands[1] = x7;
          if (const_int_operand (operands[1], E_VOIDmode))
            {
              x3 = XEXP (x1, 1);
              x4 = XEXP (x3, 0);
              operands[2] = x4;
              switch (pattern882 (x1))
                {
                case 0:
                  if (
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 32))
                    return 836; /* *aarch64_bfisisi_32 */
                  break;

                case 1:
                  if (
#line 6441 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 64))
                    return 839; /* *aarch64_bfidisi_32 */
                  break;

                default:
                  break;
                }
            }
          break;

        case 64L:
          x7 = XEXP (x2, 2);
          if (x7 == const_int_rtx[MAX_SAVED_CONST_INT + 64])
            {
              x3 = XEXP (x1, 1);
              x4 = XEXP (x3, 0);
              operands[1] = x4;
              if (register_operand (operands[1], E_DImode))
                {
                  switch (GET_MODE (x2))
                    {
                    case E_TImode:
                      if (register_operand (operands[0], E_TImode)
                          && GET_MODE (x3) == E_TImode
                          && 
#line 7619 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
                        return 1120; /* aarch64_movtihigh_di */
                      break;

                    case E_TFmode:
                      if (register_operand (operands[0], E_TFmode)
                          && GET_MODE (x3) == E_TFmode
                          && 
#line 7619 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
                        return 1121; /* aarch64_movtfhigh_di */
                      break;

                    case E_TDmode:
                      if (register_operand (operands[0], E_TDmode)
                          && GET_MODE (x3) == E_TDmode
                          && 
#line 7619 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
                        return 1122; /* aarch64_movtdhigh_di */
                      break;

                    default:
                      break;
                    }
                }
            }
          break;

        default:
          break;
        }
      operands[1] = x5;
      if (!const_int_operand (operands[1], E_VOIDmode))
        return -1;
      x7 = XEXP (x2, 2);
      operands[2] = x7;
      if (!const_int_operand (operands[2], E_VOIDmode))
        return -1;
      x3 = XEXP (x1, 1);
      x4 = XEXP (x3, 0);
      operands[3] = x4;
      switch (GET_MODE (x2))
        {
        case E_SImode:
          switch (pattern999 (x3, 
E_SImode))
            {
            case 0:
              if (!
#line 6463 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 8))
                return -1;
              return 840; /* *aarch64_bfisiqi4 */

            case 1:
              if (!
#line 6463 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 16))
                return -1;
              return 842; /* *aarch64_bfisihi4 */

            case 2:
              if (!
#line 6463 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 32))
                return -1;
              return 844; /* *aarch64_bfisisi4 */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern999 (x3, 
E_DImode))
            {
            case 0:
              if (!
#line 6463 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 8))
                return -1;
              return 841; /* *aarch64_bfidiqi4 */

            case 1:
              if (!
#line 6463 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 16))
                return -1;
              return 843; /* *aarch64_bfidihi4 */

            case 2:
              if (!
#line 6463 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 32))
                return -1;
              return 845; /* *aarch64_bfidisi4 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_455 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (XVECLEN (x3, 0) != 2)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x3, 0, 0);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 1);
  operands[2] = x6;
  if (!const_int_operand (operands[2], E_SImode))
    return -1;
  switch (XINT (x3, 1))
    {
    case 24:
      switch (GET_MODE (operands[0]))
        {
        case E_HImode:
          switch (pattern881 (x2, 
E_HImode))
            {
            case 0:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (HImode) > GET_MODE_SIZE (QImode)))
                return -1;
              return 5489; /* *atomic_loadqi_zexthi */

            case 1:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (HImode) > GET_MODE_SIZE (HImode)))
                return -1;
              return 5492; /* *atomic_loadhi_zexthi */

            case 2:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (HImode) > GET_MODE_SIZE (SImode)))
                return -1;
              return 5495; /* *atomic_loadsi_zexthi */

            default:
              return -1;
            }

        case E_SImode:
          switch (pattern881 (x2, 
E_SImode))
            {
            case 0:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (SImode) > GET_MODE_SIZE (QImode)))
                return -1;
              return 5490; /* *atomic_loadqi_zextsi */

            case 1:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (SImode) > GET_MODE_SIZE (HImode)))
                return -1;
              return 5493; /* *atomic_loadhi_zextsi */

            case 2:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (SImode) > GET_MODE_SIZE (SImode)))
                return -1;
              return 5496; /* *atomic_loadsi_zextsi */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern881 (x2, 
E_DImode))
            {
            case 0:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (DImode) > GET_MODE_SIZE (QImode)))
                return -1;
              return 5491; /* *atomic_loadqi_zextdi */

            case 1:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (DImode) > GET_MODE_SIZE (HImode)))
                return -1;
              return 5494; /* *atomic_loadhi_zextdi */

            case 2:
              if (!
#line 650 "../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (DImode) > GET_MODE_SIZE (SImode)))
                return -1;
              return 5497; /* *atomic_loadsi_zextdi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 25:
      switch (GET_MODE (operands[0]))
        {
        case E_HImode:
          switch (pattern881 (x2, 
E_HImode))
            {
            case 0:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (16 > 8)))
                return -1;
              return 5506; /* *aarch64_atomic_loadqi_rcpc_zext */

            case 1:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (16 > 16)))
                return -1;
              return 5509; /* *aarch64_atomic_loadhi_rcpc_zext */

            case 2:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (16 > 32)))
                return -1;
              return 5512; /* *aarch64_atomic_loadsi_rcpc_zext */

            default:
              return -1;
            }

        case E_SImode:
          switch (pattern881 (x2, 
E_SImode))
            {
            case 0:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (32 > 8)))
                return -1;
              return 5507; /* *aarch64_atomic_loadqi_rcpc_zext */

            case 1:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (32 > 16)))
                return -1;
              return 5510; /* *aarch64_atomic_loadhi_rcpc_zext */

            case 2:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (32 > 32)))
                return -1;
              return 5513; /* *aarch64_atomic_loadsi_rcpc_zext */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern881 (x2, 
E_DImode))
            {
            case 0:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (64 > 8)))
                return -1;
              return 5508; /* *aarch64_atomic_loadqi_rcpc_zext */

            case 1:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (64 > 16)))
                return -1;
              return 5511; /* *aarch64_atomic_loadhi_rcpc_zext */

            case 2:
              if (!
#line 714 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (64 > 32)))
                return -1;
              return 5514; /* *aarch64_atomic_loadsi_rcpc_zext */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 22:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x2) != E_SImode)
        return -1;
      switch (GET_MODE (x3))
        {
        case E_QImode:
          if (!aarch64_sync_memory_operand (operands[1], E_QImode))
            return -1;
          return 5525; /* aarch64_load_exclusiveqi */

        case E_HImode:
          if (!aarch64_sync_memory_operand (operands[1], E_HImode))
            return -1;
          return 5526; /* aarch64_load_exclusivehi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_458 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (XINT (x3, 1))
    {
    case 407:
      switch (pattern497 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1420; /* aarch64_fcmla0v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1432; /* aarch64_fcmla0v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1436; /* aarch64_fcmla0v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1448; /* aarch64_fcmla0v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1452; /* aarch64_fcmla0v2df */

        default:
          return -1;
        }

    case 408:
      switch (pattern497 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1423; /* aarch64_fcmla90v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1433; /* aarch64_fcmla90v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1439; /* aarch64_fcmla90v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1449; /* aarch64_fcmla90v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1453; /* aarch64_fcmla90v2df */

        default:
          return -1;
        }

    case 409:
      switch (pattern497 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1426; /* aarch64_fcmla180v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1434; /* aarch64_fcmla180v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1442; /* aarch64_fcmla180v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1450; /* aarch64_fcmla180v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1454; /* aarch64_fcmla180v2df */

        default:
          return -1;
        }

    case 410:
      switch (pattern497 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1429; /* aarch64_fcmla270v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1435; /* aarch64_fcmla270v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1445; /* aarch64_fcmla270v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1451; /* aarch64_fcmla270v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1455; /* aarch64_fcmla270v2df */

        default:
          return -1;
        }

    case 279:
      switch (pattern500 (x2))
        {
        case 0:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1512; /* sdot_prodv2siv8qi */

        case 1:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1518; /* sdot_prodv4siv16qi */

        case 2:
          if (!
#line 7411 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9240; /* sdot_prodvnx4sivnx16qi */

        case 3:
          if (!
#line 2470 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12302; /* sdot_prodvnx4sivnx8hi */

        case 4:
          if (!
#line 7411 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9242; /* sdot_prodvnx2divnx8hi */

        case 5:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 8 == 16))))
            return -1;
          return 9244; /* aarch64_sdot_prod_lanevnx4sivnx16qi */

        case 6:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 16 == 16))))
            return -1;
          return 9248; /* aarch64_sdot_prod_lanevnx4sivnx8hi */

        case 7:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 8 == 16))))
            return -1;
          return 9246; /* aarch64_sdot_prod_lanevnx2divnx16qi */

        case 8:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 16 == 16))))
            return -1;
          return 9250; /* aarch64_sdot_prod_lanevnx2divnx8hi */

        default:
          return -1;
        }

    case 280:
      switch (pattern500 (x2))
        {
        case 0:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1515; /* udot_prodv2siv8qi */

        case 1:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1519; /* udot_prodv4siv16qi */

        case 2:
          if (!
#line 7411 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9241; /* udot_prodvnx4sivnx16qi */

        case 3:
          if (!
#line 2470 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12303; /* udot_prodvnx4sivnx8hi */

        case 4:
          if (!
#line 7411 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9243; /* udot_prodvnx2divnx8hi */

        case 5:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 8 == 16))))
            return -1;
          return 9245; /* aarch64_udot_prod_lanevnx4sivnx16qi */

        case 6:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 16 == 16))))
            return -1;
          return 9249; /* aarch64_udot_prod_lanevnx4sivnx8hi */

        case 7:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 8 == 16))))
            return -1;
          return 9247; /* aarch64_udot_prod_lanevnx2divnx16qi */

        case 8:
          if (!
#line 7430 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 16 == 16))))
            return -1;
          return 9251; /* aarch64_udot_prod_lanevnx2divnx8hi */

        default:
          return -1;
        }

    case 573:
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      x5 = XVECEXP (x3, 0, 1);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          x6 = XEXP (x2, 1);
          operands[3] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V2SImode:
              if (pattern498 (x2, 
E_V2SImode, 
E_V8QImode) != 0
                  || !
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1520; /* usdot_prodv2siv8qi */

            case E_V4SImode:
              if (pattern498 (x2, 
E_V4SImode, 
E_V16QImode) != 0
                  || !
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1523; /* usdot_prodv4siv16qi */

            case E_VNx4SImode:
              if (pattern498 (x2, 
E_VNx4SImode, 
E_VNx16QImode) != 0
                  || !
#line 7449 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM))
                return -1;
              return 9252; /* usdot_prodvnx4sivnx16qi */

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x5, 0) != 2
              || XINT (x5, 1) != 168
              || GET_MODE (x5) != E_VNx16QImode
              || !register_operand (operands[0], E_VNx4SImode)
              || GET_MODE (x2) != E_VNx4SImode
              || GET_MODE (x3) != E_VNx4SImode
              || pattern1135 (x2) != 0
              || !
#line 7467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM))
            return -1;
          return 9253; /* aarch64_usdot_prod_lanevnx4sivnx16qi */

        default:
          return -1;
        }

    case 579:
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      x5 = XVECEXP (x3, 0, 1);
      operands[3] = x5;
      x6 = XEXP (x2, 1);
      operands[1] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V2SFmode:
          if (pattern501 (x2, 
E_V2SFmode, 
E_V4BFmode) != 0
              || !
#line 9898 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
            return -1;
          return 5259; /* aarch64_bfdotv2sf */

        case E_V4SFmode:
          if (pattern501 (x2, 
E_V4SFmode, 
E_V8BFmode) != 0
              || !
#line 9898 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
            return -1;
          return 5260; /* aarch64_bfdotv4sf */

        default:
          return -1;
        }

    case 330:
      switch (pattern502 (x2))
        {
        case 0:
          if (!
#line 9968 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
            return -1;
          return 5272; /* aarch64_simd_smmlav16qi */

        case 1:
          if (!
#line 7522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM && TARGET_NON_STREAMING))
            return -1;
          return 9255; /* aarch64_sve_add_smatmulvnx16qi */

        default:
          return -1;
        }

    case 332:
      switch (pattern502 (x2))
        {
        case 0:
          if (!
#line 9968 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
            return -1;
          return 5273; /* aarch64_simd_ummlav16qi */

        case 1:
          if (!
#line 7522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM && TARGET_NON_STREAMING))
            return -1;
          return 9256; /* aarch64_sve_add_umatmulvnx16qi */

        default:
          return -1;
        }

    case 333:
      switch (pattern502 (x2))
        {
        case 0:
          if (!
#line 9968 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
            return -1;
          return 5274; /* aarch64_simd_usmmlav16qi */

        case 1:
          if (!
#line 7522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM && TARGET_NON_STREAMING))
            return -1;
          return 9257; /* aarch64_sve_add_usmatmulvnx16qi */

        default:
          return -1;
        }

    case 125:
      x5 = XVECEXP (x3, 0, 1);
      if (GET_CODE (x5) != MULT)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      x7 = XEXP (x5, 0);
      operands[2] = x7;
      x8 = XEXP (x5, 1);
      operands[3] = x8;
      x6 = XEXP (x2, 1);
      operands[4] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern1002 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9160; /* aarch64_pred_fmavnx16qi */

        case E_VNx8QImode:
          if (pattern1002 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9161; /* aarch64_pred_fmavnx8qi */

        case E_VNx4QImode:
          if (pattern1002 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9162; /* aarch64_pred_fmavnx4qi */

        case E_VNx2QImode:
          if (pattern1002 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9163; /* aarch64_pred_fmavnx2qi */

        case E_VNx8HImode:
          if (pattern1002 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9164; /* aarch64_pred_fmavnx8hi */

        case E_VNx4HImode:
          if (pattern1002 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9165; /* aarch64_pred_fmavnx4hi */

        case E_VNx2HImode:
          if (pattern1002 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9166; /* aarch64_pred_fmavnx2hi */

        case E_VNx4SImode:
          if (pattern1002 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9167; /* aarch64_pred_fmavnx4si */

        case E_VNx2SImode:
          if (pattern1002 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9168; /* aarch64_pred_fmavnx2si */

        case E_VNx2DImode:
          if (pattern1002 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 7145 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9169; /* aarch64_pred_fmavnx2di */

        default:
          return -1;
        }

    case 578:
      if (GET_MODE (x3) != E_VNx4SImode)
        return -1;
      x5 = XVECEXP (x3, 0, 1);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 2
          || XINT (x5, 1) != 168
          || GET_MODE (x5) != E_VNx16QImode
          || !register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x2) != E_VNx4SImode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      if (pattern1135 (x2) != 0
          || !
#line 7467 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM))
        return -1;
      return 9254; /* aarch64_sudot_prod_lanevnx4sivnx16qi */

    case 224:
      switch (pattern504 (x2))
        {
        case 0:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12061; /* aarch64_sve_add_srshrvnx16qi */

        case 1:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12063; /* aarch64_sve_add_srshrvnx8hi */

        case 2:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12065; /* aarch64_sve_add_srshrvnx4si */

        case 3:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12067; /* aarch64_sve_add_srshrvnx2di */

        default:
          return -1;
        }

    case 225:
      switch (pattern504 (x2))
        {
        case 0:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12062; /* aarch64_sve_add_urshrvnx16qi */

        case 1:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12064; /* aarch64_sve_add_urshrvnx8hi */

        case 2:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12066; /* aarch64_sve_add_urshrvnx4si */

        case 3:
          if (!
#line 1967 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12068; /* aarch64_sve_add_urshrvnx2di */

        default:
          return -1;
        }

    case 489:
      switch (pattern505 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12224; /* aarch64_sve_add_sabdlbvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12232; /* aarch64_sve_add_sabdlbvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12240; /* aarch64_sve_add_sabdlbvnx2di */

        default:
          return -1;
        }

    case 490:
      switch (pattern505 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12225; /* aarch64_sve_add_sabdltvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12233; /* aarch64_sve_add_sabdltvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12241; /* aarch64_sve_add_sabdltvnx2di */

        default:
          return -1;
        }

    case 505:
      switch (pattern508 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12226; /* aarch64_sve_add_smullbvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12234; /* aarch64_sve_add_smullbvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12242; /* aarch64_sve_add_smullbvnx2di */

        case 3:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12248; /* aarch64_sve_add_smullb_lane_vnx4si */

        case 4:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12252; /* aarch64_sve_add_smullb_lane_vnx2di */

        default:
          return -1;
        }

    case 506:
      switch (pattern508 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12227; /* aarch64_sve_add_smulltvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12235; /* aarch64_sve_add_smulltvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12243; /* aarch64_sve_add_smulltvnx2di */

        case 3:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12249; /* aarch64_sve_add_smullt_lane_vnx4si */

        case 4:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12253; /* aarch64_sve_add_smullt_lane_vnx2di */

        default:
          return -1;
        }

    case 547:
      switch (pattern505 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12228; /* aarch64_sve_add_uabdlbvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12236; /* aarch64_sve_add_uabdlbvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12244; /* aarch64_sve_add_uabdlbvnx2di */

        default:
          return -1;
        }

    case 548:
      switch (pattern505 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12229; /* aarch64_sve_add_uabdltvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12237; /* aarch64_sve_add_uabdltvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12245; /* aarch64_sve_add_uabdltvnx2di */

        default:
          return -1;
        }

    case 557:
      switch (pattern508 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12230; /* aarch64_sve_add_umullbvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12238; /* aarch64_sve_add_umullbvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12246; /* aarch64_sve_add_umullbvnx2di */

        case 3:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12250; /* aarch64_sve_add_umullb_lane_vnx4si */

        case 4:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12254; /* aarch64_sve_add_umullb_lane_vnx2di */

        default:
          return -1;
        }

    case 558:
      switch (pattern508 (x2))
        {
        case 0:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12231; /* aarch64_sve_add_umulltvnx8hi */

        case 1:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12239; /* aarch64_sve_add_umulltvnx4si */

        case 2:
          if (!
#line 2330 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12247; /* aarch64_sve_add_umulltvnx2di */

        case 3:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12251; /* aarch64_sve_add_umullt_lane_vnx4si */

        case 4:
          if (!
#line 2349 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12255; /* aarch64_sve_add_umullt_lane_vnx2di */

        default:
          return -1;
        }

    case 606:
      if (GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x2) != E_VNx4SFmode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_VNx8HFmode))
        return -1;
      x6 = XEXP (x2, 1);
      if (!register_operand (x6, E_VNx4SFmode))
        return -1;
      x5 = XVECEXP (x3, 0, 1);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          if (!register_operand (operands[2], E_VNx8HFmode))
            return -1;
          operands[3] = x6;
          if (!
#line 2568 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12376; /* aarch64_sve_fdotvnx4sfvnx8hf */

        case UNSPEC:
          if (XVECLEN (x5, 0) != 2
              || XINT (x5, 1) != 168
              || GET_MODE (x5) != E_VNx8HFmode)
            return -1;
          x9 = XVECEXP (x5, 0, 0);
          operands[2] = x9;
          if (!register_operand (operands[2], E_VNx8HFmode))
            return -1;
          x10 = XVECEXP (x5, 0, 1);
          operands[3] = x10;
          if (!const_int_operand (operands[3], E_SImode))
            return -1;
          operands[4] = x6;
          if (!
#line 2586 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12377; /* aarch64_fdot_prod_lanevnx4sfvnx8hf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_475 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  switch (GET_CODE (x2))
    {
    case REG:
    case SUBREG:
      operands[0] = x2;
      x3 = XEXP (x1, 1);
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      x5 = XEXP (x3, 1);
      operands[2] = x5;
      switch (pattern526 (x3))
        {
        case 0:
          if (!
#line 6347 "../../gcc/config/aarch64/aarch64.md"
(IN_RANGE (INTVAL (operands[2]) + INTVAL (operands[3]),
	     1, GET_MODE_BITSIZE (SImode) - 1)))
            return -1;
          return 817; /* *extzvsi */

        case 1:
          if (!
#line 6347 "../../gcc/config/aarch64/aarch64.md"
(IN_RANGE (INTVAL (operands[2]) + INTVAL (operands[3]),
	     1, GET_MODE_BITSIZE (DImode) - 1)))
            return -1;
          return 819; /* *extzvdi */

        default:
          return -1;
        }

    case ZERO_EXTRACT:
      x6 = XEXP (x2, 2);
      if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x7 = XEXP (x2, 0);
      operands[0] = x7;
      x8 = XEXP (x2, 1);
      operands[1] = x8;
      if (!const_int_operand (operands[1], E_VOIDmode))
        return -1;
      x3 = XEXP (x1, 1);
      x4 = XEXP (x3, 0);
      operands[2] = x4;
      if (!const_int_operand (operands[3], E_VOIDmode))
        return -1;
      x5 = XEXP (x3, 1);
      if (!rtx_equal_p (x5, operands[1]))
        return -1;
      switch (GET_MODE (x2))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || GET_MODE (x3) != E_SImode
              || !register_operand (operands[2], E_SImode)
              || !
#line 6631 "../../gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (SImode)))))
            return -1;
          return 867; /* *extr_insv_lower_regsi */

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || !register_operand (operands[2], E_DImode)
              || !
#line 6631 "../../gcc/config/aarch64/aarch64.md"
(!(UINTVAL (operands[1]) == 0
     || (UINTVAL (operands[3]) + UINTVAL (operands[1])
	 > GET_MODE_BITSIZE (DImode)))))
            return -1;
          return 868; /* *extr_insv_lower_regdi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_477 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[2] = x2;
  x3 = XEXP (x1, 0);
  if (GET_CODE (x3) != ZERO_EXTRACT)
    return -1;
  x4 = XEXP (x3, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 16])
    return -1;
  x5 = XEXP (x3, 0);
  operands[0] = x5;
  x6 = XEXP (x3, 2);
  operands[1] = x6;
  switch (GET_MODE (x3))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !const_int_operand (operands[1], E_SImode)
          || !const_int_operand (operands[2], E_SImode)
          || !
#line 1664 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (SImode)
   && UINTVAL (operands[1]) % 16 == 0))
        return -1;
      return 71; /* insv_immsi */

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !const_int_operand (operands[1], E_DImode)
          || !const_int_operand (operands[2], E_DImode)
          || !
#line 1664 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (DImode)
   && UINTVAL (operands[1]) % 16 == 0))
        return -1;
      return 72; /* insv_immdi */

    default:
      return -1;
    }
}

 int
recog_478 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!nonimmediate_operand (operands[0], E_QImode)
          || !aarch64_mov_operand (operands[1], E_QImode)
          || !
#line 1516 "../../gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], QImode)
    || aarch64_reg_or_zero (operands[1], QImode))))
        return -1;
      return 67; /* *movqi_aarch64 */

    case E_HImode:
      if (!nonimmediate_operand (operands[0], E_HImode)
          || !aarch64_mov_operand (operands[1], E_HImode)
          || !
#line 1516 "../../gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], HImode)
    || aarch64_reg_or_zero (operands[1], HImode))))
        return -1;
      return 68; /* *movhi_aarch64 */

    case E_SImode:
      if (!nonimmediate_operand (operands[0], E_SImode)
          || !aarch64_mov_operand (operands[1], E_SImode)
          || !
#line 1577 "../../gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], SImode)
    || aarch64_reg_or_zero (operands[1], SImode))))
        return -1;
      return 69; /* *movsi_aarch64 */

    case E_DImode:
      if (!nonimmediate_operand (operands[0], E_DImode)
          || !aarch64_mov_operand (operands[1], E_DImode)
          || !
#line 1615 "../../gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], DImode)
    || aarch64_reg_or_zero (operands[1], DImode))))
        return -1;
      return 70; /* *movdi_aarch64 */

    case E_HFmode:
      if (!nonimmediate_operand (operands[0], E_HFmode)
          || !general_operand (operands[1], E_HFmode)
          || !
#line 1790 "../../gcc/config/aarch64/aarch64.md"
(aarch64_valid_fp_move (operands[0], operands[1], HFmode)))
        return -1;
      return 76; /* *movhf_aarch64 */

    case E_BFmode:
      if (!nonimmediate_operand (operands[0], E_BFmode)
          || !general_operand (operands[1], E_BFmode)
          || !
#line 1790 "../../gcc/config/aarch64/aarch64.md"
(aarch64_valid_fp_move (operands[0], operands[1], BFmode)))
        return -1;
      return 77; /* *movbf_aarch64 */

    case E_SDmode:
      if (!nonimmediate_operand (operands[0], E_SDmode)
          || !general_operand (operands[1], E_SDmode)
          || !
#line 1813 "../../gcc/config/aarch64/aarch64.md"
(aarch64_valid_fp_move (operands[0], operands[1], SDmode)))
        return -1;
      return 78; /* *movsd_aarch64 */

    case E_SFmode:
      if (!nonimmediate_operand (operands[0], E_SFmode)
          || !general_operand (operands[1], E_SFmode)
          || !
#line 1813 "../../gcc/config/aarch64/aarch64.md"
(aarch64_valid_fp_move (operands[0], operands[1], SFmode)))
        return -1;
      return 79; /* *movsf_aarch64 */

    case E_DDmode:
      if (!nonimmediate_operand (operands[0], E_DDmode)
          || !general_operand (operands[1], E_DDmode)
          || !
#line 1833 "../../gcc/config/aarch64/aarch64.md"
(aarch64_valid_fp_move (operands[0], operands[1], DDmode)))
        return -1;
      return 80; /* *movdd_aarch64 */

    case E_DFmode:
      if (!nonimmediate_operand (operands[0], E_DFmode)
          || !general_operand (operands[1], E_DFmode)
          || !
#line 1833 "../../gcc/config/aarch64/aarch64.md"
(aarch64_valid_fp_move (operands[0], operands[1], DFmode)))
        return -1;
      return 81; /* *movdf_aarch64 */

    case E_TDmode:
      if (!nonimmediate_operand (operands[0], E_TDmode)
          || !general_operand (operands[1], E_TDmode)
          || !
#line 1855 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], TDmode)
    || aarch64_reg_or_fp_zero (operands[1], TDmode))))
        return -1;
      return 82; /* *movtd_aarch64 */

    case E_TFmode:
      if (!nonimmediate_operand (operands[0], E_TFmode)
          || !general_operand (operands[1], E_TFmode)
          || !
#line 1855 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (register_operand (operands[0], TFmode)
    || aarch64_reg_or_fp_zero (operands[1], TFmode))))
        return -1;
      return 83; /* *movtf_aarch64 */

    case E_V8QImode:
      if (!nonimmediate_operand (operands[0], E_V8QImode)
          || !general_operand (operands[1], E_V8QImode)
          || !
#line 148 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V8QImode)
       || aarch64_simd_reg_or_zero (operands[1], V8QImode))))
        return -1;
      return 1285; /* *aarch64_simd_movv8qi */

    case E_V4HImode:
      if (!nonimmediate_operand (operands[0], E_V4HImode)
          || !general_operand (operands[1], E_V4HImode)
          || !
#line 148 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4HImode)
       || aarch64_simd_reg_or_zero (operands[1], V4HImode))))
        return -1;
      return 1286; /* *aarch64_simd_movv4hi */

    case E_V4HFmode:
      if (!nonimmediate_operand (operands[0], E_V4HFmode)
          || !general_operand (operands[1], E_V4HFmode)
          || !
#line 148 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4HFmode)
       || aarch64_simd_reg_or_zero (operands[1], V4HFmode))))
        return -1;
      return 1287; /* *aarch64_simd_movv4hf */

    case E_V4BFmode:
      if (!nonimmediate_operand (operands[0], E_V4BFmode)
          || !general_operand (operands[1], E_V4BFmode)
          || !
#line 148 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4BFmode)
       || aarch64_simd_reg_or_zero (operands[1], V4BFmode))))
        return -1;
      return 1288; /* *aarch64_simd_movv4bf */

    case E_V2SImode:
      if (!nonimmediate_operand (operands[0], E_V2SImode)
          || !general_operand (operands[1], E_V2SImode)
          || !
#line 148 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2SImode)
       || aarch64_simd_reg_or_zero (operands[1], V2SImode))))
        return -1;
      return 1289; /* *aarch64_simd_movv2si */

    case E_V2SFmode:
      if (!nonimmediate_operand (operands[0], E_V2SFmode)
          || !general_operand (operands[1], E_V2SFmode)
          || !
#line 148 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2SFmode)
       || aarch64_simd_reg_or_zero (operands[1], V2SFmode))))
        return -1;
      return 1290; /* *aarch64_simd_movv2sf */

    case E_V16QImode:
      if (!nonimmediate_operand (operands[0], E_V16QImode)
          || !general_operand (operands[1], E_V16QImode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V16QImode)
       || aarch64_simd_reg_or_zero (operands[1], V16QImode))))
        return -1;
      return 1291; /* *aarch64_simd_movv16qi */

    case E_V8HImode:
      if (!nonimmediate_operand (operands[0], E_V8HImode)
          || !general_operand (operands[1], E_V8HImode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V8HImode)
       || aarch64_simd_reg_or_zero (operands[1], V8HImode))))
        return -1;
      return 1292; /* *aarch64_simd_movv8hi */

    case E_V4SImode:
      if (!nonimmediate_operand (operands[0], E_V4SImode)
          || !general_operand (operands[1], E_V4SImode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4SImode)
       || aarch64_simd_reg_or_zero (operands[1], V4SImode))))
        return -1;
      return 1293; /* *aarch64_simd_movv4si */

    case E_V2DImode:
      if (!nonimmediate_operand (operands[0], E_V2DImode)
          || !general_operand (operands[1], E_V2DImode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2DImode)
       || aarch64_simd_reg_or_zero (operands[1], V2DImode))))
        return -1;
      return 1294; /* *aarch64_simd_movv2di */

    case E_V8HFmode:
      if (!nonimmediate_operand (operands[0], E_V8HFmode)
          || !general_operand (operands[1], E_V8HFmode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V8HFmode)
       || aarch64_simd_reg_or_zero (operands[1], V8HFmode))))
        return -1;
      return 1295; /* *aarch64_simd_movv8hf */

    case E_V8BFmode:
      if (!nonimmediate_operand (operands[0], E_V8BFmode)
          || !general_operand (operands[1], E_V8BFmode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V8BFmode)
       || aarch64_simd_reg_or_zero (operands[1], V8BFmode))))
        return -1;
      return 1296; /* *aarch64_simd_movv8bf */

    case E_V4SFmode:
      if (!nonimmediate_operand (operands[0], E_V4SFmode)
          || !general_operand (operands[1], E_V4SFmode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4SFmode)
       || aarch64_simd_reg_or_zero (operands[1], V4SFmode))))
        return -1;
      return 1297; /* *aarch64_simd_movv4sf */

    case E_V2DFmode:
      if (!nonimmediate_operand (operands[0], E_V2DFmode)
          || !general_operand (operands[1], E_V2DFmode)
          || !
#line 180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2DFmode)
       || aarch64_simd_reg_or_zero (operands[1], V2DFmode))))
        return -1;
      return 1298; /* *aarch64_simd_movv2df */

    case E_V8DImode:
      if (!nonimmediate_operand (operands[0], E_V8DImode)
          || !general_operand (operands[1], E_V8DImode)
          || !
#line 8096 "../../gcc/config/aarch64/aarch64-simd.md"
((register_operand (operands[0], V8DImode)
    || register_operand (operands[1], V8DImode))))
        return -1;
      return 4723; /* *aarch64_movv8di */

    case E_V2x8QImode:
      if (!nonimmediate_operand (operands[0], E_V2x8QImode)
          || !general_operand (operands[1], E_V2x8QImode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x8QImode)
       || register_operand (operands[1], V2x8QImode))))
        return -1;
      return 4754; /* *aarch64_movv2x8qi */

    case E_V2x4HImode:
      if (!nonimmediate_operand (operands[0], E_V2x4HImode)
          || !general_operand (operands[1], E_V2x4HImode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x4HImode)
       || register_operand (operands[1], V2x4HImode))))
        return -1;
      return 4755; /* *aarch64_movv2x4hi */

    case E_V2x2SImode:
      if (!nonimmediate_operand (operands[0], E_V2x2SImode)
          || !general_operand (operands[1], E_V2x2SImode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x2SImode)
       || register_operand (operands[1], V2x2SImode))))
        return -1;
      return 4756; /* *aarch64_movv2x2si */

    case E_V2x1DImode:
      if (!nonimmediate_operand (operands[0], E_V2x1DImode)
          || !general_operand (operands[1], E_V2x1DImode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x1DImode)
       || register_operand (operands[1], V2x1DImode))))
        return -1;
      return 4757; /* *aarch64_movv2x1di */

    case E_V2x4HFmode:
      if (!nonimmediate_operand (operands[0], E_V2x4HFmode)
          || !general_operand (operands[1], E_V2x4HFmode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x4HFmode)
       || register_operand (operands[1], V2x4HFmode))))
        return -1;
      return 4758; /* *aarch64_movv2x4hf */

    case E_V2x2SFmode:
      if (!nonimmediate_operand (operands[0], E_V2x2SFmode)
          || !general_operand (operands[1], E_V2x2SFmode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x2SFmode)
       || register_operand (operands[1], V2x2SFmode))))
        return -1;
      return 4759; /* *aarch64_movv2x2sf */

    case E_V2x1DFmode:
      if (!nonimmediate_operand (operands[0], E_V2x1DFmode)
          || !general_operand (operands[1], E_V2x1DFmode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x1DFmode)
       || register_operand (operands[1], V2x1DFmode))))
        return -1;
      return 4760; /* *aarch64_movv2x1df */

    case E_V2x4BFmode:
      if (!nonimmediate_operand (operands[0], E_V2x4BFmode)
          || !general_operand (operands[1], E_V2x4BFmode)
          || !
#line 8125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x4BFmode)
       || register_operand (operands[1], V2x4BFmode))))
        return -1;
      return 4761; /* *aarch64_movv2x4bf */

    case E_V2x16QImode:
      if (!nonimmediate_operand (operands[0], E_V2x16QImode)
          || !general_operand (operands[1], E_V2x16QImode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x16QImode)
       || register_operand (operands[1], V2x16QImode))))
        return -1;
      return 4762; /* *aarch64_movv2x16qi */

    case E_V2x8HImode:
      if (!nonimmediate_operand (operands[0], E_V2x8HImode)
          || !general_operand (operands[1], E_V2x8HImode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x8HImode)
       || register_operand (operands[1], V2x8HImode))))
        return -1;
      return 4763; /* *aarch64_movv2x8hi */

    case E_V2x4SImode:
      if (!nonimmediate_operand (operands[0], E_V2x4SImode)
          || !general_operand (operands[1], E_V2x4SImode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x4SImode)
       || register_operand (operands[1], V2x4SImode))))
        return -1;
      return 4764; /* *aarch64_movv2x4si */

    case E_V2x2DImode:
      if (!nonimmediate_operand (operands[0], E_V2x2DImode)
          || !general_operand (operands[1], E_V2x2DImode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x2DImode)
       || register_operand (operands[1], V2x2DImode))))
        return -1;
      return 4765; /* *aarch64_movv2x2di */

    case E_V2x8HFmode:
      if (!nonimmediate_operand (operands[0], E_V2x8HFmode)
          || !general_operand (operands[1], E_V2x8HFmode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x8HFmode)
       || register_operand (operands[1], V2x8HFmode))))
        return -1;
      return 4766; /* *aarch64_movv2x8hf */

    case E_V2x4SFmode:
      if (!nonimmediate_operand (operands[0], E_V2x4SFmode)
          || !general_operand (operands[1], E_V2x4SFmode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x4SFmode)
       || register_operand (operands[1], V2x4SFmode))))
        return -1;
      return 4767; /* *aarch64_movv2x4sf */

    case E_V2x2DFmode:
      if (!nonimmediate_operand (operands[0], E_V2x2DFmode)
          || !general_operand (operands[1], E_V2x2DFmode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x2DFmode)
       || register_operand (operands[1], V2x2DFmode))))
        return -1;
      return 4768; /* *aarch64_movv2x2df */

    case E_V2x8BFmode:
      if (!nonimmediate_operand (operands[0], E_V2x8BFmode)
          || !general_operand (operands[1], E_V2x8BFmode)
          || !
#line 8138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V2x8BFmode)
       || register_operand (operands[1], V2x8BFmode))))
        return -1;
      return 4769; /* *aarch64_movv2x8bf */

    case E_OImode:
      if (!nonimmediate_operand (operands[0], E_OImode)
          || !general_operand (operands[1], E_OImode)
          || !
#line 8151 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], OImode)
       || register_operand (operands[1], OImode))))
        return -1;
      return 4770; /* *aarch64_movoi */

    case E_V3x8QImode:
      if (!nonimmediate_operand (operands[0], E_V3x8QImode)
          || !general_operand (operands[1], E_V3x8QImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x8QImode)
       || register_operand (operands[1], V3x8QImode))))
        return -1;
      return 4771; /* *aarch64_movv3x8qi */

    case E_V3x4HImode:
      if (!nonimmediate_operand (operands[0], E_V3x4HImode)
          || !general_operand (operands[1], E_V3x4HImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x4HImode)
       || register_operand (operands[1], V3x4HImode))))
        return -1;
      return 4772; /* *aarch64_movv3x4hi */

    case E_V3x2SImode:
      if (!nonimmediate_operand (operands[0], E_V3x2SImode)
          || !general_operand (operands[1], E_V3x2SImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x2SImode)
       || register_operand (operands[1], V3x2SImode))))
        return -1;
      return 4773; /* *aarch64_movv3x2si */

    case E_V3x1DImode:
      if (!nonimmediate_operand (operands[0], E_V3x1DImode)
          || !general_operand (operands[1], E_V3x1DImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x1DImode)
       || register_operand (operands[1], V3x1DImode))))
        return -1;
      return 4774; /* *aarch64_movv3x1di */

    case E_V3x4HFmode:
      if (!nonimmediate_operand (operands[0], E_V3x4HFmode)
          || !general_operand (operands[1], E_V3x4HFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x4HFmode)
       || register_operand (operands[1], V3x4HFmode))))
        return -1;
      return 4775; /* *aarch64_movv3x4hf */

    case E_V3x2SFmode:
      if (!nonimmediate_operand (operands[0], E_V3x2SFmode)
          || !general_operand (operands[1], E_V3x2SFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x2SFmode)
       || register_operand (operands[1], V3x2SFmode))))
        return -1;
      return 4776; /* *aarch64_movv3x2sf */

    case E_V3x1DFmode:
      if (!nonimmediate_operand (operands[0], E_V3x1DFmode)
          || !general_operand (operands[1], E_V3x1DFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x1DFmode)
       || register_operand (operands[1], V3x1DFmode))))
        return -1;
      return 4777; /* *aarch64_movv3x1df */

    case E_V3x4BFmode:
      if (!nonimmediate_operand (operands[0], E_V3x4BFmode)
          || !general_operand (operands[1], E_V3x4BFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x4BFmode)
       || register_operand (operands[1], V3x4BFmode))))
        return -1;
      return 4778; /* *aarch64_movv3x4bf */

    case E_V3x16QImode:
      if (!nonimmediate_operand (operands[0], E_V3x16QImode)
          || !general_operand (operands[1], E_V3x16QImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x16QImode)
       || register_operand (operands[1], V3x16QImode))))
        return -1;
      return 4779; /* *aarch64_movv3x16qi */

    case E_V3x8HImode:
      if (!nonimmediate_operand (operands[0], E_V3x8HImode)
          || !general_operand (operands[1], E_V3x8HImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x8HImode)
       || register_operand (operands[1], V3x8HImode))))
        return -1;
      return 4780; /* *aarch64_movv3x8hi */

    case E_V3x4SImode:
      if (!nonimmediate_operand (operands[0], E_V3x4SImode)
          || !general_operand (operands[1], E_V3x4SImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x4SImode)
       || register_operand (operands[1], V3x4SImode))))
        return -1;
      return 4781; /* *aarch64_movv3x4si */

    case E_V3x2DImode:
      if (!nonimmediate_operand (operands[0], E_V3x2DImode)
          || !general_operand (operands[1], E_V3x2DImode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x2DImode)
       || register_operand (operands[1], V3x2DImode))))
        return -1;
      return 4782; /* *aarch64_movv3x2di */

    case E_V3x8HFmode:
      if (!nonimmediate_operand (operands[0], E_V3x8HFmode)
          || !general_operand (operands[1], E_V3x8HFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x8HFmode)
       || register_operand (operands[1], V3x8HFmode))))
        return -1;
      return 4783; /* *aarch64_movv3x8hf */

    case E_V3x4SFmode:
      if (!nonimmediate_operand (operands[0], E_V3x4SFmode)
          || !general_operand (operands[1], E_V3x4SFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x4SFmode)
       || register_operand (operands[1], V3x4SFmode))))
        return -1;
      return 4784; /* *aarch64_movv3x4sf */

    case E_V3x2DFmode:
      if (!nonimmediate_operand (operands[0], E_V3x2DFmode)
          || !general_operand (operands[1], E_V3x2DFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x2DFmode)
       || register_operand (operands[1], V3x2DFmode))))
        return -1;
      return 4785; /* *aarch64_movv3x2df */

    case E_V3x8BFmode:
      if (!nonimmediate_operand (operands[0], E_V3x8BFmode)
          || !general_operand (operands[1], E_V3x8BFmode)
          || !
#line 8164 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V3x8BFmode)
       || register_operand (operands[1], V3x8BFmode))))
        return -1;
      return 4786; /* *aarch64_movv3x8bf */

    case E_CImode:
      if (!nonimmediate_operand (operands[0], E_CImode)
          || !general_operand (operands[1], E_CImode)
          || !
#line 8176 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], CImode)
       || register_operand (operands[1], CImode))))
        return -1;
      return 4787; /* *aarch64_movci */

    case E_V4x8QImode:
      if (!nonimmediate_operand (operands[0], E_V4x8QImode)
          || !general_operand (operands[1], E_V4x8QImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x8QImode)
       || register_operand (operands[1], V4x8QImode))))
        return -1;
      return 4788; /* *aarch64_movv4x8qi */

    case E_V4x4HImode:
      if (!nonimmediate_operand (operands[0], E_V4x4HImode)
          || !general_operand (operands[1], E_V4x4HImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x4HImode)
       || register_operand (operands[1], V4x4HImode))))
        return -1;
      return 4789; /* *aarch64_movv4x4hi */

    case E_V4x2SImode:
      if (!nonimmediate_operand (operands[0], E_V4x2SImode)
          || !general_operand (operands[1], E_V4x2SImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x2SImode)
       || register_operand (operands[1], V4x2SImode))))
        return -1;
      return 4790; /* *aarch64_movv4x2si */

    case E_V4x1DImode:
      if (!nonimmediate_operand (operands[0], E_V4x1DImode)
          || !general_operand (operands[1], E_V4x1DImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x1DImode)
       || register_operand (operands[1], V4x1DImode))))
        return -1;
      return 4791; /* *aarch64_movv4x1di */

    case E_V4x4HFmode:
      if (!nonimmediate_operand (operands[0], E_V4x4HFmode)
          || !general_operand (operands[1], E_V4x4HFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x4HFmode)
       || register_operand (operands[1], V4x4HFmode))))
        return -1;
      return 4792; /* *aarch64_movv4x4hf */

    case E_V4x2SFmode:
      if (!nonimmediate_operand (operands[0], E_V4x2SFmode)
          || !general_operand (operands[1], E_V4x2SFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x2SFmode)
       || register_operand (operands[1], V4x2SFmode))))
        return -1;
      return 4793; /* *aarch64_movv4x2sf */

    case E_V4x1DFmode:
      if (!nonimmediate_operand (operands[0], E_V4x1DFmode)
          || !general_operand (operands[1], E_V4x1DFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x1DFmode)
       || register_operand (operands[1], V4x1DFmode))))
        return -1;
      return 4794; /* *aarch64_movv4x1df */

    case E_V4x4BFmode:
      if (!nonimmediate_operand (operands[0], E_V4x4BFmode)
          || !general_operand (operands[1], E_V4x4BFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x4BFmode)
       || register_operand (operands[1], V4x4BFmode))))
        return -1;
      return 4795; /* *aarch64_movv4x4bf */

    case E_V4x16QImode:
      if (!nonimmediate_operand (operands[0], E_V4x16QImode)
          || !general_operand (operands[1], E_V4x16QImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x16QImode)
       || register_operand (operands[1], V4x16QImode))))
        return -1;
      return 4796; /* *aarch64_movv4x16qi */

    case E_V4x8HImode:
      if (!nonimmediate_operand (operands[0], E_V4x8HImode)
          || !general_operand (operands[1], E_V4x8HImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x8HImode)
       || register_operand (operands[1], V4x8HImode))))
        return -1;
      return 4797; /* *aarch64_movv4x8hi */

    case E_V4x4SImode:
      if (!nonimmediate_operand (operands[0], E_V4x4SImode)
          || !general_operand (operands[1], E_V4x4SImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x4SImode)
       || register_operand (operands[1], V4x4SImode))))
        return -1;
      return 4798; /* *aarch64_movv4x4si */

    case E_V4x2DImode:
      if (!nonimmediate_operand (operands[0], E_V4x2DImode)
          || !general_operand (operands[1], E_V4x2DImode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x2DImode)
       || register_operand (operands[1], V4x2DImode))))
        return -1;
      return 4799; /* *aarch64_movv4x2di */

    case E_V4x8HFmode:
      if (!nonimmediate_operand (operands[0], E_V4x8HFmode)
          || !general_operand (operands[1], E_V4x8HFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x8HFmode)
       || register_operand (operands[1], V4x8HFmode))))
        return -1;
      return 4800; /* *aarch64_movv4x8hf */

    case E_V4x4SFmode:
      if (!nonimmediate_operand (operands[0], E_V4x4SFmode)
          || !general_operand (operands[1], E_V4x4SFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x4SFmode)
       || register_operand (operands[1], V4x4SFmode))))
        return -1;
      return 4801; /* *aarch64_movv4x4sf */

    case E_V4x2DFmode:
      if (!nonimmediate_operand (operands[0], E_V4x2DFmode)
          || !general_operand (operands[1], E_V4x2DFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x2DFmode)
       || register_operand (operands[1], V4x2DFmode))))
        return -1;
      return 4802; /* *aarch64_movv4x2df */

    case E_V4x8BFmode:
      if (!nonimmediate_operand (operands[0], E_V4x8BFmode)
          || !general_operand (operands[1], E_V4x8BFmode)
          || !
#line 8188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], V4x8BFmode)
       || register_operand (operands[1], V4x8BFmode))))
        return -1;
      return 4803; /* *aarch64_movv4x8bf */

    case E_XImode:
      if (!nonimmediate_operand (operands[0], E_XImode)
          || !general_operand (operands[1], E_XImode)
          || !
#line 8200 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && (register_operand (operands[0], XImode)
       || register_operand (operands[1], XImode))))
        return -1;
      return 4804; /* *aarch64_movxi */

    default:
      return -1;
    }
}

 int
recog_492 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x2, 0);
      operands[3] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern908 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1151 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1793; /* xorv8qi3_vec_concatz_be */

        case E_V8HImode:
          if (pattern908 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1151 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1797; /* xorv4hi3_vec_concatz_be */

        case E_V4SImode:
          if (pattern908 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1151 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1801; /* xorv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case AND:
      x7 = XEXP (x4, 0);
      if (GET_CODE (x7) != XOR)
        return -1;
      x5 = XEXP (x2, 0);
      operands[4] = x5;
      x8 = XEXP (x7, 0);
      operands[3] = x8;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      x10 = XEXP (x4, 1);
      operands[1] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern1018 (x2, 
E_V8QImode, 
E_V16QImode) != 0)
            return -1;
          x6 = XEXP (x3, 1);
          if (rtx_equal_p (x6, operands[3])
              && (
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return 2894; /* aarch64_simd_bslv8qi_internal_vec_concatz_be */
          if (!rtx_equal_p (x6, operands[2])
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2907; /* *aarch64_simd_bslv8qi_alt_vec_concatz_be */

        case E_V8HImode:
          if (pattern1018 (x2, 
E_V4HImode, 
E_V8HImode) != 0)
            return -1;
          x6 = XEXP (x3, 1);
          if (rtx_equal_p (x6, operands[3])
              && (
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return 2898; /* aarch64_simd_bslv4hi_internal_vec_concatz_be */
          if (!rtx_equal_p (x6, operands[2])
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2911; /* *aarch64_simd_bslv4hi_alt_vec_concatz_be */

        case E_V4SImode:
          if (pattern1018 (x2, 
E_V2SImode, 
E_V4SImode) != 0)
            return -1;
          x6 = XEXP (x3, 1);
          if (rtx_equal_p (x6, operands[3])
              && (
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return 2902; /* aarch64_simd_bslv2si_internal_vec_concatz_be */
          if (!rtx_equal_p (x6, operands[2])
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2915; /* *aarch64_simd_bslv2si_alt_vec_concatz_be */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_494 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  x4 = XEXP (x2, 0);
  operands[1] = x4;
  switch (GET_CODE (operands[0]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern840 (x2, 
E_V8QImode, 
E_V16QImode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V16QImode, operands[1], operands[2])))
            return 2952; /* load_pair_lanesv8qi */
          break;

        case E_V8HImode:
          if (pattern840 (x2, 
E_V4HImode, 
E_V8HImode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V8HImode, operands[1], operands[2])))
            return 2953; /* load_pair_lanesv4hi */
          break;

        case E_V8BFmode:
          if (pattern840 (x2, 
E_V4BFmode, 
E_V8BFmode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V8BFmode, operands[1], operands[2])))
            return 2954; /* load_pair_lanesv4bf */
          break;

        case E_V8HFmode:
          if (pattern840 (x2, 
E_V4HFmode, 
E_V8HFmode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V8HFmode, operands[1], operands[2])))
            return 2955; /* load_pair_lanesv4hf */
          break;

        case E_V4SImode:
          if (pattern840 (x2, 
E_V2SImode, 
E_V4SImode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V4SImode, operands[1], operands[2])))
            return 2956; /* load_pair_lanesv2si */
          break;

        case E_V4SFmode:
          if (pattern840 (x2, 
E_V2SFmode, 
E_V4SFmode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V4SFmode, operands[1], operands[2])))
            return 2957; /* load_pair_lanesv2sf */
          break;

        case E_V2SImode:
          if (pattern840 (x2, 
E_SImode, 
E_V2SImode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V2SImode, operands[1], operands[2])))
            return 2958; /* load_pair_lanessi */
          break;

        case E_V2SFmode:
          if (pattern840 (x2, 
E_SFmode, 
E_V2SFmode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V2SFmode, operands[1], operands[2])))
            return 2959; /* load_pair_lanessf */
          break;

        case E_V2DImode:
          if (pattern840 (x2, 
E_DImode, 
E_V2DImode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V2DImode, operands[1], operands[2])))
            return 2960; /* load_pair_lanesdi */
          break;

        case E_V2DFmode:
          if (pattern840 (x2, 
E_DFmode, 
E_V2DFmode) == 0
              && 
#line 4304 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && aarch64_mergeable_load_pair_p (V2DFmode, operands[1], operands[2])))
            return 2961; /* load_pair_lanesdf */
          break;

        case E_VNx16QImode:
          if (pattern841 (x2, 
E_VNx8QImode, 
E_VNx16QImode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10834; /* aarch64_pack_partialvnx16qi */
          break;

        case E_VNx8QImode:
          if (pattern841 (x2, 
E_VNx4QImode, 
E_VNx8QImode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10835; /* aarch64_pack_partialvnx8qi */
          break;

        case E_VNx8HImode:
          if (pattern841 (x2, 
E_VNx4HImode, 
E_VNx8HImode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10836; /* aarch64_pack_partialvnx8hi */
          break;

        case E_VNx8HFmode:
          if (pattern841 (x2, 
E_VNx4HFmode, 
E_VNx8HFmode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10837; /* aarch64_pack_partialvnx8hf */
          break;

        case E_VNx8BFmode:
          if (pattern841 (x2, 
E_VNx4BFmode, 
E_VNx8BFmode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10838; /* aarch64_pack_partialvnx8bf */
          break;

        case E_VNx4QImode:
          if (pattern841 (x2, 
E_VNx2QImode, 
E_VNx4QImode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10839; /* aarch64_pack_partialvnx4qi */
          break;

        case E_VNx4HImode:
          if (pattern841 (x2, 
E_VNx2HImode, 
E_VNx4HImode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10840; /* aarch64_pack_partialvnx4hi */
          break;

        case E_VNx4HFmode:
          if (pattern841 (x2, 
E_VNx2HFmode, 
E_VNx4HFmode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10841; /* aarch64_pack_partialvnx4hf */
          break;

        case E_VNx4BFmode:
          if (pattern841 (x2, 
E_VNx2BFmode, 
E_VNx4BFmode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10842; /* aarch64_pack_partialvnx4bf */
          break;

        case E_VNx4SImode:
          if (pattern841 (x2, 
E_VNx2SImode, 
E_VNx4SImode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10843; /* aarch64_pack_partialvnx4si */
          break;

        case E_VNx4SFmode:
          if (pattern841 (x2, 
E_VNx2SFmode, 
E_VNx4SFmode) == 0
              && 
#line 9442 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 10844; /* aarch64_pack_partialvnx4sf */
          break;

        default:
          break;
        }
      break;

    case MEM:
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern842 (x2, 
E_V8QImode, 
E_V16QImode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2962; /* store_pair_lanesv8qi */
          break;

        case E_V8HImode:
          if (pattern842 (x2, 
E_V4HImode, 
E_V8HImode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2963; /* store_pair_lanesv4hi */
          break;

        case E_V8BFmode:
          if (pattern842 (x2, 
E_V4BFmode, 
E_V8BFmode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2964; /* store_pair_lanesv4bf */
          break;

        case E_V8HFmode:
          if (pattern842 (x2, 
E_V4HFmode, 
E_V8HFmode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2965; /* store_pair_lanesv4hf */
          break;

        case E_V4SImode:
          if (pattern842 (x2, 
E_V2SImode, 
E_V4SImode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2966; /* store_pair_lanesv2si */
          break;

        case E_V4SFmode:
          if (pattern842 (x2, 
E_V2SFmode, 
E_V4SFmode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2967; /* store_pair_lanesv2sf */
          break;

        case E_V2SImode:
          if (pattern842 (x2, 
E_SImode, 
E_V2SImode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2968; /* store_pair_lanessi */
          break;

        case E_V2SFmode:
          if (pattern842 (x2, 
E_SFmode, 
E_V2SFmode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2969; /* store_pair_lanessf */
          break;

        case E_V2DImode:
          if (pattern842 (x2, 
E_DImode, 
E_V2DImode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2970; /* store_pair_lanesdi */
          break;

        case E_V2DFmode:
          if (pattern842 (x2, 
E_DFmode, 
E_V2DFmode) == 0
              && 
#line 4334 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
            return 2971; /* store_pair_lanesdf */
          break;

        default:
          break;
        }
      break;

    default:
      break;
    }
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V16QImode)
          || GET_MODE (x2) != E_V16QImode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_V8QImode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_V8QImode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V16QImode)
       || register_operand (operands[2], V8QImode))))
            return 2972; /* *aarch64_combine_internalv8qi */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_V8QImode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_V8QImode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V16QImode)
       || register_operand (operands[2], V8QImode))))
        return -1;
      return 2982; /* *aarch64_combine_internal_bev8qi */

    case E_V8HImode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V8HImode)
          || GET_MODE (x2) != E_V8HImode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_V4HImode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_V4HImode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V8HImode)
       || register_operand (operands[2], V4HImode))))
            return 2973; /* *aarch64_combine_internalv4hi */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_V4HImode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_V4HImode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V8HImode)
       || register_operand (operands[2], V4HImode))))
        return -1;
      return 2983; /* *aarch64_combine_internal_bev4hi */

    case E_V8BFmode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V8BFmode)
          || GET_MODE (x2) != E_V8BFmode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_V4BFmode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_V4BFmode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V8BFmode)
       || register_operand (operands[2], V4BFmode))))
            return 2974; /* *aarch64_combine_internalv4bf */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_V4BFmode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_V4BFmode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V8BFmode)
       || register_operand (operands[2], V4BFmode))))
        return -1;
      return 2984; /* *aarch64_combine_internal_bev4bf */

    case E_V8HFmode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V8HFmode)
          || GET_MODE (x2) != E_V8HFmode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_V4HFmode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_V4HFmode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V8HFmode)
       || register_operand (operands[2], V4HFmode))))
            return 2975; /* *aarch64_combine_internalv4hf */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_V4HFmode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_V4HFmode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V8HFmode)
       || register_operand (operands[2], V4HFmode))))
        return -1;
      return 2985; /* *aarch64_combine_internal_bev4hf */

    case E_V4SImode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V4SImode)
          || GET_MODE (x2) != E_V4SImode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_V2SImode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_V2SImode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V4SImode)
       || register_operand (operands[2], V2SImode))))
            return 2976; /* *aarch64_combine_internalv2si */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_V2SImode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_V2SImode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V4SImode)
       || register_operand (operands[2], V2SImode))))
        return -1;
      return 2986; /* *aarch64_combine_internal_bev2si */

    case E_V4SFmode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V4SFmode)
          || GET_MODE (x2) != E_V4SFmode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_V2SFmode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_V2SFmode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V4SFmode)
       || register_operand (operands[2], V2SFmode))))
            return 2977; /* *aarch64_combine_internalv2sf */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_V2SFmode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_V2SFmode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V4SFmode)
       || register_operand (operands[2], V2SFmode))))
        return -1;
      return 2987; /* *aarch64_combine_internal_bev2sf */

    case E_V2SImode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V2SImode)
          || GET_MODE (x2) != E_V2SImode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_SImode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_SImode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2SImode)
       || register_operand (operands[2], SImode))))
            return 2978; /* *aarch64_combine_internalsi */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_SImode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2SImode)
       || register_operand (operands[2], SImode))))
        return -1;
      return 2988; /* *aarch64_combine_internal_besi */

    case E_V2SFmode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V2SFmode)
          || GET_MODE (x2) != E_V2SFmode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_SFmode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_SFmode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2SFmode)
       || register_operand (operands[2], SFmode))))
            return 2979; /* *aarch64_combine_internalsf */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_SFmode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_SFmode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2SFmode)
       || register_operand (operands[2], SFmode))))
        return -1;
      return 2989; /* *aarch64_combine_internal_besf */

    case E_V2DImode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V2DImode)
          || GET_MODE (x2) != E_V2DImode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_DImode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_DImode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2DImode)
       || register_operand (operands[2], DImode))))
            return 2980; /* *aarch64_combine_internaldi */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_DImode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_DImode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2DImode)
       || register_operand (operands[2], DImode))))
        return -1;
      return 2990; /* *aarch64_combine_internal_bedi */

    case E_V2DFmode:
      if (!aarch64_reg_or_mem_pair_operand (operands[0], E_V2DFmode)
          || GET_MODE (x2) != E_V2DFmode)
        return -1;
      operands[1] = x4;
      if (register_operand (operands[1], E_DFmode))
        {
          operands[2] = x3;
          if (aarch64_simd_nonimmediate_operand (operands[2], E_DFmode)
              && 
#line 4353 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && !BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2DFmode)
       || register_operand (operands[2], DFmode))))
            return 2981; /* *aarch64_combine_internaldf */
        }
      operands[2] = x4;
      if (!aarch64_simd_nonimmediate_operand (operands[2], E_DFmode))
        return -1;
      operands[1] = x3;
      if (!register_operand (operands[1], E_DFmode)
          || !
#line 4372 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && BYTES_BIG_ENDIAN
   && (register_operand (operands[0], V2DFmode)
       || register_operand (operands[2], DFmode))))
        return -1;
      return 2991; /* *aarch64_combine_internal_bedf */

    default:
      return -1;
    }
}

 int
recog_503 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      x5 = XEXP (x3, 1);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          operands[1] = x4;
          switch (pattern320 (x2))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 355 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1369; /* subv8qi3_vec_concatz_le */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 355 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1373; /* subv4hi3_vec_concatz_le */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 355 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1377; /* subv2si3_vec_concatz_le */

            case 3:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2646 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2372; /* subv4hf3_vec_concatz_le */

            case 4:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2646 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2376; /* subv2sf3_vec_concatz_le */

            default:
              return -1;
            }

        case MULT:
          x6 = XEXP (x5, 0);
          switch (GET_CODE (x6))
            {
            case REG:
            case SUBREG:
              operands[2] = x6;
              operands[1] = x4;
              x7 = XEXP (x5, 1);
              operands[3] = x7;
              x8 = XEXP (x2, 1);
              operands[4] = x8;
              switch (GET_MODE (operands[0]))
                {
                case E_V16QImode:
                  if (pattern1030 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2039; /* aarch64_mlsv8qi_vec_concatz_le */

                case E_V8HImode:
                  if (pattern1030 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2043; /* aarch64_mlsv4hi_vec_concatz_le */

                case E_V4SImode:
                  if (pattern1030 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2047; /* aarch64_mlsv2si_vec_concatz_le */

                default:
                  return -1;
                }

            case VEC_DUPLICATE:
              x9 = XEXP (x6, 0);
              switch (GET_CODE (x9))
                {
                case VEC_SELECT:
                  x10 = XEXP (x9, 1);
                  if (GET_CODE (x10) != PARALLEL
                      || XVECLEN (x10, 0) != 1)
                    return -1;
                  operands[4] = x4;
                  x11 = XEXP (x9, 0);
                  operands[1] = x11;
                  x12 = XVECEXP (x10, 0, 0);
                  operands[2] = x12;
                  if (!immediate_operand (operands[2], E_SImode))
                    return -1;
                  x7 = XEXP (x5, 1);
                  operands[3] = x7;
                  x8 = XEXP (x2, 1);
                  operands[5] = x8;
                  switch (GET_MODE (operands[0]))
                    {
                    case E_V8HImode:
                      if (pattern1241 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0)
                        return -1;
                      switch (GET_MODE (operands[1]))
                        {
                        case E_V4HImode:
                          if (!register_operand (operands[1], E_V4HImode)
                              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1712 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                            return -1;
                          return 2051; /* *aarch64_mls_eltv4hi_vec_concatz_le */

                        case E_V8HImode:
                          if (!register_operand (operands[1], E_V8HImode)
                              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                            return -1;
                          return 2059; /* *aarch64_mls_elt_to_128v4hi_vec_concatz_le */

                        default:
                          return -1;
                        }

                    case E_V4SImode:
                      if (pattern1241 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0)
                        return -1;
                      switch (GET_MODE (operands[1]))
                        {
                        case E_V2SImode:
                          if (!register_operand (operands[1], E_V2SImode)
                              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1712 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                            return -1;
                          return 2055; /* *aarch64_mls_eltv2si_vec_concatz_le */

                        case E_V4SImode:
                          if (!register_operand (operands[1], E_V4SImode)
                              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1730 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                            return -1;
                          return 2063; /* *aarch64_mls_elt_to_128v2si_vec_concatz_le */

                        default:
                          return -1;
                        }

                    default:
                      return -1;
                    }

                case REG:
                case SUBREG:
                  operands[3] = x9;
                  operands[1] = x4;
                  x7 = XEXP (x5, 1);
                  operands[2] = x7;
                  x8 = XEXP (x2, 1);
                  operands[4] = x8;
                  switch (GET_MODE (operands[0]))
                    {
                    case E_V8HImode:
                      if (pattern1089 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1746 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2067; /* aarch64_mls_nv4hi_vec_concatz_le */

                    case E_V4SImode:
                      if (pattern1089 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1746 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2071; /* aarch64_mls_nv2si_vec_concatz_le */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SMAX:
      switch (pattern427 (x2, 
SMIN))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1644; /* aarch64_sabdv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1652; /* aarch64_sabdv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1660; /* aarch64_sabdv2si_vec_concatz_le */

        default:
          return -1;
        }

    case UMAX:
      switch (pattern427 (x2, 
UMIN))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1647; /* aarch64_uabdv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1655; /* aarch64_uabdv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1663; /* aarch64_uabdv2si_vec_concatz_le */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_506 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (GET_CODE (x2))
    {
    case CONST_INT:
    case CONST_WIDE_INT:
    case CONST_POLY_INT:
    case CONST_FIXED:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case CONST:
    case REG:
    case SUBREG:
    case MEM:
    case LABEL_REF:
    case SYMBOL_REF:
    case HIGH:
      switch (GET_CODE (x2))
        {
        case LABEL_REF:
          x3 = XEXP (x1, 0);
          if (GET_CODE (x3) == PC)
            {
              x4 = XEXP (x2, 0);
              operands[0] = x4;
              return 6; /* jump */
            }
          break;

        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_VECTOR:
        case CONST:
        case REG:
        case SUBREG:
        case MEM:
          switch (GET_CODE (x2))
            {
            case CONST_VECTOR:
            case CONST:
            case REG:
            case SUBREG:
            case MEM:
              res = recog_476 (x1, insn, pnum_clobbers);
              if (res >= 0)
                return res;
              break;

            case CONST_INT:
              res = recog_477 (x1, insn, pnum_clobbers);
              if (res >= 0)
                return res;
              break;

            default:
              break;
            }
          operands[1] = x2;
          if (aarch64_movti_operand (operands[1], E_TImode))
            {
              x3 = XEXP (x1, 0);
              operands[0] = x3;
              if (nonimmediate_operand (operands[0], E_TImode)
                  && 
#line 1711 "../../gcc/config/aarch64/aarch64.md"
((register_operand (operands[0], TImode)
    || aarch64_reg_or_zero (operands[1], TImode))))
                return 75; /* *movti_aarch64 */
            }
          break;

        default:
          break;
        }
      operands[1] = x2;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (register_operand (operands[0], E_VNx16QImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx16QImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx16QImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx16QImode)))))
            return 5552; /* *aarch64_sve_movvnx16qi_no_ldr_str */
          break;

        case E_VNx8QImode:
          if (register_operand (operands[0], E_VNx8QImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8QImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx8QImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx8QImode)))))
            return 5553; /* *aarch64_sve_movvnx8qi_no_ldr_str */
          break;

        case E_VNx4QImode:
          if (register_operand (operands[0], E_VNx4QImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4QImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx4QImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx4QImode)))))
            return 5554; /* *aarch64_sve_movvnx4qi_no_ldr_str */
          break;

        case E_VNx2QImode:
          if (register_operand (operands[0], E_VNx2QImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2QImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2QImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2QImode)))))
            return 5555; /* *aarch64_sve_movvnx2qi_no_ldr_str */
          break;

        case E_VNx8HImode:
          if (register_operand (operands[0], E_VNx8HImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8HImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx8HImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx8HImode)))))
            return 5556; /* *aarch64_sve_movvnx8hi_no_ldr_str */
          break;

        case E_VNx4HImode:
          if (register_operand (operands[0], E_VNx4HImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4HImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx4HImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx4HImode)))))
            return 5557; /* *aarch64_sve_movvnx4hi_no_ldr_str */
          break;

        case E_VNx2HImode:
          if (register_operand (operands[0], E_VNx2HImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2HImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2HImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2HImode)))))
            return 5558; /* *aarch64_sve_movvnx2hi_no_ldr_str */
          break;

        case E_VNx4SImode:
          if (register_operand (operands[0], E_VNx4SImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4SImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx4SImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx4SImode)))))
            return 5559; /* *aarch64_sve_movvnx4si_no_ldr_str */
          break;

        case E_VNx2SImode:
          if (register_operand (operands[0], E_VNx2SImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2SImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2SImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2SImode)))))
            return 5560; /* *aarch64_sve_movvnx2si_no_ldr_str */
          break;

        case E_VNx2DImode:
          if (register_operand (operands[0], E_VNx2DImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2DImode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2DImode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2DImode)))))
            return 5561; /* *aarch64_sve_movvnx2di_no_ldr_str */
          break;

        case E_VNx8HFmode:
          if (register_operand (operands[0], E_VNx8HFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8HFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx8HFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx8HFmode)))))
            return 5562; /* *aarch64_sve_movvnx8hf_no_ldr_str */
          break;

        case E_VNx4HFmode:
          if (register_operand (operands[0], E_VNx4HFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4HFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx4HFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx4HFmode)))))
            return 5563; /* *aarch64_sve_movvnx4hf_no_ldr_str */
          break;

        case E_VNx2HFmode:
          if (register_operand (operands[0], E_VNx2HFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2HFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2HFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2HFmode)))))
            return 5564; /* *aarch64_sve_movvnx2hf_no_ldr_str */
          break;

        case E_VNx8BFmode:
          if (register_operand (operands[0], E_VNx8BFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8BFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx8BFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx8BFmode)))))
            return 5565; /* *aarch64_sve_movvnx8bf_no_ldr_str */
          break;

        case E_VNx4BFmode:
          if (register_operand (operands[0], E_VNx4BFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4BFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx4BFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx4BFmode)))))
            return 5566; /* *aarch64_sve_movvnx4bf_no_ldr_str */
          break;

        case E_VNx2BFmode:
          if (register_operand (operands[0], E_VNx2BFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2BFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2BFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2BFmode)))))
            return 5567; /* *aarch64_sve_movvnx2bf_no_ldr_str */
          break;

        case E_VNx4SFmode:
          if (register_operand (operands[0], E_VNx4SFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4SFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx4SFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx4SFmode)))))
            return 5568; /* *aarch64_sve_movvnx4sf_no_ldr_str */
          break;

        case E_VNx2SFmode:
          if (register_operand (operands[0], E_VNx2SFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2SFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2SFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2SFmode)))))
            return 5569; /* *aarch64_sve_movvnx2sf_no_ldr_str */
          break;

        case E_VNx2DFmode:
          if (register_operand (operands[0], E_VNx2DFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx2DFmode)
              && 
#line 728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && VNx2DFmode != VNx16QImode
   && (BYTES_BIG_ENDIAN
       || maybe_ne (BYTES_PER_SVE_VECTOR, GET_MODE_SIZE (VNx2DFmode)))))
            return 5570; /* *aarch64_sve_movvnx2df_no_ldr_str */
          break;

        case E_VNx32QImode:
          if (register_operand (operands[0], E_VNx32QImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx32QImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5676; /* *aarch64_sve_movvnx32qi_be */
          break;

        case E_VNx16HImode:
          if (register_operand (operands[0], E_VNx16HImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx16HImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5677; /* *aarch64_sve_movvnx16hi_be */
          break;

        case E_VNx8SImode:
          if (register_operand (operands[0], E_VNx8SImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8SImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5678; /* *aarch64_sve_movvnx8si_be */
          break;

        case E_VNx4DImode:
          if (register_operand (operands[0], E_VNx4DImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4DImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5679; /* *aarch64_sve_movvnx4di_be */
          break;

        case E_VNx16BFmode:
          if (register_operand (operands[0], E_VNx16BFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx16BFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5680; /* *aarch64_sve_movvnx16bf_be */
          break;

        case E_VNx16HFmode:
          if (register_operand (operands[0], E_VNx16HFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx16HFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5681; /* *aarch64_sve_movvnx16hf_be */
          break;

        case E_VNx8SFmode:
          if (register_operand (operands[0], E_VNx8SFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8SFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5682; /* *aarch64_sve_movvnx8sf_be */
          break;

        case E_VNx4DFmode:
          if (register_operand (operands[0], E_VNx4DFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx4DFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5683; /* *aarch64_sve_movvnx4df_be */
          break;

        case E_VNx48QImode:
          if (register_operand (operands[0], E_VNx48QImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx48QImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5684; /* *aarch64_sve_movvnx48qi_be */
          break;

        case E_VNx24HImode:
          if (register_operand (operands[0], E_VNx24HImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx24HImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5685; /* *aarch64_sve_movvnx24hi_be */
          break;

        case E_VNx12SImode:
          if (register_operand (operands[0], E_VNx12SImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx12SImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5686; /* *aarch64_sve_movvnx12si_be */
          break;

        case E_VNx6DImode:
          if (register_operand (operands[0], E_VNx6DImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx6DImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5687; /* *aarch64_sve_movvnx6di_be */
          break;

        case E_VNx24BFmode:
          if (register_operand (operands[0], E_VNx24BFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx24BFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5688; /* *aarch64_sve_movvnx24bf_be */
          break;

        case E_VNx24HFmode:
          if (register_operand (operands[0], E_VNx24HFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx24HFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5689; /* *aarch64_sve_movvnx24hf_be */
          break;

        case E_VNx12SFmode:
          if (register_operand (operands[0], E_VNx12SFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx12SFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5690; /* *aarch64_sve_movvnx12sf_be */
          break;

        case E_VNx6DFmode:
          if (register_operand (operands[0], E_VNx6DFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx6DFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5691; /* *aarch64_sve_movvnx6df_be */
          break;

        case E_VNx64QImode:
          if (register_operand (operands[0], E_VNx64QImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx64QImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5692; /* *aarch64_sve_movvnx64qi_be */
          break;

        case E_VNx32HImode:
          if (register_operand (operands[0], E_VNx32HImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx32HImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5693; /* *aarch64_sve_movvnx32hi_be */
          break;

        case E_VNx16SImode:
          if (register_operand (operands[0], E_VNx16SImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx16SImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5694; /* *aarch64_sve_movvnx16si_be */
          break;

        case E_VNx8DImode:
          if (register_operand (operands[0], E_VNx8DImode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8DImode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5695; /* *aarch64_sve_movvnx8di_be */
          break;

        case E_VNx32BFmode:
          if (register_operand (operands[0], E_VNx32BFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx32BFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5696; /* *aarch64_sve_movvnx32bf_be */
          break;

        case E_VNx32HFmode:
          if (register_operand (operands[0], E_VNx32HFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx32HFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5697; /* *aarch64_sve_movvnx32hf_be */
          break;

        case E_VNx16SFmode:
          if (register_operand (operands[0], E_VNx16SFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx16SFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5698; /* *aarch64_sve_movvnx16sf_be */
          break;

        case E_VNx8DFmode:
          if (register_operand (operands[0], E_VNx8DFmode)
              && aarch64_nonmemory_operand (operands[1], E_VNx8DFmode)
              && 
#line 882 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
            return 5699; /* *aarch64_sve_movvnx8df_be */
          break;

        case E_VNx16BImode:
          if (nonimmediate_operand (operands[0], E_VNx16BImode)
              && aarch64_mov_operand (operands[1], E_VNx16BImode)
              && 
#line 974 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16BImode)
       || register_operand (operands[1], VNx16BImode))))
            return 5724; /* *aarch64_sve_movvnx16bi */
          break;

        case E_VNx8BImode:
          if (nonimmediate_operand (operands[0], E_VNx8BImode)
              && aarch64_mov_operand (operands[1], E_VNx8BImode)
              && 
#line 974 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8BImode)
       || register_operand (operands[1], VNx8BImode))))
            return 5725; /* *aarch64_sve_movvnx8bi */
          break;

        case E_VNx4BImode:
          if (nonimmediate_operand (operands[0], E_VNx4BImode)
              && aarch64_mov_operand (operands[1], E_VNx4BImode)
              && 
#line 974 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4BImode)
       || register_operand (operands[1], VNx4BImode))))
            return 5726; /* *aarch64_sve_movvnx4bi */
          break;

        case E_VNx2BImode:
          if (nonimmediate_operand (operands[0], E_VNx2BImode)
              && aarch64_mov_operand (operands[1], E_VNx2BImode)
              && 
#line 974 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2BImode)
       || register_operand (operands[1], VNx2BImode))))
            return 5727; /* *aarch64_sve_movvnx2bi */
          break;

        case E_VNx32BImode:
          if (nonimmediate_operand (operands[0], E_VNx32BImode)
              && aarch64_mov_operand (operands[1], E_VNx32BImode)
              && 
#line 1096 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 5736; /* movvnx32bi */
          break;

        case E_VNx64BImode:
          if (nonimmediate_operand (operands[0], E_VNx64BImode)
              && aarch64_mov_operand (operands[1], E_VNx64BImode)
              && 
#line 1096 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 5737; /* movvnx64bi */
          break;

        default:
          break;
        }
      if (GET_CODE (x2) == REG
          && GET_MODE (x2) == E_VNx16BImode)
        {
          switch (REGNO (x2))
            {
            case 85:
              if (GET_CODE (x3) == REG
                  && REGNO (x3) == 86
                  && GET_MODE (x3) == E_VNx16BImode
                  && 
#line 1158 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 5740; /* aarch64_copy_ffr_to_ffrt */
              break;

            case 86:
              operands[0] = x3;
              if (register_operand (operands[0], E_VNx16BImode)
                  && 
#line 1169 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 5741; /* aarch64_rdffr */
              break;

            default:
              break;
            }
        }
      operands[1] = x2;
      operands[0] = x3;
      res = recog_478 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
      if (x2 == const_int_rtx[MAX_SAVED_CONST_INT + 0]
          && GET_CODE (x3) == REG
          && REGNO (x3) == 90
          && GET_MODE (x3) == E_DImode)
        return 13010; /* aarch64_clear_tpidr2 */
      break;

    case TRUNCATE:
      res = recog_480 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
      break;

    default:
      break;
    }
  if (!subreg_lowpart_operator (x2, E_DImode))
    return -1;
  switch (pattern29 (x1))
    {
    case 0:
      if (!
#line 6475 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
        return -1;
      return 846; /* *aarch64_bfidiqi_subreg_8 */

    case 1:
      if (!
#line 6475 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
        return -1;
      return 847; /* *aarch64_bfidihi_subreg_8 */

    case 2:
      if (!
#line 6475 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
        return -1;
      return 849; /* *aarch64_bfidisi_subreg_8 */

    case 3:
      if (!
#line 6475 "../../gcc/config/aarch64/aarch64.md"
(16 <= 16
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64))
        return -1;
      return 848; /* *aarch64_bfidihi_subreg_16 */

    case 4:
      if (!
#line 6475 "../../gcc/config/aarch64/aarch64.md"
(16 <= 32
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64))
        return -1;
      return 850; /* *aarch64_bfidisi_subreg_16 */

    case 5:
      if (!
#line 6475 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 64))
        return -1;
      return 851; /* *aarch64_bfidisi_subreg_32 */

    default:
      return -1;
    }
}

 int
recog_515 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case VEC_SELECT:
      return recog_483 (x1, insn, pnum_clobbers);

    case REG:
    case SUBREG:
    case MEM:
      operands[1] = x4;
      switch (GET_CODE (operands[1]))
        {
        case REG:
        case SUBREG:
          switch (GET_CODE (operands[0]))
            {
            case REG:
            case SUBREG:
              switch (GET_MODE (operands[0]))
                {
                case E_V8QImode:
                  if (register_operand (operands[0], E_V8QImode)
                      && GET_MODE (x3) == E_V8QImode
                      && register_operand (operands[1], E_QImode)
                      && 
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1247; /* aarch64_simd_dupv8qi */
                  break;

                case E_V16QImode:
                  if (register_operand (operands[0], E_V16QImode)
                      && GET_MODE (x3) == E_V16QImode
                      && register_operand (operands[1], E_QImode)
                      && 
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1248; /* aarch64_simd_dupv16qi */
                  break;

                case E_V4HImode:
                  if (register_operand (operands[0], E_V4HImode)
                      && GET_MODE (x3) == E_V4HImode
                      && register_operand (operands[1], E_HImode)
                      && 
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1249; /* aarch64_simd_dupv4hi */
                  break;

                case E_V8HImode:
                  if (register_operand (operands[0], E_V8HImode)
                      && GET_MODE (x3) == E_V8HImode
                      && register_operand (operands[1], E_HImode)
                      && 
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1250; /* aarch64_simd_dupv8hi */
                  break;

                case E_V2SImode:
                  if (register_operand (operands[0], E_V2SImode)
                      && GET_MODE (x3) == E_V2SImode
                      && register_operand (operands[1], E_SImode)
                      && 
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1251; /* aarch64_simd_dupv2si */
                  break;

                case E_V4SImode:
                  if (register_operand (operands[0], E_V4SImode)
                      && GET_MODE (x3) == E_V4SImode
                      && register_operand (operands[1], E_SImode)
                      && 
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1252; /* aarch64_simd_dupv4si */
                  break;

                case E_V2DImode:
                  if (register_operand (operands[0], E_V2DImode)
                      && GET_MODE (x3) == E_V2DImode
                      && register_operand (operands[1], E_DImode)
                      && 
#line 97 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1253; /* aarch64_simd_dupv2di */
                  break;

                case E_V4HFmode:
                  if (register_operand (operands[0], E_V4HFmode)
                      && GET_MODE (x3) == E_V4HFmode
                      && register_operand (operands[1], E_HFmode)
                      && 
#line 108 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1254; /* aarch64_simd_dupv4hf */
                  break;

                case E_V8HFmode:
                  if (register_operand (operands[0], E_V8HFmode)
                      && GET_MODE (x3) == E_V8HFmode
                      && register_operand (operands[1], E_HFmode)
                      && 
#line 108 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1255; /* aarch64_simd_dupv8hf */
                  break;

                case E_V2SFmode:
                  if (register_operand (operands[0], E_V2SFmode)
                      && GET_MODE (x3) == E_V2SFmode
                      && register_operand (operands[1], E_SFmode)
                      && 
#line 108 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1256; /* aarch64_simd_dupv2sf */
                  break;

                case E_V4SFmode:
                  if (register_operand (operands[0], E_V4SFmode)
                      && GET_MODE (x3) == E_V4SFmode
                      && register_operand (operands[1], E_SFmode)
                      && 
#line 108 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1257; /* aarch64_simd_dupv4sf */
                  break;

                case E_V2DFmode:
                  if (register_operand (operands[0], E_V2DFmode)
                      && GET_MODE (x3) == E_V2DFmode
                      && register_operand (operands[1], E_DFmode)
                      && 
#line 108 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1258; /* aarch64_simd_dupv2df */
                  break;

                case E_V4BFmode:
                  if (register_operand (operands[0], E_V4BFmode)
                      && GET_MODE (x3) == E_V4BFmode
                      && register_operand (operands[1], E_BFmode)
                      && 
#line 108 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1259; /* aarch64_simd_dupv4bf */
                  break;

                case E_V8BFmode:
                  if (register_operand (operands[0], E_V8BFmode)
                      && GET_MODE (x3) == E_V8BFmode
                      && register_operand (operands[1], E_BFmode)
                      && 
#line 108 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1260; /* aarch64_simd_dupv8bf */
                  break;

                default:
                  break;
                }
              break;

            case MEM:
              switch (GET_MODE (operands[0]))
                {
                case E_V2SImode:
                  if (aarch64_mem_pair_lanes_operand (operands[0], E_V2SImode)
                      && GET_MODE (x3) == E_V2SImode
                      && register_operand (operands[1], E_SImode)
                      && 
#line 237 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1313; /* aarch64_simd_stpv2si */
                  break;

                case E_V2SFmode:
                  if (aarch64_mem_pair_lanes_operand (operands[0], E_V2SFmode)
                      && GET_MODE (x3) == E_V2SFmode
                      && register_operand (operands[1], E_SFmode)
                      && 
#line 237 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1314; /* aarch64_simd_stpv2sf */
                  break;

                case E_V2DImode:
                  if (aarch64_mem_pair_lanes_operand (operands[0], E_V2DImode)
                      && GET_MODE (x3) == E_V2DImode
                      && register_operand (operands[1], E_DImode)
                      && 
#line 237 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1315; /* aarch64_simd_stpv2di */
                  break;

                case E_V2DFmode:
                  if (aarch64_mem_pair_lanes_operand (operands[0], E_V2DFmode)
                      && GET_MODE (x3) == E_V2DFmode
                      && register_operand (operands[1], E_DFmode)
                      && 
#line 237 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 1316; /* aarch64_simd_stpv2df */
                  break;

                default:
                  break;
                }
              break;

            default:
              break;
            }
          break;

        case MEM:
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (register_operand (operands[0], E_V8QImode)
                  && GET_MODE (x3) == E_V8QImode
                  && aarch64_simd_struct_operand (operands[1], E_QImode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5126; /* *aarch64_simd_ld1rv8qi */
              break;

            case E_V16QImode:
              if (register_operand (operands[0], E_V16QImode)
                  && GET_MODE (x3) == E_V16QImode
                  && aarch64_simd_struct_operand (operands[1], E_QImode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5127; /* *aarch64_simd_ld1rv16qi */
              break;

            case E_V4HImode:
              if (register_operand (operands[0], E_V4HImode)
                  && GET_MODE (x3) == E_V4HImode
                  && aarch64_simd_struct_operand (operands[1], E_HImode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5128; /* *aarch64_simd_ld1rv4hi */
              break;

            case E_V8HImode:
              if (register_operand (operands[0], E_V8HImode)
                  && GET_MODE (x3) == E_V8HImode
                  && aarch64_simd_struct_operand (operands[1], E_HImode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5129; /* *aarch64_simd_ld1rv8hi */
              break;

            case E_V2SImode:
              if (register_operand (operands[0], E_V2SImode)
                  && GET_MODE (x3) == E_V2SImode
                  && aarch64_simd_struct_operand (operands[1], E_SImode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5130; /* *aarch64_simd_ld1rv2si */
              break;

            case E_V4SImode:
              if (register_operand (operands[0], E_V4SImode)
                  && GET_MODE (x3) == E_V4SImode
                  && aarch64_simd_struct_operand (operands[1], E_SImode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5131; /* *aarch64_simd_ld1rv4si */
              break;

            case E_V2DImode:
              if (register_operand (operands[0], E_V2DImode)
                  && GET_MODE (x3) == E_V2DImode
                  && aarch64_simd_struct_operand (operands[1], E_DImode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5132; /* *aarch64_simd_ld1rv2di */
              break;

            case E_V4HFmode:
              if (register_operand (operands[0], E_V4HFmode)
                  && GET_MODE (x3) == E_V4HFmode
                  && aarch64_simd_struct_operand (operands[1], E_HFmode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5133; /* *aarch64_simd_ld1rv4hf */
              break;

            case E_V8HFmode:
              if (register_operand (operands[0], E_V8HFmode)
                  && GET_MODE (x3) == E_V8HFmode
                  && aarch64_simd_struct_operand (operands[1], E_HFmode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5134; /* *aarch64_simd_ld1rv8hf */
              break;

            case E_V4BFmode:
              if (register_operand (operands[0], E_V4BFmode)
                  && GET_MODE (x3) == E_V4BFmode
                  && aarch64_simd_struct_operand (operands[1], E_BFmode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5135; /* *aarch64_simd_ld1rv4bf */
              break;

            case E_V8BFmode:
              if (register_operand (operands[0], E_V8BFmode)
                  && GET_MODE (x3) == E_V8BFmode
                  && aarch64_simd_struct_operand (operands[1], E_BFmode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5136; /* *aarch64_simd_ld1rv8bf */
              break;

            case E_V2SFmode:
              if (register_operand (operands[0], E_V2SFmode)
                  && GET_MODE (x3) == E_V2SFmode
                  && aarch64_simd_struct_operand (operands[1], E_SFmode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5137; /* *aarch64_simd_ld1rv2sf */
              break;

            case E_V4SFmode:
              if (register_operand (operands[0], E_V4SFmode)
                  && GET_MODE (x3) == E_V4SFmode
                  && aarch64_simd_struct_operand (operands[1], E_SFmode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5138; /* *aarch64_simd_ld1rv4sf */
              break;

            case E_V2DFmode:
              if (register_operand (operands[0], E_V2DFmode)
                  && GET_MODE (x3) == E_V2DFmode
                  && aarch64_simd_struct_operand (operands[1], E_DFmode)
                  && 
#line 8819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 5139; /* *aarch64_simd_ld1rv2df */
              break;

            default:
              break;
            }
          break;

        default:
          break;
        }
      if (pnum_clobbers == NULL)
        return -1;
      return recog_482 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_523 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || GET_MODE (x3) != E_SImode
              || !register_operand (operands[1], E_SImode))
            return -1;
          return 578; /* one_cmplsi2 */

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || !register_operand (operands[1], E_DImode))
            return -1;
          return 579; /* one_cmpldi2 */

        case E_V8QImode:
          if (!register_operand (operands[0], E_V8QImode)
              || GET_MODE (x3) != E_V8QImode
              || !register_operand (operands[1], E_V8QImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1804; /* one_cmplv8qi2 */

        case E_V16QImode:
          if (!register_operand (operands[0], E_V16QImode)
              || GET_MODE (x3) != E_V16QImode
              || !register_operand (operands[1], E_V16QImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1807; /* one_cmplv16qi2 */

        case E_V4HImode:
          if (!register_operand (operands[0], E_V4HImode)
              || GET_MODE (x3) != E_V4HImode
              || !register_operand (operands[1], E_V4HImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1808; /* one_cmplv4hi2 */

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x3) != E_V8HImode
              || !register_operand (operands[1], E_V8HImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1811; /* one_cmplv8hi2 */

        case E_V2SImode:
          if (!register_operand (operands[0], E_V2SImode)
              || GET_MODE (x3) != E_V2SImode
              || !register_operand (operands[1], E_V2SImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1812; /* one_cmplv2si2 */

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x3) != E_V4SImode
              || !register_operand (operands[1], E_V4SImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1815; /* one_cmplv4si2 */

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x3) != E_V2DImode
              || !register_operand (operands[1], E_V2DImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1816; /* one_cmplv2di2 */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern298 (x3))
        {
        case 0:
          return 581; /* *one_cmpl_ashlsi2 */

        case 1:
          return 586; /* *one_cmpl_ashldi2 */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern298 (x3))
        {
        case 0:
          return 582; /* *one_cmpl_ashrsi2 */

        case 1:
          return 587; /* *one_cmpl_ashrdi2 */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern298 (x3))
        {
        case 0:
          return 583; /* *one_cmpl_lshrsi2 */

        case 1:
          return 588; /* *one_cmpl_lshrdi2 */

        default:
          return -1;
        }

    case ROTATERT:
      switch (pattern298 (x3))
        {
        case 0:
          return 584; /* *one_cmpl_rotrsi2 */

        case 1:
          return 589; /* *one_cmpl_rotrdi2 */

        default:
          return -1;
        }

    case ROTATE:
      switch (pattern298 (x3))
        {
        case 0:
          return 585; /* *one_cmpl_rotlsi2 */

        case 1:
          return 590; /* *one_cmpl_rotldi2 */

        default:
          return -1;
        }

    case XOR:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern369 (x3))
            {
            case 0:
              return 598; /* *xor_one_cmplsi3 */

            case 1:
              return 599; /* *xor_one_cmpldi3 */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern414 (x3))
            {
            case 0:
              return 650; /* *eor_one_cmpl_ashlsi3_alt */

            case 1:
              return 655; /* *eor_one_cmpl_ashldi3_alt */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern414 (x3))
            {
            case 0:
              return 651; /* *eor_one_cmpl_ashrsi3_alt */

            case 1:
              return 656; /* *eor_one_cmpl_ashrdi3_alt */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern414 (x3))
            {
            case 0:
              return 652; /* *eor_one_cmpl_lshrsi3_alt */

            case 1:
              return 657; /* *eor_one_cmpl_lshrdi3_alt */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern414 (x3))
            {
            case 0:
              return 653; /* *eor_one_cmpl_rotrsi3_alt */

            case 1:
              return 658; /* *eor_one_cmpl_rotrdi3_alt */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern414 (x3))
            {
            case 0:
              return 654; /* *eor_one_cmpl_rotlsi3_alt */

            case 1:
              return 659; /* *eor_one_cmpl_rotldi3_alt */

            default:
              return -1;
            }

        case AND:
          x6 = XEXP (x5, 0);
          if (GET_CODE (x6) != XOR)
            return -1;
          x7 = XEXP (x6, 0);
          operands[1] = x7;
          x8 = XEXP (x6, 1);
          operands[2] = x8;
          x9 = XEXP (x5, 1);
          operands[3] = x9;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern899 (x3, 
E_V8QImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11973; /* *aarch64_sve2_nbsl_unpredv8qi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11974; /* *aarch64_sve2_nbsl_unpredv8qi */

            case E_V16QImode:
              if (pattern899 (x3, 
E_V16QImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11975; /* *aarch64_sve2_nbsl_unpredv16qi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11976; /* *aarch64_sve2_nbsl_unpredv16qi */

            case E_V4HImode:
              if (pattern899 (x3, 
E_V4HImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11977; /* *aarch64_sve2_nbsl_unpredv4hi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11978; /* *aarch64_sve2_nbsl_unpredv4hi */

            case E_V8HImode:
              if (pattern899 (x3, 
E_V8HImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11979; /* *aarch64_sve2_nbsl_unpredv8hi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11980; /* *aarch64_sve2_nbsl_unpredv8hi */

            case E_V2SImode:
              if (pattern899 (x3, 
E_V2SImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11981; /* *aarch64_sve2_nbsl_unpredv2si */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11982; /* *aarch64_sve2_nbsl_unpredv2si */

            case E_V4SImode:
              if (pattern899 (x3, 
E_V4SImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11983; /* *aarch64_sve2_nbsl_unpredv4si */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11984; /* *aarch64_sve2_nbsl_unpredv4si */

            case E_V2DImode:
              if (pattern899 (x3, 
E_V2DImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11985; /* *aarch64_sve2_nbsl_unpredv2di */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11986; /* *aarch64_sve2_nbsl_unpredv2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_527 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      switch (pattern311 (x3))
        {
        case 0:
          x5 = XEXP (x3, 1);
          operands[2] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern763 (x3, 
E_SImode) == 0
                  && 
#line 7398 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
                return 1084; /* *aarch64_smaxsi3_cssc */
              break;

            case E_DImode:
              if (pattern763 (x3, 
E_DImode) == 0
                  && 
#line 7398 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
                return 1088; /* *aarch64_smaxdi3_cssc */
              break;

            case E_SFmode:
              if (pattern31 (x3, 
E_SFmode) == 0
                  && 
#line 7423 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 1096; /* smaxsf3 */
              break;

            case E_DFmode:
              if (pattern31 (x3, 
E_DFmode) == 0
                  && 
#line 7423 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 1097; /* smaxdf3 */
              break;

            case E_V8QImode:
              if (pattern31 (x3, 
E_V8QImode) == 0
                  && 
#line 1756 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2074; /* smaxv8qi3 */
              break;

            case E_V16QImode:
              if (pattern31 (x3, 
E_V16QImode) == 0
                  && 
#line 1756 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2086; /* smaxv16qi3 */
              break;

            case E_V4HImode:
              if (pattern31 (x3, 
E_V4HImode) == 0
                  && 
#line 1756 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2090; /* smaxv4hi3 */
              break;

            case E_V8HImode:
              if (pattern31 (x3, 
E_V8HImode) == 0
                  && 
#line 1756 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2102; /* smaxv8hi3 */
              break;

            case E_V2SImode:
              if (pattern31 (x3, 
E_V2SImode) == 0
                  && 
#line 1756 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2106; /* smaxv2si3 */
              break;

            case E_V4SImode:
              if (pattern31 (x3, 
E_V4SImode) == 0
                  && 
#line 1756 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2118; /* smaxv4si3 */
              break;

            case E_V4HFmode:
              if (pattern31 (x3, 
E_V4HFmode) == 0
                  && (
#line 3350 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return 2672; /* smaxv4hf3 */
              break;

            case E_V8HFmode:
              if (pattern31 (x3, 
E_V8HFmode) == 0
                  && (
#line 3350 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return 2674; /* smaxv8hf3 */
              break;

            case E_V2SFmode:
              if (pattern31 (x3, 
E_V2SFmode) == 0
                  && 
#line 3350 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2676; /* smaxv2sf3 */
              break;

            case E_V4SFmode:
              if (pattern31 (x3, 
E_V4SFmode) == 0
                  && 
#line 3350 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2678; /* smaxv4sf3 */
              break;

            case E_V2DFmode:
              if (pattern31 (x3, 
E_V2DFmode) == 0
                  && 
#line 3350 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2680; /* smaxv2df3 */
              break;

            case E_VNx32QImode:
              if (pattern32 (x3, 
E_VNx32QImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11467; /* *smaxvnx32qi3 */
              break;

            case E_VNx16HImode:
              if (pattern32 (x3, 
E_VNx16HImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11471; /* *smaxvnx16hi3 */
              break;

            case E_VNx8SImode:
              if (pattern32 (x3, 
E_VNx8SImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11475; /* *smaxvnx8si3 */
              break;

            case E_VNx4DImode:
              if (pattern32 (x3, 
E_VNx4DImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11479; /* *smaxvnx4di3 */
              break;

            case E_VNx64QImode:
              if (pattern32 (x3, 
E_VNx64QImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11483; /* *smaxvnx64qi3 */
              break;

            case E_VNx32HImode:
              if (pattern32 (x3, 
E_VNx32HImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11487; /* *smaxvnx32hi3 */
              break;

            case E_VNx16SImode:
              if (pattern32 (x3, 
E_VNx16SImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11491; /* *smaxvnx16si3 */
              break;

            case E_VNx8DImode:
              if (pattern32 (x3, 
E_VNx8DImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11495; /* *smaxvnx8di3 */
              break;

            default:
              break;
            }
          if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          switch (pattern2 (x3))
            {
            case 0:
              return 1092; /* *aarch64_smaxsi3_zero */

            case 1:
              return 1094; /* *aarch64_smaxdi3_zero */

            default:
              return -1;
            }

        case 1:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7431; /* *post_ra_smaxvnx16qi3 */

        case 2:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7436; /* *post_ra_smaxvnx8qi3 */

        case 3:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7441; /* *post_ra_smaxvnx4qi3 */

        case 4:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7446; /* *post_ra_smaxvnx2qi3 */

        case 5:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7451; /* *post_ra_smaxvnx8hi3 */

        case 6:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7456; /* *post_ra_smaxvnx4hi3 */

        case 7:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7461; /* *post_ra_smaxvnx2hi3 */

        case 8:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7466; /* *post_ra_smaxvnx4si3 */

        case 9:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7471; /* *post_ra_smaxvnx2si3 */

        case 10:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7476; /* *post_ra_smaxvnx2di3 */

        case 11:
          if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7481; /* *post_ra_smaxv2di3 */

        case 12:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11500; /* aarch64_sve_single_smaxvnx32qi */

        case 13:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11505; /* aarch64_sve_single_smaxvnx16hi */

        case 14:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11510; /* aarch64_sve_single_smaxvnx8si */

        case 15:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11515; /* aarch64_sve_single_smaxvnx4di */

        case 16:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11520; /* aarch64_sve_single_smaxvnx64qi */

        case 17:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11525; /* aarch64_sve_single_smaxvnx32hi */

        case 18:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11530; /* aarch64_sve_single_smaxvnx16si */

        case 19:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11535; /* aarch64_sve_single_smaxvnx8di */

        default:
          return -1;
        }

    case ABS:
      switch (pattern313 (x3))
        {
        case 0:
          if (!(
#line 10045 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 5293; /* *aarch64_faminmax_fused */

        case 1:
          if (!(
#line 10045 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 5295; /* *aarch64_faminmax_fused */

        case 2:
          if (!
#line 10045 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
            return -1;
          return 5297; /* *aarch64_faminmax_fused */

        case 3:
          if (!
#line 10045 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
            return -1;
          return 5299; /* *aarch64_faminmax_fused */

        case 4:
          if (!
#line 10045 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
            return -1;
          return 5301; /* *aarch64_faminmax_fused */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_537 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_DFmode:
          if (!register_operand (operands[0], E_DFmode)
              || GET_MODE (x3) != E_DFmode)
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_SFmode:
              if (!register_operand (operands[1], E_SFmode)
                  || !
#line 6991 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return -1;
              return 999; /* extendsfdf2 */

            case E_HFmode:
              if (!register_operand (operands[1], E_HFmode)
                  || !
#line 7007 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return -1;
              return 1001; /* extendhfdf2 */

            default:
              return -1;
            }

        case E_SFmode:
          if (!register_operand (operands[0], E_SFmode)
              || GET_MODE (x3) != E_SFmode
              || !register_operand (operands[1], E_HFmode)
              || !
#line 6999 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 1000; /* extendhfsf2 */

        case E_V2DFmode:
          if (!register_operand (operands[0], E_V2DFmode)
              || GET_MODE (x3) != E_V2DFmode
              || !register_operand (operands[1], E_V2SFmode)
              || !
#line 3190 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2656; /* extendv2sfv2df2 */

        case E_V4SFmode:
          if (!register_operand (operands[0], E_V4SFmode)
              || GET_MODE (x3) != E_V4SFmode
              || !register_operand (operands[1], E_V4HFmode)
              || !
#line 3190 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2657; /* extendv4hfv4sf2 */

        case E_VNx8SFmode:
          if (!aligned_register_operand (operands[0], E_VNx8SFmode)
              || GET_MODE (x3) != E_VNx8SFmode
              || !register_operand (operands[1], E_VNx8HFmode)
              || !
#line 3323 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME_F16F16))
            return -1;
          return 12660; /* extendvnx8hfvnx8sf2 */

        default:
          return -1;
        }

    case VEC_SELECT:
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SFmode:
          if (pattern650 (x3, 
E_V8HFmode, 
E_V4HFmode, 
E_V4SFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[2], E_V8HFmode)
              && 
#line 3114 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2632; /* aarch64_simd_vec_unpacks_lo_v8hf */
          if (!vect_par_cnst_hi_half (operands[2], E_V8HFmode)
              || !
#line 3170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2654; /* aarch64_simd_vec_unpacks_hi_v8hf */

        case E_V2DFmode:
          if (pattern650 (x3, 
E_V4SFmode, 
E_V2SFmode, 
E_V2DFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[2], E_V4SFmode)
              && 
#line 3114 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2633; /* aarch64_simd_vec_unpacks_lo_v4sf */
          if (!vect_par_cnst_hi_half (operands[2], E_V4SFmode)
              || !
#line 3170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2655; /* aarch64_simd_vec_unpacks_hi_v4sf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_548 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10191; /* while_wrsivnx4bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10201; /* while_wrdivnx4bi_ptest */
}

 int
recog_553 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10091; /* *while_wrsivnx8bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10101; /* *while_wrdivnx8bi_cc */
}

 int
recog_558 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3455 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10150; /* while_rwsivnx16bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3455 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10160; /* while_rwdivnx16bi_ptest */
}

 int
recog_564 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10189; /* while_ugesivnx4bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10199; /* while_ugedivnx4bi_ptest */
}

 int
recog_573 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10168; /* while_ugtsivnx8bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10178; /* while_ugtdivnx8bi_ptest */
}

 int
recog_583 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10127; /* *while_gtsivnx2bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10137; /* *while_gtdivnx2bi_cc */
}

 int
recog_593 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10086; /* *while_gesivnx8bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10096; /* *while_gedivnx8bi_cc */
}

 int
recog_603 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern674 (x1))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9989; /* while_ugesivnx16bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9999; /* while_ugedivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10009; /* while_ugesivnx8bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10019; /* while_ugedivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10029; /* while_ugesivnx4bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10039; /* while_ugedivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10049; /* while_ugesivnx2bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8522 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10059; /* while_ugedivnx2bi */

    default:
      return -1;
    }
}

 int
recog_607 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (XWINT (x4, 0) != 0L)
    return -1;
  x5 = XEXP (x3, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[1] = x5;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != NEG
          || GET_MODE (x7) != E_DImode
          || !register_operand (operands[0], E_DImode))
        return -1;
      x8 = XEXP (x7, 0);
      if (!rtx_equal_p (x8, operands[1]))
        return -1;
      return 278; /* negdi_carryout */

    case PLUS:
      x9 = XEXP (x5, 0);
      if (GET_CODE (x9) != ZERO_EXTEND)
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != MINUS)
        return -1;
      x8 = XEXP (x7, 0);
      if (GET_CODE (x8) != NEG)
        return -1;
      x10 = XEXP (x9, 0);
      operands[1] = x10;
      x11 = XEXP (x5, 1);
      operands[2] = x11;
      x12 = XEXP (x7, 1);
      operands[3] = x12;
      x13 = XEXP (x8, 0);
      if (!rtx_equal_p (x13, operands[1]))
        return -1;
      switch (GET_MODE (x5))
        {
        case E_DImode:
          if (pattern1323 (x1, 
E_SImode, 
E_DImode) != 0)
            return -1;
          return 337; /* *usubsi3_carryinC_z1 */

        case E_TImode:
          if (pattern1323 (x1, 
E_DImode, 
E_TImode) != 0)
            return -1;
          return 338; /* *usubdi3_carryinC_z1 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_612 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG)
    return -1;
  switch (REGNO (x3))
    {
    case 85:
      if (GET_MODE (x3) != E_VNx16BImode)
        return -1;
      x4 = XVECEXP (x1, 0, 1);
      if (pattern787 (x4, 
E_VNx16BImode, 
161, 
1, 
UNSPEC) != 0)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != REG
          || REGNO (x5) != 86
          || GET_MODE (x5) != E_VNx16BImode
          || !aarch64_simd_reg_or_minus_one (operands[0], E_VNx16BImode))
        return -1;
      x6 = XEXP (x4, 1);
      x7 = XVECEXP (x6, 0, 0);
      if (!rtx_equal_p (x7, operands[0])
          || !
#line 1127 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5738; /* aarch64_wrffr */

    case 94:
      if (GET_MODE (x3) != E_V8DImode)
        return -1;
      x4 = XVECEXP (x1, 0, 1);
      if (pattern453 (x4, 
89, 
E_DImode, 
USE) != 0
          || !aarch64_sync_memory_operand (operands[0], E_V8DImode)
          || !
#line 547 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME2))
        return -1;
      return 13042; /* aarch64_sme_ldr_zt0 */

    default:
      return -1;
    }
}

 int
recog_613 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  switch (XVECLEN (x3, 0))
    {
    case 1:
      switch (XINT (x3, 1))
        {
        case 44:
          x4 = XVECEXP (x1, 0, 1);
          if (pattern452 (x4, 
45, 
1, 
UNSPEC) != 0)
            return -1;
          x5 = XEXP (x2, 0);
          operands[0] = x5;
          x6 = XVECEXP (x3, 0, 0);
          operands[1] = x6;
          if (aarch64_mem_pair_lanes_operand (operands[1], E_V2x4QImode)
              && aarch64_ldp_reg_operand (operands[0], E_SImode))
            {
              x7 = XEXP (x4, 0);
              operands[2] = x7;
              if (aarch64_ldp_reg_operand (operands[2], E_SImode))
                {
                  x8 = XEXP (x4, 1);
                  x9 = XVECEXP (x8, 0, 0);
                  if (rtx_equal_p (x9, operands[1]))
                    return 88; /* *load_pair_4 */
                }
            }
          if (aarch64_mem_pair_lanes_operand (operands[1], E_V2x8QImode)
              && aarch64_ldp_reg_operand (operands[0], E_DImode))
            {
              x7 = XEXP (x4, 0);
              operands[2] = x7;
              if (aarch64_ldp_reg_operand (operands[2], E_DImode))
                {
                  x8 = XEXP (x4, 1);
                  x9 = XVECEXP (x8, 0, 0);
                  if (rtx_equal_p (x9, operands[1]))
                    return 89; /* *load_pair_8 */
                }
            }
          if (!aarch64_mem_pair_lanes_operand (operands[1], E_V2x16QImode)
              || !aarch64_ldp_reg_operand (operands[0], E_TImode))
            return -1;
          x7 = XEXP (x4, 0);
          operands[2] = x7;
          if (!aarch64_ldp_reg_operand (operands[2], E_TImode))
            return -1;
          x8 = XEXP (x4, 1);
          x9 = XVECEXP (x8, 0, 0);
          if (!rtx_equal_p (x9, operands[1])
              || !
#line 2085 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 90; /* *load_pair_16 */

        case 21:
          if (GET_MODE (x3) != E_SImode)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != CLOBBER)
            return -1;
          x7 = XEXP (x4, 0);
          if (GET_CODE (x7) != REG
              || REGNO (x7) != 66
              || GET_MODE (x7) != E_CCmode)
            return -1;
          x5 = XEXP (x2, 0);
          operands[0] = x5;
          if (!register_operand (operands[0], E_SImode))
            return -1;
          x6 = XVECEXP (x3, 0, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_DFmode)
              || !
#line 7903 "../../gcc/config/aarch64/aarch64.md"
(TARGET_JSCVT))
            return -1;
          return 1157; /* aarch64_fjcvtzs */

        case 108:
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != SET)
            return -1;
          x8 = XEXP (x4, 1);
          if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x5 = XEXP (x2, 0);
          operands[0] = x5;
          x6 = XVECEXP (x3, 0, 0);
          operands[1] = x6;
          x7 = XEXP (x4, 0);
          operands[2] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern1036 (x3, 
E_SImode) != 0
                  || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
                return -1;
              return 1173; /* stack_protect_set_si */

            case E_DImode:
              if (pattern1036 (x3, 
E_DImode) != 0
                  || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
                return -1;
              return 1174; /* stack_protect_set_di */

            default:
              return -1;
            }

        case 691:
          if (pnum_clobbers == NULL
              || pattern577 (x3, 
0) != 0)
            return -1;
          x5 = XEXP (x2, 0);
          if (GET_CODE (x5) != REG
              || REGNO (x5) != 92
              || GET_MODE (x5) != E_DImode)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (pattern1154 (x4) != 0)
            return -1;
          *pnum_clobbers = 7;
          return 13013; /* aarch64_tpidr2_restore */

        default:
          return -1;
        }

    case 4:
      return recog_605 (x1, insn, pnum_clobbers);

    case 3:
      return recog_606 (x1, insn, pnum_clobbers);

    case 5:
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      switch (XINT (x3, 1))
        {
        case 136:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12750; /* aarch64_sve_whilege_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12758; /* aarch64_sve_whilege_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12766; /* aarch64_sve_whilege_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12774; /* aarch64_sve_whilege_c64 */

            default:
              return -1;
            }

        case 137:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12751; /* aarch64_sve_whilegt_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12759; /* aarch64_sve_whilegt_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12767; /* aarch64_sve_whilegt_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12775; /* aarch64_sve_whilegt_c64 */

            default:
              return -1;
            }

        case 138:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12752; /* aarch64_sve_whileugt_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12760; /* aarch64_sve_whileugt_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12768; /* aarch64_sve_whileugt_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12776; /* aarch64_sve_whileugt_c64 */

            default:
              return -1;
            }

        case 139:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12753; /* aarch64_sve_whileuge_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12761; /* aarch64_sve_whileuge_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12769; /* aarch64_sve_whileuge_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12777; /* aarch64_sve_whileuge_c64 */

            default:
              return -1;
            }

        case 140:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12754; /* aarch64_sve_whilele_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12762; /* aarch64_sve_whilele_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12770; /* aarch64_sve_whilele_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12778; /* aarch64_sve_whilele_c64 */

            default:
              return -1;
            }

        case 141:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12755; /* aarch64_sve_whileult_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12763; /* aarch64_sve_whileult_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12771; /* aarch64_sve_whileult_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12779; /* aarch64_sve_whileult_c64 */

            default:
              return -1;
            }

        case 142:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12756; /* aarch64_sve_whileule_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12764; /* aarch64_sve_whileule_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12772; /* aarch64_sve_whileule_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12780; /* aarch64_sve_whileule_c64 */

            default:
              return -1;
            }

        case 143:
          switch (pattern679 (x1))
            {
            case 0:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12757; /* aarch64_sve_whilelt_c8 */

            case 1:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12765; /* aarch64_sve_whilelt_c16 */

            case 2:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12773; /* aarch64_sve_whilelt_c32 */

            case 3:
              if (!
#line 3679 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12781; /* aarch64_sve_whilelt_c64 */

            default:
              return -1;
            }

        case 653:
          switch (pattern684 (x1, 
653))
            {
            case 0:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13116; /* aarch64_sme_readz_horvnx16qivnx16qi */

            case 1:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13118; /* aarch64_sme_readz_horvnx8hivnx8hi */

            case 2:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13120; /* aarch64_sme_readz_horvnx4sivnx4si */

            case 3:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13122; /* aarch64_sme_readz_horvnx2divnx2di */

            case 4:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13124; /* aarch64_sme_readz_horvnx8hivnx8bf */

            case 5:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13126; /* aarch64_sme_readz_horvnx8hivnx8hf */

            case 6:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13128; /* aarch64_sme_readz_horvnx4sivnx4sf */

            case 7:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13130; /* aarch64_sme_readz_horvnx2divnx2df */

            case 8:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13276; /* aarch64_sme_readz_horvnx32qivnx32qi */

            case 9:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13278; /* aarch64_sme_readz_horvnx16hivnx16hi */

            case 10:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13280; /* aarch64_sme_readz_horvnx8sivnx8si */

            case 11:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13282; /* aarch64_sme_readz_horvnx4divnx4di */

            case 12:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13284; /* aarch64_sme_readz_horvnx16bfvnx16bf */

            case 13:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13286; /* aarch64_sme_readz_horvnx16hfvnx16hf */

            case 14:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13288; /* aarch64_sme_readz_horvnx8sfvnx8sf */

            case 15:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13290; /* aarch64_sme_readz_horvnx4dfvnx4df */

            case 16:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13292; /* aarch64_sme_readz_horvnx64qivnx64qi */

            case 17:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13294; /* aarch64_sme_readz_horvnx32hivnx32hi */

            case 18:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13296; /* aarch64_sme_readz_horvnx16sivnx16si */

            case 19:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13298; /* aarch64_sme_readz_horvnx8divnx8di */

            case 20:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13300; /* aarch64_sme_readz_horvnx32bfvnx32bf */

            case 21:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13302; /* aarch64_sme_readz_horvnx32hfvnx32hf */

            case 22:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13304; /* aarch64_sme_readz_horvnx16sfvnx16sf */

            case 23:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13306; /* aarch64_sme_readz_horvnx8dfvnx8df */

            case 24:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13148; /* aarch64_sme_readz_horvnx1tivnx16qi */

            case 25:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13150; /* aarch64_sme_readz_horvnx1tivnx8hi */

            case 26:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13152; /* aarch64_sme_readz_horvnx1tivnx4si */

            case 27:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13154; /* aarch64_sme_readz_horvnx1tivnx2di */

            case 28:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13156; /* aarch64_sme_readz_horvnx1tivnx8bf */

            case 29:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13158; /* aarch64_sme_readz_horvnx1tivnx8hf */

            case 30:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13160; /* aarch64_sme_readz_horvnx1tivnx4sf */

            case 31:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13162; /* aarch64_sme_readz_horvnx1tivnx2df */

            case 32:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13132; /* *aarch64_sme_readz_horvnx16qivnx16qi_plus */

            case 33:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13134; /* *aarch64_sme_readz_horvnx8hivnx8hi_plus */

            case 34:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13136; /* *aarch64_sme_readz_horvnx4sivnx4si_plus */

            case 35:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13138; /* *aarch64_sme_readz_horvnx2divnx2di_plus */

            case 36:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13140; /* *aarch64_sme_readz_horvnx8hivnx8bf_plus */

            case 37:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13142; /* *aarch64_sme_readz_horvnx8hivnx8hf_plus */

            case 38:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13144; /* *aarch64_sme_readz_horvnx4sivnx4sf_plus */

            case 39:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13146; /* *aarch64_sme_readz_horvnx2divnx2df_plus */

            case 40:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13308; /* *aarch64_sme_readz_horvnx32qivnx32qi_plus */

            case 41:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13310; /* *aarch64_sme_readz_horvnx16hivnx16hi_plus */

            case 42:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13312; /* *aarch64_sme_readz_horvnx8sivnx8si_plus */

            case 43:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13314; /* *aarch64_sme_readz_horvnx4divnx4di_plus */

            case 44:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13316; /* *aarch64_sme_readz_horvnx16bfvnx16bf_plus */

            case 45:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13318; /* *aarch64_sme_readz_horvnx16hfvnx16hf_plus */

            case 46:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13320; /* *aarch64_sme_readz_horvnx8sfvnx8sf_plus */

            case 47:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13322; /* *aarch64_sme_readz_horvnx4dfvnx4df_plus */

            case 48:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13324; /* *aarch64_sme_readz_horvnx64qivnx64qi_plus */

            case 49:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13326; /* *aarch64_sme_readz_horvnx32hivnx32hi_plus */

            case 50:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13328; /* *aarch64_sme_readz_horvnx16sivnx16si_plus */

            case 51:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13330; /* *aarch64_sme_readz_horvnx8divnx8di_plus */

            case 52:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13332; /* *aarch64_sme_readz_horvnx32bfvnx32bf_plus */

            case 53:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13334; /* *aarch64_sme_readz_horvnx32hfvnx32hf_plus */

            case 54:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13336; /* *aarch64_sme_readz_horvnx16sfvnx16sf_plus */

            case 55:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13338; /* *aarch64_sme_readz_horvnx8dfvnx8df_plus */

            default:
              return -1;
            }

        case 654:
          switch (pattern684 (x1, 
654))
            {
            case 0:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13117; /* aarch64_sme_readz_vervnx16qivnx16qi */

            case 1:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13119; /* aarch64_sme_readz_vervnx8hivnx8hi */

            case 2:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13121; /* aarch64_sme_readz_vervnx4sivnx4si */

            case 3:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13123; /* aarch64_sme_readz_vervnx2divnx2di */

            case 4:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13125; /* aarch64_sme_readz_vervnx8hivnx8bf */

            case 5:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13127; /* aarch64_sme_readz_vervnx8hivnx8hf */

            case 6:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13129; /* aarch64_sme_readz_vervnx4sivnx4sf */

            case 7:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13131; /* aarch64_sme_readz_vervnx2divnx2df */

            case 8:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13277; /* aarch64_sme_readz_vervnx32qivnx32qi */

            case 9:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13279; /* aarch64_sme_readz_vervnx16hivnx16hi */

            case 10:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13281; /* aarch64_sme_readz_vervnx8sivnx8si */

            case 11:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13283; /* aarch64_sme_readz_vervnx4divnx4di */

            case 12:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13285; /* aarch64_sme_readz_vervnx16bfvnx16bf */

            case 13:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13287; /* aarch64_sme_readz_vervnx16hfvnx16hf */

            case 14:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13289; /* aarch64_sme_readz_vervnx8sfvnx8sf */

            case 15:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13291; /* aarch64_sme_readz_vervnx4dfvnx4df */

            case 16:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13293; /* aarch64_sme_readz_vervnx64qivnx64qi */

            case 17:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13295; /* aarch64_sme_readz_vervnx32hivnx32hi */

            case 18:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13297; /* aarch64_sme_readz_vervnx16sivnx16si */

            case 19:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13299; /* aarch64_sme_readz_vervnx8divnx8di */

            case 20:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13301; /* aarch64_sme_readz_vervnx32bfvnx32bf */

            case 21:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13303; /* aarch64_sme_readz_vervnx32hfvnx32hf */

            case 22:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13305; /* aarch64_sme_readz_vervnx16sfvnx16sf */

            case 23:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13307; /* aarch64_sme_readz_vervnx8dfvnx8df */

            case 24:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13149; /* aarch64_sme_readz_vervnx1tivnx16qi */

            case 25:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13151; /* aarch64_sme_readz_vervnx1tivnx8hi */

            case 26:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13153; /* aarch64_sme_readz_vervnx1tivnx4si */

            case 27:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13155; /* aarch64_sme_readz_vervnx1tivnx2di */

            case 28:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13157; /* aarch64_sme_readz_vervnx1tivnx8bf */

            case 29:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13159; /* aarch64_sme_readz_vervnx1tivnx8hf */

            case 30:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13161; /* aarch64_sme_readz_vervnx1tivnx4sf */

            case 31:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13163; /* aarch64_sme_readz_vervnx1tivnx2df */

            case 32:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13133; /* *aarch64_sme_readz_vervnx16qivnx16qi_plus */

            case 33:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13135; /* *aarch64_sme_readz_vervnx8hivnx8hi_plus */

            case 34:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13137; /* *aarch64_sme_readz_vervnx4sivnx4si_plus */

            case 35:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13139; /* *aarch64_sme_readz_vervnx2divnx2di_plus */

            case 36:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13141; /* *aarch64_sme_readz_vervnx8hivnx8bf_plus */

            case 37:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13143; /* *aarch64_sme_readz_vervnx8hivnx8hf_plus */

            case 38:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13145; /* *aarch64_sme_readz_vervnx4sivnx4sf_plus */

            case 39:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13147; /* *aarch64_sme_readz_vervnx2divnx2df_plus */

            case 40:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13309; /* *aarch64_sme_readz_vervnx32qivnx32qi_plus */

            case 41:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13311; /* *aarch64_sme_readz_vervnx16hivnx16hi_plus */

            case 42:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13313; /* *aarch64_sme_readz_vervnx8sivnx8si_plus */

            case 43:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13315; /* *aarch64_sme_readz_vervnx4divnx4di_plus */

            case 44:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13317; /* *aarch64_sme_readz_vervnx16bfvnx16bf_plus */

            case 45:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13319; /* *aarch64_sme_readz_vervnx16hfvnx16hf_plus */

            case 46:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13321; /* *aarch64_sme_readz_vervnx8sfvnx8sf_plus */

            case 47:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13323; /* *aarch64_sme_readz_vervnx4dfvnx4df_plus */

            case 48:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13325; /* *aarch64_sme_readz_vervnx64qivnx64qi_plus */

            case 49:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13327; /* *aarch64_sme_readz_vervnx32hivnx32hi_plus */

            case 50:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13329; /* *aarch64_sme_readz_vervnx16sivnx16si_plus */

            case 51:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13331; /* *aarch64_sme_readz_vervnx8divnx8di_plus */

            case 52:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13333; /* *aarch64_sme_readz_vervnx32bfvnx32bf_plus */

            case 53:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13335; /* *aarch64_sme_readz_vervnx32hfvnx32hf_plus */

            case 54:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13337; /* *aarch64_sme_readz_vervnx16sfvnx16sf_plus */

            case 55:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13339; /* *aarch64_sme_readz_vervnx8dfvnx8df_plus */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 rtx_insn *
split_7 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern848 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1116 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx16QImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1126 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1117 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx8QImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1127 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1118 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4QImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1128 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1119 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2QImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1129 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1120 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx8HImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1130 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1121 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4HImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1131 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1122 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2HImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1132 (insn, operands);

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1123 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4SImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1133 (insn, operands);

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1124 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2SImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1134 (insn, operands);

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3672 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1125 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2DImode)
          || !(
#line 3703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3709 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1135 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_11 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return NULL;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern868 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3817 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3822 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1143 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
          || !(
#line 3865 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3871 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1176 (insn, operands);

    case E_VNx4SFmode:
      if (pattern868 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3817 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3822 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1154 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !(
#line 3865 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3871 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1187 (insn, operands);

    case E_VNx2DFmode:
      if (pattern868 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3817 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3822 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1165 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
          || !(
#line 3865 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3871 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1198 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_18 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1249 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2945 (insn, operands);
    }
  if (register_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1274 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2953 (insn, operands);
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    return NULL;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))) && 
#line 1308 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2961 (insn, operands);
}

 rtx_insn *
split_23 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2817 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2864 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2904 (insn, operands);
}

 rtx_insn *
split_28 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2851 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2892 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2932 (insn, operands);
}

 rtx_insn *
split_33 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2838 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2881 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2921 (insn, operands);
}

 rtx_insn *
split_38 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2825 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2870 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2910 (insn, operands);
}

 rtx_insn *
split_43 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2811 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2859 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2899 (insn, operands);
}

 rtx_insn *
split_48 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2845 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2887 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2927 (insn, operands);
}

 rtx_insn *
split_54 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2820 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2866 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2906 (insn, operands);
}

 rtx_insn *
split_60 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1046 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1686 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && ((
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1759 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !((
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1811 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1699 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1772 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1824 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1712 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1785 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1837 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1725 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1798 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1850 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1732 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1909 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1739 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1916 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1746 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1923 (insn, operands);

    case 7:
      if (!((
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8BFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1863 (insn, operands);

    case 8:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1876 (insn, operands);

    case 9:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1889 (insn, operands);

    case 10:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1902 (insn, operands);

    case 11:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1930 (insn, operands);

    case 12:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1937 (insn, operands);

    case 13:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1944 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_65 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1046 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1678 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && ((
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1751 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !((
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1803 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1691 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1764 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1816 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1704 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1777 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1829 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5582 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5587 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1717 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5668 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5673 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1790 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5711 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5723 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1842 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1726 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1903 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1733 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1910 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5630 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1740 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5793 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5799 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1917 (insn, operands);

    case 7:
      if (!((
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8BFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1855 (insn, operands);

    case 8:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1868 (insn, operands);

    case 9:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1881 (insn, operands);

    case 10:
      if (!(
#line 5755 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5767 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1894 (insn, operands);

    case 11:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1924 (insn, operands);

    case 12:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1931 (insn, operands);

    case 13:
      if (!(
#line 5829 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5835 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1938 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_72 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[4] = x6;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern697 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1264 (insn, operands);

        case E_VNx8QImode:
          if (pattern697 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1281 (insn, operands);

        case E_VNx4QImode:
          if (pattern697 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1298 (insn, operands);

        case E_VNx2QImode:
          if (pattern697 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1315 (insn, operands);

        case E_VNx8HImode:
          if (pattern697 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1332 (insn, operands);

        case E_VNx4HImode:
          if (pattern697 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1349 (insn, operands);

        case E_VNx2HImode:
          if (pattern697 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1366 (insn, operands);

        case E_VNx4SImode:
          if (pattern697 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1383 (insn, operands);

        case E_VNx2SImode:
          if (pattern697 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1400 (insn, operands);

        case E_VNx2DImode:
          if (pattern697 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !(
#line 4146 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4156 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1417 (insn, operands);

        default:
          return NULL;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern1048 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1543 (insn, operands);

        case E_VNx8QImode:
          if (pattern1048 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1546 (insn, operands);

        case E_VNx4QImode:
          if (pattern1048 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1549 (insn, operands);

        case E_VNx2QImode:
          if (pattern1048 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1552 (insn, operands);

        case E_VNx8HImode:
          if (pattern1048 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1555 (insn, operands);

        case E_VNx4HImode:
          if (pattern1048 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1558 (insn, operands);

        case E_VNx2HImode:
          if (pattern1048 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1561 (insn, operands);

        case E_VNx4SImode:
          if (pattern1048 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1564 (insn, operands);

        case E_VNx2SImode:
          if (pattern1048 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1567 (insn, operands);

        case E_VNx2DImode:
          if (pattern1048 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !(
#line 5062 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5068 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1570 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_76 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (XINT (x2, 1) != 123
      || GET_MODE (x2) != E_BLKmode)
    return NULL;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 2
      || XINT (x3, 1) != 125
      || GET_MODE (x3) != E_VNx2DImode)
    return NULL;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != MEM
      || GET_MODE (x4) != E_BLKmode)
    return NULL;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != SCRATCH)
    return NULL;
  x6 = XVECEXP (x2, 0, 0);
  operands[5] = x6;
  if (!register_operand (operands[5], E_VNx2BImode))
    return NULL;
  x7 = XVECEXP (x2, 0, 1);
  operands[0] = x7;
  if (!register_operand (operands[0], E_DImode))
    return NULL;
  x8 = XVECEXP (x3, 0, 0);
  operands[6] = x8;
  x9 = XVECEXP (x3, 0, 1);
  if (GET_MODE (x9) != E_VNx2DImode)
    return NULL;
  x10 = XVECEXP (x2, 0, 3);
  operands[2] = x10;
  if (!const_int_operand (operands[2], E_DImode))
    return NULL;
  x11 = XVECEXP (x2, 0, 4);
  operands[3] = x11;
  switch (pattern1313 (x2))
    {
    case 0:
      if (register_operand (operands[4], E_VNx2QImode)
          && aarch64_gather_scale_operand_b (operands[3], E_DImode)
          && (
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return gen_split_1014 (insn, operands);
      if (aarch64_gather_scale_operand_h (operands[3], E_DImode))
        {
          switch (pattern1320 ())
            {
            case 0:
              if ((
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1016 (insn, operands);
              break;

            case 1:
              if ((
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1018 (insn, operands);
              break;

            case 2:
              if ((
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1020 (insn, operands);
              break;

            default:
              break;
            }
        }
      if (aarch64_gather_scale_operand_w (operands[3], E_DImode))
        {
          switch (GET_MODE (operands[4]))
            {
            case E_VNx2SImode:
              if (register_operand (operands[4], E_VNx2SImode)
                  && (
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1022 (insn, operands);
              break;

            case E_VNx2SFmode:
              if (register_operand (operands[4], E_VNx2SFmode)
                  && (
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1024 (insn, operands);
              break;

            default:
              break;
            }
        }
      if (!aarch64_gather_scale_operand_d (operands[3], E_DImode))
        return NULL;
      switch (GET_MODE (operands[4]))
        {
        case E_VNx2DImode:
          if (!register_operand (operands[4], E_VNx2DImode)
              || !(
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
            return NULL;
          return gen_split_1026 (insn, operands);

        case E_VNx2DFmode:
          if (!register_operand (operands[4], E_VNx2DFmode)
              || !(
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
            return NULL;
          return gen_split_1028 (insn, operands);

        default:
          return NULL;
        }

    case 1:
      if (register_operand (operands[4], E_VNx2QImode)
          && aarch64_gather_scale_operand_b (operands[3], E_DImode)
          && (
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return gen_split_1030 (insn, operands);
      if (aarch64_gather_scale_operand_h (operands[3], E_DImode))
        {
          switch (pattern1320 ())
            {
            case 0:
              if ((
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1031 (insn, operands);
              break;

            case 1:
              if ((
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1032 (insn, operands);
              break;

            case 2:
              if ((
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1033 (insn, operands);
              break;

            default:
              break;
            }
        }
      if (aarch64_gather_scale_operand_w (operands[3], E_DImode))
        {
          switch (GET_MODE (operands[4]))
            {
            case E_VNx2SImode:
              if (register_operand (operands[4], E_VNx2SImode)
                  && (
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1034 (insn, operands);
              break;

            case E_VNx2SFmode:
              if (register_operand (operands[4], E_VNx2SFmode)
                  && (
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1035 (insn, operands);
              break;

            default:
              break;
            }
        }
      if (!aarch64_gather_scale_operand_d (operands[3], E_DImode))
        return NULL;
      switch (GET_MODE (operands[4]))
        {
        case E_VNx2DImode:
          if (!register_operand (operands[4], E_VNx2DImode)
              || !(
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
            return NULL;
          return gen_split_1036 (insn, operands);

        case E_VNx2DFmode:
          if (!register_operand (operands[4], E_VNx2DFmode)
              || !(
#line 2563 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2568 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
            return NULL;
          return gen_split_1037 (insn, operands);

        default:
          return NULL;
        }

    case 2:
      x12 = XVECEXP (x2, 0, 5);
      if (GET_MODE (x12) == E_VNx2QImode
          && aarch64_gather_scale_operand_b (operands[3], E_DImode))
        {
          x13 = XEXP (x12, 0);
          operands[4] = x13;
          if (register_operand (operands[4], E_VNx2DImode)
              && (
#line 2667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2672 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[5], operands[6]))))
            return gen_split_1038 (insn, operands);
        }
      if (GET_MODE (x12) == E_VNx2HImode
          && aarch64_gather_scale_operand_h (operands[3], E_DImode))
        {
          x13 = XEXP (x12, 0);
          operands[4] = x13;
          if (register_operand (operands[4], E_VNx2DImode)
              && (
#line 2667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2672 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[5], operands[6]))))
            return gen_split_1039 (insn, operands);
        }
      if (GET_MODE (x12) != E_VNx2SImode
          || !aarch64_gather_scale_operand_w (operands[3], E_DImode))
        return NULL;
      x13 = XEXP (x12, 0);
      operands[4] = x13;
      if (!register_operand (operands[4], E_VNx2DImode)
          || !(
#line 2667 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2672 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[5], operands[6]))))
        return NULL;
      return gen_split_1040 (insn, operands);

    case 3:
      if (register_operand (operands[4], E_VNx2QImode)
          && aarch64_gather_scale_operand_b (operands[3], E_DImode)
          && (
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return gen_split_1015 (insn, operands);
      if (aarch64_gather_scale_operand_h (operands[3], E_DImode))
        {
          switch (pattern1320 ())
            {
            case 0:
              if ((
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1017 (insn, operands);
              break;

            case 1:
              if ((
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1019 (insn, operands);
              break;

            case 2:
              if ((
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1021 (insn, operands);
              break;

            default:
              break;
            }
        }
      if (aarch64_gather_scale_operand_w (operands[3], E_DImode))
        {
          switch (GET_MODE (operands[4]))
            {
            case E_VNx2SImode:
              if (register_operand (operands[4], E_VNx2SImode)
                  && (
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1023 (insn, operands);
              break;

            case E_VNx2SFmode:
              if (register_operand (operands[4], E_VNx2SFmode)
                  && (
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return gen_split_1025 (insn, operands);
              break;

            default:
              break;
            }
        }
      if (!aarch64_gather_scale_operand_d (operands[3], E_DImode))
        return NULL;
      switch (GET_MODE (operands[4]))
        {
        case E_VNx2DImode:
          if (!register_operand (operands[4], E_VNx2DImode)
              || !(
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
            return NULL;
          return gen_split_1027 (insn, operands);

        case E_VNx2DFmode:
          if (!register_operand (operands[4], E_VNx2DFmode)
              || !(
#line 2535 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2540 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
            return NULL;
          return gen_split_1029 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_79 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x3, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern689 (x3, 
E_SImode) != 0)
            return NULL;
          return gen_split_37 (insn, operands);

        case E_DImode:
          if (pattern689 (x3, 
E_DImode) != 0)
            return NULL;
          return gen_split_38 (insn, operands);

        default:
          return NULL;
        }

    case AND:
      x6 = XEXP (x4, 0);
      switch (GET_CODE (x6))
        {
        case LSHIFTRT:
          switch (pattern456 (x3))
            {
            case 0:
              if (!
#line 5177 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   SImode)))
                return NULL;
              return gen_split_39 (insn, operands);

            case 1:
              if (!
#line 5177 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   DImode)))
                return NULL;
              return gen_split_43 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFT:
          switch (pattern457 (x3))
            {
            case 0:
              if (!
#line 5199 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[3]))
   && (AND != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_47 (insn, operands);

            case 1:
              if (!
#line 5199 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[3]))
   && (AND != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_51 (insn, operands);

            case 2:
              if (!
#line 5228 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[4]))
   && (AND != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_55 (insn, operands);

            case 3:
              if (!
#line 5228 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[4]))
   && (AND != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_59 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case ASHIFT:
      x7 = XEXP (x4, 1);
      operands[2] = x7;
      x6 = XEXP (x4, 0);
      switch (GET_CODE (x6))
        {
        case SIGN_EXTEND:
          x5 = XEXP (x3, 1);
          if (GET_CODE (x5) != SIGN_EXTEND)
            return NULL;
          x8 = XEXP (x6, 0);
          operands[1] = x8;
          if (!register_operand (operands[1], E_VOIDmode))
            return NULL;
          switch (pattern366 (x3))
            {
            case 0:
              if (!
#line 5251 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
                return NULL;
              return gen_split_63 (insn, operands);

            case 1:
              if (!
#line 5251 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
                return NULL;
              return gen_split_66 (insn, operands);

            default:
              return NULL;
            }

        case REG:
        case SUBREG:
          operands[1] = x6;
          if (!register_operand (operands[1], E_DImode)
              || !register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || GET_MODE (x4) != E_DImode
              || !const_int_operand (operands[2], E_VOIDmode))
            return NULL;
          x5 = XEXP (x3, 1);
          operands[3] = x5;
          if (!const_int_operand (operands[3], E_VOIDmode)
              || !
#line 6702 "../../gcc/config/aarch64/aarch64.md"
(aarch64_mask_and_shift_for_ubfiz_p (DImode, operands[3], operands[2])
  && (INTVAL (operands[2]) + popcount_hwi (INTVAL (operands[3])))
      == GET_MODE_BITSIZE (SImode)))
            return NULL;
          return gen_split_126 (insn, operands);

        default:
          return NULL;
        }

    case UNSPEC:
      switch (XVECLEN (x4, 0))
        {
        case 2:
          switch (pattern410 (x3))
            {
            case 0:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1493 (insn, operands);

            case 1:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1494 (insn, operands);

            case 2:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1495 (insn, operands);

            case 3:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1496 (insn, operands);

            case 4:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1497 (insn, operands);

            case 5:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1498 (insn, operands);

            case 6:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1499 (insn, operands);

            case 7:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1500 (insn, operands);

            case 8:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1501 (insn, operands);

            case 9:
              if (!(
#line 4841 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4843 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1502 (insn, operands);

            default:
              return NULL;
            }

        case 4:
          switch (pattern413 (x3))
            {
            case 0:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2572 (insn, operands);

            case 1:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2578 (insn, operands);

            case 2:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2584 (insn, operands);

            case 3:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2573 (insn, operands);

            case 4:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2579 (insn, operands);

            case 5:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2585 (insn, operands);

            case 6:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2574 (insn, operands);

            case 7:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2580 (insn, operands);

            case 8:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2586 (insn, operands);

            case 9:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2575 (insn, operands);

            case 10:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2581 (insn, operands);

            case 11:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2587 (insn, operands);

            case 12:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2576 (insn, operands);

            case 13:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2582 (insn, operands);

            case 14:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2588 (insn, operands);

            case 15:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2577 (insn, operands);

            case 16:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2583 (insn, operands);

            case 17:
              if (!(
#line 8658 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8660 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2589 (insn, operands);

            case 18:
              if (!(
#line 8681 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8683 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2590 (insn, operands);

            case 19:
              if (!(
#line 8681 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8683 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2591 (insn, operands);

            case 20:
              if (!(
#line 8681 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8683 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2592 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_87 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2501 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2511 (insn, operands);
}

 rtx_insn *
split_90 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2441 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3456 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2451 (insn, operands);
}

 rtx_insn *
split_93 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3455 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2540 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3455 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2550 (insn, operands);
}

 rtx_insn *
split_96 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3455 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2480 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3455 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2490 (insn, operands);
}

 rtx_insn *
split_100 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2559 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2569 (insn, operands);
}

 rtx_insn *
split_104 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2479 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3454 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2489 (insn, operands);
}

 rtx_insn *
split_108 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2558 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8571 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2568 (insn, operands);
}

 rtx_insn *
split_115 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2418 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3453 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2428 (insn, operands);
}

 rtx_insn *
split_122 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2437 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3452 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2447 (insn, operands);
}

 rtx_insn *
split_129 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2456 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8546 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3451 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2466 (insn, operands);
}

 rtx_insn *
split_136 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != CLOBBER)
    return NULL;
  x3 = XVECEXP (x1, 0, 0);
  x4 = XEXP (x3, 0);
  operands[0] = x4;
  x5 = XEXP (x3, 1);
  x6 = XEXP (x5, 0);
  switch (GET_CODE (x6))
    {
    case UNSPEC:
      if (XVECLEN (x6, 0) != 3
          || XINT (x6, 1) != 126)
        return NULL;
      x7 = XVECEXP (x6, 0, 1);
      if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return NULL;
      switch (pattern926 (x1))
        {
        case 0:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2312 (insn, operands);

        case 1:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2322 (insn, operands);

        case 2:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2352 (insn, operands);

        case 3:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2332 (insn, operands);

        case 4:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2362 (insn, operands);

        case 5:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2382 (insn, operands);

        case 6:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2342 (insn, operands);

        case 7:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2372 (insn, operands);

        case 8:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2392 (insn, operands);

        case 9:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2402 (insn, operands);

        case 10:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2313 (insn, operands);

        case 11:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2323 (insn, operands);

        case 12:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2353 (insn, operands);

        case 13:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2333 (insn, operands);

        case 14:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2363 (insn, operands);

        case 15:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2383 (insn, operands);

        case 16:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2343 (insn, operands);

        case 17:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2373 (insn, operands);

        case 18:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2393 (insn, operands);

        case 19:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2403 (insn, operands);

        case 20:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2314 (insn, operands);

        case 21:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2324 (insn, operands);

        case 22:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2354 (insn, operands);

        case 23:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2334 (insn, operands);

        case 24:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2364 (insn, operands);

        case 25:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2384 (insn, operands);

        case 26:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2344 (insn, operands);

        case 27:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2374 (insn, operands);

        case 28:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2394 (insn, operands);

        case 29:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2404 (insn, operands);

        case 30:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2315 (insn, operands);

        case 31:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2325 (insn, operands);

        case 32:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2355 (insn, operands);

        case 33:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2335 (insn, operands);

        case 34:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2365 (insn, operands);

        case 35:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2385 (insn, operands);

        case 36:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2345 (insn, operands);

        case 37:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2375 (insn, operands);

        case 38:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2395 (insn, operands);

        case 39:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2405 (insn, operands);

        case 40:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2316 (insn, operands);

        case 41:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2326 (insn, operands);

        case 42:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2356 (insn, operands);

        case 43:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2336 (insn, operands);

        case 44:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2366 (insn, operands);

        case 45:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2386 (insn, operands);

        case 46:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2346 (insn, operands);

        case 47:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2376 (insn, operands);

        case 48:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2396 (insn, operands);

        case 49:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2406 (insn, operands);

        case 50:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2317 (insn, operands);

        case 51:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2327 (insn, operands);

        case 52:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2357 (insn, operands);

        case 53:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2337 (insn, operands);

        case 54:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2367 (insn, operands);

        case 55:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2387 (insn, operands);

        case 56:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2347 (insn, operands);

        case 57:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2377 (insn, operands);

        case 58:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2397 (insn, operands);

        case 59:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2407 (insn, operands);

        case 60:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2318 (insn, operands);

        case 61:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2328 (insn, operands);

        case 62:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2358 (insn, operands);

        case 63:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2338 (insn, operands);

        case 64:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2368 (insn, operands);

        case 65:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2388 (insn, operands);

        case 66:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2348 (insn, operands);

        case 67:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2378 (insn, operands);

        case 68:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2398 (insn, operands);

        case 69:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2408 (insn, operands);

        case 70:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2319 (insn, operands);

        case 71:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2329 (insn, operands);

        case 72:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2359 (insn, operands);

        case 73:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2339 (insn, operands);

        case 74:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2369 (insn, operands);

        case 75:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2389 (insn, operands);

        case 76:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2349 (insn, operands);

        case 77:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2379 (insn, operands);

        case 78:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2399 (insn, operands);

        case 79:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2409 (insn, operands);

        case 80:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2320 (insn, operands);

        case 81:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2330 (insn, operands);

        case 82:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2360 (insn, operands);

        case 83:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2340 (insn, operands);

        case 84:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2370 (insn, operands);

        case 85:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2390 (insn, operands);

        case 86:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2350 (insn, operands);

        case 87:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2380 (insn, operands);

        case 88:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2400 (insn, operands);

        case 89:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2410 (insn, operands);

        case 90:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2321 (insn, operands);

        case 91:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2331 (insn, operands);

        case 92:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2361 (insn, operands);

        case 93:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2341 (insn, operands);

        case 94:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2371 (insn, operands);

        case 95:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2391 (insn, operands);

        case 96:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2351 (insn, operands);

        case 97:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2381 (insn, operands);

        case 98:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2401 (insn, operands);

        case 99:
          if (!(
#line 8394 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8396 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2411 (insn, operands);

        default:
          return NULL;
        }

    case AND:
      x8 = XEXP (x6, 0);
      if (pattern566 (x8) != 0)
        return NULL;
      switch (pattern983 (x1))
        {
        case 0:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2593 (insn, operands);

        case 1:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2599 (insn, operands);

        case 2:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2605 (insn, operands);

        case 3:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2611 (insn, operands);

        case 4:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2617 (insn, operands);

        case 5:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2623 (insn, operands);

        case 6:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2594 (insn, operands);

        case 7:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2600 (insn, operands);

        case 8:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2606 (insn, operands);

        case 9:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2612 (insn, operands);

        case 10:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2618 (insn, operands);

        case 11:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2624 (insn, operands);

        case 12:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2595 (insn, operands);

        case 13:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2601 (insn, operands);

        case 14:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2607 (insn, operands);

        case 15:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2613 (insn, operands);

        case 16:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2619 (insn, operands);

        case 17:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2625 (insn, operands);

        case 18:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2596 (insn, operands);

        case 19:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2602 (insn, operands);

        case 20:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2608 (insn, operands);

        case 21:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2614 (insn, operands);

        case 22:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2620 (insn, operands);

        case 23:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2626 (insn, operands);

        case 24:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2597 (insn, operands);

        case 25:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2603 (insn, operands);

        case 26:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2609 (insn, operands);

        case 27:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2615 (insn, operands);

        case 28:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2621 (insn, operands);

        case 29:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2627 (insn, operands);

        case 30:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2598 (insn, operands);

        case 31:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2604 (insn, operands);

        case 32:
          if (!(
#line 8710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8712 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2610 (insn, operands);

        case 33:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2616 (insn, operands);

        case 34:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2622 (insn, operands);

        case 35:
          if (!(
#line 8748 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8750 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2628 (insn, operands);

        case 36:
          if (!(
#line 8786 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8788 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2629 (insn, operands);

        case 37:
          if (!(
#line 8786 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8788 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2630 (insn, operands);

        case 38:
          if (!(
#line 8786 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8788 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2631 (insn, operands);

        case 39:
          if (!(
#line 8823 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8825 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2632 (insn, operands);

        case 40:
          if (!(
#line 8823 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8825 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2633 (insn, operands);

        case 41:
          if (!(
#line 8823 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8825 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
            return NULL;
          return gen_split_2634 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}
